(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1735090,      38011]
NotebookOptionsPosition[   1705828,      37612]
NotebookOutlinePosition[   1706216,      37629]
CellTagsIndexPosition[   1706173,      37626]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"<<", "\"\<SpaceGroupIrep`\>\""}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"<<", "\"\<GroupTheory`\>\""}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"SystemOpen", "[", "$UserBaseDirectory", "]"}]}], "Input",
 CellChangeTimes->{{3.8277448981258745`*^9, 3.827744916648732*^9}, 
   3.8277455600873966`*^9, {3.8277864739638443`*^9, 3.8277864894767237`*^9}},
 CellLabel->"In[97]:=",ExpressionUUID->"cb45f4ed-77c9-4fc2-80d7-68ee18f3334f"],

Cell[CellGroupData[{

Cell["BZ\:5c55\:793a", "Section",
 CellChangeTimes->{{3.827745347868219*^9, 
  3.8277453613982472`*^9}},ExpressionUUID->"b6411ec6-851e-4fd1-8896-\
8f4c866a478c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"showBZDemo", "[", "\"\<TricPrim\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<MonoPrim\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<MonoBase\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthPrim\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthBase(a)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthBase(b)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthBody(a)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthBody(b)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthBody(c)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthFace(a)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthFace(b)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthFace(c)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<OrthFace(d)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<TetrPrim\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<TetrBody(a)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<TetrBody(b)\>\"", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<HexaPrim\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<CubiPrim\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<CubiFace\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"showBZDemo", "[", "\"\<CubiBody\>\"", 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8277467518608913`*^9, 3.8277468625881186`*^9}, {
  3.8277468973139524`*^9, 3.82774691576866*^9}, {3.8277471291287704`*^9, 
  3.8277472436953354`*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"ff09d20a-ae69-4d92-9a09-671cb07445c9"],

Cell[CellGroupData[{

Cell[BoxData["\<\"TricPrim\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747245926401*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"07088edd-8077-4d94-8a71-\
3d97348d3027"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"B\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"F\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"G\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472459293947`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"f5a603cc-fc1c-45a5-bd8a-\
b3a0761e10b8"],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747245931389*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"7b2c18ea-1d81-4062-b73e-\
175573f50868"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{
   GraphicsComplex3DBox[{{-0.25, -0.26835552064586926`, \
-0.09352058311577717}, {0.25, -0.08637040351276809, -0.05930176091416066}, {
    0.25, 0.26835552064586926`, -0.17307344844288997`}, {-0.25, 
    0.08637040351276809, -0.20729227064450645`}, {-0.25, \
-0.26835552064586926`, 0.17307344844288997`}, {0.25, -0.08637040351276809, 
    0.2072922706445065}, {0.25, 0.26835552064586926`, 
    0.09352058311577717}, {-0.25, 0.08637040351276809, 0.05930176091416066}}, 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{4, 3, 2, 1}, {1, 2, 6, 5}, {2, 3, 7, 6}, {3, 4, 8, 7}, {
       4, 1, 5, 8}, {5, 6, 7, 8}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.013417776032293464`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.375, 0., 0.}, {0.375, 0., 0.}}}, 
      0.001073422082583477]], 
     Arrow3DBox[TubeBox[{{{0., -0.4025332809688039, 0.}, {0., 
      0.4025332809688039, 0.}}}, 0.001073422082583477]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.3109384059667597}, {0., 0., 
      0.3109384059667597}}}, 0.001073422082583477]]}, {Text3DBox[
      FormBox[
       StyleBox["\<\"x\"\>",
        StripOnInput->False,
        FontSize->20,
        FontSlant->Italic], StandardForm], {0.40125, 0., 0.}], Text3DBox[
      FormBox[
       StyleBox["\<\"y\"\>",
        StripOnInput->False,
        FontSize->20,
        FontSlant->Italic], StandardForm], {0., 0.4307106106366202, 0.}], 
     Text3DBox[
      FormBox[
       StyleBox["\<\"z\"\>",
        StripOnInput->False,
        FontSize->20,
        FontSlant->Italic], StandardForm], {0., 0., 0.3327040943844329}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0.18198511713310117`, 
       0.03421882220161651}}}, 0.001073422082583477]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 
       0.35472592415863735`, -0.11377168752872929`}}}, 
       0.001073422082583477]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0., 0.2665940315586671}}}, 
       0.001073422082583477]]}}, {Text3DBox[
      FormBox[
       StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
        StripOnInput->False,
        LineColor->RGBColor[1, 0, 0],
        FrontFaceColor->RGBColor[1, 0, 0],
        BackFaceColor->RGBColor[1, 0, 0],
        GraphicsColor->RGBColor[1, 0, 0],
        FontSize->20,
        FontSlant->Italic,
        FontColor->RGBColor[1, 0, 0]], StandardForm], {0.535, 
      0.19472407533241826`, 0.03661413975572967}], Text3DBox[
      FormBox[
       StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
        StripOnInput->False,
        LineColor->RGBColor[0, 1, 0],
        FrontFaceColor->RGBColor[0, 1, 0],
        BackFaceColor->RGBColor[0, 1, 0],
        GraphicsColor->RGBColor[0, 1, 0],
        FontSize->20,
        FontSlant->Italic,
        FontColor->RGBColor[0, 1, 0]], StandardForm], {0., 
      0.379556738849742, -0.12173570565574035`}], Text3DBox[
      FormBox[
       StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
        StripOnInput->False,
        LineColor->RGBColor[0, 0, 1],
        FrontFaceColor->RGBColor[0, 0, 1],
        BackFaceColor->RGBColor[0, 0, 1],
        GraphicsColor->RGBColor[0, 0, 1],
        FontSize->20,
        FontSlant->Italic,
        FontColor->RGBColor[0, 0, 1]], StandardForm], {0., 0., 
      0.28525561376777386`}]}, 
    {PointSize[0.004293688330333908], {
      {RGBColor[1, 0, 0], 
       Point3DBox[{0.25, 0.09099255856655059, 0.017109411100808256`}]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[{0., 0.17736296207931868`, -0.056885843764364646`}]}, 
      {RGBColor[0, 0, 1], Point3DBox[{0., 0., 0.13329701577933356`}]}}, {
      {PointSize[Large], Point3DBox[{0., 0., 0.}], Text3DBox[
        FormBox[
         StyleBox["\<\"\[CapitalGamma]\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[{0.25, 0.09099255856655059, 0.017109411100808256`}], 
       Text3DBox[
        FormBox[
         StyleBox["\<\"B\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.2875, 0.10464144235153316`, 
        0.019675822765929493`}]}, 
      {PointSize[Large], 
       Point3DBox[{0., 0.17736296207931868`, -0.056885843764364646`}], 
       Text3DBox[
        FormBox[
         StyleBox["\<\"F\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0., 
        0.20396740639121647`, -0.06541872032901934}]}, 
      {PointSize[Large], Point3DBox[{0., 0., 0.13329701577933356`}], Text3DBox[
        FormBox[
         StyleBox["\<\"G\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0., 0., 
        0.15329156814623357`}]}}, {}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.3220266247750431,
  ViewPoint->{1.6357404138588552`, -2.6345332084608657`, 1.354100465986832},
  ViewVertical->{0.11326250269987952`, -0.12517129578136177`, 
   0.9856488990480203}]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472459666953`*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"10d5c07a-3f8f-4637-b788-790998b072a4"],

Cell[CellGroupData[{

Cell[BoxData["\<\"MonoPrim\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472459742413`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"aba26cea-cab0-4995-afc4-\
f05afe987273"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"B\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"E\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747245976236*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"26a41d6a-43fa-44c3-a9cb-\
ee0b8d538c3d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"V(BD)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"W(YC)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"U(AE)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472459826617`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"d9626144-f453-4b8a-b9ea-\
5ec17657d320"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{
   GraphicsComplex3DBox[{{-0.3267061488300117, 
    0.16666666666666666`, -0.125}, {-0.20538273740794427`, \
-0.16666666666666666`, -0.125}, {
    0.3267061488300117, -0.16666666666666666`, -0.125}, {0.20538273740794433`,
     0.16666666666666666`, -0.125}, {-0.3267061488300117, 
    0.16666666666666666`, 
    0.125}, {-0.20538273740794427`, -0.16666666666666666`, 0.125}, {
    0.3267061488300117, -0.16666666666666666`, 0.125}, {0.20538273740794433`, 
    0.16666666666666666`, 0.125}}, 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{4, 3, 2, 1}, {1, 2, 6, 5}, {2, 3, 7, 6}, {3, 4, 8, 7}, {
       4, 1, 5, 8}, {5, 6, 7, 8}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.016335307441500586`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.49005922324501755`, 0., 0.}, {
      0.49005922324501755`, 0., 0.}}}, 0.0013068245953200468`]], 
     Arrow3DBox[TubeBox[{{{0., -0.25, 0.}, {0., 0.25, 0.}}}, 
      0.0013068245953200468`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.1875}, {0., 0., 0.1875}}}, 
      0.0013068245953200468`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.5243633688721688, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.2675, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.200625}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {
       0.12132341142206743`, -0.3333333333333333, 0.}}}, 
       0.0013068245953200468`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.532088886237956, 0., 0.}}}, 
       0.0013068245953200468`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0., 0.25}}}, 
       0.0013068245953200468`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {
      0.12981605022161216`, -0.3566666666666667, 0.}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.569335108274613, 0., 0.}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0., 0., 0.2675}]}, 
    {PointSize[0.005227298381280187], {
      {RGBColor[1, 0, 0], 
       Point3DBox[{0.060661705711033714`, -0.16666666666666666`, 0.}]}, 
      {RGBColor[0, 1, 0], Point3DBox[{0.266044443118978, 0., 0.}]}, 
      {RGBColor[0, 0, 1], Point3DBox[{0., 0., 0.125}]}}, {
      {PointSize[Large], Point3DBox[{0., 0., 0.}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[{-0.060661705711033714`, 0.16666666666666666`, 0.}], 
       Text3DBox[
        StyleBox["\<\"B\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {-0.06976096156768877, 0.19166666666666665`, 
        0.}]}, 
      {PointSize[Large], Point3DBox[{0.266044443118978, 0., 0.}], Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3059511095868247, 0., 0.}]}, 
      {PointSize[Large], Point3DBox[{0., 0., 0.125}], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.14375}]}, 
      {PointSize[Large], Point3DBox[{0.266044443118978, 0., 0.125}], Text3DBox[
        StyleBox["\<\"C\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3059511095868247, 0., 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[{-0.060661705711033714`, 0.16666666666666666`, 0.125}], 
       Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {-0.06976096156768877, 0.19166666666666665`, 
        0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[{0.3267061488300117, -0.16666666666666666`, 0.}], Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.37571207115451344`, -0.19166666666666665`, 
        0.}]}, 
      {PointSize[Large], 
       Point3DBox[{0.3267061488300117, -0.16666666666666666`, 0.125}], 
       Text3DBox[
        StyleBox["\<\"E\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.37571207115451344`, -0.19166666666666665`, 
        0.14375}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0., 0., 0.}, {0., 0., 0.125}}], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{-0.060661705711033714`, 0.16666666666666666`, 
        0.}, {-0.060661705711033714`, 0.16666666666666666`, 0.125}}], 
       Text3DBox[
        StyleBox["\<\"V\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {-0.06976096156768877, 0.19166666666666665`, 
        0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0.266044443118978, 0., 0.}, {0.266044443118978, 0., 
        0.125}}], Text3DBox[
        StyleBox["\<\"W\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3059511095868247, 0., 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0.3267061488300117, -0.16666666666666666`, 0.}, {
        0.3267061488300117, -0.16666666666666666`, 0.125}}], Text3DBox[
        StyleBox["\<\"U\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.37571207115451344`, -0.19166666666666665`, 
        0.071875}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.392047378596014]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472460979776`*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"13ba0c2a-0201-4f81-ae05-24a27e49ebe7"],

Cell[CellGroupData[{

Cell[BoxData["\<\"MonoBase\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246101966*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"76821f3b-6d22-45fd-af73-\
935dbedc5282"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"M\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"V\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246104958*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"aff7f466-3e69-4b8a-8b9d-\
64911f68746b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "u"}], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"U(AM)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       RowBox[{"-", "u"}], ",", "u"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472461094666`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"091f8d12-2621-4fe1-9dca-\
9dee661c9fe2"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{
   GraphicsComplex3DBox[{{-0.5927505919489897, 0.16666666666666666`, 
    0.}, {-0.4714271805269223, -0.16666666666666666`, \
-1.153945676325382*^-18}, {
    0.06066170571103369, -0.16666666666666666`, -0.25}, {-0.06066170571103369,
     0.16666666666666666`, -0.25}, {-0.06066170571103369, 
    0.16666666666666666`, 0.25}, {0.06066170571103369, -0.16666666666666666`, 
    0.25}, {0.5927505919489897, -0.16666666666666666`, 0.}, {
    0.47142718052692234`, 0.16666666666666666`, 0.}}, 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{4, 3, 2, 1}, {1, 2, 6, 5}, {2, 3, 7, 6}, {3, 4, 8, 7}, {
       4, 1, 5, 8}, {5, 6, 7, 8}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.02963752959744949], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.8891258879234846, 0., 0.}, {0.8891258879234846, 
      0., 0.}}}, 0.0023710023677959587`]], 
     Arrow3DBox[TubeBox[{{{0., -0.25, 0.}, {0., 0.25, 0.}}}, 
      0.0023710023677959587`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.375}, {0., 0., 0.375}}}, 
      0.0023710023677959587`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.9513647000781286, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.2675, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.40125}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {
       0.12132341142206743`, -0.3333333333333333, -1.153945676325382*^-18}}}, 
       0.0023710023677959587`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.532088886237956, 0., -0.25}}}, 
       0.0023710023677959587`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.532088886237956, 0., 0.25}}}, 
       0.0023710023677959587`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {
      0.12981605022161216`, -0.3566666666666667, -1.2347218736681588`*^-18}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.569335108274613, 0., -0.2675}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.569335108274613, 0., 0.2675}]}, 
    {PointSize[0.009484009471183835], {
      {RGBColor[1, 0, 0], 
       Point3DBox[{
        0.060661705711033714`, -0.16666666666666666`, \
-5.76972838162691*^-19}]}, 
      {RGBColor[0, 1, 0], Point3DBox[{0.266044443118978, 0., -0.125}]}, 
      {RGBColor[0, 0, 1], Point3DBox[{0.266044443118978, 0., 0.125}]}}, {
      {PointSize[Large], Point3DBox[{0., 0., 0.}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[{-0.060661705711033714`, 0.16666666666666666`, 
        5.76972838162691*^-19}], Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {-0.06976096156768877, 0.19166666666666665`, 
        6.635187638870946*^-19}]}, 
      {PointSize[Large], Point3DBox[{0., 0., 0.25}], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[{-0.06066170571103369, 0.16666666666666666`, 0.25}], 
       Text3DBox[
        StyleBox["\<\"M\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {-0.06976096156768874, 0.19166666666666665`, 
        0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[{0.2053827374079443, 0.16666666666666666`, 0.125}], 
       Text3DBox[
        StyleBox["\<\"L\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.23619014801913593`, 0.19166666666666665`, 
        0.14375}]}, 
      {PointSize[Large], Point3DBox[{0.266044443118978, 0., 0.125}], Text3DBox[
        StyleBox["\<\"V\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3059511095868247, 0., 0.14375}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0., 0., 0.}, {0., 0., 0.25}}], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{-0.060661705711033714`, 0.16666666666666666`, 
        5.76972838162691*^-19}, {-0.06066170571103369, 0.16666666666666666`, 
        0.25}}], Text3DBox[
        StyleBox["\<\"U\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {-0.06976096156768875, 0.19166666666666665`, 
        0.14375}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.7113007103387876]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.827747246142806*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"4761b0b6-62b6-4a18-806f-7c498d6ae3c7"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthPrim\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472461467953`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"e3fbd23f-661a-433e-a94d-\
39859596e6c3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"U\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246225391*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"38d14b4c-b4a2-488b-90fa-\
beb612315460"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]Y)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(XS)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"P(UR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"B(ZT)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C(YS)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"E(TR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A(ZU)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"H(YT)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Q(SR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"G(XU)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246232375*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"a800bbbe-be46-47eb-9bff-\
62748a2c116d"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{
   GraphicsComplex3DBox[{{0.25, -0.16666666666666594`, -0.1249999999999999}, {
    0.25, 0.16666666666666666`, -0.12499999999999972`}, {0.25, 
    0.16666666666666663`, 0.12500000000000042`}, {0.25, -0.16666666666666585`,
     0.12500000000000036`}, {-0.24999999999999944`, 0.16666666666666666`, 
    0.12500000000000025`}, {-0.24999999999999922`, 
    0.16666666666666666`, -0.12499999999999939`}, {-0.25, \
-0.1666666666666662, -0.125}, {-0.25, -0.16666666666666666`, 
    0.12500000000000036`}}, 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{1, 2, 3, 4}, {5, 3, 2, 6}, {6, 2, 1, 7}, {7, 1, 4, 8}, {
       8, 4, 3, 5}, {7, 8, 5, 6}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.0125], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.375, 0., 0.}, {0.375, 0., 0.}}}, 0.001]], 
     Arrow3DBox[TubeBox[{{{0., -0.25, 0.}, {0., 0.25, 0.}}}, 0.001]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.18750000000000033`}, {0., 0., 
      0.18750000000000033`}}}, 0.001]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.40125, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.2675, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.20062500000000036`}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., -0.3333333333333333, 0.}}}, 
       0.001]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0., 0.}}}, 0.001]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0., 0.25}}}, 0.001]]}}, {
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0., -0.3566666666666667, 0.}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.535, 0., 0.}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0., 0., 0.2675}]}, 
    {PointSize[0.004], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{0, Rational[-1, 6], 0}, {0, -0.16666666666666666`, 0}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[NCache[{Rational[1, 4], 0, 0}, {0.25, 0, 0}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[NCache[{0, 0, Rational[1, 8]}, {0, 0, 0.125}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, Rational[1, 6], 0}, {0, 0.16666666666666666`, 0}]], 
       Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.19166666666666665`, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{Rational[1, 4], 0, 0}, {0.25, 0, 0}]], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, 0, Rational[1, 8]}, {0, 0, 0.125}]], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], 0, Rational[1, 8]}, {0.25, 0, 0.125}]], 
       Text3DBox[
        StyleBox["\<\"U\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0., 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, Rational[1, 6], Rational[1, 8]}, {
         0, 0.16666666666666666`, 0.125}]], Text3DBox[
        StyleBox["\<\"T\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.19166666666666665`, 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 6], 0}, {
         0.25, 0.16666666666666666`, 0}]], Text3DBox[
        StyleBox["\<\"S\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 6], Rational[1, 8]}, {0.25, 
         0.16666666666666666`, 0.125}]], Text3DBox[
        StyleBox["\<\"R\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.14375}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, Rational[1, 6], 0}}, {{0, 0, 0}, {
          0, 0.16666666666666666`, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.09583333333333333, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, 0}, {
          Rational[1, 4], Rational[1, 6], 0}}, {{0.25, 0, 0}, {
          0.25, 0.16666666666666666`, 0}}]], Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.09583333333333333, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, Rational[1, 8]}, {
          Rational[1, 4], Rational[1, 6], Rational[1, 8]}}, {{
          0.25, 0, 0.125}, {0.25, 0.16666666666666666`, 0.125}}]], Text3DBox[
        StyleBox["\<\"P\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.09583333333333333, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 8]}, {
          0, Rational[1, 6], Rational[1, 8]}}, {{0, 0, 0.125}, {
          0, 0.16666666666666666`, 0.125}}]], Text3DBox[
        StyleBox["\<\"B\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.09583333333333333, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 4], 0, 0}}, {{0, 0, 0}, {
          0.25, 0, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 6], 0}, {
          Rational[1, 4], Rational[1, 6], 0}}, {{
          0, 0.16666666666666666`, 0}, {0.25, 0.16666666666666666`, 0}}]], 
       Text3DBox[
        StyleBox["\<\"C\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.19166666666666665`, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 6], Rational[1, 8]}, {
          Rational[1, 4], Rational[1, 6], Rational[1, 8]}}, {{
          0, 0.16666666666666666`, 0.125}, {0.25, 0.16666666666666666`, 
          0.125}}]], Text3DBox[
        StyleBox["\<\"E\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.19166666666666665`, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 8]}, {
          Rational[1, 4], 0, Rational[1, 8]}}, {{0, 0, 0.125}, {
          0.25, 0, 0.125}}]], Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0., 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, 0, Rational[1, 8]}}, {{0, 0, 0}, {
          0, 0, 0.125}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 6], 0}, {
          0, Rational[1, 6], Rational[1, 8]}}, {{
          0, 0.16666666666666666`, 0}, {0, 0.16666666666666666`, 0.125}}]], 
       Text3DBox[
        StyleBox["\<\"H\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.19166666666666665`, 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 6], 0}, {
          Rational[1, 4], Rational[1, 6], Rational[1, 8]}}, {{
          0.25, 0.16666666666666666`, 0}, {0.25, 0.16666666666666666`, 
          0.125}}]], Text3DBox[
        StyleBox["\<\"Q\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, 0}, {
          Rational[1, 4], 0, Rational[1, 8]}}, {{0.25, 0, 0}, {
          0.25, 0, 0.125}}]], Text3DBox[
        StyleBox["\<\"G\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0., 0.071875}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.3]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.827747246277479*^9},
 CellLabel->"Out[30]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"969e7aa2-ee9b-46cb-992e-3f0af4e606be"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthBase(a)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246283462*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"ce4e3e92-353e-4b8a-8ed4-\
991c2303bea2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246370623*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"b52dd447-dbdf-4680-94d2-\
c290fcaebb82"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"H(YT)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(SR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A(ZT)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]Y)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]\[CapitalDelta])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"B(ZB)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"G(TG)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"F(YF)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246376609*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"777c0cf8-6ffb-47b6-9403-\
5fbb9f094666"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalDelta]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalDelta]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "u"}], ",", "u", ",", "0"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3611111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalDelta]", "(", "\[CapitalGamma]\[CapitalDelta]", 
   "): ", {-SpaceGroupIrep`u, SpaceGroupIrep`u, 0}, ", u range is [0,", 
   0.3611111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472463796015`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"025be13a-9d7b-4747-8949-\
b00eb20f62c3"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"B\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"ZB\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "u"}], ",", "u", ",", 
     FractionBox["1", "2"]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3611111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["B", "(", "ZB", "): ", {-SpaceGroupIrep`u, SpaceGroupIrep`u, 
    Rational[1, 2]}, ", u range is [0,", 0.3611111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472463815956`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"712dfb49-a901-4a30-a433-\
71ee33705ab4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"G\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"TG\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "-", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     FractionBox["1", "2"]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1388888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "G", "(", "TG", "): ", {
   Rational[1, 2] - SpaceGroupIrep`u, Rational[1, 2] + SpaceGroupIrep`u, 
    Rational[1, 2]}, ", u range is [0,", 0.1388888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472463835907`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"42491663-88ef-4c0e-89cf-\
6d899700cf31"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"F\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"YF\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "-", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", "0"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1388888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "F", "(", "YF", "): ", {
   Rational[1, 2] - SpaceGroupIrep`u, Rational[1, 2] + SpaceGroupIrep`u, 0}, 
   ", u range is [0,", 0.1388888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472463845882`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"eb928b8b-b8bd-4bde-ba2e-\
83d301c666b4"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxTTMoPSmViYGAQBmJmBihoeLBnQ6HM8UKZ6/shAgfsQ0JB4Kq9BEj4+EEM
8QKIuD1MHEKv2HMCYg5cPBSifn8JmnqYeAGa+TDxIqj6nf9BYP9+mHgGVP0u
qDhE35E9B6Duf4eq3j4U1d79/Qd/SszpP77nENSdjFBxiPwJuLg91D0Ldgtt
1Q7shvuLBUX9AptTaP6FhU8Aqr+g9KE9+1DDGW7vAVRzoOI70NXbt302tJBv
3o1hDgBJP6ic
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{6, 5, 7, 8}, {9, 1, 6, 8}, {10, 11, 4, 3}, {11, 7, 5, 
        4}, {15, 10, 3, 2}, {15, 2, 1, 9}, {1, 2, 3, 4, 5, 6}, {15, 9, 8, 7, 
        11, 10}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.01805555555555555], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.5, 0., 0.}, {0.5, 0., 0.}}}, 
      0.001444444444444444]], 
     Arrow3DBox[TubeBox[{{{0., -0.5416666666666665, 0.}, {0., 
      0.5416666666666665, 0.}}}, 0.001444444444444444]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.18750000000000142`}, {0., 0., 
      0.18750000000000142`}}}, 0.001444444444444444]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.535, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.5795833333333332, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.20062500000000152`}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.3333333333333333, -0.5, 0.}}}, 
       0.001444444444444444]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.3333333333333333, 0.5, 0.}}}, 
       0.001444444444444444]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0., 0.25}}}, 
       0.001444444444444444]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.3566666666666667, -0.535, 0.}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.3566666666666667, 0.535, 0.}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0., 0., 0.2675}]}, 
    {PointSize[0.005777777777777776], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[-1, 4], 0}, {
         0.16666666666666666`, -0.25, 0}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 4], 0}, {
         0.16666666666666666`, 0.25, 0}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[NCache[{0, 0, Rational[1, 8]}, {0, 0, 0.125}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{Rational[1, 3], 0, 0}, {0.3333333333333333, 0, 0}]],
        Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, 0, Rational[1, 8]}, {0, 0, 0.125}]], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 3], 0, Rational[1, 8]}, {
         0.3333333333333333, 0, 0.125}]], Text3DBox[
        StyleBox["\<\"T\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0., 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 4], 0}, {
         0.16666666666666666`, 0.25, 0}]], Text3DBox[
        StyleBox["\<\"S\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.2875, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 4], Rational[1, 8]}, {
         0.16666666666666666`, 0.25, 0.125}]], Text3DBox[
        StyleBox["\<\"R\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.2875, 0.14375}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, 0, Rational[1, 8]}}, {{0, 0, 0}, {
          0, 0, 0.125}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 3], 0, 0}, {
          Rational[1, 3], 0, Rational[1, 8]}}, {{0.3333333333333333, 0, 0}, {
          0.3333333333333333, 0, 0.125}}]], Text3DBox[
        StyleBox["\<\"H\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0., 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 6], Rational[1, 4], 0}, {
          Rational[1, 6], Rational[1, 4], Rational[1, 8]}}, {{
          0.16666666666666666`, 0.25, 0}, {0.16666666666666666`, 0.25, 
          0.125}}]], Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.2875, 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 8]}, {
          Rational[1, 3], 0, Rational[1, 8]}}, {{0, 0, 0.125}, {
          0.3333333333333333, 0, 0.125}}]], Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0., 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 3], 0, 0}}, {{0, 0, 0}, {
          0.3333333333333333, 0, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0, 0.3611111111111111, 0}}], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.20763888888888887`, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 8]}, {
          0, 0.3611111111111111, Rational[1, 8]}}, {{0, 0, 0.125}, {
          0, 0.3611111111111111, 0.125}}]], Text3DBox[
        StyleBox["\<\"B\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.20763888888888887`, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 3], 0, Rational[1, 8]}, {
          0.3333333333333333, 0.13888888888888887`, Rational[1, 8]}}, {{
          0.3333333333333333, 0, 0.125}, {0.3333333333333333, 
          0.13888888888888887`, 0.125}}]], Text3DBox[
        StyleBox["\<\"G\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0.07986111111111109, 
        0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 3], 0, 0}, {
          0.3333333333333333, 0.13888888888888887`, 0}}, {{
          0.3333333333333333, 0, 0}, {
          0.3333333333333333, 0.13888888888888887`, 0}}]], Text3DBox[
        StyleBox["\<\"F\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0.07986111111111109, 
        0.}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.4333333333333332]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472464224873`*^9},
 CellLabel->"Out[31]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"3e873ecc-c0c6-41d6-b511-68aa29272e2e"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthBase(b)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246428471*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"1d36f01e-6cbe-432d-8123-\
ce9709ad09f1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472465142403`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"20c340fe-6c9d-48b7-9ccb-\
8d624a60dc71"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"H(YT)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(SR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A(\[CapitalGamma]A)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]\[CapitalSigma])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]Y)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"B(ZT)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"E(TE)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C(YC)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472465202246`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"2f06ac2c-f475-44e5-94eb-\
ac20bfe35b4f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"A\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]A\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", "u", ",", 
     FractionBox["1", "2"]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3611111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "A", "(", "\[CapitalGamma]A", "): ", {SpaceGroupIrep`u, SpaceGroupIrep`u, 
    Rational[1, 2]}, ", u range is [0,", 0.3611111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472465252123`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"0bb2e2fa-5c6c-4cd7-8ce4-\
ddb3ecfbc29f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalSigma]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalSigma]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", "u", ",", "0"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3611111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalSigma]", "(", "\[CapitalGamma]\[CapitalSigma]", "): ", {
   SpaceGroupIrep`u, SpaceGroupIrep`u, 0}, ", u range is [0,", 
   0.3611111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472465272064`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"2112ba78-a3bf-42f6-a9d9-\
320c73758450"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"E\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"TE\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     FractionBox["1", "2"]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1388888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "E", "(", "TE", "): ", {
   Rational[-1, 2] + SpaceGroupIrep`u, Rational[1, 2] + SpaceGroupIrep`u, 
    Rational[1, 2]}, ", u range is [0,", 0.1388888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472465292015`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"9064b7fa-98e0-4ebe-a54f-\
bb4c56ede06f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"C\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"YC\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", "0"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1388888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "C", "(", "YC", "): ", {
   Rational[-1, 2] + SpaceGroupIrep`u, Rational[1, 2] + SpaceGroupIrep`u, 0}, 
   ", u range is [0,", 0.1388888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246530198*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"5ff3d6d7-312d-478f-a4a0-\
db03a96e7b2d"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxTTMoPSmViYGAQAWJmII6ROV4oc/zg/lAwuLqfAQwO2JdAxO3RxXcWgiSu
20P4l/bAxB1Q1dvDxBNQzYeL74aYAzV3hQ0u9S4Q8f3o5ntAxXehmDPBBrv5
E2yMoOoPobh/wx4THOIwc6Kg7glBDQc0exfA7EUz5wDMnP2w8EQ3ZwdUvZLp
wQrt3xfg6rehmHMF7h40/2KIz0nYM7WWb+YeFqg5AG62mK0=
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{7, 5, 4, 8}, {6, 5, 7, 10}, {11, 8, 4, 3}, {16, 11, 3, 
        2}, {13, 16, 2, 1}, {1, 6, 10, 13}, {1, 2, 3, 4, 5, 6}, {13, 10, 7, 8,
         11, 16}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.01805555555555553], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.5416666666666659, 0., 0.}, {0.5416666666666659, 
      0., 0.}}}, 0.0014444444444444424`]], 
     Arrow3DBox[TubeBox[{{{0., -0.5, 0.}, {0., 0.5, 0.}}}, 
      0.0014444444444444424`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.1875000000000015}, {0., 0., 
      0.1875000000000015}}}, 0.0014444444444444424`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.5795833333333325, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.535, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.2006250000000016}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, -0.3333333333333333, 0.}}}, 
       0.0014444444444444424`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0.3333333333333333, 0.}}}, 
       0.0014444444444444424`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0., 0.25}}}, 
       0.0014444444444444424`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.535, -0.3566666666666667, 0.}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.535, 0.3566666666666667, 0.}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0., 0., 0.2675}]}, 
    {PointSize[0.00577777777777777], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[-1, 6], 0}, {
         0.25, -0.16666666666666666`, 0}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 6], 0}, {
         0.25, 0.16666666666666666`, 0}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[NCache[{0, 0, Rational[1, 8]}, {0, 0, 0.125}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, Rational[1, 3], 0}, {0, 0.3333333333333333, 0}]],
        Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.3833333333333333, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, 0, Rational[1, 8]}, {0, 0, 0.125}]], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, Rational[1, 3], Rational[1, 8]}, {
         0, 0.3333333333333333, 0.125}]], Text3DBox[
        StyleBox["\<\"T\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.3833333333333333, 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 6], 0}, {
         0.25, 0.16666666666666666`, 0}]], Text3DBox[
        StyleBox["\<\"S\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 6], Rational[1, 8]}, {0.25, 
         0.16666666666666666`, 0.125}]], Text3DBox[
        StyleBox["\<\"R\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.14375}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, 0, Rational[1, 8]}}, {{0, 0, 0}, {
          0, 0, 0.125}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 3], 0}, {
          0, Rational[1, 3], Rational[1, 8]}}, {{0, 0.3333333333333333, 0}, {
          0, 0.3333333333333333, 0.125}}]], Text3DBox[
        StyleBox["\<\"H\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.3833333333333333, 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 6], 0}, {
          Rational[1, 4], Rational[1, 6], Rational[1, 8]}}, {{
          0.25, 0.16666666666666666`, 0}, {0.25, 0.16666666666666666`, 
          0.125}}]], Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 8]}, {
          0.3611111111111111, 0, Rational[1, 8]}}, {{0, 0, 0.125}, {
          0.3611111111111111, 0, 0.125}}]], Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.20763888888888887`, 0., 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0.3611111111111111, 0, 0}}], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.20763888888888887`, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, Rational[1, 3], 0}}, {{0, 0, 0}, {
          0, 0.3333333333333333, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.19166666666666665`, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 8]}, {
          0, Rational[1, 3], Rational[1, 8]}}, {{0, 0, 0.125}, {
          0, 0.3333333333333333, 0.125}}]], Text3DBox[
        StyleBox["\<\"B\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.19166666666666665`, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 3], Rational[1, 8]}, {
          0.13888888888888887`, 0.3333333333333333, Rational[1, 8]}}, {{
          0, 0.3333333333333333, 0.125}, {0.13888888888888887`, 
          0.3333333333333333, 0.125}}]], Text3DBox[
        StyleBox["\<\"E\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.07986111111111109, 0.3833333333333333, 
        0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 3], 0}, {
          0.13888888888888887`, 0.3333333333333333, 0}}, {{
          0, 0.3333333333333333, 0}, {
          0.13888888888888887`, 0.3333333333333333, 0}}]], Text3DBox[
        StyleBox["\<\"C\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.07986111111111109, 0.3833333333333333, 
        0.}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.43333333333333274`]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.827747246566535*^9},
 CellLabel->"Out[32]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"7e14d4e8-939a-49f8-b255-2f69c0553a79"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthBody(a)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472465715218`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"4529a9a7-3e8c-4487-ab2a-\
f05febab42ad"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"W\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "4"], ",", 
       RowBox[{"-", 
        FractionBox["1", "4"]}], ",", 
       RowBox[{"-", 
        FractionBox["1", "4"]}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472466468716`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"5c20eab2-6f2f-4a58-bdda-\
d78320389a8e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]\[CapitalLambda])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"G(XG)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"P(TW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "u"}], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(SW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]\[CapitalDelta])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"U(XU)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "-", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Q(RW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.82774724665385*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"e131bac2-3e96-4515-8633-\
f50eb1ac67aa"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalLambda]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalLambda]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", "u", ",", 
     RowBox[{"-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.390625`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalLambda]", "(", "\[CapitalGamma]\[CapitalLambda]", "): ", {
   SpaceGroupIrep`u, SpaceGroupIrep`u, -SpaceGroupIrep`u}, ", u range is [0,",
    0.390625, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246657837*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"82211021-b94a-48c7-bc99-\
0ecc1469a1c4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"G\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XG\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.109375`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "G", "(", "XG", "): ", {
   Rational[1, 2] + SpaceGroupIrep`u, Rational[-1, 2] + SpaceGroupIrep`u, 
    Rational[1, 2] - SpaceGroupIrep`u}, ", u range is [0,", 0.109375, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472466588354`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"a9153923-0453-47b7-82f9-\
dc2685f80df6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalDelta]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalDelta]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{"-", "u"}], ",", 
     RowBox[{"-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3125`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalDelta]", "(", "\[CapitalGamma]\[CapitalDelta]", "): ", {
   SpaceGroupIrep`u, -SpaceGroupIrep`u, -SpaceGroupIrep`u}, 
   ", u range is [0,", 0.3125, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472466608295`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"7bd9afad-fcf7-4ad3-a48c-\
b6050cd5f104"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"U\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XU\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "-", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1875`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "U", "(", "XU", "): ", {
   Rational[1, 2] + SpaceGroupIrep`u, Rational[-1, 2] - SpaceGroupIrep`u, 
    Rational[1, 2] - SpaceGroupIrep`u}, ", u range is [0,", 0.1875, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472466628246`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"e44a4e31-e9da-436d-9e9d-\
ef0f4e700e58"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1kr1Lw0AYxmNbamsdFIsg1ko3/4QOoXEQRDdFpbMfdNSuneog1EVEBMFB
XFxaqViwjXJ4bUXazYhR/KIgOtlZJ6WauydpLuhBuOSXJ8/73vMmMr88veSS
JGnk93JL5tKUZstYNdrIGqugnLFnqnyz/YpmZo11qTB5Wicd7EanLeidvMQ5
LcPnCz6L3Ieadd9Rdwd6zitklO115Yhxjabh04fvVh0+Huj3BJ8L4uOcmj6D
7LlMuV6jccGnSjwOPZe3z3Uu+Gu0B3UfHTwIn/t/+IM9N5vPE3gn+vTjfQL5
11kOCbkXPie8T/hk5GH4lMAbPDcaQE4p+BTAzTzXhRxUwuvrSn+O9/NhyJWi
xec4p9eYi1+cC/ohlj6Qs593Xx5Cnyr6nHxJBfPjp8QL/Qz8S+G15pSqWrxb
8GnP3cyzEVlZGNjelcPgRfgnfc9x78GWjJxpUchtU3b/xdO31tzvhHkdW/1M
5OzzrZIY6ubt/4+kkTHwQwfvQl2Tv0U3XqMxnbhQt4z/J1RLhmqVG4t/op8f
AtCF8g==
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{11, 10, 5, 4}, {14, 15, 16, 17}, {25, 23, 21, 20}, {30, 
        1, 6, 9}, {19, 18, 3, 2}, {22, 24, 8, 7}, {1, 2, 3, 4, 5, 6}, {7, 8, 
        9, 6, 5, 10}, {18, 19, 20, 21, 17, 16}, {22, 14, 17, 21, 23, 24}, {24,
         23, 25, 30, 9, 8}, {30, 25, 20, 19, 2, 1}, {15, 14, 22, 7, 10, 11}, {
        18, 16, 15, 11, 4, 3}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.01562500000000001], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.375, 0., 0.}, {0.375, 0., 0.}}}, 
      0.001250000000000001]], 
     Arrow3DBox[TubeBox[{{{0., -0.46875000000000033`, 0.}, {0., 
      0.46875000000000033`, 0.}}}, 0.001250000000000001]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.3906250000000008}, {0., 0., 
      0.3906250000000008}}}, 0.001250000000000001]]}, {Text3DBox[
      FormBox[
       StyleBox["\<\"x\"\>",
        StripOnInput->False,
        FontSize->20,
        FontSlant->Italic], StandardForm], {0.40125, 0., 0.}], Text3DBox[
      FormBox[
       StyleBox["\<\"y\"\>",
        StripOnInput->False,
        FontSize->20,
        FontSlant->Italic], StandardForm], {0., 0.5015625000000004, 0.}], 
     Text3DBox[
      FormBox[
       StyleBox["\<\"z\"\>",
        StripOnInput->False,
        FontSize->20,
        FontSlant->Italic], StandardForm], {0., 0., 0.41796875000000083`}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.25, 0., 0.3333333333333333}}}, 
       0.001250000000000001]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., -0.5, 0.3333333333333333}}}, 
       0.001250000000000001]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.25, -0.5, 0.}}}, 
       0.001250000000000001]]}}, {Text3DBox[
      FormBox[
       StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
        StripOnInput->False,
        LineColor->RGBColor[1, 0, 0],
        FrontFaceColor->RGBColor[1, 0, 0],
        BackFaceColor->RGBColor[1, 0, 0],
        GraphicsColor->RGBColor[1, 0, 0],
        FontSize->20,
        FontSlant->Italic,
        FontColor->RGBColor[1, 0, 0]], StandardForm], {0.2675, 0., 
      0.3566666666666667}], Text3DBox[
      FormBox[
       StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
        StripOnInput->False,
        LineColor->RGBColor[0, 1, 0],
        FrontFaceColor->RGBColor[0, 1, 0],
        BackFaceColor->RGBColor[0, 1, 0],
        GraphicsColor->RGBColor[0, 1, 0],
        FontSize->20,
        FontSlant->Italic,
        FontColor->RGBColor[0, 1, 0]], StandardForm], {0., -0.535, 
      0.3566666666666667}], Text3DBox[
      FormBox[
       StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
        StripOnInput->False,
        LineColor->RGBColor[0, 0, 1],
        FrontFaceColor->RGBColor[0, 0, 1],
        BackFaceColor->RGBColor[0, 0, 1],
        GraphicsColor->RGBColor[0, 0, 1],
        FontSize->20,
        FontSlant->Italic,
        FontColor->RGBColor[0, 0, 1]], StandardForm], {0.2675, -0.535, 0.}]}, 
    {PointSize[0.005000000000000004], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[1, 8], 0, Rational[1, 6]}, {
         0.125, 0, 0.16666666666666666`}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{0, Rational[-1, 4], Rational[1, 6]}, {
         0, -0.25, 0.16666666666666666`}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 8], Rational[-1, 4], 0}, {0.125, -0.25, 0}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        FormBox[
         StyleBox["\<\"\[CapitalGamma]\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{Rational[1, 4], 0, 0}, {0.25, 0, 0}]], Text3DBox[
        FormBox[
         StyleBox["\<\"X\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.2875, 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 8], 0, Rational[1, 6]}, {
         0.125, 0, 0.16666666666666666`}]], Text3DBox[
        FormBox[
         StyleBox["\<\"R\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.14375, 0., 
        0.19166666666666665`}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, Rational[1, 4], Rational[1, 6]}, {
         0, 0.25, 0.16666666666666666`}]], Text3DBox[
        FormBox[
         StyleBox["\<\"S\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0., 0.2875, 
        0.19166666666666665`}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 8], Rational[1, 4], 0}, {0.125, 0.25, 0}]], 
       Text3DBox[
        FormBox[
         StyleBox["\<\"T\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.14375, 0.2875, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 8], Rational[1, 4], Rational[1, 6]}, {0.125, 0.25,
          0.16666666666666666`}]], Text3DBox[
        FormBox[
         StyleBox["\<\"W\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.14375, 0.2875, 
        0.19166666666666665`}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0, 0, 0.26041666666666663`}}], Text3DBox[
        FormBox[
         StyleBox["\<\"\[CapitalLambda]\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0., 0., 0.1497395833333333}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, 0}, {0.25, 0., 0.07291666666666669}}, {{
          0.25, 0, 0}, {0.25, 0., 0.07291666666666669}}]], Text3DBox[
        FormBox[
         StyleBox["\<\"G\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.2875, 0., 
        0.041927083333333344`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 8], Rational[1, 4], 0}, {
          Rational[1, 8], Rational[1, 4], Rational[1, 6]}}, {{
          0.125, 0.25, 0}, {0.125, 0.25, 0.16666666666666666`}}]], Text3DBox[
        FormBox[
         StyleBox["\<\"P\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.14375, 0.2875, 
        0.09583333333333333}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 4], 0, 0}}, {{0, 0, 0}, {
          0.25, 0, 0}}]], Text3DBox[
        FormBox[
         StyleBox["\<\"\[CapitalSigma]\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.14375, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], Rational[1, 6]}, {
          Rational[1, 8], Rational[1, 4], Rational[1, 6]}}, {{
          0, 0.25, 0.16666666666666666`}, {0.125, 0.25, 
          0.16666666666666666`}}]], Text3DBox[
        FormBox[
         StyleBox["\<\"D\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.071875, 0.2875, 
        0.19166666666666665`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0, 0.3125, 0}}], Text3DBox[
        FormBox[
         StyleBox["\<\"\[CapitalDelta]\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0., 0.1796875, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, 0}, {0.25, 0.1875, 0.}}, {{0.25, 0, 0}, {
          0.25, 0.1875, 0.}}]], Text3DBox[
        FormBox[
         StyleBox["\<\"U\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.2875, 0.10781249999999999`, 
        0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 8], 0, Rational[1, 6]}, {
          Rational[1, 8], Rational[1, 4], Rational[1, 6]}}, {{
          0.125, 0, 0.16666666666666666`}, {0.125, 0.25, 
          0.16666666666666666`}}]], Text3DBox[
        FormBox[
         StyleBox["\<\"Q\"\>",
          StripOnInput->False,
          FontSize->18,
          FontSlant->Italic], StandardForm], {0.14375, 0.14375, 
        0.19166666666666665`}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.3750000000000003,
  ViewPoint->{2.9578761319061284`, -1.3090816920310067`, -0.9936165819315194},
  ViewVertical->{0.8075718892476184, -0.14141484308293698`, 
   0.572563957870962}]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.82774724669773*^9},
 CellLabel->"Out[33]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"20f9680a-b0ff-450d-8223-ec287704cd9a"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthBody(b)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472467037144`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"1a2163db-19f6-455c-84f3-\
9209136aadd1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"W\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "4"], ",", 
       RowBox[{"-", 
        FractionBox["1", "4"]}], ",", 
       RowBox[{"-", 
        FractionBox["1", "4"]}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246782527*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"a0e2dd5f-3ae0-4717-9842-\
d32edcde22d9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]\[CapitalLambda])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"G(XG)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"P(TW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]\[CapitalSigma])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "u"}], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(SW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"F(XF)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "-", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Q(RW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472467885113`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"957b067d-415e-4e44-9891-\
e4942df77a01"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalLambda]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalLambda]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", "u", ",", 
     RowBox[{"-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3125`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalLambda]", "(", "\[CapitalGamma]\[CapitalLambda]", "): ", {
   SpaceGroupIrep`u, SpaceGroupIrep`u, -SpaceGroupIrep`u}, ", u range is [0,",
    0.3125, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472467925005`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"ecc87ac5-c3b6-4f57-8bbe-\
a8fed1422a24"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"G\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XG\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1875`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "G", "(", "XG", "): ", {
   Rational[1, 2] + SpaceGroupIrep`u, Rational[-1, 2] + SpaceGroupIrep`u, 
    Rational[-1, 2] - SpaceGroupIrep`u}, ", u range is [0,", 0.1875, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472467944956`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"8fc60106-8958-40df-9ded-\
e9acc6344edc"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalSigma]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalSigma]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{"-", "u"}], ",", "u"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.390625`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalSigma]", "(", "\[CapitalGamma]\[CapitalSigma]", "): ", {
   SpaceGroupIrep`u, -SpaceGroupIrep`u, SpaceGroupIrep`u}, ", u range is [0,",
    0.390625, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246795492*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"a4050951-e2da-4591-a976-\
d4f8af31eba2"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"F\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XF\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "-", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.109375`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "F", "(", "XF", "): ", {
   Rational[1, 2] + SpaceGroupIrep`u, Rational[-1, 2] - SpaceGroupIrep`u, 
    Rational[-1, 2] + SpaceGroupIrep`u}, ", u range is [0,", 0.109375, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472467974873`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"c36b7f4c-255c-40af-87d4-\
f7fd9c58177e"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxdkk0oRFEYhm/Gf5azUZK/cnfYzcYciWZlQRGykCJWGJRkMRsWFpQVspD/
hMFG6uTM+J2dIQy6SFMWoyiNpPzNPee9d+bcr263nnvu+73f+538tu669iRF
UdTYY4s9s2t67TCFV5C8/+l1SuYFJ1Y+Z+FRwdmcRcfglfV6HRM75z4S4fyM
2aGTFVroKc/UaDr/fsn6ofOhtkwcDMR5o9BhGv+fkW/o7PHzQTY1rZdGI+i7
C97ZEavnW/oG/w3QuZB1jHkN/6yEvwPsVZ6XlYJHLFwVnCxadIrBvcIP0bNX
PD76BD9lyKdG5MN+4acIvFXmbAs6Qv+AXmPeKsxVjfMp6G/kOR52jIeX72gG
8jTy78s57c1pinMV/CR35KXWcU4zBSdu6DifhuybritjL8SFvk70Tcb+ZZ+H
ps8CKbdHmoa+Tsybh3sSRQ7b0An/BLr2G/xUQ24GHyTuGe+V39QfhU++944Q
TYXPCvTl9yT7xuSORD+eW5oCLvs/ovfou4R7NfZZuPLVvIHzxt6DTPj0Yq4A
WwYXOuvUBj6ceE88D2YOk9L9uTP9yDqr2FeA/APTNtHJ
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{1, 2, 3, 4}, {12, 13, 14, 15}, {19, 18, 6, 5}, {23, 17, 
        16, 28}, {20, 9, 8, 7}, {25, 24, 11, 10}, {5, 6, 7, 8, 4, 3}, {9, 10, 
        11, 1, 4, 8}, {16, 17, 14, 13, 18, 19}, {18, 13, 12, 20, 7, 6}, {17, 
        23, 24, 25, 15, 14}, {28, 16, 19, 5, 3, 2}, {24, 23, 28, 2, 1, 11}, {
        20, 12, 15, 25, 10, 9}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.015625000000000028`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.3906250000000009, 0., 0.}, {0.3906250000000009, 
      0., 0.}}}, 0.0012500000000000022`]], 
     Arrow3DBox[TubeBox[{{{0., -0.375, 0.}, {0., 0.375, 0.}}}, 
      0.0012500000000000022`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.46875000000000083`}, {0., 0., 
      0.46875000000000083`}}}, 0.0012500000000000022`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.417968750000001, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.40125, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.5015625000000009}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.3333333333333333, 0., 0.5}}}, 
       0.0012500000000000022`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., -0.25, 0.5}}}, 
       0.0012500000000000022`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.3333333333333333, -0.25, 0.}}}, 
       0.0012500000000000022`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.3566666666666667, 0., 0.535}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0., -0.2675, 0.535}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.3566666666666667, -0.2675, 0.}]}, 
    {PointSize[0.005000000000000009], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[1, 6], 0, Rational[1, 4]}, {
         0.16666666666666666`, 0, 0.25}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{0, Rational[-1, 8], Rational[1, 4]}, {0, -0.125, 0.25}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[-1, 8], 0}, {
         0.16666666666666666`, -0.125, 0}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, Rational[1, 4], 0}, {0, 0.25, 0}]], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 6], 0, Rational[1, 4]}, {
         0.16666666666666666`, 0, 0.25}]], Text3DBox[
        StyleBox["\<\"R\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0., 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, Rational[1, 8], Rational[1, 4]}, {0, 0.125, 0.25}]], 
       Text3DBox[
        StyleBox["\<\"S\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.14375, 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 8], 0}, {
         0.16666666666666666`, 0.125, 0}]], Text3DBox[
        StyleBox["\<\"T\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.14375, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 8], Rational[1, 4]}, {
         0.16666666666666666`, 0.125, 0.25}]], Text3DBox[
        StyleBox["\<\"W\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.14375, 0.2875}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0, 0, 0.3125}}], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.1796875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], 0}, {0., 0.25, 0.1875}}, {{0, 0.25, 0}, {
          0., 0.25, 0.1875}}]], Text3DBox[
        StyleBox["\<\"G\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.10781249999999999`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 6], Rational[1, 8], 0}, {
          Rational[1, 6], Rational[1, 8], Rational[1, 4]}}, {{
          0.16666666666666666`, 0.125, 0}, {0.16666666666666666`, 0.125, 
          0.25}}]], Text3DBox[
        StyleBox["\<\"P\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.14375, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0.26041666666666663`, 0, 0}}], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.1497395833333333, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 8], Rational[1, 4]}, {
          Rational[1, 6], Rational[1, 8], Rational[1, 4]}}, {{
          0, 0.125, 0.25}, {0.16666666666666666`, 0.125, 0.25}}]], Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.09583333333333333, 0.14375, 0.2875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, Rational[1, 4], 0}}, {{0, 0, 0}, {
          0, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.14375, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], 0}, {0.07291666666666669, 0.25, 0.}}, {{
          0, 0.25, 0}, {0.07291666666666669, 0.25, 0.}}]], Text3DBox[
        StyleBox["\<\"F\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.041927083333333344`, 0.2875, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 6], 0, Rational[1, 4]}, {
          Rational[1, 6], Rational[1, 8], Rational[1, 4]}}, {{
          0.16666666666666666`, 0, 0.25}, {0.16666666666666666`, 0.125, 
          0.25}}]], Text3DBox[
        StyleBox["\<\"Q\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.071875, 0.2875}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.37500000000000067`]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472468303986`*^9},
 CellLabel->"Out[34]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"09b58e38-0ff9-4b5b-bbf0-ddd20fb03d2a"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthBody(c)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472468363824`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"ced4b1b1-4cae-48e1-ba39-\
4b6f61f3c0e0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"W\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "4"], ",", 
       RowBox[{"-", 
        FractionBox["1", "4"]}], ",", 
       RowBox[{"-", 
        FractionBox["1", "4"]}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246908988*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"c6ec2e78-0a85-407c-b396-\
e939208b92e7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"F(XF)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"P(TW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]\[CapitalSigma])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "u"}], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(SW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]\[CapitalDelta])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"U(XU)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Q(RW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246915969*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"132c1dca-005f-4cc2-bda7-\
c75be1125fe5"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"F\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XF\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1875`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "F", "(", "XF", "): ", {
   Rational[1, 2] + SpaceGroupIrep`u, Rational[1, 2] - SpaceGroupIrep`u, 
    Rational[-1, 2] + SpaceGroupIrep`u}, ", u range is [0,", 0.1875, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472469189634`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"414c51d4-da33-43fd-90b5-\
a0271aa0fb03"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalSigma]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalSigma]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{"-", "u"}], ",", "u"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3125`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalSigma]", "(", "\[CapitalGamma]\[CapitalSigma]", "): ", {
   SpaceGroupIrep`u, -SpaceGroupIrep`u, SpaceGroupIrep`u}, ", u range is [0,",
    0.3125, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472469209557`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"73f1bda1-59be-453d-9ed0-\
08b9e501c727"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalDelta]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalDelta]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{"-", "u"}], ",", 
     RowBox[{"-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.390625`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalDelta]", "(", "\[CapitalGamma]\[CapitalDelta]", "): ", {
   SpaceGroupIrep`u, -SpaceGroupIrep`u, -SpaceGroupIrep`u}, 
   ", u range is [0,", 0.390625, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472469229507`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"a445bcc9-1e11-4303-b899-\
53dc50f5e6a7"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"U\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XU\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.109375`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "U", "(", "XU", "): ", {
   Rational[1, 2] + SpaceGroupIrep`u, Rational[1, 2] - SpaceGroupIrep`u, 
    Rational[-1, 2] - SpaceGroupIrep`u}, ", u range is [0,", 0.109375, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747246924945*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"87c73bf7-4137-490f-b93b-\
2ea36cae9e92"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxtkj1IQzEUhYN9qIMOLqKLP6CTq+DyIKuIgxS6iIUiKoJDxa2C+NDVzUXB
oaMI/rUFQQN5FarioA8qdNJBOj6h4mBFae1LzhUSvBBCPg4n595keD4dX2xj
jI22Vqy16s2obmXtKKqcZKoC2aX2O27zH6V/5KlEVCU5pLgvP7UPLyh9AP2N
qMD/AtyJsFcUVe0jZ+EzBp86/Kc054PgMbU/8SWdh5fvx3sziQNBfMfImRWd
yB9AT/kd6D1D74sm7p1Bnm7N+Tv6yht9+YLm9mD68xB9xZG/Hz56bmW5Dv2h
Om+5xJeNPJ4gn0nk6YMP3Zsz34V3oN9ziz9DT/nbFb8SH+grB96IjpvX4sXS
a5+C+EbObcN/T3xhbsjJB5CT5l+05vP//BkjnjL0jOFfyUvrHd8wn2nc24N/
UoX+WOfnu/uq3BD9noCXFM64NYvTvfQulDNcmJNOelUQX0OeSnLldWRi429u
p4ZP1m1AnzTyn7m/94HP3w==
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{9, 12, 4, 3}, {6, 5, 18, 17}, {29, 10, 2, 1}, {32, 25, 8,
         7}, {20, 26, 14, 19}, {31, 30, 16, 15}, {1, 2, 3, 4, 5, 6}, {7, 8, 9,
         3, 2, 10}, {14, 15, 16, 17, 18, 19}, {12, 20, 19, 18, 5, 4}, {25, 26,
         20, 12, 9, 8}, {29, 30, 31, 32, 7, 10}, {32, 31, 15, 14, 26, 25}, {
        30, 29, 1, 6, 17, 16}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.015625000000000003`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.4687500000000001, 0., 0.}, {0.4687500000000001, 
      0., 0.}}}, 0.0012500000000000002`]], 
     Arrow3DBox[TubeBox[{{{0., -0.39062500000000067`, 0.}, {0., 
      0.39062500000000067`, 0.}}}, 0.0012500000000000002`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.375}, {0., 0., 0.375}}}, 
      0.0012500000000000002`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.5015625000000001, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.4179687500000007, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.40125}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0., 0.25}}}, 
       0.0012500000000000002`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., -0.3333333333333333, 0.25}}}, 
       0.0012500000000000002`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, -0.3333333333333333, 0.}}}, 
       0.0012500000000000002`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.535, 0., 0.2675}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0., -0.3566666666666667, 0.2675}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.535, -0.3566666666666667, 0.}]}, 
    {PointSize[0.005000000000000001], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[1, 4], 0, Rational[1, 8]}, {0.25, 0, 0.125}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{0, Rational[-1, 6], Rational[1, 8]}, {
         0, -0.16666666666666666`, 0.125}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[-1, 6], 0}, {
         0.25, -0.16666666666666666`, 0}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, 0, Rational[1, 4]}, {0, 0, 0.25}]], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], 0, Rational[1, 8]}, {0.25, 0, 0.125}]], 
       Text3DBox[
        StyleBox["\<\"R\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0., 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, Rational[1, 6], Rational[1, 8]}, {
         0, 0.16666666666666666`, 0.125}]], Text3DBox[
        StyleBox["\<\"S\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.19166666666666665`, 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 6], 0}, {
         0.25, 0.16666666666666666`, 0}]], Text3DBox[
        StyleBox["\<\"T\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 6], Rational[1, 8]}, {0.25, 
         0.16666666666666666`, 0.125}]], Text3DBox[
        StyleBox["\<\"W\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.14375}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, 0, Rational[1, 4]}}, {{0, 0, 0}, {
          0, 0, 0.25}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 4]}, {0.1875, 0., 0.25}}, {{0, 0, 0.25}, {
          0.1875, 0., 0.25}}]], Text3DBox[
        StyleBox["\<\"F\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.10781249999999999`, 0., 0.2875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 6], 0}, {
          Rational[1, 4], Rational[1, 6], Rational[1, 8]}}, {{
          0.25, 0.16666666666666666`, 0}, {0.25, 0.16666666666666666`, 
          0.125}}]], Text3DBox[
        StyleBox["\<\"P\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0.3125, 0, 0}}], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.1796875, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 6], Rational[1, 8]}, {
          Rational[1, 4], Rational[1, 6], Rational[1, 8]}}, {{
          0, 0.16666666666666666`, 0.125}, {0.25, 0.16666666666666666`, 
          0.125}}]], Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.19166666666666665`, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0, 0.26041666666666663`, 0}}], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.1497395833333333, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 4]}, {0., 0.07291666666666669, 0.25}}, {{
          0, 0, 0.25}, {0., 0.07291666666666669, 0.25}}]], Text3DBox[
        StyleBox["\<\"U\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.041927083333333344`, 0.2875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, Rational[1, 8]}, {
          Rational[1, 4], Rational[1, 6], Rational[1, 8]}}, {{
          0.25, 0, 0.125}, {0.25, 0.16666666666666666`, 0.125}}]], Text3DBox[
        StyleBox["\<\"Q\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.09583333333333333, 0.14375}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.37500000000000006`]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472469593134`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"27cfb7c5-94b6-4c5d-b9a6-784bed3b95ae"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthFace(a)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472469652996`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"455e68fb-a701-405b-96ed-\
add7506c4f70"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472470480824`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"7559b71a-358f-4c78-a549-\
fb5c5af8a4dd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"G(XG)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"H(YH)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C(YC)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A(ZA)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]Y)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(XD)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"B(ZB)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472470550575`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"447961d7-8b6a-4f29-8908-\
ce4c2d95a7c8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"G\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XG\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", "u", ",", 
     FractionBox["1", "2"]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1320861678004535`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "G", "(", "XG", "): ", {Rational[1, 2] + SpaceGroupIrep`u, SpaceGroupIrep`u, 
    Rational[1, 2]}, ", u range is [0,", 0.1320861678004535, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472470600443`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"4d942d70-2523-42bb-b3ea-\
09e1b406ec2a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"H\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"YH\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", 
     RowBox[{"-", 
      FractionBox["1", "2"]}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3679138321995465`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "H", "(", "YH", "): ", {
   SpaceGroupIrep`u, Rational[-1, 2] + SpaceGroupIrep`u, 
    Rational[-1, 2]}, ", u range is [0,", 0.3679138321995465, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247062039*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"fbdbe055-8229-439f-ab4a-\
dad36f086711"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"C\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"YC\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{"-", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.20695153061224492`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["C", "(", "YC", "): ", {SpaceGroupIrep`u, 
    Rational[-1, 2], Rational[-1, 2] + SpaceGroupIrep`u}, ", u range is [0,", 
   0.20695153061224492`, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247063036*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"70e85347-b3d8-4adc-8f94-\
e826e6cb88f4"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"A\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"ZA\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     FractionBox["1", "2"], ",", "u"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.2930484693877551`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["A", "(", "ZA", "): ", {Rational[1, 2] + SpaceGroupIrep`u, 
    Rational[1, 2], SpaceGroupIrep`u}, ", u range is [0,", 0.2930484693877551,
    "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247065031*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"942b7fcc-9efb-4050-aac7-\
2126a338dd42"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"D\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XD\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     RowBox[{"-", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.10112847222222227`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["D", "(", "XD", "): ", {
    Rational[1, 2], -SpaceGroupIrep`u, Rational[1, 2] - SpaceGroupIrep`u}, 
   ", u range is [0,", 0.10112847222222227`, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247067025*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"328faa79-267e-4c31-afec-\
c903ebc2d86d"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"B\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"ZB\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}], ",", 
     RowBox[{"-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3988715277777777`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["B", "(", "ZB", "): ", {
    Rational[1, 2], Rational[1, 2] - SpaceGroupIrep`u, -SpaceGroupIrep`u}, 
   ", u range is [0,", 0.3988715277777777, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472470690203`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"c54953e3-0d28-4700-b69a-\
04a74ea3727d"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxtVEtoU0EUfVFw4QcUKeJKWwoVG10YoaUOefUXrasiiSZdKmlWWgWLHyym
LkQUpI01KBWJVCRUCzGBGNsxk8SYRNvY2FqzKC5UIgoVtQiKi8Y0c2fMHTPw
eLz7ztx77rlnpvZI10HnEk3T9pWepaXHVl4zulZefpo4f67G9DnARDzl8Dod
3hH+352lGB+h7Ryvi/jqjjKe8f8Zyt8e2l/f5qlvm9Jz8V3dn66mYf9N+iRo
HA8as/Cd01tuRaaeGl7oW10PH9yxRKmI47oBulGpe7uSpzZNT6+Zz8/547oH
6oo4fz8mBV6Xifz8HSaAZ4YE5+nFediH8LHZcCFFD0HdlajfcRnn3zHaCjz3
Q1/rmhudM1eSal9sO+I/Sjt5XYb5R+n3L7YJ3+644Kkv5zyhfpx8BT2L5TXJ
7Lwu/E9SERd1hwur5obup+kpmHs38OT4oOAJ+ylZEUK6sQMo/2sFP0He4/lK
nsuUPHVGqyt6Jib1b4C+erEOYr/wIZt0VOr/XMaTzxbXNLVAXxbgWWdrDJ21
/uNpRvzjci7gs/98sgfpE1PwAySm+FnkEfxr0bwCxAA6iLl0ofx9cl7YVwN0
GPq6pvizp9j0rt2cpCdQHnmOmHUxTU2GvFXm8nPkl3byclr66gc/p6xHOUfR
4uDxTRtS8h6IId9mlPshTCPA82LVOaaA15jUZzPoc13pi+Necrw7JPELcJ+I
uU8gPySkH8S8jPjeYAV7Jf8AQXj3G3F+Yf89qU8e6l6oes/koK9XEv8H9LRX
Pdd9uG5pXg0Kzwz0NWjass3VkaTquRjydZp3ZoV/I1IfLVF530bIR8XPLcj/
UeE3HfMJ02bgoyN8WPr/20L+0l5TP0ko/vfP7/h9d+yG1GEWdDuq6NC69vBo
k69Xzms9+Mpe/n5E/gJlYae9
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{1, 2, 3, 4}, {23, 24, 21, 20}, {33, 11, 7, 6}, {29, 28, 
        13, 12}, {30, 53, 17, 22}, {5, 10, 19, 18}, {5, 6, 7, 3, 2, 10}, {11, 
        12, 13, 4, 3, 7}, {17, 18, 19, 20, 21, 22}, {24, 28, 29, 30, 22, 
        21}, {28, 24, 23, 1, 4, 13}, {23, 20, 19, 10, 2, 1}, {53, 30, 29, 12, 
        11, 33}, {53, 33, 6, 5, 18, 17}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.01666666666666667], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.5, 0., 0.}, {0.5, 0., 0.}}}, 
      0.0013333333333333335`]], 
     Arrow3DBox[TubeBox[{{{0., -0.42857142857142855`, 0.}, {0., 
      0.42857142857142855`, 0.}}}, 0.0013333333333333335`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.375}, {0., 0., 0.375}}}, 
      0.0013333333333333335`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.535, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.4585714285714286, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.40125}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.3333333333333333, 
       0.2857142857142857, 0.25}}}, 0.0013333333333333335`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 
       0.}, {-0.3333333333333333, -0.2857142857142857, 0.25}}}, 
       0.0013333333333333335`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {
       0.3333333333333333, -0.2857142857142857, -0.25}}}, 
       0.0013333333333333335`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.3566666666666667, 0.3057142857142857,
       0.2675}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[
        0, 1, 0]], {-0.3566666666666667, -0.3057142857142857, 0.2675}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {
      0.3566666666666667, -0.3057142857142857, -0.2675}]}, 
    {PointSize[0.005333333333333334], {
      {RGBColor[1, 0, 0], 
       Point3DBox[{0.16666666666666666`, 0.14285714285714285`, 0.125}]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[{-0.16666666666666666`, -0.14285714285714285`, 0.125}]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[{0.16666666666666666`, -0.14285714285714285`, -0.125}]}}, {
      {PointSize[Large], Point3DBox[{0., 0., 0.}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], Point3DBox[{0., 0.2857142857142857, 0.}], Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.3285714285714285, 0.}]}, 
      {PointSize[Large], Point3DBox[{0.3333333333333333, 0., 0.}], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0., 0.}]}, 
      {PointSize[Large], Point3DBox[{0., 0., 0.25}], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[{0.16666666666666666`, 0.14285714285714285`, 0.125}], 
       Text3DBox[
        StyleBox["\<\"L\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.16428571428571426`, 
        0.14375}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0., 0., 0.}, {0., 0., 0.25}}], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0.3333333333333333, 0., 0.}, {0.33333333333333326`, 0., 
        0.06604308390022674}}], Text3DBox[
        StyleBox["\<\"G\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333332, 0., 0.03797477324263038}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0., 0.2857142857142857, 0.}, {0., 0.2857142857142857, 
        0.18395691609977324`}}], Text3DBox[
        StyleBox["\<\"H\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.3285714285714285, 0.10577522675736961`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0., 0., 0.}, {0.3333333333333333, 0., 0.}}], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0., 0.2857142857142857, 0.}, {0.13796768707482993`, 
        0.2857142857142857, 0.}}], Text3DBox[
        StyleBox["\<\"C\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.0793314200680272, 0.3285714285714285, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0., 0., 0.25}, {0.19536564625850336`, 0., 0.25}}], 
       Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.11233524659863943`, 0., 0.2875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0., 0., 0.}, {0., 0.2857142857142857, 0.}}], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.16428571428571426`, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0.3333333333333333, 0., 0.}, {0.3333333333333333, 
        0.05778769841269843, 0.}}], Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0.033227926587301594`, 
        0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0., 0., 0.25}, {0., 0.22792658730158724`, 0.25}}], 
       Text3DBox[
        StyleBox["\<\"B\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.13105778769841264`, 0.2875}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.4]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472471039267`*^9},
 CellLabel->"Out[36]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"6d0c9114-1091-4bb3-8f18-783cdba329f5"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthFace(b)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472471109085`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"fcf69077-e7d4-4a27-8296-\
2c8cfa0f6c60"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247196862*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"a5613081-7a7f-4067-801c-\
87a4f68c32ee"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]\[CapitalLambda])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"G(XG)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"H(YH)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Q(ZQ)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C(YZ)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]Y)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(XZ)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.82774724720185*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"5be43830-f46b-454e-b5fb-\
eb26ae31468a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalLambda]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalLambda]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", "u", ",", "0"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.4236111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalLambda]", "(", "\[CapitalGamma]\[CapitalLambda]", "): ", {
   SpaceGroupIrep`u, SpaceGroupIrep`u, 0}, ", u range is [0,", 
   0.4236111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472472048407`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"c5ce3175-7ffb-445d-891e-\
1553f6178746"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"G\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XG\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", "u", ",", 
     FractionBox["1", "2"]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.2013888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "G", "(", "XG", "): ", {Rational[1, 2] + SpaceGroupIrep`u, SpaceGroupIrep`u, 
    Rational[1, 2]}, ", u range is [0,", 0.2013888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247207833*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"e6a59e33-4e36-4812-af40-\
07dc0c50f5d9"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"H\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"YH\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", 
     RowBox[{"-", 
      FractionBox["1", "2"]}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.2986111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "H", "(", "YH", "): ", {
   SpaceGroupIrep`u, Rational[-1, 2] + SpaceGroupIrep`u, 
    Rational[-1, 2]}, ", u range is [0,", 0.2986111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472472098284`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"e2aee671-11d6-4da1-9651-\
d6e8a43a6141"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Q\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"ZQ\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", "0"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.0763888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "Q", "(", "ZQ", "): ", {
   Rational[1, 2] + SpaceGroupIrep`u, Rational[-1, 2] + SpaceGroupIrep`u, 0}, 
   ", u range is [0,", 0.0763888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247211823*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"b99d1bef-608d-452b-b092-\
0f6e9b011fac"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxtkrFKA0EQhtcELOzsD8HKxkLE4oSFeQRBTktRwVojWNjGwkaOgGKrnQoi
ildEWNkzEi96ZzQmV9mIPoSNGJOb2YU5s7As++/wzb8zM766Pr9WEEJM9Hax
txeylWqRrVcYm/W/XP8a8voU6prrNek7UcmJHq1ewHg9kos3+oc7iB/LMnKA
8ik69UOp/9A2HPOuqy7jW32a/OM9kUZ/Qw4Y33iGCvV38JifUO4yP3eWkxIn
lxcucn5+u/31Ag6vJ8VX1QHxuX6pPKon3s9NHSBl/s2/AtUk/4uMEyrqCzgr
Nyejh88UX7fxxJVDufp4/F9qj9UhIT9CNJCjebwQS8x/YvsYUR/x3lKUF5KB
/Q3kMuM0VVbO7pV8oryot219YsY//Ve3ye+Z2uacmatj2WCcliqSzzr3Q+/K
znl5K9g++uxYfsLydiw/Jj7n3MsK+1dFDu9s/KRnt7LJ5nDfzBuYvvwBddA/
mg==
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{11, 6, 5, 10}, {18, 11, 16, 15}, {11, 10, 9, 16}, {24, 
        17, 8, 7}, {27, 14, 17, 24}, {24, 7, 4, 3}, {27, 24, 3, 2}, {11, 18, 
        1, 6}, {1, 2, 3, 4, 5, 6}, {7, 8, 9, 10, 5, 4}, {14, 15, 16, 9, 8, 
        17}, {27, 2, 1, 18, 15, 14}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.021180555555555577`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.5, 0., 0.}, {0.5, 0., 0.}}}, 
      0.001694444444444446]], 
     Arrow3DBox[TubeBox[{{{0., -0.37500000000000017`, 0.}, {0., 
      0.37500000000000017`, 0.}}}, 0.001694444444444446]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.6354166666666672}, {0., 0., 
      0.6354166666666672}}}, 0.001694444444444446]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.535, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.4012500000000002, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.6798958333333339}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.3333333333333333, 0.25, 0.5}}}, 
       0.001694444444444446]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {-0.3333333333333333, -0.25, 0.5}}}, 
       0.001694444444444446]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.3333333333333333, -0.25, -0.5}}}, 
       0.001694444444444446]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.3566666666666667, 0.2675, 0.535}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {-0.3566666666666667, -0.2675, 0.535}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.3566666666666667, -0.2675, -0.535}]}, 
    {PointSize[0.006777777777777784], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 8], Rational[1, 4]}, {
         0.16666666666666666`, 0.125, 0.25}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[-1, 6], Rational[-1, 8], Rational[
          1, 4]}, {-0.16666666666666666`, -0.125, 0.25}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[-1, 8], Rational[-1, 4]}, {
         0.16666666666666666`, -0.125, -0.25}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, Rational[1, 4], 0}, {0, 0.25, 0}]], Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{Rational[1, 3], 0, 0}, {0.3333333333333333, 0, 0}]],
        Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 3], Rational[1, 4], 0}, {
         0.3333333333333333, 0.25, 0}]], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0.2875, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 8], Rational[1, 4]}, {
         0.16666666666666666`, 0.125, 0.25}]], Text3DBox[
        StyleBox["\<\"L\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.14375, 0.2875}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0, 0, 0.4236111111111111}}], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.24357638888888886`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 3], 0, 0}, {0.3333333333333333, 0., 
          0.20138888888888887`}}, {{0.3333333333333333, 0, 0}, {
          0.3333333333333333, 0., 0.20138888888888887`}}]], Text3DBox[
        StyleBox["\<\"G\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0., 0.11579861111111109`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], 0}, {0., 0.25, 0.2986111111111111}}, {{
          0, 0.25, 0}, {0., 0.25, 0.2986111111111111}}]], Text3DBox[
        StyleBox["\<\"H\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.17170138888888886`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 3], Rational[1, 4], 0}, {0.33333333333333326`, 
          0.25, 0.07638888888888887}}, {{0.3333333333333333, 0.25, 0}, {
          0.33333333333333326`, 0.25, 0.07638888888888887}}]], Text3DBox[
        StyleBox["\<\"Q\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333332, 0.2875, 
        0.043923611111111094`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 3], 0, 0}}, {{0, 0, 0}, {
          0.3333333333333333, 0, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], 0}, {
          Rational[1, 3], Rational[1, 4], 0}}, {{0, 0.25, 0}, {
          0.3333333333333333, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"C\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.2875, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, Rational[1, 4], 0}}, {{0, 0, 0}, {
          0, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.14375, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 3], 0, 0}, {
          Rational[1, 3], Rational[1, 4], 0}}, {{0.3333333333333333, 0, 0}, {
          0.3333333333333333, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0.14375, 0.}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.5083333333333337]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472472457323`*^9},
 CellLabel->"Out[37]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"7d85ee99-4dac-4ccc-ba23-12ee49c826a6"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthFace(c)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472472517157`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"82f6379f-6540-4473-9800-\
3823107fb3c4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247339523*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"458df6ec-ef09-4d00-a694-\
bddb9e54167b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"G(XY)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A(ZY)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]\[CapitalDelta])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(XD)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"B(ZB)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R(YR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247344467*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"4d6954cd-00d2-475a-a396-\
20443a86f6ac"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalDelta]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalDelta]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "u"}], ",", 
     RowBox[{"-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.4236111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalDelta]", "(", "\[CapitalGamma]\[CapitalDelta]", "): ", {
   0, -SpaceGroupIrep`u, -SpaceGroupIrep`u}, ", u range is [0,", 
   0.4236111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.82774724734746*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"08f25e46-1278-4eaf-b531-\
ff439333af98"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"D\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XD\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     RowBox[{"-", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.2986111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["D", "(", "XD", "): ", {
    Rational[1, 2], -SpaceGroupIrep`u, Rational[1, 2] - SpaceGroupIrep`u}, 
   ", u range is [0,", 0.2986111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247349456*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"aa6a790d-72e3-40b5-adf2-\
2c43374131f0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"B\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"ZB\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}], ",", 
     RowBox[{"-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.2013888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["B", "(", "ZB", "): ", {
    Rational[1, 2], Rational[1, 2] - SpaceGroupIrep`u, -SpaceGroupIrep`u}, 
   ", u range is [0,", 0.2013888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472473514504`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"7a91304c-88ae-48f5-aabb-\
6f3a47107553"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"R\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"YR\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.0763888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "R", "(", "YR", "): ", {
   1, Rational[1, 2] - SpaceGroupIrep`u, Rational[1, 2] - SpaceGroupIrep`u}, 
   ", u range is [0,", 0.0763888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247353444*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"48035c79-45e0-4c4e-9993-\
f0f04d2ab8da"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxTTMoPSmViYGBQBWJmBhi4YP/Bou+xRd9m+1AwuLofJn6qUOZ4ocxlewh/
hQ1MnMUSoj4Mot4eJn4GYs5+dPFjEHOg5h7YAxP/ClUfgmxvw10bD5Dy4yf3
o7tnH4o5G6DmnLDZBRa/vZ+hSipx5/JEm/8gUH/GJhnVHKh7jtrsg6rPBykX
XGbDBDX/EIr5DAyMEPH9a1HEL0HD4aDNXpi9EIfbgHzzeMcBmwSovbBwgJq/
fw3W8NmypwWi3h7VnRf2S1iixAtUfI9NIlZ/Xdh/CyW+4OG8P8QSa/zuD4C6
B1X89p7LEH/ZfwMH5E4bmHkwd4agxe8JVHsh6htu7ulA9RfU/Jt7rkDNFwHz
d9jAxLuwqn+AkR5g8XIDxd4dUP9ehbsfwl9jc+lZbZd321Uc7kEPt0N7DKqr
biQIHNhzCsWcDbB0sn8JND0ogPlLbAoSN+jFH7tv443mTsG/TpIFD+/bbEJJ
JwwMAL8gNxY=
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{7, 6, 5, 9}, {10, 9, 5, 4}, {13, 9, 10, 16}, {23, 17, 3, 
        2}, {26, 23, 2, 1}, {21, 20, 23, 26}, {20, 18, 17, 23}, {13, 22, 7, 
        9}, {1, 2, 3, 4, 5, 6}, {17, 18, 16, 10, 4, 3}, {13, 16, 18, 20, 21, 
        22}, {22, 21, 26, 1, 6, 7}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.021180555555555564`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.37500000000000017`, 0., 0.}, {
      0.37500000000000017`, 0., 0.}}}, 0.0016944444444444448`]], 
     Arrow3DBox[TubeBox[{{{0., -0.6354166666666669, 0.}, {0., 
      0.6354166666666669, 0.}}}, 0.0016944444444444448`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.5}, {0., 0., 0.5}}}, 
      0.0016944444444444448`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.4012500000000002, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.6798958333333336, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.535}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.25, 0.5, 0.3333333333333333}}}, 
       0.0016944444444444448`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {-0.25, -0.5, 0.3333333333333333}}}, 
       0.0016944444444444448`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.25, -0.5, -0.3333333333333333}}}, 
       0.0016944444444444448`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.2675, 0.535, 0.3566666666666667}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {-0.2675, -0.535, 0.3566666666666667}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.2675, -0.535, -0.3566666666666667}]}, 
    {PointSize[0.006777777777777779], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[1, 8], Rational[1, 4], Rational[1, 6]}, {0.125, 0.25,
          0.16666666666666666`}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[-1, 8], Rational[-1, 4], Rational[
          1, 6]}, {-0.125, -0.25, 0.16666666666666666`}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 8], Rational[-1, 4], Rational[-1, 6]}, {
         0.125, -0.25, -0.16666666666666666`}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], 0, Rational[1, 3]}, {
         0.25, 0, 0.3333333333333333}]], Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0., 0.3833333333333333}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{Rational[1, 4], 0, 0}, {0.25, 0, 0}]], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, 0, Rational[1, 3]}, {0, 0, 0.3333333333333333}]],
        Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.3833333333333333}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 8], Rational[1, 4], Rational[1, 6]}, {0.125, 0.25,
          0.16666666666666666`}]], Text3DBox[
        StyleBox["\<\"L\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.2875, 0.19166666666666665`}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, 0, Rational[1, 3]}}, {{0, 0, 0}, {
          0, 0, 0.3333333333333333}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.19166666666666665`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, 0}, {
          Rational[1, 4], 0, Rational[1, 3]}}, {{0.25, 0, 0}, {
          0.25, 0, 0.3333333333333333}}]], Text3DBox[
        StyleBox["\<\"G\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0., 0.19166666666666665`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 4], 0, 0}}, {{0, 0, 0}, {
          0.25, 0, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 3]}, {
          Rational[1, 4], 0, Rational[1, 3]}}, {{0, 0, 0.3333333333333333}, {
          0.25, 0, 0.3333333333333333}}]], Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0., 0.3833333333333333}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0, 0.4236111111111111, 0}}], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.24357638888888886`, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, 0}, {0.25, 0.2986111111111111, 0.}}, {{
          0.25, 0, 0}, {0.25, 0.2986111111111111, 0.}}]], Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.17170138888888886`, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 3]}, {0., 0.2013888888888889, 
          0.33333333333333337`}}, {{0, 0, 0.3333333333333333}, {0., 
          0.2013888888888889, 0.33333333333333337`}}]], Text3DBox[
        StyleBox["\<\"B\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.1157986111111111, 0.38333333333333336`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, Rational[1, 3]}, {0.25, 
          0.0763888888888889, 0.33333333333333326`}}, {{
          0.25, 0, 0.3333333333333333}, {0.25, 0.0763888888888889, 
          0.33333333333333326`}}]], Text3DBox[
        StyleBox["\<\"R\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.043923611111111115`, 
        0.3833333333333332}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.5083333333333334]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472473893485`*^9},
 CellLabel->"Out[38]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"f551cdb9-e399-4d31-b341-e7a97880c798"],

Cell[CellGroupData[{

Cell[BoxData["\<\"OrthFace(d)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472473953314`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"02d13768-4bf2-41db-a21d-\
0bf84efb6385"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472474811034`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"acff7510-e128-48b3-aedc-\
732bca4b6906"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"H(YX)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]\[CapitalSigma])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C(YC)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A(ZA)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"U(XU)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", "0", ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]Y)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"B(ZX)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472474870863`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"6880b192-0259-4a9d-a193-\
15e108e0278c"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalSigma]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalSigma]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", "0", ",", "u"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.4236111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalSigma]", "(", "\[CapitalGamma]\[CapitalSigma]", "): ", {
   SpaceGroupIrep`u, 0, SpaceGroupIrep`u}, ", u range is [0,", 
   0.4236111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247492072*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"9424ee79-2f18-4189-8e4a-\
8e569ea07782"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"C\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"YC\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", 
     RowBox[{"-", 
      FractionBox["1", "2"]}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.2013888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["C", "(", "YC", "): ", {SpaceGroupIrep`u, 
    Rational[-1, 2], Rational[-1, 2] + SpaceGroupIrep`u}, ", u range is [0,", 
   0.2013888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472474930696`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"18876685-23fa-4c2a-9340-\
ec3ca5c4c71f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"A\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"ZA\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     FractionBox["1", "2"], ",", "u"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.2986111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["A", "(", "ZA", "): ", {Rational[1, 2] + SpaceGroupIrep`u, 
    Rational[1, 2], SpaceGroupIrep`u}, ", u range is [0,", 0.2986111111111111,
    "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247495065*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"3df33cba-c0ed-46ee-96d7-\
a81dcd3a29a8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"U\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XU\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", "0", ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.0763888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "U", "(", "XU", "): ", {
   Rational[1, 2] + SpaceGroupIrep`u, 0, Rational[-1, 2] + SpaceGroupIrep`u}, 
   ", u range is [0,", 0.0763888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.82774724749706*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"08022b34-7754-4bd8-9671-\
88c14d8ccecc"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJx1kr9KA0EQxtdo4UOk0EqwsU2xsBZWdv47ooVCwE6QgKXFPUGwEe1sQ7A4
MEU4J65KNMkajJdEEVL6Aipi7WV3dmGWc2E57rvvfvvNzM6XDtf3c4yxhXRP
p7uUb5fz7a7c0utVMr0SflGofBQqV57+Ir+MLnz9wHA8/RbA8+eMX3x6fKur
8gQ0Fub/E778+xPdzR3DEfI3CT+CjvYPhX1HjmyhXtT+M8CcokP4jIXDb7Wz
dApg/MhtcFvXI80prP5G63K6Inmq9lxZpPnx+whsnlnij6CLnMtauhZjV9ca
nRdyehBm5xRhdk4R0HkZPXyHBp47Oba2mri+XZO+jVzOFeQEyNnVzybEpA99
x4lJn5//0QcwhbqZ4xj1GOfS43uZ97bPH4gf0K841itp/wfQJOfeuLnfE04d
ZvTzHFrEX3fzxfsvA5KnCja/qecJ/cq7b8r1YRs5GyRnAn94DD4g
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{7, 4, 3, 9}, {10, 5, 4, 7}, {16, 7, 9, 14}, {21, 10, 7, 
        16}, {27, 29, 1, 6}, {29, 19, 13, 12}, {29, 12, 2, 1}, {29, 27, 20, 
        19}, {1, 2, 3, 4, 5, 6}, {12, 13, 14, 9, 3, 2}, {19, 20, 21, 16, 14, 
        13}, {10, 21, 20, 27, 6, 5}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.02118055555555556], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.6354166666666667, 0., 0.}, {0.6354166666666667, 
      0., 0.}}}, 0.0016944444444444446`]], 
     Arrow3DBox[TubeBox[{{{0., -0.5, 0.}, {0., 0.5, 0.}}}, 
      0.0016944444444444446`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.37500000000000017`}, {0., 0., 
      0.37500000000000017`}}}, 0.0016944444444444446`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.6798958333333335, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.535, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.4012500000000002}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0.3333333333333333, 0.25}}}, 
       0.0016944444444444446`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {-0.5, -0.3333333333333333, 0.25}}}, 
       0.0016944444444444446`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, -0.3333333333333333, -0.25}}}, 
       0.0016944444444444446`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.535, 0.3566666666666667, 0.2675}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {-0.535, -0.3566666666666667, 0.2675}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.535, -0.3566666666666667, -0.2675}]}, 
    {PointSize[0.006777777777777778], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 6], Rational[1, 8]}, {0.25, 
         0.16666666666666666`, 0.125}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[-1, 4], Rational[-1, 6], Rational[
          1, 8]}, {-0.25, -0.16666666666666666`, 0.125}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[-1, 6], Rational[-1, 8]}, {
         0.25, -0.16666666666666666`, -0.125}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, Rational[1, 3], 0}, {0, 0.3333333333333333, 0}]],
        Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.3833333333333333, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, Rational[1, 3], Rational[1, 4]}, {
         0, 0.3333333333333333, 0.25}]], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.3833333333333333, 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, 0, Rational[1, 4]}, {0, 0, 0.25}]], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 6], Rational[1, 8]}, {0.25, 
         0.16666666666666666`, 0.125}]], Text3DBox[
        StyleBox["\<\"L\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.19166666666666665`, 0.14375}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, 0, Rational[1, 4]}}, {{0, 0, 0}, {
          0, 0, 0.25}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 3], 0}, {
          0, Rational[1, 3], Rational[1, 4]}}, {{0, 0.3333333333333333, 0}, {
          0, 0.3333333333333333, 0.25}}]], Text3DBox[
        StyleBox["\<\"H\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.3833333333333333, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0.4236111111111111, 0, 0}}], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.24357638888888886`, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 3], 0}, {0.2013888888888889, 
          0.33333333333333337`, 0.}}, {{0, 0.3333333333333333, 0}, {
          0.2013888888888889, 0.33333333333333337`, 0.}}]], Text3DBox[
        StyleBox["\<\"C\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.1157986111111111, 0.38333333333333336`, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 4]}, {0.29861111111111116`, 0., 0.25}}, {{
          0, 0, 0.25}, {0.29861111111111116`, 0., 0.25}}]], Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.17170138888888892`, 0., 0.2875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 3], Rational[1, 4]}, {0.07638888888888887, 
          0.33333333333333326`, 0.25}}, {{0, 0.3333333333333333, 0.25}, {
          0.07638888888888887, 0.33333333333333326`, 0.25}}]], Text3DBox[
        StyleBox["\<\"U\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.043923611111111094`, 0.3833333333333332, 
        0.2875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, Rational[1, 3], 0}}, {{0, 0, 0}, {
          0, 0.3333333333333333, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.19166666666666665`, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 4]}, {
          0, Rational[1, 3], Rational[1, 4]}}, {{0, 0, 0.25}, {
          0, 0.3333333333333333, 0.25}}]], Text3DBox[
        StyleBox["\<\"B\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.19166666666666665`, 0.2875}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.5083333333333334]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.827747247532963*^9},
 CellLabel->"Out[39]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"748017db-dfd6-45c3-9044-96950e6ecb7d"],

Cell[CellGroupData[{

Cell[BoxData["\<\"TetrPrim\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247539946*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"b4628b76-f2b5-4daa-9e52-\
1d4df8f347cf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"M\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472476167393`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"33b29945-723a-40ae-94fe-\
d28f8949175e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"U(ZR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"V(MA)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]M)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S(ZA)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y(XM)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T(RA)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"W(XR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472476217155`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"b8ef918a-6442-48ad-bb75-\
c67d55e5eb20"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{
   GraphicsComplex3DBox[{{0.25, -0.25000000000000006`, -0.1666666666666667}, {
    0.25, 0.24999999999999967`, -0.16666666666666669`}, {0.25, 
    0.24999999999999964`, 0.16666666666666718`}, {0.25, -0.25, 
    0.16666666666666702`}, {-0.24999999999999997`, 0.25, 
    0.16666666666666674`}, {-0.24999999999999933`, 
    0.25, -0.16666666666666655`}, {-0.24999999999999914`, \
-0.24999999999999992`, -0.16666666666666666`}, {-0.25000000000000006`, -0.25, 
    0.16666666666666666`}}, 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{1, 2, 3, 4}, {5, 3, 2, 6}, {7, 6, 2, 1}, {8, 4, 3, 5}, {
       8, 7, 1, 4}, {8, 5, 6, 7}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.0125], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.375, 0., 0.}, {0.375, 0., 0.}}}, 0.001]], 
     Arrow3DBox[TubeBox[{{{0., -0.375, 0.}, {0., 0.375, 0.}}}, 0.001]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.25000000000000044`}, {0., 0., 
      0.25000000000000044`}}}, 0.001]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.40125, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.40125, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.2675000000000005}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0., 0.}}}, 0.001]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0.5, 0.}}}, 0.001]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0., 0.3333333333333333}}}, 
       0.001]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.535, 0., 0.}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0., 0.535, 0.}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0., 0., 0.3566666666666667}]}, 
    {PointSize[0.004], {
      {RGBColor[1, 0, 0], 
       Point3DBox[NCache[{Rational[1, 4], 0, 0}, {0.25, 0, 0}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[NCache[{0, Rational[1, 4], 0}, {0, 0.25, 0}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{0, 0, Rational[1, 6]}, {0, 0, 0.16666666666666666`}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], 0}, {0.25, 0.25, 0}]], 
       Text3DBox[
        StyleBox["\<\"M\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, 0, Rational[1, 6]}, {0, 0, 0.16666666666666666`}]], 
       Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.19166666666666665`}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], Rational[1, 6]}, {0.25, 0.25, 
         0.16666666666666666`}]], Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.19166666666666665`}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, Rational[1, 4], Rational[1, 6]}, {
         0, 0.25, 0.16666666666666666`}]], Text3DBox[
        StyleBox["\<\"R\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.19166666666666665`}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, Rational[1, 4], 0}, {0, 0.25, 0}]], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, Rational[1, 4], 0}}, {{0, 0, 0}, {
          0, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.14375, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 6]}, {
          0, Rational[1, 4], Rational[1, 6]}}, {{
          0, 0, 0.16666666666666666`}, {0, 0.25, 0.16666666666666666`}}]], 
       Text3DBox[
        StyleBox["\<\"U\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.14375, 0.19166666666666665`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, 0, Rational[1, 6]}}, {{0, 0, 0}, {
          0, 0, 0.16666666666666666`}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.09583333333333333}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 4], 0}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 6]}}, {{
          0.25, 0.25, 0}, {0.25, 0.25, 0.16666666666666666`}}]], Text3DBox[
        StyleBox["\<\"V\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.09583333333333333}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 4], Rational[1, 4], 0}}, {{0, 0, 0}, {
          0.25, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.14375, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 6]}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 6]}}, {{
          0, 0, 0.16666666666666666`}, {0.25, 0.25, 0.16666666666666666`}}]], 
       Text3DBox[
        StyleBox["\<\"S\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.14375, 0.19166666666666665`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], 0}, {
          Rational[1, 4], Rational[1, 4], 0}}, {{0, 0.25, 0}, {
          0.25, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.2875, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], Rational[1, 6]}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 6]}}, {{
          0, 0.25, 0.16666666666666666`}, {0.25, 0.25, 
          0.16666666666666666`}}]], Text3DBox[
        StyleBox["\<\"T\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.2875, 0.19166666666666665`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], 0}, {
          0, Rational[1, 4], Rational[1, 6]}}, {{0, 0.25, 0}, {
          0, 0.25, 0.16666666666666666`}}]], Text3DBox[
        StyleBox["\<\"W\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.09583333333333333}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.3]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.827747247661236*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"c7c8644e-86df-4ea5-8e4d-70e7ebc0bfda"],

Cell[CellGroupData[{

Cell[BoxData["\<\"TetrBody(a)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.82774724766722*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"b0cb3206-96da-4bef-8db9-\
ccf42af6e825"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"N\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"P\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "4"], ",", 
       FractionBox["1", "4"], ",", 
       FractionBox["1", "4"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472477420197`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"ae797f77-aa9f-462f-9ad4-\
505c9ce4e5a4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]\[CapitalLambda])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"V(ZV)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"W(XP)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "u", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Q(NP)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y(XZ)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472477470064`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"b5c064db-e4a6-42b9-ad19-\
9e261153e908"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalLambda]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalLambda]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", "u", ",", 
     RowBox[{"-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3611111111111111`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalLambda]", "(", "\[CapitalGamma]\[CapitalLambda]", "): ", {
   SpaceGroupIrep`u, SpaceGroupIrep`u, -SpaceGroupIrep`u}, ", u range is [0,",
    0.3611111111111111, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247749998*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"8e91367d-e404-452c-9dec-\
506ad4349fd0"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"V\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"ZV\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1388888888888889`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "V", "(", "ZV", "): ", {
   Rational[-1, 2] + SpaceGroupIrep`u, Rational[1, 2] + SpaceGroupIrep`u, 
    Rational[1, 2] - SpaceGroupIrep`u}, ", u range is [0,", 
   0.1388888888888889, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472477519927`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"0ac73685-8f52-4dd6-9842-\
414c76d1a8b6"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxdkt8rg1EYx0/z849YSi6WK+5cePNGzAWb+TEiiZVEatxIVszvpmS4cOFK
KVPSeyU/Ht6JNUbbUrhwQeRC7YbajRTbe77v5rynTk/ne77nc57nOafY5W7p
NzHGLKmZk5qlzvQIyZM8qt+/6RFT27T1vbzZm9ztTfqkJnN41Bw+z+hMG16p
k+tyEThL4ORr+3H4GMM5NQC/UZ8Bn6uvxGOcHkbTG49yJbgdiGaBr5CRX458
RhB/eF3c730B/4Li4DuEuhjrBqcK592IX+jPe6T5LdK8LjlxblzI32/U5XYD
3yH4FUnv6wT8VtRpw725Qr2vZNqpOP2wxegO+XNdr+uQbriutgr3BjLvWAt+
F2IB5/N8gllOFBy+3iPUpS4YOE7kmfefw/y6X/YI9T6DH6Bb8OvA7dd8qzQP
vxU692/TNPqz/DRwtlhyJDWA74du2h8c/lw5lhqh65x6gaPQlPAPg6THoPDf
7tVre+LSnrginV8Nvc9lGXNZDsgH/ka8p8bjO9HzUdegD5Vtnc6NkZ6Pqgjv
m61rFv5CrLkepRD68weiv2gb
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{7, 8, 5, 4}, {10, 7, 4, 3}, {15, 18, 7, 10}, {20, 13, 2, 
        1}, {22, 20, 1, 6}, {25, 14, 13, 20}, {18, 29, 8, 7}, {28, 25, 20, 
        22}, {1, 2, 3, 4, 5, 6}, {13, 14, 15, 10, 3, 2}, {25, 28, 29, 18, 15, 
        14}, {29, 28, 22, 6, 5, 8}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.018055555555555585`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.4999999999999994, 0., 0.}, {0.4999999999999994, 
      0., 0.}}}, 0.001444444444444447]], 
     Arrow3DBox[TubeBox[{{{0., -0.5, 0.}, {0., 0.5, 0.}}}, 
      0.001444444444444447]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.5416666666666676}, {0., 0., 
      0.5416666666666676}}}, 0.001444444444444447]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.5349999999999994, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.535, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.5795833333333344}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0.3333333333333333, 0.5}}}, 
       0.001444444444444447]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.3333333333333333, 0., 0.5}}}, 
       0.001444444444444447]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.3333333333333333, 
       0.3333333333333333, 0.}}}, 0.001444444444444447]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0., 0.3566666666666667, 0.535}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.3566666666666667, 0., 0.535}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.3566666666666667, 0.3566666666666667,
       0.}]}, 
    {PointSize[0.005777777777777788], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{0, Rational[1, 6], Rational[1, 4]}, {
         0, 0.16666666666666666`, 0.25}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[1, 6], 0, Rational[1, 4]}, {
         0.16666666666666666`, 0, 0.25}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 6], 0}, {
         0.16666666666666666`, 0.16666666666666666`, 0}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 6], 0, Rational[1, 4]}, {
         0.16666666666666666`, 0, 0.25}]], Text3DBox[
        StyleBox["\<\"N\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0., 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 6], 0}, {
         0.16666666666666666`, 0.16666666666666666`, 0}]], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.19166666666666665`, 
        0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{Rational[1, 3], 0, 0}, {0.3333333333333333, 0, 0}]],
        Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 6], Rational[1, 6], Rational[1, 4]}, {
         0.16666666666666666`, 0.16666666666666666`, 0.25}]], Text3DBox[
        StyleBox["\<\"P\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.19166666666666665`, 
        0.2875}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0, 0, 0.3611111111111111}}], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.20763888888888887`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 3], 0, 0}, {0.3333333333333333, 0., 
          0.13888888888888887`}}, {{0.3333333333333333, 0, 0}, {
          0.3333333333333333, 0., 0.13888888888888887`}}]], Text3DBox[
        StyleBox["\<\"V\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3833333333333333, 0., 0.07986111111111109}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 6], Rational[1, 6], 0}, {
          Rational[1, 6], Rational[1, 6], Rational[1, 4]}}, {{
          0.16666666666666666`, 0.16666666666666666`, 0}, {
          0.16666666666666666`, 0.16666666666666666`, 0.25}}]], Text3DBox[
        StyleBox["\<\"W\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.19166666666666665`, 
        0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 3], 0, 0}}, {{0, 0, 0}, {
          0.3333333333333333, 0, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 6], 0, Rational[1, 4]}, {
          Rational[1, 6], Rational[1, 6], Rational[1, 4]}}, {{
          0.16666666666666666`, 0, 0.25}, {0.16666666666666666`, 
          0.16666666666666666`, 0.25}}]], Text3DBox[
        StyleBox["\<\"Q\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.19166666666666665`, 0.09583333333333333, 
        0.2875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 6], Rational[1, 6], 0}}, {{0, 0, 0}, {
          0.16666666666666666`, 0.16666666666666666`, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.09583333333333333, 0.09583333333333333, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 6], Rational[1, 6], 0}, {
          Rational[1, 3], 0, 0}}, {{
          0.16666666666666666`, 0.16666666666666666`, 0}, {
          0.3333333333333333, 0, 0}}]], Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.09583333333333333, 0.}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.43333333333333407`]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.82774724778876*^9},
 CellLabel->"Out[41]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"88928f32-b7e2-47e6-aba2-1e922a15f610"],

Cell[CellGroupData[{

Cell[BoxData["\<\"TetrBody(b)\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247797736*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"48d68062-2ee4-4a7c-a850-\
5dbca3157914"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"N\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"P\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "4"], ",", 
       FractionBox["1", "4"], ",", 
       FractionBox["1", "4"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472478698325`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"989b57ff-e862-4f43-a2a4-\
5ac4ee99b6b3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]Z)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{"-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"W(XP)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]\[CapitalSigma])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "u", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"F(ZF)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Q(NP)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"U(ZU)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Y(XY)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472478738174`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"91970700-39ec-4ec0-9292-\
272cc03c8340"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalSigma]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalSigma]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "u"}], ",", "u", ",", "u"}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.3125`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalSigma]", "(", "\[CapitalGamma]\[CapitalSigma]", 
   "): ", {-SpaceGroupIrep`u, SpaceGroupIrep`u, SpaceGroupIrep`u}, 
   ", u range is [0,", 0.3125, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.82774724787681*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"35b1c978-0974-454f-ac16-\
ab5273f02be8"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"F\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"ZF\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "-", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.1875`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "F", "(", "ZF", "): ", {
   Rational[1, 2] - SpaceGroupIrep`u, Rational[1, 2] + SpaceGroupIrep`u, 
    Rational[-1, 2] + SpaceGroupIrep`u}, ", u range is [0,", 0.1875, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247878804*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"8e0fc1a3-e893-4c50-86d0-\
fb0d5e513e73"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"U\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"ZU\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", "2"], ",", 
     FractionBox["1", "2"], ",", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.375`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["U", "(", "ZU", "): ", {
    Rational[1, 2], 
    Rational[1, 2], Rational[-1, 2] + SpaceGroupIrep`u}, ", u range is [0,", 
   0.375, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472478807993`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"0022b4d3-fa79-4931-9a71-\
aafe3a9393ee"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Y\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XY\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "u"}], ",", "u", ",", 
     FractionBox["1", "2"]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.125`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm["Y", "(", "XY", "): ", {-SpaceGroupIrep`u, SpaceGroupIrep`u, 
    Rational[1, 2]}, ", u range is [0,", 0.125, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472478817973`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"6833486b-efa9-4f46-8958-\
aad427e64841"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxtUj1LA0EU3HwYjYUETSM2GiwUG+0frJ2dhZ2tYG2VzkKIYKudVoKInBDh
RIwfLK6VphA8SH6CvRox5kNz5nbnCXu4cAxvbm5u3ns7tbaxsp4UQsz0n1T/
yYroVOVbGJ1HbUoR6CHwwsFApy1yDbzXGYN1+WN9wHuUBg8/+G/RML7/Nvpn
HRjUuo06tChH4d9APvY7KpZmG6s78K9K5q3/LiE3clVlEvlzTs16n7gvxpT9
L/AvP/QnlIGui7xNm1+OQdcxdQ39XpCbj+fgUxa5UkCFOfTQ72dsL5P/+vtU
gG8X/Px+4bBYOuWcegB4hZzT0LPPgtGfUx7+bcf/mviefCFPAv23UMd53suI
M7dAJtx5Wv/FG2Ke92NjVqiF+fL3Oeylg/8NxvxzTl2XD9292ubZHTWdfHWZ
f11a/ri8pRB9tpx7W1E98BPOvsqK9R1HX1bvsftpeY/Yp+D4eGoOdXzOrB/H
+5en6Bwr9MNzltsH5tAvett/7g==
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{9, 12, 4, 3}, {14, 15, 6, 5}, {10, 2, 1, 18}, {25, 24, 
        26, 30}, {33, 29, 8, 7}, {34, 17, 20, 21}, {1, 2, 3, 4, 5, 6}, {7, 8, 
        9, 3, 2, 10}, {17, 18, 1, 6, 15, 20}, {21, 20, 15, 14, 24, 25}, {12, 
        26, 24, 14, 5, 4}, {29, 30, 26, 12, 9, 8}, {33, 34, 21, 25, 30, 29}, {
        18, 17, 34, 33, 7, 10}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.01562500000000001], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.4687500000000002, 0., 0.}, {0.4687500000000002, 
      0., 0.}}}, 0.0012500000000000007`]], 
     Arrow3DBox[TubeBox[{{{0., -0.46875, 0.}, {0., 0.46875, 0.}}}, 
      0.0012500000000000007`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.37500000000000017`}, {0., 0., 
      0.37500000000000017`}}}, 0.0012500000000000007`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.5015625000000002, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.5015625, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.4012500000000002}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0.5, 0.25}}}, 
       0.0012500000000000007`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0., 0.25}}}, 
       0.0012500000000000007`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0.5, 0.}}}, 
       0.0012500000000000007`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0., 0.535, 0.2675}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.535, 0., 0.2675}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.535, 0.535, 0.}]}, 
    {PointSize[0.005000000000000003], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{0, Rational[1, 4], Rational[1, 8]}, {0, 0.25, 0.125}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[1, 4], 0, Rational[1, 8]}, {0.25, 0, 0.125}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], 0}, {0.25, 0.25, 0}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], 0, Rational[1, 8]}, {0.25, 0, 0.125}]], 
       Text3DBox[
        StyleBox["\<\"N\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0., 0.14375}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], 0}, {0.25, 0.25, 0}]], 
       Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, 0, Rational[1, 4]}, {0, 0, 0.25}]], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], Rational[1, 8]}, {0.25, 0.25, 
         0.125}]], Text3DBox[
        StyleBox["\<\"P\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.14375}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, 0, Rational[1, 4]}}, {{0, 0, 0}, {
          0, 0, 0.25}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 4], 0}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 8]}}, {{
          0.25, 0.25, 0}, {0.25, 0.25, 0.125}}]], Text3DBox[
        StyleBox["\<\"W\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0.3125, 0, 0}}], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.1796875, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 4]}, {0.1875, 0., 0.25}}, {{0, 0, 0.25}, {
          0.1875, 0., 0.25}}]], Text3DBox[
        StyleBox["\<\"F\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.10781249999999999`, 0., 0.2875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], 0, Rational[1, 8]}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 8]}}, {{
          0.25, 0, 0.125}, {0.25, 0.25, 0.125}}]], Text3DBox[
        StyleBox["\<\"Q\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.14375, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 4], Rational[1, 4], 0}}, {{0, 0, 0}, {
          0.25, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.14375, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 4]}, {0.1875, 0.1875, Rational[1, 4]}}, {{
          0, 0, 0.25}, {0.1875, 0.1875, 0.25}}]], Text3DBox[
        StyleBox["\<\"U\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.10781249999999999`, 0.10781249999999999`, 
        0.2875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 4], 0}, {0.3125, 0.1875, 0}}, {{
          0.25, 0.25, 0}, {0.3125, 0.1875, 0}}]], Text3DBox[
        StyleBox["\<\"Y\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.3234375, 0.25156249999999997`, 0.}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.37500000000000017`]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472479213057`*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"573904f6-87c3-4f36-a86d-7e702cc3efd7"],

Cell[CellGroupData[{

Cell[BoxData["\<\"HexaPrim\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747247929308*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"655f0a6f-5d64-47a5-932b-\
30dffcf62ed4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"M\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"A\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"K\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "3"]}], ",", 
       FractionBox["2", "3"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"H\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "3"]}], ",", 
       FractionBox["2", "3"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472480136356`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"f6835b90-bcd9-460e-87b9-\
57dc64144e52"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]A)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"U(ML)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"P(KH)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", "3"]}], ",", 
       FractionBox["2", "3"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T(\[CapitalGamma]K)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", 
       RowBox[{"2", " ", "u"}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S(AH)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", 
       RowBox[{"2", " ", "u"}], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T'(MK)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S'(LH)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]M)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R(AL)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "u", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747248020547*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"ef1c4b01-2c9f-4c1d-bd19-\
2b5e6ddc1f47"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxTTMoPSmViYGAQAmJmIJY1nuC6vPLSfpNQEDi6PwRC28PEA6F8dHEHKN8D
qg8m7gnlw8QZwODKHh8w/6p9KFSfFES9vRqUDxOXgYorQ/m1KOZM2OMANacE
RfySjT9EfD+6OX5QdTBxqDvtraDiZSjmbNvjh2oOVHwDuvuh4lvg6v1QxW08
oOJBUHsh4vv2wNzpj6J+h00YVBwWzlP7D/6UmLN/TyDUXpg4AG6fpJc=
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{1, 2, 3, 4}, {5, 6, 7, 8}, {11, 7, 6, 10}, {12, 11, 10, 
        9}, {12, 9, 1, 4}, {5, 8, 3, 2}, {9, 10, 6, 5, 2, 1}, {12, 4, 3, 8, 7,
         11}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.016666666666666663`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.4330127018922194, 0., 0.}, {0.4330127018922194, 
      0., 0.}}}, 0.001333333333333333]], 
     Arrow3DBox[TubeBox[{{{0., -0.4999999999999999, 0.}, {0., 
      0.4999999999999999, 0.}}}, 0.001333333333333333]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.25000000000000083`}, {0., 0., 
      0.25000000000000083`}}}, 0.001333333333333333]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.4633235910246748, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.5349999999999999, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.2675000000000009}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.2886751345948129, -0.5, 0.}}}, 
       0.001333333333333333]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5773502691896258, 0., 0.}}}, 
       0.001333333333333333]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0., 0.3333333333333333}}}, 
       0.001333333333333333]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.30888239401644985`, -0.535, 0.}], 
     Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.6177647880328997, 0., 0.}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0., 0., 0.3566666666666667}]}, 
    {PointSize[0.005333333333333332], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[1, 4] 3^Rational[-1, 2], Rational[-1, 4], 0}, {
         0.14433756729740646`, -0.25, 0}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[1, 2] 3^Rational[-1, 2], 0, 0}, {
         0.2886751345948129, 0, 0}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{0, 0, Rational[1, 6]}, {0, 0, 0.16666666666666666`}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 2] 3^Rational[-1, 2], 0, 0}, {
         0.2886751345948129, 0, 0}]], Text3DBox[
        StyleBox["\<\"M\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.33197640478403484`, 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{0, 0, Rational[1, 6]}, {0, 0, 0.16666666666666666`}]], 
       Text3DBox[
        StyleBox["\<\"A\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.19166666666666665`}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 2] 3^Rational[-1, 2], 0, Rational[1, 6]}, {
         0.2886751345948129, 0, 0.16666666666666666`}]], Text3DBox[
        StyleBox["\<\"L\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.33197640478403484`, 0., 
        0.19166666666666665`}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 2] 3^Rational[-1, 2], Rational[1, 6], 0}, {
         0.2886751345948129, 0.16666666666666666`, 0}]], Text3DBox[
        StyleBox["\<\"K\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.33197640478403484`, 0.19166666666666665`, 
        0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 2] 3^Rational[-1, 2], Rational[1, 6], Rational[
          1, 6]}, {0.2886751345948129, 0.16666666666666666`, 
         0.16666666666666666`}]], Text3DBox[
        StyleBox["\<\"H\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.33197640478403484`, 0.19166666666666665`, 
        0.19166666666666665`}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, 0, Rational[1, 6]}}, {{0, 0, 0}, {
          0, 0, 0.16666666666666666`}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.09583333333333333}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 2] 3^Rational[-1, 2], 0, 0}, {
          Rational[1, 2] 3^Rational[-1, 2], 0, Rational[1, 6]}}, {{
          0.2886751345948129, 0, 0}, {
          0.2886751345948129, 0, 0.16666666666666666`}}]], Text3DBox[
        StyleBox["\<\"U\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.33197640478403484`, 0., 
        0.09583333333333333}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 2] 3^Rational[-1, 2], Rational[1, 6], 0}, {
          Rational[1, 2] 3^Rational[-1, 2], Rational[1, 6], Rational[
           1, 6]}}, {{0.2886751345948129, 0.16666666666666666`, 0}, {
          0.2886751345948129, 0.16666666666666666`, 0.16666666666666666`}}]], 
       Text3DBox[
        StyleBox["\<\"P\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.33197640478403484`, 0.19166666666666665`, 
        0.09583333333333333}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {
          Rational[1, 2] 3^Rational[-1, 2], Rational[1, 6], 0}}, {{0, 0, 0}, {
          0.2886751345948129, 0.16666666666666666`, 0}}]], Text3DBox[
        StyleBox["\<\"T\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.16598820239201742`, 0.09583333333333333, 
        0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 6]}, {
          Rational[1, 2] 3^Rational[-1, 2], Rational[1, 6], Rational[
           1, 6]}}, {{0, 0, 0.16666666666666666`}, {0.2886751345948129, 
          0.16666666666666666`, 0.16666666666666666`}}]], Text3DBox[
        StyleBox["\<\"S\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.16598820239201742`, 0.09583333333333333, 
        0.19166666666666665`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 2] 3^Rational[-1, 2], 0, 0}, {
          Rational[1, 2] 3^Rational[-1, 2], Rational[1, 6], 0}}, {{
          0.2886751345948129, 0, 0}, {
          0.2886751345948129, 0.16666666666666666`, 0}}]], Text3DBox[
        StyleBox["\<\"T'\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.33197640478403484`, 0.09583333333333333, 
        0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 2] 3^Rational[-1, 2], 0, Rational[1, 6]}, {
          Rational[1, 2] 3^Rational[-1, 2], Rational[1, 6], Rational[
           1, 6]}}, {{0.2886751345948129, 0, 0.16666666666666666`}, {
          0.2886751345948129, 0.16666666666666666`, 0.16666666666666666`}}]], 
       Text3DBox[
        StyleBox["\<\"S'\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.33197640478403484`, 0.09583333333333333, 
        0.19166666666666665`}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 2] 3^Rational[-1, 2], 0, 0}}, {{0, 0, 
          0}, {0.2886751345948129, 0, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.16598820239201742`, 0., 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, Rational[1, 6]}, {
          Rational[1, 2] 3^Rational[-1, 2], 0, Rational[1, 6]}}, {{
          0, 0, 0.16666666666666666`}, {
          0.2886751345948129, 0, 0.16666666666666666`}}]], Text3DBox[
        StyleBox["\<\"R\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.16598820239201742`, 0., 
        0.19166666666666665`}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.3999999999999999]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472480619*^9},
 CellLabel->"Out[43]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"0733229b-081d-410b-b4d2-2e4734404b62"],

Cell[CellGroupData[{

Cell[BoxData["\<\"CubiPrim\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472480678854`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"644b636b-a6df-4fa6-9324-\
aa4914985cf6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"M\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747248141249*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"085e8e1a-b5fd-42c3-8139-\
948ec2632c3a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]M)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]R)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S(XR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z(XM)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       FractionBox["1", "2"], ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"T(MR)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", "u"}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472481458597`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"12449813-e7b7-4b13-bfab-\
aaecb6ea052b"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{
   GraphicsComplex3DBox[{{-0.2500000000000001, 0.25, 0.24999999999999972`}, {
    0.2500000000000001, 0.25, 0.24999999999999914`}, {0.25, 
    0.25, -0.24999999999999994`}, {-0.2500000000000001, 
    0.25, -0.24999999999999978`}, {-0.25, -0.2499999999999998, 
    0.25000000000000006`}, {-0.25, -0.24999999999999956`, \
-0.2499999999999996}, {0.25000000000000006`, -0.25, 0.24999999999999922`}, {
    0.2500000000000001, -0.25, -0.24999999999999847`}}, 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{1, 2, 3, 4}, {5, 1, 4, 6}, {7, 5, 6, 8}, {8, 6, 4, 3}, {
       3, 2, 7, 8}, {2, 1, 5, 7}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.012500000000000006`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.37500000000000017`, 0., 0.}, {
      0.37500000000000017`, 0., 0.}}}, 0.0010000000000000005`]], 
     Arrow3DBox[TubeBox[{{{0., -0.375, 0.}, {0., 0.375, 0.}}}, 
      0.0010000000000000005`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.375}, {0., 0., 0.375}}}, 
      0.0010000000000000005`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.4012500000000002, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.40125, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.40125}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0., 0.}}}, 
       0.0010000000000000005`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0.5, 0.}}}, 
       0.0010000000000000005`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0., 0.5}}}, 
       0.0010000000000000005`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0.535, 0., 0.}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0., 0.535, 0.}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0., 0., 0.535}]}, 
    {PointSize[0.004000000000000002], {
      {RGBColor[1, 0, 0], 
       Point3DBox[NCache[{Rational[1, 4], 0, 0}, {0.25, 0, 0}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[NCache[{0, Rational[1, 4], 0}, {0, 0.25, 0}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[NCache[{0, 0, Rational[1, 4]}, {0, 0, 0.25}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, Rational[1, 4], 0}, {0, 0.25, 0}]], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], 0}, {0.25, 0.25, 0}]], 
       Text3DBox[
        StyleBox["\<\"M\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], Rational[1, 4]}, {0.25, 0.25, 
         0.25}]], Text3DBox[
        StyleBox["\<\"R\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.2875}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, Rational[1, 4], 0}}, {{0, 0, 0}, {
          0, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.14375, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 4], Rational[1, 4], 0}}, {{0, 0, 0}, {
          0.25, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.14375, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 4]}}, {{0, 0, 0}, {0.25,
           0.25, 0.25}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.14375, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], 0}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 4]}}, {{0, 0.25, 0}, {
          0.25, 0.25, 0.25}}]], Text3DBox[
        StyleBox["\<\"S\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.2875, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 4], 0}, {
          Rational[1, 4], Rational[1, 4], 0}}, {{0, 0.25, 0}, {
          0.25, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.2875, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 4], 0}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 4]}}, {{
          0.25, 0.25, 0}, {0.25, 0.25, 0.25}}]], Text3DBox[
        StyleBox["\<\"T\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.14375}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.3000000000000001]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.8277472481824636`*^9},
 CellLabel->"Out[44]=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ExpressionUUID->"3500f91e-9e0e-4240-bb17-961bd6b9d9e6"],

Cell[CellGroupData[{

Cell[BoxData["\<\"CubiFace\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472481874623`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"cf155053-c31d-48f7-9e65-\
7b6c4ecb054d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"X\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"L\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"W\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       FractionBox["1", "4"], ",", 
       FractionBox["3", "4"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747248277211*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"de59ebd2-f6ce-47cc-b807-\
73e666a75e59"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]X)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]L)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]\[CapitalSigma])\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{"2", " ", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"S(XS)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{"2", " ", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Z(XW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "u", ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"Q(LW)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747248281891*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"54258890-7608-4203-b426-\
08c2dd5fdcd6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"\[CapitalSigma]\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"\[CapitalGamma]\[CapitalSigma]\"\>", 
   "\[InvisibleSpace]", "\<\"): \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"u", ",", "u", ",", 
     RowBox[{"2", " ", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.375`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "\[CapitalSigma]", "(", "\[CapitalGamma]\[CapitalSigma]", "): ", {
   SpaceGroupIrep`u, SpaceGroupIrep`u, 2 SpaceGroupIrep`u}, 
   ", u range is [0,", 0.375, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747248283886*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"cb26cf02-bfba-43c0-84ec-\
b110d0f7195a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"S\"\>", "\[InvisibleSpace]", "\<\"(\"\>", 
   "\[InvisibleSpace]", "\<\"XS\"\>", "\[InvisibleSpace]", "\<\"): \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{"2", " ", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "u"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\", u range is [0,\"\>", "\[InvisibleSpace]", 
   "0.125`", "\[InvisibleSpace]", "\<\"]\"\>"}],
  SequenceForm[
  "S", "(", "XS", "): ", {
   Rational[1, 2] + SpaceGroupIrep`u, 2 SpaceGroupIrep`u, Rational[1, 2] + 
    SpaceGroupIrep`u}, ", u range is [0,", 0.125, "]"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472482848825`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"a34e36a5-a745-4a06-b250-\
fbd197866873"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxtVE1IVFEUfk4uBp1KJQcXs5ml4MadxoEHQQjRSjCoZeFKKJJ2bWbhLjGC
FrMKN0YKwUD5yx3uEPnGhfMf/UhMD8ZFgaBgaFr4894958S5vguPwzv3/Hzn
O+fc9P1Ho+Mxx3Funn+Xzr+kE5yqDoXju0bmlJErivQJY+d2oZT2G2iXAdKn
RNyKSkg/1JfVaXh+uJ1o3452J6hHPByX7rODXt+D6RdwKu1UHOOgdNvTU103
4qtUh/4d2j9XV6w6DkJ9xY2H9lXOJ2UJjtCO9JcxTrP5dDd/+EoRPxL//0N6
m8c2wVeDeTdyFvrEve/2CP8ly74AxJPkh/wL6o+sQ/fPvRy91b+Ocbh+vWfs
qF8g/31Nfb3+7NfA63cr7Ed4vCfJxt3by5Cw8n+XcRDHB+5TE/H9s3CG7UnX
ud6YiFtj/fbQTGtopoR4qhynFeprsr+ZBuM+RFzHVl4jqS/eBZzbFi/UB/q/
ijioftKHYzz4ESjfiYizzjizQXvmplSHiMNzoOW8UXziZZPjyL7XrTnPqOj9
9vUW4sqZ/YFvkfW+hztjwclzfV8x3/xCcNbUlvTjuZxMFR+nRmw8vjZ9rAPy
4u4L/4Y1b29UUuLX18R/1rL/BAeRdfjIZ/nCvXw3ctAdyT+9VwUgPe3vw7eL
n+9N5KHXwrkj8tQhFqknfLOyjkyV9l3LPavBX5NfDwc0tjyQ++Ib3os8Z7rN
ujfyC+0R6+X+KotXx/lp7Y98/z11BjNJMRg=
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{1, 2, 3, 4}, {17, 9, 8, 13}, {23, 22, 28, 36}, {39, 27, 
        12, 11}, {51, 5, 10, 24}, {55, 45, 38, 37}, {5, 4, 3, 8, 9, 10}, {11, 
        12, 13, 8, 3, 2}, {17, 22, 23, 24, 10, 9}, {27, 28, 22, 17, 13, 12}, {
        37, 38, 39, 11, 2, 1}, {45, 36, 28, 27, 39, 38}, {55, 37, 1, 4, 5, 
        51}, {36, 45, 55, 51, 24, 23}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.02500000000000001], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.75, 0., 0.}, {0.75, 0., 0.}}}, 
      0.0020000000000000005`]], 
     Arrow3DBox[TubeBox[{{{0., -0.75, 0.}, {0., 0.75, 0.}}}, 
      0.0020000000000000005`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.7500000000000002}, {0., 0., 
      0.7500000000000002}}}, 0.0020000000000000005`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.8025, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.8025, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.8025000000000003}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {-0.5, 0.5, 0.5}}}, 
       0.0020000000000000005`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, -0.5, 0.5}}}, 
       0.0020000000000000005`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0.5, -0.5}}}, 
       0.0020000000000000005`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {-0.535, 0.535, 0.535}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.535, -0.535, 0.535}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.535, 0.535, -0.535}]}, 
    {PointSize[0.008000000000000002], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{Rational[-1, 4], Rational[1, 4], Rational[1, 4]}, {-0.25, 
         0.25, 0.25}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[-1, 4], Rational[1, 4]}, {
         0.25, -0.25, 0.25}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], Rational[-1, 4]}, {0.25, 
         0.25, -0.25}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, Rational[1, 2], 0}, {0, 0.5, 0}]], Text3DBox[
        StyleBox["\<\"X\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.575, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], Rational[1, 4]}, {0.25, 0.25, 
         0.25}]], Text3DBox[
        StyleBox["\<\"L\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 2], 0}, {0.25, 0.5, 0}]], 
       Text3DBox[
        StyleBox["\<\"W\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.575, 0.}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, Rational[1, 2], 0}}, {{0, 0, 0}, {
          0, 0.5, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 4]}}, {{0, 0, 0}, {0.25,
           0.25, 0.25}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.14375, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[{{0, 0, 0}, {0.375, 0.375, 0}}], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.21562499999999998`, 0.21562499999999998`, 
        0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 2], 0}, {0.125, Rational[1, 2], 0.125}}, {{
          0, 0.5, 0}, {0.125, 0.5, 0.125}}]], Text3DBox[
        StyleBox["\<\"S\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.071875, 0.575, 0.071875}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 2], 0}, {
          Rational[1, 4], Rational[1, 2], 0}}, {{0, 0.5, 0}, {
          0.25, 0.5, 0}}]], Text3DBox[
        StyleBox["\<\"Z\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.575, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 4], Rational[1, 4]}, {
          Rational[1, 4], Rational[1, 2], 0}}, {{0.25, 0.25, 0.25}, {
          0.25, 0.5, 0}}]], Text3DBox[
        StyleBox["\<\"Q\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.43124999999999997`, 0.14375}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.6000000000000001]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.82774724832257*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"d0c79ace-2b88-4520-ba4c-c9743b2a5030"],

Cell[CellGroupData[{

Cell[BoxData["\<\"CubiBody\"\>"], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.8277472483305454`*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"587eccae-5fb4-4923-9636-\
4dbad9c72c48"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalGamma]\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"H\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", 
       RowBox[{"-", 
        FractionBox["1", "2"]}], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"P\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "4"], ",", 
       FractionBox["1", "4"], ",", 
       FractionBox["1", "4"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"N\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747248405924*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"12bdb51e-6f60-430f-8157-\
6e48f8f33df9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalSigma](\[CapitalGamma]N)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalDelta](\[CapitalGamma]H)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "u"}], ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"\[CapitalLambda](\[CapitalGamma]P)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", "u"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"D(NP)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"G(HN)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", 
       RowBox[{"-", "u"}], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"F(PH)\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "4"], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "4"], "-", 
        RowBox[{"3", " ", "u"}]}], ",", 
       RowBox[{
        FractionBox["1", "4"], "+", "u"}]}], "}"}]}], "}"}]}], "}"}]], "Print",
 CellChangeTimes->{{3.8277468986942387`*^9, 3.8277469162680798`*^9}, 
   3.827747248411235*^9},
 CellLabel->
  "\:6b63\:5728\:8ba1\:7b97In[27]:=",ExpressionUUID->"1f2b38c7-753c-4f3f-ab5a-\
a039f5312fd0"]
}, Open  ]],

Cell[BoxData[
 Graphics3DBox[{GraphicsComplex3DBox[CompressedData["
1:eJxtUktqAkEUbH+Jx9B7NMwdcoSA61zBI4gLyc5ZunDhQoiLhhYRERF/F8gc
QIKQQSXG77yqgSfzYCim572qV9VTff94q+WNMZX7UzCs0AmOgVGwvT5qGeST
95V/EQz+kvPvQPoGVrBri/h+xFwM3AE5b8CndSOcj9wxk79ny5j7Bd8eiO/g
mbirmg9dTvHPpa++cbJP5I0q6k3TvX5Ex5eg/wof8OP/sQfy8mfRB28ffHX6
eNpnhX2/0vy5/0Xx0F9oqYO8eS9e94fQawA/LfO5ZO43o1+cD22scjSG93qC
/gHInDin81y4UmbOHfTN6dczD95Ls5WUk3zbaT7MV/+HPSu+2vTtTop3TT8+
3j1qCL6pvQGZaDRk
    "], 
    {Hue[0.6, 0.3, 0.85], EdgeForm[Hue[0.6, 0.3, 0.75]], FaceForm[Opacity[
     0.7]], 
     TagBox[
      Polygon3DBox[{{1, 2, 3, 4}, {5, 6, 4, 3}, {8, 1, 4, 6}, {11, 2, 1, 
       13}, {14, 15, 8, 6}, {13, 1, 8, 15}, {19, 15, 14, 21}, {21, 14, 6, 
       5}, {24, 3, 2, 11}, {19, 21, 24, 11}, {24, 21, 5, 3}, {11, 13, 15, 
       19}}],
      Annotation[#, "Geometry"]& ]}], 
   {Arrowheads[0.025000000000000022`], 
    {GrayLevel[0.7], 
     Arrow3DBox[TubeBox[{{{-0.7499999999999999, 0., 0.}, {0.7499999999999999, 
      0., 0.}}}, 0.0020000000000000018`]], 
     Arrow3DBox[TubeBox[{{{0., -0.7500000000000007, 0.}, {0., 
      0.7500000000000007, 0.}}}, 0.0020000000000000018`]], 
     Arrow3DBox[TubeBox[{{{0., 0., -0.75}, {0., 0., 0.75}}}, 
      0.0020000000000000018`]]}, {Text3DBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0.8024999999999999, 0., 0.}], Text3DBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0.8025000000000008, 0.}], Text3DBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->20,
       FontSlant->Italic], {0., 0., 0.8025}]}, {
     {RGBColor[1, 0, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0., 0.5, 0.5}}}, 
       0.0020000000000000018`]]}, 
     {RGBColor[0, 1, 0], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0., 0.5}}}, 
       0.0020000000000000018`]]}, 
     {RGBColor[0, 0, 1], 
      Arrow3DBox[TubeBox[{{{0., 0., 0.}, {0.5, 0.5, 0.}}}, 
       0.0020000000000000018`]]}}, {Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(1\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[1, 0, 0],
       FrontFaceColor->RGBColor[1, 0, 0],
       BackFaceColor->RGBColor[1, 0, 0],
       GraphicsColor->RGBColor[1, 0, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[1, 0, 0]], {0., 0.535, 0.535}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(2\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 1, 0],
       FrontFaceColor->RGBColor[0, 1, 0],
       BackFaceColor->RGBColor[0, 1, 0],
       GraphicsColor->RGBColor[0, 1, 0],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 1, 0]], {0.535, 0., 0.535}], Text3DBox[
      StyleBox["\<\"\\!\\(\\*SubscriptBox[\\(g\\),\\(3\\)]\\)\"\>",
       StripOnInput->False,
       LineColor->RGBColor[0, 0, 1],
       FrontFaceColor->RGBColor[0, 0, 1],
       BackFaceColor->RGBColor[0, 0, 1],
       GraphicsColor->RGBColor[0, 0, 1],
       FontSize->20,
       FontSlant->Italic,
       FontColor->RGBColor[0, 0, 1]], {0.535, 0.535, 0.}]}, 
    {PointSize[0.008000000000000007], {
      {RGBColor[1, 0, 0], 
       Point3DBox[
        NCache[{0, Rational[1, 4], Rational[1, 4]}, {0, 0.25, 0.25}]]}, 
      {RGBColor[0, 1, 0], 
       Point3DBox[
        NCache[{Rational[1, 4], 0, Rational[1, 4]}, {0.25, 0, 0.25}]]}, 
      {RGBColor[0, 0, 1], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], 0}, {0.25, 0.25, 0}]]}}, {
      {PointSize[Large], Point3DBox[{0, 0, 0}], Text3DBox[
        StyleBox["\<\"\[CapitalGamma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0., 0.}]}, 
      {PointSize[Large], 
       Point3DBox[NCache[{0, Rational[1, 2], 0}, {0, 0.5, 0}]], Text3DBox[
        StyleBox["\<\"H\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.575, 0.}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], Rational[1, 4]}, {0.25, 0.25, 
         0.25}]], Text3DBox[
        StyleBox["\<\"P\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.2875}]}, 
      {PointSize[Large], 
       Point3DBox[
        NCache[{Rational[1, 4], Rational[1, 4], 0}, {0.25, 0.25, 0}]], 
       Text3DBox[
        StyleBox["\<\"N\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.}]}}, {
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {Rational[1, 4], Rational[1, 4], 0}}, {{0, 0, 0}, {
          0.25, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalSigma]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.14375, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {0, Rational[1, 2], 0}}, {{0, 0, 0}, {
          0, 0.5, 0}}]], Text3DBox[
        StyleBox["\<\"\[CapitalDelta]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0., 0.2875, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, 0, 0}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 4]}}, {{0, 0, 0}, {0.25,
           0.25, 0.25}}]], Text3DBox[
        StyleBox["\<\"\[CapitalLambda]\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.14375, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 4], 0}, {
          Rational[1, 4], Rational[1, 4], Rational[1, 4]}}, {{
          0.25, 0.25, 0}, {0.25, 0.25, 0.25}}]], Text3DBox[
        StyleBox["\<\"D\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.2875, 0.2875, 0.14375}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{0, Rational[1, 2], 0}, {
          Rational[1, 4], Rational[1, 4], 0}}, {{0, 0.5, 0}, {
          0.25, 0.25, 0}}]], Text3DBox[
        StyleBox["\<\"G\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.43124999999999997`, 0.}]}, 
      {RGBColor[0.5, 0, 0.5], Thickness[Large], 
       Line3DBox[
        NCache[{{Rational[1, 4], Rational[1, 4], Rational[1, 4]}, {
          0, Rational[1, 2], 0}}, {{0.25, 0.25, 0.25}, {0, 0.5, 0}}]], 
       Text3DBox[
        StyleBox["\<\"F\"\>",
         StripOnInput->False,
         FontSize->18,
         FontSlant->Italic], {0.14375, 0.43124999999999997`, 0.14375}]}}}}},
  Boxed->False,
  ImageSize->600,
  Lighting->{{"Ambient", 
     GrayLevel[0.45]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{2, 0, 2}]}, {"Directional", 
     GrayLevel[0.33], 
     ImageScaled[{2, 2, 2}]}, {"Directional", 
     GrayLevel[0.3], 
     ImageScaled[{0, 2, 2}]}},
  PlotRegion->0.6000000000000005]], "Output",
 CellChangeTimes->{{3.827746898728759*^9, 3.827746916309209*^9}, 
   3.827747248446884*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"d33dad1b-e6be-4040-b2d7-1a113c710357"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:4e0d\:540cBZ\:7684\:8f6c\:52a8\:64cd\:4f5c\:77e9\:9635(Table3.2)", \
"Section",
 CellChangeTimes->{{3.8277474222575645`*^9, 3.827747442964901*^9}, {
  3.8277478607222357`*^9, 
  3.827747870930973*^9}},ExpressionUUID->"e15faa9e-81ac-45da-96bc-\
51bc578fa2d5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<MonoPrim\>\"", ",", "\"\<C2z\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<MonoBase\>\"", ",", "\"\<C2z\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8277471013539124`*^9, 3.82774711123904*^9}, {
  3.827747474207305*^9, 3.827747497656977*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"5eef09ee-9a0d-48ac-a9fb-55644f72ccb8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827747102710924*^9, 3.827747112110447*^9}, {
  3.827747481604375*^9, 3.8277474994880304`*^9}},
 CellLabel->"Out[49]=",ExpressionUUID->"ede2110c-88d7-4330-885a-064342c6fe73"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827747102710924*^9, 3.827747112110447*^9}, {
  3.827747481604375*^9, 3.8277474994920187`*^9}},
 CellLabel->"Out[50]=",ExpressionUUID->"4b320cfc-ddc2-488f-b0a3-76a26bae600c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthPrim\>\"", ",", "\"\<C2x\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthPrim\>\"", ",", "\"\<C2y\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthPrim\>\"", ",", "\"\<C2z\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthBase\>\"", ",", "\"\<C2x\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthBase\>\"", ",", "\"\<C2y\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthBase\>\"", ",", "\"\<C2z\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthBody\>\"", ",", "\"\<C2x\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthBody\>\"", ",", "\"\<C2y\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthBody\>\"", ",", "\"\<C2z\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthFace\>\"", ",", "\"\<C2x\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthFace\>\"", ",", "\"\<C2y\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<OrthFace\>\"", ",", "\"\<C2z\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.827747532168824*^9, 3.827747622220747*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"bf586bd0-ca60-4c71-a3d4-37c0c42dd513"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.827747623594257*^9}},
 CellLabel->"Out[72]=",ExpressionUUID->"3137db07-dcb9-4c62-95cf-9abd835e7e5c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.827747623597249*^9}},
 CellLabel->"Out[73]=",ExpressionUUID->"cc4762e0-1f46-4d5b-9a03-0025b05929cd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.8277476236002407`*^9}},
 CellLabel->"Out[74]=",ExpressionUUID->"e8e2a852-a372-4103-9e45-048d118ebf5c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.8277476236022353`*^9}},
 CellLabel->"Out[75]=",ExpressionUUID->"e9062035-066c-445c-bea8-9eb1344664ee"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.8277476236052275`*^9}},
 CellLabel->"Out[76]=",ExpressionUUID->"db130849-a997-4a1e-a388-26f2c64f82e8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.8277476236082253`*^9}},
 CellLabel->"Out[77]=",ExpressionUUID->"1f92d152-3867-466e-84b0-2e5e671674fc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.8277476236112113`*^9}},
 CellLabel->"Out[78]=",ExpressionUUID->"ef3ad92b-2a53-480e-a3b6-06e063ffe784"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.8277476236142035`*^9}},
 CellLabel->"Out[79]=",ExpressionUUID->"4f161217-e0fa-4531-b6bb-ea3df9febfd1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.827747623616198*^9}},
 CellLabel->"Out[80]=",ExpressionUUID->"0824b906-cae1-4e33-960a-38a30907e2dd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.82774762361919*^9}},
 CellLabel->"Out[81]=",ExpressionUUID->"9da23226-b088-4d74-b46e-93f2dae7f8cf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.8277476236211843`*^9}},
 CellLabel->"Out[82]=",ExpressionUUID->"01fb2a5d-9ac4-4bd3-b4f4-3940c7282783"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827747550038091*^9, {3.8277475822877784`*^9, 3.827747623624178*^9}},
 CellLabel->"Out[83]=",ExpressionUUID->"f4a1ca85-1bb7-4cc4-99f6-b4d0af71df3e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrPrim\>\"", ",", "\"\<C4z-\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrPrim\>\"", ",", "\"\<C2x\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrPrim\>\"", ",", "\"\<C2y\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrPrim\>\"", ",", "\"\<C2z\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrPrim\>\"", ",", "\"\<C4z\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrPrim\>\"", ",", "\"\<C2a\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrPrim\>\"", ",", "\"\<C2b\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrPrim\>\"", ",", "\"\<E\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8277477213683224`*^9, 3.82774782109877*^9}},
 CellLabel->
  "In[124]:=",ExpressionUUID->"707584e0-f1fc-4197-ad78-7c83534fc8da"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8277477372304525`*^9, 3.82774774325007*^9}, {
  3.8277477858369813`*^9, 3.827747822181985*^9}},
 CellLabel->
  "Out[124]=",ExpressionUUID->"60e0b3fd-eca3-420c-8d43-444c62e892df"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8277477372304525`*^9, 3.82774774325007*^9}, {
  3.8277477858369813`*^9, 3.82774782218498*^9}},
 CellLabel->
  "Out[125]=",ExpressionUUID->"37a43d98-f8a2-4a12-905f-6d45b0d4c17d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8277477372304525`*^9, 3.82774774325007*^9}, {
  3.8277477858369813`*^9, 3.827747822187972*^9}},
 CellLabel->
  "Out[126]=",ExpressionUUID->"addc4e0b-2cf1-41a0-8caf-0f4a7aac0f8f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8277477372304525`*^9, 3.82774774325007*^9}, {
  3.8277477858369813`*^9, 3.8277478221909637`*^9}},
 CellLabel->
  "Out[127]=",ExpressionUUID->"0a4297c8-e3e3-4062-845b-5f4103752423"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"TetrPrim\"\>", ",", "\<\"C4z\"\>"}], "]"}]], "Output",
 CellChangeTimes->{{3.8277477372304525`*^9, 3.82774774325007*^9}, {
  3.8277477858369813`*^9, 3.8277478221939554`*^9}},
 CellLabel->
  "Out[128]=",ExpressionUUID->"031ef418-7749-4436-9b95-e5d5da0967c2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8277477372304525`*^9, 3.82774774325007*^9}, {
  3.8277477858369813`*^9, 3.8277478221999416`*^9}},
 CellLabel->
  "Out[129]=",ExpressionUUID->"3752a047-f012-4120-aff6-fd32f1307529"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8277477372304525`*^9, 3.82774774325007*^9}, {
  3.8277477858369813`*^9, 3.827747822202932*^9}},
 CellLabel->
  "Out[130]=",ExpressionUUID->"7d452c1f-c0a1-427a-a56d-967a3b4f7645"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8277477372304525`*^9, 3.82774774325007*^9}, {
  3.8277477858369813`*^9, 3.827747822205923*^9}},
 CellLabel->
  "Out[131]=",ExpressionUUID->"c48bc59a-99ee-4951-b655-40e0d493693b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrBody\>\"", ",", "\"\<C4z-\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrBody\>\"", ",", "\"\<C2x\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrBody\>\"", ",", "\"\<C2y\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrBody\>\"", ",", "\"\<C2z\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrBody\>\"", ",", "\"\<C4z\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrBody\>\"", ",", "\"\<C2a\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrBody\>\"", ",", "\"\<C2b\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TetrBody\>\"", ",", "\"\<E\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8277478964579506`*^9, 3.827747902103133*^9}},
 CellLabel->
  "In[132]:=",ExpressionUUID->"318374d7-435b-4471-ba2d-bdf24cbc4d97"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277479034743757`*^9},
 CellLabel->
  "Out[132]=",ExpressionUUID->"d535ddb3-1d76-41dc-8229-5a096fae0387"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.827747903478365*^9},
 CellLabel->
  "Out[133]=",ExpressionUUID->"562bbd83-c4a1-4585-974e-97eb8911157a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277479034813576`*^9},
 CellLabel->
  "Out[134]=",ExpressionUUID->"dcb18c7e-16af-4684-b061-37fdb57877e5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.827747903483352*^9},
 CellLabel->
  "Out[135]=",ExpressionUUID->"e8fd8934-bcd1-4ca1-ad81-796d4b3b4c1e"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"TetrBody\"\>", ",", "\<\"C4z\"\>"}], "]"}]], "Output",
 CellChangeTimes->{3.827747903485347*^9},
 CellLabel->
  "Out[136]=",ExpressionUUID->"78265e83-bfae-45fe-a5bc-0da4f85f1592"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.827747903489336*^9},
 CellLabel->
  "Out[137]=",ExpressionUUID->"a0af81b8-10c8-4cd5-911d-c6138c1dda7b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277479034923277`*^9},
 CellLabel->
  "Out[138]=",ExpressionUUID->"f75d22de-43fa-4bed-9b90-98d1d750c634"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277479034943466`*^9},
 CellLabel->
  "Out[139]=",ExpressionUUID->"e3ff40ba-6a99-4ad4-8e5a-d6f806448cb5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<E\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C6+\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C3+\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C2\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C3\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C6-\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C21p\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C22p\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C23p\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C21pp\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C22pp\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "\"\<C23pp\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.827747992192998*^9, 3.827748092501463*^9}},
 CellLabel->
  "In[208]:=",ExpressionUUID->"92130e77-b397-4757-a43e-bf3183aa8dbe"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.8277481221684556`*^9}},
 CellLabel->
  "Out[208]=",ExpressionUUID->"91a9c9b5-8605-40d5-a041-b3efeae43e22"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"TrigPrim\"\>", ",", "\<\"C6+\"\>"}], "]"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.8277481221714473`*^9}},
 CellLabel->
  "Out[209]=",ExpressionUUID->"6c8be7a5-2007-4632-9f5c-f94addf30608"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.8277481221744394`*^9}},
 CellLabel->
  "Out[210]=",ExpressionUUID->"d417fc3a-8662-4d05-8b9f-96899daaae26"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"TrigPrim\"\>", ",", "\<\"C2\"\>"}], "]"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.8277481221802597`*^9}},
 CellLabel->
  "Out[211]=",ExpressionUUID->"2b1e8411-7157-4a62-8a5a-066b1418b3e1"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"TrigPrim\"\>", ",", "\<\"C3\"\>"}], "]"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.827748122182254*^9}},
 CellLabel->
  "Out[212]=",ExpressionUUID->"c4d8322c-c0b0-4a62-bbf7-14cde0a232f2"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"TrigPrim\"\>", ",", "\<\"C6-\"\>"}], "]"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.827748122185246*^9}},
 CellLabel->
  "Out[213]=",ExpressionUUID->"7ea1e983-b0e9-420a-b50b-53fd7d02ee05"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.8277481221872406`*^9}},
 CellLabel->
  "Out[214]=",ExpressionUUID->"57178261-ecfa-4a7b-b593-3b50fa8cfc58"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.8277481221902323`*^9}},
 CellLabel->
  "Out[215]=",ExpressionUUID->"cdbdc9b7-e77d-4608-bccd-f0aab410ca68"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.827748122194207*^9}},
 CellLabel->
  "Out[216]=",ExpressionUUID->"d8cf1fff-f009-45aa-9cbf-90d6ab84548e"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"TrigPrim\"\>", ",", "\<\"C21pp\"\>"}], "]"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.8277481221972013`*^9}},
 CellLabel->
  "Out[217]=",ExpressionUUID->"c642277e-b9f7-4cbc-8497-e0908f1e03c5"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"TrigPrim\"\>", ",", "\<\"C22pp\"\>"}], "]"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.827748122199195*^9}},
 CellLabel->
  "Out[218]=",ExpressionUUID->"1745fd23-5964-4f08-ab5a-67566bd8ce21"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"TrigPrim\"\>", ",", "\<\"C23pp\"\>"}], "]"}]], "Output",
 CellChangeTimes->{{3.827748011398239*^9, 3.827748122202188*^9}},
 CellLabel->
  "Out[219]=",ExpressionUUID->"06010ade-2682-450e-9f1d-5167c63eb18d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<E\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C6+\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C3+\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C2\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C3\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C6-\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C21p\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C22p\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C23p\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C21pp\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C22pp\>\""}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"getRotMat", "[", 
  RowBox[{"\"\<HexaPrim\>\"", ",", "\"\<C23pp\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.827748153051717*^9, 3.827748161290363*^9}},
 CellLabel->
  "In[220]:=",ExpressionUUID->"5391a5b2-8492-43bf-a5d0-0127eda1c18a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277481626181307`*^9},
 CellLabel->
  "Out[220]=",ExpressionUUID->"33d60ef2-53fb-4ea5-a4d0-ee857fea32c3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277481626221523`*^9},
 CellLabel->
  "Out[221]=",ExpressionUUID->"f3433107-4cf1-4f41-9c80-5ef3254ea84a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.827748162625145*^9},
 CellLabel->
  "Out[222]=",ExpressionUUID->"2ae5bd66-fe66-4f67-bee3-6a475d397cb3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.827748162628104*^9},
 CellLabel->
  "Out[223]=",ExpressionUUID->"58ee1826-5da6-4c8d-ae4b-93bb1e439e97"],

Cell[BoxData[
 RowBox[{"getRotMat", "[", 
  RowBox[{"\<\"HexaPrim\"\>", ",", "\<\"C3\"\>"}], "]"}]], "Output",
 CellChangeTimes->{3.8277481626301003`*^9},
 CellLabel->
  "Out[224]=",ExpressionUUID->"6ce5485b-136b-495e-b161-53f6294d0323"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.827748162633091*^9},
 CellLabel->
  "Out[225]=",ExpressionUUID->"f9b11469-88eb-4cd5-812e-1c64597ee502"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277481626360826`*^9},
 CellLabel->
  "Out[226]=",ExpressionUUID->"9d3475cc-18d0-42c9-8f77-7e4b65c28f35"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277481626390753`*^9},
 CellLabel->
  "Out[227]=",ExpressionUUID->"4a9dfa62-8e2d-4647-88fb-3dca80a8b5ff"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.827748162642067*^9},
 CellLabel->
  "Out[228]=",ExpressionUUID->"e65a17d7-34b1-4612-8bae-29d90cfe43a9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277481626450586`*^9},
 CellLabel->
  "Out[229]=",ExpressionUUID->"8554241e-b5d8-42db-a1da-5b1c3c2250a9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1"}], ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.827748162648051*^9},
 CellLabel->
  "Out[230]=",ExpressionUUID->"1c1d4b85-c807-4791-ab02-ad506ad2e37c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.827748162651043*^9},
 CellLabel->
  "Out[231]=",ExpressionUUID->"c9ef2ea5-ee20-4988-8446-147e807d9b7a"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:53cc\:7fa4\:64cd\:4f5c(Table6.1)", "Section",
 CellChangeTimes->{{3.827748246438896*^9, 3.8277482631382074`*^9}, {
  3.827748310934846*^9, 
  3.8277483167480297`*^9}},ExpressionUUID->"8a6df60c-8ee0-4bf6-9765-\
52704c171018"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"oplist", "=", 
  RowBox[{"Keys", "[", "getSpinRotOp", "]"}]}]], "Input",
 CellChangeTimes->{{3.8277483413527255`*^9, 3.8277483413537235`*^9}, {
  3.827748496436427*^9, 3.8277484988998337`*^9}},
 CellLabel->
  "In[236]:=",ExpressionUUID->"5b8c98b2-d3d0-4e17-abad-a8d44ec250b8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\<\"E\"\>", ",", "\<\"C2x\"\>", ",", "\<\"C2y\"\>", 
   ",", "\<\"C2z\"\>", ",", "\<\"C31+\"\>", ",", "\<\"C32+\"\>", 
   ",", "\<\"C33+\"\>", ",", "\<\"C34+\"\>", ",", "\<\"C31-\"\>", 
   ",", "\<\"C32-\"\>", ",", "\<\"C33-\"\>", ",", "\<\"C34-\"\>", 
   ",", "\<\"C4x+\"\>", ",", "\<\"C4y+\"\>", ",", "\<\"C4z+\"\>", 
   ",", "\<\"C4x-\"\>", ",", "\<\"C4y-\"\>", ",", "\<\"C4z-\"\>", 
   ",", "\<\"C2a\"\>", ",", "\<\"C2b\"\>", ",", "\<\"C2c\"\>", 
   ",", "\<\"C2d\"\>", ",", "\<\"C2e\"\>", ",", "\<\"C2f\"\>", 
   ",", "\<\"C6+\"\>", ",", "\<\"C3+\"\>", ",", "\<\"C2\"\>", 
   ",", "\<\"C3-\"\>", ",", "\<\"C6-\"\>", ",", "\<\"C21p\"\>", 
   ",", "\<\"C22p\"\>", ",", "\<\"C23p\"\>", ",", "\<\"C21pp\"\>", 
   ",", "\<\"C22pp\"\>", ",", "\<\"C23pp\"\>", ",", "\<\"I\"\>", 
   ",", "\<\"\[Sigma]x\"\>", ",", "\<\"\[Sigma]y\"\>", 
   ",", "\<\"\[Sigma]z\"\>", ",", "\<\"S61-\"\>", ",", "\<\"S62-\"\>", 
   ",", "\<\"S63-\"\>", ",", "\<\"S64-\"\>", ",", "\<\"S61+\"\>", 
   ",", "\<\"S62+\"\>", ",", "\<\"S63+\"\>", ",", "\<\"S64+\"\>", 
   ",", "\<\"S4x-\"\>", ",", "\<\"S4y-\"\>", ",", "\<\"S4z-\"\>", 
   ",", "\<\"S4x+\"\>", ",", "\<\"S4y+\"\>", ",", "\<\"S4z+\"\>", 
   ",", "\<\"\[Sigma]da\"\>", ",", "\<\"\[Sigma]db\"\>", 
   ",", "\<\"\[Sigma]dc\"\>", ",", "\<\"\[Sigma]dd\"\>", 
   ",", "\<\"\[Sigma]de\"\>", ",", "\<\"\[Sigma]df\"\>", ",", "\<\"S3-\"\>", 
   ",", "\<\"S6-\"\>", ",", "\<\"\[Sigma]h\"\>", ",", "\<\"S6+\"\>", 
   ",", "\<\"S3+\"\>", ",", "\<\"\[Sigma]d1\"\>", ",", "\<\"\[Sigma]d2\"\>", 
   ",", "\<\"\[Sigma]d3\"\>", ",", "\<\"\[Sigma]v1\"\>", 
   ",", "\<\"\[Sigma]v2\"\>", ",", "\<\"\[Sigma]v3\"\>", ",", "\<\"barE\"\>", 
   ",", "\<\"barC2x\"\>", ",", "\<\"barC2y\"\>", ",", "\<\"barC2z\"\>", 
   ",", "\<\"barC31+\"\>", ",", "\<\"barC32+\"\>", ",", "\<\"barC33+\"\>", 
   ",", "\<\"barC34+\"\>", ",", "\<\"barC31-\"\>", ",", "\<\"barC32-\"\>", 
   ",", "\<\"barC33-\"\>", ",", "\<\"barC34-\"\>", ",", "\<\"barC4x+\"\>", 
   ",", "\<\"barC4y+\"\>", ",", "\<\"barC4z+\"\>", ",", "\<\"barC4x-\"\>", 
   ",", "\<\"barC4y-\"\>", ",", "\<\"barC4z-\"\>", ",", "\<\"barC2a\"\>", 
   ",", "\<\"barC2b\"\>", ",", "\<\"barC2c\"\>", ",", "\<\"barC2d\"\>", 
   ",", "\<\"barC2e\"\>", ",", "\<\"barC2f\"\>", ",", "\<\"barC6+\"\>", 
   ",", "\<\"barC3+\"\>", ",", "\<\"barC2\"\>", ",", "\<\"barC3-\"\>", 
   ",", "\<\"barC6-\"\>", ",", "\<\"barC21p\"\>", ",", "\<\"barC22p\"\>", 
   ",", "\<\"barC23p\"\>", ",", "\<\"barC21pp\"\>", ",", "\<\"barC22pp\"\>", 
   ",", "\<\"barC23pp\"\>", ",", "\<\"barI\"\>", ",", "\<\"bar\[Sigma]x\"\>", 
   ",", "\<\"bar\[Sigma]y\"\>", ",", "\<\"bar\[Sigma]z\"\>", 
   ",", "\<\"barS61-\"\>", ",", "\<\"barS62-\"\>", ",", "\<\"barS63-\"\>", 
   ",", "\<\"barS64-\"\>", ",", "\<\"barS61+\"\>", ",", "\<\"barS62+\"\>", 
   ",", "\<\"barS63+\"\>", ",", "\<\"barS64+\"\>", ",", "\<\"barS4x-\"\>", 
   ",", "\<\"barS4y-\"\>", ",", "\<\"barS4z-\"\>", ",", "\<\"barS4x+\"\>", 
   ",", "\<\"barS4y+\"\>", ",", "\<\"barS4z+\"\>", 
   ",", "\<\"bar\[Sigma]da\"\>", ",", "\<\"bar\[Sigma]db\"\>", 
   ",", "\<\"bar\[Sigma]dc\"\>", ",", "\<\"bar\[Sigma]dd\"\>", 
   ",", "\<\"bar\[Sigma]de\"\>", ",", "\<\"bar\[Sigma]df\"\>", 
   ",", "\<\"barS3-\"\>", ",", "\<\"barS6-\"\>", ",", "\<\"bar\[Sigma]h\"\>", 
   ",", "\<\"barS6+\"\>", ",", "\<\"barS3+\"\>", ",", "\<\"bar\[Sigma]d1\"\>",
    ",", "\<\"bar\[Sigma]d2\"\>", ",", "\<\"bar\[Sigma]d3\"\>", 
   ",", "\<\"bar\[Sigma]v1\"\>", ",", "\<\"bar\[Sigma]v2\"\>", 
   ",", "\<\"bar\[Sigma]v3\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.827748342602843*^9, 3.827748501153034*^9},
 CellLabel->
  "Out[236]=",ExpressionUUID->"cfb2880b-2734-4e3d-a40f-5bf94d4cf7dc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"getSpinRotOp", "[", "#", "]"}], "&"}], "/@", "oplist"}]], "Input",
 CellChangeTimes->{{3.827748473806655*^9, 3.827748508882182*^9}},
 CellLabel->
  "In[237]:=",ExpressionUUID->"cba5620e-fac9-4514-9818-417cbc87dc9b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], ",", "0"}], "}"}]}], "}"}], ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[ImaginaryI]"}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "\[ImaginaryI]"}], 
          SqrtBox["2"]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{"1", "-", "\[ImaginaryI]"}], 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "-", "\[ImaginaryI]"}], 
          SqrtBox["2"]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{"1", "+", "\[ImaginaryI]"}], 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "-", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "\[ImaginaryI]"}], 
          SqrtBox["2"]], ",", "0"}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "+", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "-", "\[ImaginaryI]"}], 
          SqrtBox["2"]], ",", "0"}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "+", 
            SqrtBox["3"]}], ")"}]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[ImaginaryI]"}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "+", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], ",", "0"}], "}"}]}], "}"}], ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "-", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "-", 
            SqrtBox["3"]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[ImaginaryI]"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "\[ImaginaryI]"}], 
          SqrtBox["2"]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{"1", "-", "\[ImaginaryI]"}], 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "-", "\[ImaginaryI]"}], 
          SqrtBox["2"]], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{"1", "+", "\[ImaginaryI]"}], 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "-", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "+", "\[ImaginaryI]"}], 
          SqrtBox["2"]], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "+", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox[
          RowBox[{"1", "-", "\[ImaginaryI]"}], 
          SqrtBox["2"]], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "+", 
            SqrtBox["3"]}], ")"}]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[ImaginaryI]"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "+", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[ImaginaryI]"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "-", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "-", 
            SqrtBox["3"]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "+", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "\[ImaginaryI]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "+", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "-", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "-", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "+", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{"1", "-", "\[ImaginaryI]"}], 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "+", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}], ",", "0"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{"1", "+", "\[ImaginaryI]"}], 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "-", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}], ",", "0"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "-", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "-", 
            SqrtBox["3"]}], ")"}]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "-", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "-", 
            SqrtBox["3"]}], ")"}]}]}], "}"}]}], "}"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "\[ImaginaryI]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "-", 
            SqrtBox["3"]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "+", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "+", 
            SqrtBox["3"]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "-", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", "1"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ",", "1"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "\[ImaginaryI]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "-", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          FractionBox["1", "2"], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}], ",", 
         RowBox[{
          RowBox[{"-", 
           FractionBox["1", "2"]}], "+", 
          FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "+", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "-", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "-", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "+", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{"1", "-", "\[ImaginaryI]"}], 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "+", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         FractionBox[
          RowBox[{"1", "+", "\[ImaginaryI]"}], 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"1", "-", "\[ImaginaryI]"}], 
           SqrtBox["2"]]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]], ",", 
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["\[ImaginaryI]", 
           SqrtBox["2"]]}], ",", 
         FractionBox["1", 
          SqrtBox["2"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["1", 
           SqrtBox["2"]]}], ",", 
         FractionBox["\[ImaginaryI]", 
          SqrtBox["2"]]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "-", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "-", 
            SqrtBox["3"]}], ")"}]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "\[ImaginaryI]"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"\[ImaginaryI]", "-", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "-", 
            SqrtBox["3"]}], ")"}]}]}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "\[ImaginaryI]"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "-", 
            SqrtBox["3"]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "+", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "+", 
            SqrtBox["3"]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "\[ImaginaryI]"}], "-", 
            SqrtBox["3"]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "-", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox["1", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[ImaginaryI]", " ", 
             SqrtBox["3"]}]}], ")"}]}], ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"-", "1"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827748477794771*^9, 3.8277485092270155`*^9}},
 CellLabel->
  "Out[237]=",ExpressionUUID->"694c6590-7142-4fa6-bd25-25158c953515"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"srop", "=", 
   RowBox[{"getSpinRotOp", "[", "\"\<barC32+\>\"", "]"}]}], 
  RowBox[{"(*", 
   RowBox[{"\:5f97\:5230\:64cd\:4f5c\:7684SU", 
    RowBox[{"(", "2", ")"}], "\:8868\:793a"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"getSpinRotName", "[", 
   RowBox[{"\"\<CubiBody\>\"", ",", "srop"}], "]"}], 
  RowBox[{
  "(*", "\:786e\:5b9a\:64cd\:4f5c\:5728BZ\:4e2d\:7684\:8868\:793a\:540d\:79f0\
", "*)"}]}], "\n", 
 RowBox[{"getSpinRotName", "[", 
  RowBox[{"\"\<CubiPrim\>\"", ",", "srop"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"getSpinRotName", "[", 
  RowBox[{"\"\<TrigPrim\>\"", ",", "srop"}], "]"}]}], "Input",
 CellChangeTimes->{{3.8277486032550488`*^9, 3.827748719362667*^9}},
 CellLabel->
  "In[242]:=",ExpressionUUID->"4752b3f2-d5a6-4339-847a-6241ef0671db"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "-", 
        FractionBox["\[ImaginaryI]", "2"]}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", 
        FractionBox["\[ImaginaryI]", "2"]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "-", 
        FractionBox["\[ImaginaryI]", "2"]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", 
        FractionBox["\[ImaginaryI]", "2"]}]}], "}"}]}], "}"}], ",", "1"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.827748627739936*^9, 3.8277486854326553`*^9, 
  3.8277487209108176`*^9},
 CellLabel->
  "Out[242]=",ExpressionUUID->"3d383b2e-2813-4a3a-85df-67f2058734cc"],

Cell[BoxData["\<\"barC32+\"\>"], "Output",
 CellChangeTimes->{3.827748627739936*^9, 3.8277486854326553`*^9, 
  3.8277487209168015`*^9},
 CellLabel->
  "Out[243]=",ExpressionUUID->"bfbeef37-587a-4e5e-9992-455545262982"],

Cell[BoxData["\<\"barC32+\"\>"], "Output",
 CellChangeTimes->{3.827748627739936*^9, 3.8277486854326553`*^9, 
  3.827748720921788*^9},
 CellLabel->
  "Out[244]=",ExpressionUUID->"f96a09a7-eb71-4909-92e2-b96040951015"],

Cell[BoxData[
 RowBox[{"Missing", "[", 
  RowBox[{"\<\"KeyAbsent\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "0.5`"}], "-", 
          RowBox[{"0.5`", " ", "\[ImaginaryI]"}]}], ",", 
         RowBox[{"0.5`", "\[VeryThinSpace]", "-", 
          RowBox[{"0.5`", " ", "\[ImaginaryI]"}]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "0.5`"}], "-", 
          RowBox[{"0.5`", " ", "\[ImaginaryI]"}]}], ",", 
         RowBox[{
          RowBox[{"-", "0.5`"}], "+", 
          RowBox[{"0.5`", " ", "\[ImaginaryI]"}]}]}], "}"}]}], "}"}], ",", 
     "1.`"}], "}"}]}], "]"}]], "Output",
 CellChangeTimes->{3.827748627739936*^9, 3.8277486854326553`*^9, 
  3.827748720926775*^9},
 CellLabel->
  "Out[245]=",ExpressionUUID->"eb3c3264-3712-458f-8bed-49c86f344967"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:786e\:5b9a\:7a7a\:95f4\:7fa4\:9ad8\:5bf9\:79f0\:70b9\:7fa4\:5143, \
LittleGroup, Herring LittleGroup", "Section",
 CellChangeTimes->{{3.8277489978980966`*^9, 
  3.8277490436490602`*^9}},ExpressionUUID->"de4ecf1b-4fb6-4303-b640-\
e5fa38a7d640"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"getLGElem", "[", 
    RowBox[{"#", ",", "\"\<\[CapitalGamma]\>\""}], "]"}], "&"}], "/@", 
  RowBox[{"Range", "[", "10", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"getLGElem", "[", 
  RowBox[{"20", ",", "\"\<R\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"getHLGElem", "[", 
   RowBox[{"20", ",", "\"\<R\>\""}], "]"}], 
  RowBox[{"(*", 
   RowBox[{"Herring", " ", "\:5c0f\:7fa4"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"getCentExt", "[", 
  RowBox[{"20", ",", "\"\<B\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8277490517098923`*^9, 3.827749051710889*^9}, {
  3.827749091151614*^9, 3.827749200895747*^9}},
 CellLabel->
  "In[258]:=",ExpressionUUID->"3eeee06c-795f-4d97-9ecf-1fb0041ac0ee"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"\<\"E\"\>", ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"E\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"I\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"E\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"C2z\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"E\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"C2z\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"E\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"C2z\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"E\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"\[Sigma]z\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"E\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"\[Sigma]z\"\>", ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"E\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"\[Sigma]z\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"E\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"\[Sigma]z\"\>", ",", 
       RowBox[{"{", 
        RowBox[{
         FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\<\"E\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"C2z\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"I\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\<\"\[Sigma]z\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.827749053694028*^9, {3.827749097984931*^9, 3.8277491699856696`*^9}, 
   3.8277492022684965`*^9},
 CellLabel->
  "Out[258]=",ExpressionUUID->"dd5a93e2-87e5-4cf6-818e-77a35c5a801d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"E\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C2z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827749053694028*^9, {3.827749097984931*^9, 3.8277491699856696`*^9}, 
   3.8277492022734833`*^9},
 CellLabel->
  "Out[259]=",ExpressionUUID->"84056d61-f437-47e6-8493-9b5c16ea0f95"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"E\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C2z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"E\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C2z\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["3", "2"]}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827749053694028*^9, {3.827749097984931*^9, 3.8277491699856696`*^9}, 
   3.827749202276475*^9},
 CellLabel->
  "Out[260]=",ExpressionUUID->"d87bddc7-e53d-4268-bc54-071e5c97f15c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"E\"\>", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C2y\"\>", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"E\"\>", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C2y\"\>", ",", "1"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.827749053694028*^9, {3.827749097984931*^9, 3.8277491699856696`*^9}, 
   3.82774920227847*^9},
 CellLabel->
  "Out[261]=",ExpressionUUID->"03b03f6a-6312-4b07-a10d-21b37b5e3dc9"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:7fa4\:5143\:7d20\:4e58\:6cd5", "Section",
 CellChangeTimes->{{3.8277492731582756`*^9, 
  3.8277492863417807`*^9}},ExpressionUUID->"9f6d2e59-f065-4437-a08d-\
7017cc5522c0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "SeitzTimes"}], "\[IndentingNewLine]", 
 RowBox[{"?", "invSeitz"}], "\[IndentingNewLine]", 
 RowBox[{"?", "powerSeitz"}], "\[IndentingNewLine]", 
 RowBox[{"?", "DSGSeitzTimes"}], "\[IndentingNewLine]", 
 RowBox[{"?", "DSGinvSeitz"}], "\[IndentingNewLine]", 
 RowBox[{"?", "DSGpowerSeitz"}], "\[IndentingNewLine]", 
 RowBox[{"?", "CentExtTimes"}], "\[IndentingNewLine]", 
 RowBox[{"?", "CentExtPower"}], "\[IndentingNewLine]", 
 RowBox[{"?", "DSGCentExtTimes"}], "\[IndentingNewLine]", 
 RowBox[{"?", "DSGCentExtPower"}]}], "Input",
 CellChangeTimes->{{3.8277492881230617`*^9, 3.8277493492323647`*^9}},
 CellLabel->
  "In[269]:=",ExpressionUUID->"e2971d6c-0535-4722-a3d1-c1e11b7e6bf7"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Two usages:\\nSeitzTimes[{R1,v1},{R2,v2}]  or  \
SeitzTimes[brav][{Rname1,v1},{Rname2,v2}]\\nMultiplication of two space group \
operations. R1 and R2 are directly rotation matrices, while Rname1 and Rname2 \
are the names of the two rotations. For the second usage, the Bravais lattice \
brav has to be given.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" DownValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"DownValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "DownValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{"SeitzTimes", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R1_", ",", 
                    "SpaceGroupIrep`Private`v1_"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R2_", ",", 
                    "SpaceGroupIrep`Private`v2_"}], "}"}]}], "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`R1", ".", 
                    "SpaceGroupIrep`Private`R2"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`R1", ".", 
                    "SpaceGroupIrep`Private`v2"}], "+", 
                    "SpaceGroupIrep`Private`v1"}]}], "}"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SeitzTimes", "[", "SpaceGroupIrep`Private`brav_", "]"}], 
                    "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Rname1_", ",", 
                    "SpaceGroupIrep`Private`v1_"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Rname2_", ",", 
                    "SpaceGroupIrep`Private`v2_"}], "}"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R1", ",", 
                    "SpaceGroupIrep`Private`R2"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`R1", "=", 
                    RowBox[{"getRotMat", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`Rname1"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`R2", "=", 
                    RowBox[{"getRotMat", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`Rname2"}], "]"}]}], ";", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"getRotName", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R1", ".", 
                    "SpaceGroupIrep`Private`R2"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`R1", ".", 
                    "SpaceGroupIrep`Private`v2"}], "+", 
                    "SpaceGroupIrep`Private`v1"}]}], "}"}]}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`SeitzTimes\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Two usages:\\nSeitzTimes[{R1,v1},{R2,v2}]  or  \
SeitzTimes[brav][{Rname1,v1},{Rname2,v2}]\\nMultiplication of two space group \
operations. R1 and R2 are directly rotation matrices, while Rname1 and Rname2 \
are the names of the two rotations. For the second usage, the Bravais lattice \
brav has to be given.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "Two usages:\nSeitzTimes[{R1,v1},{R2,v2}]  or  \
SeitzTimes[brav][{Rname1,v1},{Rname2,v2}]\nMultiplication of two space group \
operations. R1 and R2 are directly rotation matrices, while Rname1 and Rname2 \
are the names of the two rotations. For the second usage, the Bravais lattice \
brav has to be given.", "Documentation" -> None, "OwnValues" -> None, 
    "UpValues" -> None, "DownValues" -> 
    Information`InformationValueForm[
     DownValues, SpaceGroupIrep`SeitzTimes, {SpaceGroupIrep`SeitzTimes[{
          Pattern[SpaceGroupIrep`Private`R1, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`v1, 
           Blank[]]}, {
          Pattern[SpaceGroupIrep`Private`R2, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`v2, 
           Blank[]]}] :> {
         Dot[SpaceGroupIrep`Private`R1, SpaceGroupIrep`Private`R2], 
         Dot[SpaceGroupIrep`Private`R1, SpaceGroupIrep`Private`v2] + 
         SpaceGroupIrep`Private`v1}}], "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`SeitzTimes, {SpaceGroupIrep`SeitzTimes[
         Pattern[SpaceGroupIrep`Private`brav, 
          Blank[]]][{
          Pattern[SpaceGroupIrep`Private`Rname1, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`v1, 
           Blank[]]}, {
          Pattern[SpaceGroupIrep`Private`Rname2, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`v2, 
           Blank[]]}] :> 
       Module[{SpaceGroupIrep`Private`R1, SpaceGroupIrep`Private`R2}, 
         SpaceGroupIrep`Private`R1 = 
          SpaceGroupIrep`getRotMat[
           SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`Rname1]; 
         SpaceGroupIrep`Private`R2 = 
          SpaceGroupIrep`getRotMat[
           SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`Rname2]; {
           SpaceGroupIrep`getRotName[SpaceGroupIrep`Private`brav, 
            Dot[SpaceGroupIrep`Private`R1, SpaceGroupIrep`Private`R2]], 
           Dot[SpaceGroupIrep`Private`R1, SpaceGroupIrep`Private`v2] + 
           SpaceGroupIrep`Private`v1}]}], "DefaultValues" -> None, "NValues" -> 
    None, "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
    "FullName" -> "SpaceGroupIrep`SeitzTimes"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.827749350416141*^9}},
 CellLabel->
  "Out[269]=",ExpressionUUID->"f73a1f65-cfc9-4918-abfa-de2e3c439c60"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Two usages:  invSeitz[{R,v}]  or  \
invSeitz[brav][{Rname,v}]  gives the inverse of the space group operation \
{R,v} or {Rname,v}.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" DownValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"DownValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "DownValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{"invSeitz", "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`R_", ",", "v_"}], "}"}], 
                    "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Inverse", "[", "SpaceGroupIrep`Private`R", "]"}],
                     ",", 
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{"Inverse", "[", "SpaceGroupIrep`Private`R", "]"}],
                     ".", "v"}]}]}], "}"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "invSeitz", "[", "SpaceGroupIrep`Private`brav_", "]"}], 
                    "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`Rname_", ",", "v_"}], 
                    "}"}], "]"}], ":=", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`R", "=", 
                    RowBox[{"getRotMat", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`Rname"}], "]"}]}], ",", 
                    "SpaceGroupIrep`Private`iR"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`iR", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`invRotMat", "[", 
                    "SpaceGroupIrep`Private`R", "]"}]}], ";", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"getRotName", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`iR"}], "]"}], ",", 
                    RowBox[{"-", 
                    RowBox[{"SpaceGroupIrep`Private`iR", ".", "v"}]}]}], 
                    "}"}]}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`invSeitz\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Two usages:  invSeitz[{R,v}]  or  \
invSeitz[brav][{Rname,v}]  gives the inverse of the space group operation \
{R,v} or {Rname,v}.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "Two usages:  invSeitz[{R,v}]  or  invSeitz[brav][{Rname,v}]  gives the \
inverse of the space group operation {R,v} or {Rname,v}.", "Documentation" -> 
    None, "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
    Information`InformationValueForm[
     DownValues, SpaceGroupIrep`invSeitz, {SpaceGroupIrep`invSeitz[{
          Pattern[SpaceGroupIrep`Private`R, 
           Blank[]], 
          Pattern[SpaceGroupIrep`v, 
           Blank[]]}] :> {
         Inverse[SpaceGroupIrep`Private`R], -Dot[
           Inverse[SpaceGroupIrep`Private`R], SpaceGroupIrep`v]}}], 
    "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`invSeitz, {SpaceGroupIrep`invSeitz[
         Pattern[SpaceGroupIrep`Private`brav, 
          Blank[]]][{
          Pattern[SpaceGroupIrep`Private`Rname, 
           Blank[]], 
          Pattern[SpaceGroupIrep`v, 
           Blank[]]}] :> 
       Block[{SpaceGroupIrep`Private`R = 
          SpaceGroupIrep`getRotMat[
           SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`Rname], 
          SpaceGroupIrep`Private`iR}, 
         SpaceGroupIrep`Private`iR = 
          SpaceGroupIrep`Private`invRotMat[SpaceGroupIrep`Private`R]; {
           SpaceGroupIrep`getRotName[
           SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`iR], -
           Dot[SpaceGroupIrep`Private`iR, SpaceGroupIrep`v]}]}], 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "SpaceGroupIrep`invSeitz"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.827749350544797*^9}},
 CellLabel->
  "Out[270]=",ExpressionUUID->"e1174eb9-b51a-42a6-bfdf-af55f9d5bec7"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Two usages:  powerSeitz[{R,v},n]  or \
powerSeitz[brav][{Rname,v},n]  gives {R,v}^n or {Rname,v}^n\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" DownValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"DownValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "DownValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{"powerSeitz", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`R_", ",", "v_"}], "}"}], 
                    ",", "SpaceGroupIrep`Private`n_Integer"}], "]"}], "/;", 
                    RowBox[{
                    "SpaceGroupIrep`Private`n", "\[GreaterEqual]", "0"}]}], ":=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`n", "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"IdentityMatrix", "[", "3", "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
                    RowBox[{"Fold", "[", 
                    RowBox[{"SeitzTimes", ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`R", ",", "v"}], "}"}], 
                    ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`R", ",", "v"}], "}"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{"SpaceGroupIrep`Private`n", "-", "1"}]}], "}"}]}],
                     "]"}]}], "]"}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "powerSeitz", "[", "SpaceGroupIrep`Private`brav_", "]"}], 
                    "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`Rname_", ",", "v_"}], 
                    "}"}], ",", "SpaceGroupIrep`Private`n_Integer"}], "]"}], "/;", 
                    RowBox[{
                    "SpaceGroupIrep`Private`n", "\[GreaterEqual]", "0"}]}], ":=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`n", "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"\<\"E\"\>", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
                    RowBox[{"Fold", "[", 
                    RowBox[{
                    RowBox[{
                    "SeitzTimes", "[", "SpaceGroupIrep`Private`brav", "]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`Rname", ",", "v"}], "}"}],
                     ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`Rname", ",", "v"}], "}"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{"SpaceGroupIrep`Private`n", "-", "1"}]}], "}"}]}],
                     "]"}]}], "]"}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`powerSeitz\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Two usages:  powerSeitz[{R,v},n]  or \
powerSeitz[brav][{Rname,v},n]  gives {R,v}^n or {Rname,v}^n\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "Two usages:  powerSeitz[{R,v},n]  or powerSeitz[brav][{Rname,v},n]  \
gives {R,v}^n or {Rname,v}^n", "Documentation" -> None, "OwnValues" -> None, 
    "UpValues" -> None, "DownValues" -> 
    Information`InformationValueForm[
     DownValues, SpaceGroupIrep`powerSeitz, {Condition[
         SpaceGroupIrep`powerSeitz[{
           Pattern[SpaceGroupIrep`Private`R, 
            Blank[]], 
           Pattern[SpaceGroupIrep`v, 
            Blank[]]}, 
          Pattern[SpaceGroupIrep`Private`n, 
           Blank[Integer]]], SpaceGroupIrep`Private`n >= 0] :> 
       If[SpaceGroupIrep`Private`n == 0, {
          IdentityMatrix[3], {0, 0, 0}}, 
         Fold[
         SpaceGroupIrep`SeitzTimes, {
          SpaceGroupIrep`Private`R, SpaceGroupIrep`v}, 
          
          Table[{SpaceGroupIrep`Private`R, SpaceGroupIrep`v}, {
           SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`n - 1}]]]}], 
    "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`powerSeitz, {Condition[
         SpaceGroupIrep`powerSeitz[
          Pattern[SpaceGroupIrep`Private`brav, 
           Blank[]]][{
           Pattern[SpaceGroupIrep`Private`Rname, 
            Blank[]], 
           Pattern[SpaceGroupIrep`v, 
            Blank[]]}, 
          Pattern[SpaceGroupIrep`Private`n, 
           Blank[Integer]]], SpaceGroupIrep`Private`n >= 0] :> 
       If[SpaceGroupIrep`Private`n == 0, {"E", {0, 0, 0}}, 
         Fold[
          SpaceGroupIrep`SeitzTimes[SpaceGroupIrep`Private`brav], {
          SpaceGroupIrep`Private`Rname, SpaceGroupIrep`v}, 
          
          Table[{SpaceGroupIrep`Private`Rname, SpaceGroupIrep`v}, {
           SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`n - 1}]]]}], 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "SpaceGroupIrep`powerSeitz"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.827749350674481*^9}},
 CellLabel->
  "Out[271]=",ExpressionUUID->"02bbb48e-e365-4604-9a88-6b7319cd897b"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGSeitzTimes[brav][{Rname1,v1},{Rname2,v2}]  \
multiplies two double space group operations {Rname1,v1} and {Rname2,v2}\"\>",
              "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "DSGSeitzTimes", "[", "SpaceGroupIrep`Private`brav_", 
                    "]"}], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Rname1_", ",", 
                    "SpaceGroupIrep`Private`v1_"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Rname2_", ",", 
                    "SpaceGroupIrep`Private`v2_"}], "}"}]}], "]"}], ":=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpinRotTimes", "[", "SpaceGroupIrep`Private`brav", "]"}],
                     "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Rname1", ",", 
                    "SpaceGroupIrep`Private`Rname2"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"getRotMat", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"SpaceGroupIrep`Private`Rname1", ",", 
                    RowBox[{"\<\"bar\"\>", "\[Rule]", "\<\"\"\>"}]}], "]"}]}],
                     "]"}], ".", "SpaceGroupIrep`Private`v2"}], "+", 
                    "SpaceGroupIrep`Private`v1"}]}], "}"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`DSGSeitzTimes\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGSeitzTimes[brav][{Rname1,v1},{Rname2,v2}]  \
multiplies two double space group operations {Rname1,v1} and {Rname2,v2}\"\>",
              "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "DSGSeitzTimes[brav][{Rname1,v1},{Rname2,v2}]  multiplies two double \
space group operations {Rname1,v1} and {Rname2,v2}", "Documentation" -> None, 
    "OwnValues" -> None, "UpValues" -> None, "DownValues" -> None, 
    "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`DSGSeitzTimes, {SpaceGroupIrep`DSGSeitzTimes[
         Pattern[SpaceGroupIrep`Private`brav, 
          Blank[]]][{
          Pattern[SpaceGroupIrep`Private`Rname1, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`v1, 
           Blank[]]}, {
          Pattern[SpaceGroupIrep`Private`Rname2, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`v2, 
           Blank[]]}] :> {
         SpaceGroupIrep`SpinRotTimes[SpaceGroupIrep`Private`brav][
         SpaceGroupIrep`Private`Rname1, SpaceGroupIrep`Private`Rname2], Dot[
           SpaceGroupIrep`getRotMat[SpaceGroupIrep`Private`brav, 
            StringReplace[SpaceGroupIrep`Private`Rname1, "bar" -> ""]], 
           SpaceGroupIrep`Private`v2] + SpaceGroupIrep`Private`v1}}], 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "SpaceGroupIrep`DSGSeitzTimes"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.827749350804103*^9}},
 CellLabel->
  "Out[272]=",ExpressionUUID->"65a5e994-ec0b-4a5d-a6e3-13963f84f4b3"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGinvSeitz[brav][{Rname,v}]  gives the inversion \
of double space group operation {Rname,v}.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "DSGinvSeitz", "[", "SpaceGroupIrep`Private`brav_", "]"}],
                     "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`Rname_", ",", "v_"}], 
                    "}"}], "]"}], ":=", 
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`R", "=", 
                    RowBox[{"getRotMat", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"SpaceGroupIrep`Private`Rname", ",", 
                    RowBox[{"\<\"bar\"\>", "\[Rule]", "\<\"\"\>"}]}], "]"}]}],
                     "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"getSpinRotName", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"ConjugateTranspose", "[", "#1", "]"}], ",", 
                    "#2"}], "}"}]}], "]"}], "&"}], ")"}], "@@", 
                    RowBox[{
                    "getSpinRotOp", "[", "SpaceGroupIrep`Private`Rname", 
                    "]"}]}], ",", 
                    RowBox[{"-", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`invRotMat", "[", 
                    "SpaceGroupIrep`Private`R", "]"}], ".", "v"}]}]}], 
                    "}"}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`DSGinvSeitz\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGinvSeitz[brav][{Rname,v}]  gives the inversion \
of double space group operation {Rname,v}.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "DSGinvSeitz[brav][{Rname,v}]  gives the inversion of double space group \
operation {Rname,v}.", "Documentation" -> None, "OwnValues" -> None, 
    "UpValues" -> None, "DownValues" -> None, "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`DSGinvSeitz, {SpaceGroupIrep`DSGinvSeitz[
         Pattern[SpaceGroupIrep`Private`brav, 
          Blank[]]][{
          Pattern[SpaceGroupIrep`Private`Rname, 
           Blank[]], 
          Pattern[SpaceGroupIrep`v, 
           Blank[]]}] :> 
       With[{SpaceGroupIrep`Private`R = 
          SpaceGroupIrep`getRotMat[SpaceGroupIrep`Private`brav, 
            StringReplace[SpaceGroupIrep`Private`Rname, "bar" -> ""]]}, {
          Apply[SpaceGroupIrep`getSpinRotName[SpaceGroupIrep`Private`brav, {
             ConjugateTranspose[#], #2}]& , 
           SpaceGroupIrep`getSpinRotOp[SpaceGroupIrep`Private`Rname]], -Dot[
            SpaceGroupIrep`Private`invRotMat[SpaceGroupIrep`Private`R], 
            SpaceGroupIrep`v]}]}], "DefaultValues" -> None, "NValues" -> None,
     "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
    "FullName" -> "SpaceGroupIrep`DSGinvSeitz"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.827749350935749*^9}},
 CellLabel->
  "Out[273]=",ExpressionUUID->"c5daf12e-1a4f-4f7c-bfe5-d0d3e98e8d0f"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGpowerSeitz[brav][{Rname,v},n]  gives {Rname,v}^n \
for double space group.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "DSGpowerSeitz", "[", "SpaceGroupIrep`Private`brav_", 
                    "]"}], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`Rname_", ",", "v_"}], 
                    "}"}], ",", "SpaceGroupIrep`Private`n_Integer"}], "]"}], "/;", 
                    RowBox[{
                    "SpaceGroupIrep`Private`n", "\[GreaterEqual]", "0"}]}], ":=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`n", "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"\<\"E\"\>", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
                    RowBox[{"Fold", "[", 
                    RowBox[{
                    RowBox[{
                    "DSGSeitzTimes", "[", "SpaceGroupIrep`Private`brav", 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`Rname", ",", "v"}], "}"}],
                     ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`Rname", ",", "v"}], "}"}],
                     ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{"SpaceGroupIrep`Private`n", "-", "1"}]}], "}"}]}],
                     "]"}]}], "]"}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`DSGpowerSeitz\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGpowerSeitz[brav][{Rname,v},n]  gives {Rname,v}^n \
for double space group.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "DSGpowerSeitz[brav][{Rname,v},n]  gives {Rname,v}^n for double space \
group.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
    "DownValues" -> None, "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`DSGpowerSeitz, {Condition[
         SpaceGroupIrep`DSGpowerSeitz[
          Pattern[SpaceGroupIrep`Private`brav, 
           Blank[]]][{
           Pattern[SpaceGroupIrep`Private`Rname, 
            Blank[]], 
           Pattern[SpaceGroupIrep`v, 
            Blank[]]}, 
          Pattern[SpaceGroupIrep`Private`n, 
           Blank[Integer]]], SpaceGroupIrep`Private`n >= 0] :> 
       If[SpaceGroupIrep`Private`n == 0, {"E", {0, 0, 0}}, 
         Fold[
          SpaceGroupIrep`DSGSeitzTimes[SpaceGroupIrep`Private`brav], {
          SpaceGroupIrep`Private`Rname, SpaceGroupIrep`v}, 
          
          Table[{SpaceGroupIrep`Private`Rname, SpaceGroupIrep`v}, {
           SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`n - 1}]]]}], 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "SpaceGroupIrep`DSGpowerSeitz"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.8277493510823565`*^9}},
 CellLabel->
  "Out[274]=",ExpressionUUID->"86e0d83f-b413-40b3-84f5-9df8a34b5b73"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"CentExtTimes[brav,adict][{R1,alpha},{R2,beta}]  \
multiplies two elements {R1,alpha} and {R2,beta} of a central extension of \
little cogroup according to adict which is given by aCentExt. R1 and R2 are \
either rotation matrices or rotation names.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{"CentExtTimes", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav_", ",", 
                    "SpaceGroupIrep`Private`adict_"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R1_", ",", 
                    "SpaceGroupIrep`Private`alpha_"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R2_", ",", 
                    "SpaceGroupIrep`Private`beta_"}], "}"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`g", ",", 
                    "SpaceGroupIrep`Private`R1mat", ",", 
                    "SpaceGroupIrep`Private`R1name", ",", 
                    "SpaceGroupIrep`Private`R2mat", ",", 
                    "SpaceGroupIrep`Private`R2name"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`g", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`adict", "[", "\<\"g\"\>", "]"}]}],
                     ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatrixQ", "[", 
                    RowBox[{"SpaceGroupIrep`Private`R1", ",", "NumberQ"}], 
                    "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`R1mat", "=", 
                    "SpaceGroupIrep`Private`R1"}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R2mat", "=", 
                    "SpaceGroupIrep`Private`R2"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`R1name", "=", 
                    RowBox[{"getRotName", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`R1"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`R2name", "=", 
                    RowBox[{"getRotName", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`R2"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`R1name", "=", 
                    "SpaceGroupIrep`Private`R1"}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R2name", "=", 
                    "SpaceGroupIrep`Private`R2"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`R1mat", "=", 
                    RowBox[{"getRotMat", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`R1"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`R2mat", "=", 
                    RowBox[{"getRotMat", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`R2"}], "]"}]}]}]}], "]"}], ";", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"getRotName", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R1mat", ".", 
                    "SpaceGroupIrep`Private`R2mat"}]}], "]"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`alpha", "+", 
                    "SpaceGroupIrep`Private`beta", "+", 
                    RowBox[{"SpaceGroupIrep`Private`adict", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R1name", ",", 
                    "SpaceGroupIrep`Private`R2name"}], "}"}], "]"}]}], ",", 
                    "SpaceGroupIrep`Private`g"}], "]"}]}], "}"}]}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`CentExtTimes\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"CentExtTimes[brav,adict][{R1,alpha},{R2,beta}]  \
multiplies two elements {R1,alpha} and {R2,beta} of a central extension of \
little cogroup according to adict which is given by aCentExt. R1 and R2 are \
either rotation matrices or rotation names.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "CentExtTimes[brav,adict][{R1,alpha},{R2,beta}]  multiplies two elements \
{R1,alpha} and {R2,beta} of a central extension of little cogroup according \
to adict which is given by aCentExt. R1 and R2 are either rotation matrices \
or rotation names.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> 
    None, "DownValues" -> None, "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`CentExtTimes, {SpaceGroupIrep`CentExtTimes[
         Pattern[SpaceGroupIrep`Private`brav, 
          Blank[]], 
         Pattern[SpaceGroupIrep`Private`adict, 
          Blank[]]][{
          Pattern[SpaceGroupIrep`Private`R1, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`alpha, 
           Blank[]]}, {
          Pattern[SpaceGroupIrep`Private`R2, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`beta, 
           Blank[]]}] :> 
       Module[{SpaceGroupIrep`Private`g, SpaceGroupIrep`Private`R1mat, 
          SpaceGroupIrep`Private`R1name, SpaceGroupIrep`Private`R2mat, 
          SpaceGroupIrep`Private`R2name}, 
         SpaceGroupIrep`Private`g = SpaceGroupIrep`Private`adict["g"]; If[
           MatrixQ[SpaceGroupIrep`Private`R1, NumberQ], 
           SpaceGroupIrep`Private`R1mat = SpaceGroupIrep`Private`R1; 
           SpaceGroupIrep`Private`R2mat = SpaceGroupIrep`Private`R2; 
           SpaceGroupIrep`Private`R1name = 
            SpaceGroupIrep`getRotName[
             SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`R1]; 
           SpaceGroupIrep`Private`R2name = 
            SpaceGroupIrep`getRotName[
             SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`R2], 
           SpaceGroupIrep`Private`R1name = SpaceGroupIrep`Private`R1; 
           SpaceGroupIrep`Private`R2name = SpaceGroupIrep`Private`R2; 
           SpaceGroupIrep`Private`R1mat = 
            SpaceGroupIrep`getRotMat[
             SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`R1]; 
           SpaceGroupIrep`Private`R2mat = 
            SpaceGroupIrep`getRotMat[
             SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`R2]]; {
           SpaceGroupIrep`getRotName[SpaceGroupIrep`Private`brav, 
            Dot[SpaceGroupIrep`Private`R1mat, SpaceGroupIrep`Private`R2mat]], 
           Mod[
           SpaceGroupIrep`Private`alpha + SpaceGroupIrep`Private`beta + 
            SpaceGroupIrep`Private`adict[{
              SpaceGroupIrep`Private`R1name, SpaceGroupIrep`Private`R2name}], 
            SpaceGroupIrep`Private`g]}]}], "DefaultValues" -> None, "NValues" -> 
    None, "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
    "FullName" -> "SpaceGroupIrep`CentExtTimes"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.827749351214004*^9}},
 CellLabel->
  "Out[275]=",ExpressionUUID->"e88c4cab-0742-42da-be7f-1a61565829ff"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"CentExtPower[brav,adict][{R,alpha},n]  gives \
{R,alpha}^n for a central extension of little cogroup, where R is either a \
rotation matrix a rotation name.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"CentExtPower", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav_", ",", 
                    "SpaceGroupIrep`Private`adict_"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R_", ",", 
                    "SpaceGroupIrep`Private`alpha_"}], "}"}], ",", 
                    "SpaceGroupIrep`Private`n_Integer"}], "]"}], "/;", 
                    RowBox[{
                    "SpaceGroupIrep`Private`n", "\[GreaterEqual]", "0"}]}], ":=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`n", "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"\<\"E\"\>", ",", "0"}], "}"}], ",", 
                    RowBox[{"Fold", "[", 
                    RowBox[{
                    RowBox[{"CentExtTimes", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`adict"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R", ",", 
                    "SpaceGroupIrep`Private`alpha"}], "}"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R", ",", 
                    "SpaceGroupIrep`Private`alpha"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{"SpaceGroupIrep`Private`n", "-", "1"}]}], "}"}]}],
                     "]"}]}], "]"}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`CentExtPower\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"CentExtPower[brav,adict][{R,alpha},n]  gives \
{R,alpha}^n for a central extension of little cogroup, where R is either a \
rotation matrix a rotation name.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "CentExtPower[brav,adict][{R,alpha},n]  gives {R,alpha}^n for a central \
extension of little cogroup, where R is either a rotation matrix a rotation \
name.", "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
    "DownValues" -> None, "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`CentExtPower, {Condition[
         SpaceGroupIrep`CentExtPower[
          Pattern[SpaceGroupIrep`Private`brav, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`adict, 
           Blank[]]][{
           Pattern[SpaceGroupIrep`Private`R, 
            Blank[]], 
           Pattern[SpaceGroupIrep`Private`alpha, 
            Blank[]]}, 
          Pattern[SpaceGroupIrep`Private`n, 
           Blank[Integer]]], SpaceGroupIrep`Private`n >= 0] :> 
       If[SpaceGroupIrep`Private`n == 0, {"E", 0}, 
         Fold[
          SpaceGroupIrep`CentExtTimes[
          SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`adict], {
          SpaceGroupIrep`Private`R, SpaceGroupIrep`Private`alpha}, 
          
          Table[{SpaceGroupIrep`Private`R, SpaceGroupIrep`Private`alpha}, {
           SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`n - 1}]]]}], 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "SpaceGroupIrep`CentExtPower"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.8277493513486443`*^9}},
 CellLabel->
  "Out[276]=",ExpressionUUID->"4c552201-20e6-4326-ac70-6bed0543f1db"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGCentExtTimes[brav,adict][{Rname1,alpha},{Rname2,\
beta}]  multiplies two elements {Rname1,alpha} and {Rname2,beta} of a central \
extension of little cogroup of double space group according to adict which is \
given by aCentExt with option \\\"DSG\\\"->True. \"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{"DSGCentExtTimes", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav_", ",", 
                    "SpaceGroupIrep`Private`adict_"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`opname1_", ",", 
                    "SpaceGroupIrep`Private`alpha_"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`opname2_", ",", 
                    "SpaceGroupIrep`Private`beta_"}], "}"}]}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "SpaceGroupIrep`Private`g", "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`g", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`adict", "[", "\<\"g\"\>", "]"}]}],
                     ";", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpinRotTimes", "[", "SpaceGroupIrep`Private`brav", "]"}],
                     "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`opname1", ",", 
                    "SpaceGroupIrep`Private`opname2"}], "]"}], ",", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`alpha", "+", 
                    "SpaceGroupIrep`Private`beta", "+", 
                    RowBox[{"SpaceGroupIrep`Private`adict", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`opname1", ",", 
                    "SpaceGroupIrep`Private`opname2"}], "}"}], "]"}]}], ",", 
                    "SpaceGroupIrep`Private`g"}], "]"}]}], "}"}]}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`DSGCentExtTimes\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGCentExtTimes[brav,adict][{Rname1,alpha},{Rname2,\
beta}]  multiplies two elements {Rname1,alpha} and {Rname2,beta} of a central \
extension of little cogroup of double space group according to adict which is \
given by aCentExt with option \\\"DSG\\\"->True. \"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "DSGCentExtTimes[brav,adict][{Rname1,alpha},{Rname2,beta}]  multiplies \
two elements {Rname1,alpha} and {Rname2,beta} of a central extension of \
little cogroup of double space group according to adict which is given by \
aCentExt with option \"DSG\"->True. ", "Documentation" -> None, "OwnValues" -> 
    None, "UpValues" -> None, "DownValues" -> None, "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`DSGCentExtTimes, {
      SpaceGroupIrep`DSGCentExtTimes[
         Pattern[SpaceGroupIrep`Private`brav, 
          Blank[]], 
         Pattern[SpaceGroupIrep`Private`adict, 
          Blank[]]][{
          Pattern[SpaceGroupIrep`Private`opname1, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`alpha, 
           Blank[]]}, {
          Pattern[SpaceGroupIrep`Private`opname2, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`beta, 
           Blank[]]}] :> 
       Module[{SpaceGroupIrep`Private`g}, 
         SpaceGroupIrep`Private`g = SpaceGroupIrep`Private`adict["g"]; {
           SpaceGroupIrep`SpinRotTimes[SpaceGroupIrep`Private`brav][
           SpaceGroupIrep`Private`opname1, SpaceGroupIrep`Private`opname2], 
           Mod[
           SpaceGroupIrep`Private`alpha + SpaceGroupIrep`Private`beta + 
            SpaceGroupIrep`Private`adict[{
              SpaceGroupIrep`Private`opname1, 
               SpaceGroupIrep`Private`opname2}], 
            SpaceGroupIrep`Private`g]}]}], "DefaultValues" -> None, "NValues" -> 
    None, "FormatValues" -> None, "Options" -> None, "Attributes" -> {}, 
    "FullName" -> "SpaceGroupIrep`DSGCentExtTimes"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.8277493514792957`*^9}},
 CellLabel->
  "Out[277]=",ExpressionUUID->"0bb0d317-28d2-47bd-9159-0dd46b54c0c6"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGCentExtPower[brav,adict][{Rname,alpha},n]  gives \
{Rname,alpha}^n for a central extension of little cogroup for double space \
group.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    
                    StyleBox["\<\" SubValue Definitions\"\>", 
                    "InformationRowLabel",
                    StripOnInput->False],
                    "\"SubValues\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "SubValues", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"DSGCentExtPower", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav_", ",", 
                    "SpaceGroupIrep`Private`adict_"}], "]"}], "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`opname_", ",", 
                    "SpaceGroupIrep`Private`alpha_"}], "}"}], ",", 
                    "SpaceGroupIrep`Private`n_Integer"}], "]"}], "/;", 
                    RowBox[{
                    "SpaceGroupIrep`Private`n", "\[GreaterEqual]", "0"}]}], ":=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`n", "\[Equal]", "0"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"\<\"E\"\>", ",", "0"}], "}"}], ",", 
                    RowBox[{"Fold", "[", 
                    RowBox[{
                    RowBox[{"DSGCentExtTimes", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`adict"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`opname", ",", 
                    "SpaceGroupIrep`Private`alpha"}], "}"}], ",", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`opname", ",", 
                    "SpaceGroupIrep`Private`alpha"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{"SpaceGroupIrep`Private`n", "-", "1"}]}], "}"}]}],
                     "]"}]}], "]"}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`DSGCentExtPower\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"DSGCentExtPower[brav,adict][{Rname,alpha},n]  gives \
{Rname,alpha}^n for a central extension of little cogroup for double space \
group.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "DSGCentExtPower[brav,adict][{Rname,alpha},n]  gives {Rname,alpha}^n for \
a central extension of little cogroup for double space group.", 
    "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
    "DownValues" -> None, "SubValues" -> 
    Information`InformationValueForm[
     SubValues, SpaceGroupIrep`DSGCentExtPower, {Condition[
         SpaceGroupIrep`DSGCentExtPower[
          Pattern[SpaceGroupIrep`Private`brav, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`adict, 
           Blank[]]][{
           Pattern[SpaceGroupIrep`Private`opname, 
            Blank[]], 
           Pattern[SpaceGroupIrep`Private`alpha, 
            Blank[]]}, 
          Pattern[SpaceGroupIrep`Private`n, 
           Blank[Integer]]], SpaceGroupIrep`Private`n >= 0] :> 
       If[SpaceGroupIrep`Private`n == 0, {"E", 0}, 
         Fold[
          SpaceGroupIrep`DSGCentExtTimes[
          SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`adict], {
          SpaceGroupIrep`Private`opname, SpaceGroupIrep`Private`alpha}, 
          
          Table[{SpaceGroupIrep`Private`opname, 
            SpaceGroupIrep`Private`alpha}, {
           SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`n - 1}]]]}], 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "SpaceGroupIrep`DSGCentExtPower"], False]]], "Output",
 CellChangeTimes->{
  3.82774929263437*^9, {3.8277493239373517`*^9, 3.827749351620289*^9}},
 CellLabel->
  "Out[278]=",ExpressionUUID->"150ed1d6-fd00-4fb0-a819-aed4da3ee1d5"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:62bd\:8c61\:7fa4(Table 5.1)", "Section",
 CellChangeTimes->{{3.8277493768081465`*^9, 
  3.827749397435644*^9}},ExpressionUUID->"088dad9c-1915-4c0c-8ac3-\
1d3ac4e8e7b5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"AGClasses", "[", 
  RowBox[{"8", ",", "5"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"AGCharTab", "[", 
  RowBox[{"8", ",", "5"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"AGIrepGen", "[", 
  RowBox[{"8", ",", "5"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"showAGCharTab", "[", 
   RowBox[{"8", ",", "5"}], "]"}], 
  RowBox[{
  "(*", "\:62bd\:8c61\:7fa4\:7279\:5f81\:8868", 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"showAGIrepGen", "[", 
   RowBox[{"8", ",", "5"}], "]"}], 
  RowBox[{
  "(*", "\:62bd\:8c61\:7fa4\:751f\:6210\:5143\:4e0d\:53ef\:7ea6\:8868\:793a", 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.827749476614752*^9, 3.82774959347036*^9}},
 CellLabel->
  "In[291]:=",ExpressionUUID->"d35f2a8e-fd7a-4ecc-a23d-a7db01bab55e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{"2", ",", "0"}], "}"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "1"}], "}"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827749504990549*^9, 3.827749538400754*^9}, 
   3.8277495949652443`*^9},
 CellLabel->
  "Out[291]=",ExpressionUUID->"911949be-24e7-4c6d-87da-5bab3dc0f4a6"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", "1", ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", "1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", 
     RowBox[{"-", "1"}], ",", "1", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "1", ",", 
     RowBox[{"-", "1"}], ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", 
     RowBox[{"-", "2"}], ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.827749504990549*^9, 3.827749538400754*^9}, 
   3.827749594970229*^9},
 CellLabel->
  "Out[292]=",ExpressionUUID->"ef394b5e-bb15-4502-a01a-8d0e2eb540a3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\<\"R1\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R2\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R3\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R4\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", 
       RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"R5\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"0", ",", "\[ImaginaryI]"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[ImaginaryI]", ",", "0"}], "}"}]}], "}"}]}], "}"}]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.827749504990549*^9, 3.827749538400754*^9}, 
   3.82774959497402*^9},
 CellLabel->
  "Out[293]=",ExpressionUUID->"c818ff7b-ee62-466e-a811-ac1c71c5b04c"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     InterpretationBox[GridBox[{
        {
         SubscriptBox["\<\"C\"\>", "1"], "\<\"E\"\>", "\<\"\"\>"},
        {
         SubscriptBox["\<\"C\"\>", "2"], 
         TemplateBox[{
          TemplateBox[{"\"P\"", "2"}, "Superscript", SyntaxForm -> 
            SuperscriptBox],"\"\""},
          "RowDefault"], "\<\"\"\>"},
        {
         SubscriptBox["\<\"C\"\>", "3"], 
         TemplateBox[{"\"P\"","\"\""},
          "RowDefault"], 
         TemplateBox[{
          TemplateBox[{"\"P\"", "3"}, "Superscript", SyntaxForm -> 
            SuperscriptBox],"\"\""},
          "RowDefault"]},
        {
         SubscriptBox["\<\"C\"\>", "4"], 
         TemplateBox[{"\"\"","\"Q\""},
          "RowDefault"], 
         TemplateBox[{
          TemplateBox[{"\"P\"", "2"}, "Superscript", SyntaxForm -> 
            SuperscriptBox],"\"Q\""},
          "RowDefault"]},
        {
         SubscriptBox["\<\"C\"\>", "5"], 
         TemplateBox[{"\"P\"","\"Q\""},
          "RowDefault"], 
         TemplateBox[{
          TemplateBox[{"\"P\"", "3"}, "Superscript", SyntaxForm -> 
            SuperscriptBox],"\"Q\""},
          "RowDefault"]}
       },
       GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[2.0999999999999996`]}, 
           Offset[0.27999999999999997`]}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}}],
      TableForm[{{"E"}, {
         Row[{
           Superscript["P", 2], ""}]}, {
         Row[{"P", ""}], 
         Row[{
           Superscript["P", 3], ""}]}, {
         Row[{"", "Q"}], 
         Row[{
           Superscript["P", 2], "Q"}]}, {
         Row[{"P", "Q"}], 
         Row[{
           Superscript["P", 3], "Q"}]}}, TableHeadings -> {{
          Subscript["C", 1], 
          Subscript["C", 2], 
          Subscript["C", 3], 
          Subscript["C", 4], 
          Subscript["C", 5]}}]]},
    {"\<\"\"\>"},
    {
     TagBox[
      TagBox[GridBox[{
         {
          StyleBox["\[Null]",
           ShowStringCharacters->False], 
          TagBox[
           SubscriptBox["\<\"C\"\>", "1"],
           HoldForm], 
          TagBox[
           SubscriptBox["\<\"C\"\>", "2"],
           HoldForm], 
          TagBox[
           SubscriptBox["\<\"C\"\>", "3"],
           HoldForm], 
          TagBox[
           SubscriptBox["\<\"C\"\>", "4"],
           HoldForm], 
          TagBox[
           SubscriptBox["\<\"C\"\>", "5"],
           HoldForm]},
         {
          TagBox[
           SubscriptBox["\<\"R\"\>", "1"],
           HoldForm], "1", "1", "1", "1", "1"},
         {
          TagBox[
           SubscriptBox["\<\"R\"\>", "2"],
           HoldForm], "1", "1", "1", 
          RowBox[{"-", "1"}], 
          RowBox[{"-", "1"}]},
         {
          TagBox[
           SubscriptBox["\<\"R\"\>", "3"],
           HoldForm], "1", "1", 
          RowBox[{"-", "1"}], "1", 
          RowBox[{"-", "1"}]},
         {
          TagBox[
           SubscriptBox["\<\"R\"\>", "4"],
           HoldForm], "1", "1", 
          RowBox[{"-", "1"}], 
          RowBox[{"-", "1"}], "1"},
         {
          TagBox[
           SubscriptBox["\<\"R\"\>", "5"],
           HoldForm], "2", 
          RowBox[{"-", "2"}], "0", "0", "0"}
        },
        GridBoxAlignment->{"Columns" -> {{Right}}, "Rows" -> {{Baseline}}},
        GridBoxDividers->{
         "Columns" -> {False, True, {False}, False}, 
          "Rows" -> {False, True, {False}, False}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[0.5599999999999999]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.32]}, 
            Offset[0.2]}}],
       {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
      Function[BoxForm`e$, 
       TableForm[BoxForm`e$, TableHeadings -> {{
           Subscript["R", 1], 
           Subscript["R", 2], 
           Subscript["R", 3], 
           Subscript["R", 4], 
           Subscript["R", 5]}, {
           Subscript["C", 1], 
           Subscript["C", 2], 
           Subscript["C", 3], 
           Subscript["C", 4], 
           Subscript["C", 5]}}, TableAlignments -> Right, 
        TableSpacing -> {0.8, 0.8}]]]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{{3.827749504990549*^9, 3.827749538400754*^9}, 
   3.827749594978011*^9},
 CellLabel->
  "Out[294]=",ExpressionUUID->"d580c42e-a861-417d-b81f-15095f7dbd12"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox["\<\"P\"\>",
       HoldForm], 
      TagBox["\<\"Q\"\>",
       HoldForm]},
     {
      TagBox["\<\"R1\"\>",
       HoldForm], "1", "1"},
     {
      TagBox["\<\"R2\"\>",
       HoldForm], "1", 
      RowBox[{"-", "1"}]},
     {
      TagBox["\<\"R3\"\>",
       HoldForm], 
      RowBox[{"-", "1"}], "1"},
     {
      TagBox["\<\"R4\"\>",
       HoldForm], 
      RowBox[{"-", "1"}], 
      RowBox[{"-", "1"}]},
     {
      TagBox["\<\"R5\"\>",
       HoldForm], 
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"0", "1"},
          {
           RowBox[{"-", "1"}], "0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]], 
      TagBox[
       RowBox[{"(", "\[NoBreak]", GridBox[{
          {"0", "\[ImaginaryI]"},
          {"\[ImaginaryI]", "0"}
         },
         GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
         GridBoxSpacings->{"Columns" -> {
             Offset[0.27999999999999997`], {
              Offset[0.7]}, 
             Offset[0.27999999999999997`]}, "Rows" -> {
             Offset[0.2], {
              Offset[0.4]}, 
             Offset[0.2]}}], "\[NoBreak]", ")"}],
       Function[BoxForm`e$, 
        MatrixForm[BoxForm`e$]]]}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, 
    TableHeadings -> {{"R1", "R2", "R3", "R4", "R5"}, {
      "P", "Q"}}]]]], "Output",
 CellChangeTimes->{{3.827749504990549*^9, 3.827749538400754*^9}, 
   3.827749594984004*^9},
 CellLabel->
  "Out[295]//TableForm=",ExpressionUUID->"fbdb4372-5fc3-4972-94ee-\
ba93b1c3d6ec"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[" Tables for LG IRs and SG IRs", "Section",
 CellChangeTimes->{{3.827749607286624*^9, 3.827749622957794*^9}, 
   3.827749686939977*^9},ExpressionUUID->"bb06d541-0515-4dab-82db-\
625d5890a8b8"],

Cell[CellGroupData[{

Cell["Identify k - point(Table 3.6\:9274\:522b\:70b9\:7fa4)", "Subsection",
 CellChangeTimes->{{3.827749672161843*^9, 3.827749678901696*^9}, {
  3.82775003948952*^9, 
  3.827750049911903*^9}},ExpressionUUID->"e2519afe-a980-4d1f-8f49-\
09a5101d343c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "identifyBCHSKpt"}], "\[IndentingNewLine]", 
 RowBox[{"identifyBCHSKpt", "[", 
  RowBox[{"\"\<TetrBody(a)\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.3"}], ",", 
     RowBox[{"-", "0.3"}], ",", "0.3"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"identifyBCHSKpt", "[", 
  RowBox[{"\"\<TetrBody(b)\>\"", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.3"}], ",", 
     RowBox[{"-", "0.3"}], ",", "0.3"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8277500378991327`*^9, 3.8277500578603697`*^9}, {
  3.827750193092699*^9, 3.827750197982932*^9}, {3.827750231073108*^9, 
  3.8277502359330106`*^9}},
 CellLabel->
  "In[299]:=",ExpressionUUID->"d8dd5261-bd33-47ce-878f-877139a419ac"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"identifyBCHSKpt[fullBZtype, kOrKlist]  identifies \
the k-point name of fullBZtype from its coordinates according to informations \
of BCHighSymKpt. Note that kOrKlist is numerical and can be coordinates of \
either a k point or a list of k points. And for k points on some k lines, two \
entries with different knames may be retruned.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Definitions\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Definitions", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{"identifyBCHSKpt", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`fullBZtype_", ",", 
                    "SpaceGroupIrep`Private`klist_"}], "]"}], "/;", 
                    RowBox[{
                    RowBox[{"MatrixQ", "[", 
                    RowBox[{"SpaceGroupIrep`Private`klist", ",", "NumericQ"}],
                     "]"}], "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "Dimensions", "[", "SpaceGroupIrep`Private`klist", "]"}], 
                    "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
                    "\[Equal]", "3"}]}]}], ":=", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "u", ",", "SpaceGroupIrep`Private`keys", ",", 
                    "SpaceGroupIrep`Private`hsk", ",", 
                    "SpaceGroupIrep`Private`lat", ",", 
                    "SpaceGroupIrep`Private`stars0", ",", 
                    "SpaceGroupIrep`Private`stars", ",", 
                    "SpaceGroupIrep`Private`nstars", ",", 
                    "SpaceGroupIrep`Private`kstar", ",", 
                    "SpaceGroupIrep`Private`kstar0", ",", 
                    "SpaceGroupIrep`Private`Gk", ",", 
                    "SpaceGroupIrep`Private`G0", ",", 
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`j", ",", 
                    "SpaceGroupIrep`Private`k1", ",", 
                    "SpaceGroupIrep`Private`iu", ",", 
                    "SpaceGroupIrep`Private`keq", ",", 
                    "SpaceGroupIrep`Private`sub", ",", 
                    "SpaceGroupIrep`Private`identifyOneK", ",", 
                    "SpaceGroupIrep`Private`hskp", ",", 
                    RowBox[{"SpaceGroupIrep`Private`prec", "=", 
                    FractionBox["1", "100000"]}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`keys", "=", 
                    RowBox[{"Keys", "[", "BCHighSymKpt", "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`keys", ",", 
                    "SpaceGroupIrep`Private`fullBZtype"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Print", "[", 
                    
                    RowBox[{"\<\"identifyBCHSkpt: The parameter fullBZtype, \
\"\>", ",", 
                    RowBox[{
                    "InputForm", "[", "SpaceGroupIrep`Private`fullBZtype", 
                    "]"}], ",", "\<\", shoud be one of \"\>", ",", 
                    RowBox[{
                    "InputForm", "[", "SpaceGroupIrep`Private`keys", "]"}]}], 
                    "]"}], ";", 
                    RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`hsk", "=", 
                    RowBox[{
                    "BCHighSymKpt", "[", "SpaceGroupIrep`Private`fullBZtype", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`lat", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{"SpaceGroupIrep`Private`fullBZtype", ",", 
                    RowBox[{"-", "1"}]}], "]"}], "\[Equal]", "\<\")\"\>"}], 
                    ",", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{"SpaceGroupIrep`Private`fullBZtype", ",", 
                    RowBox[{"1", ";;", 
                    RowBox[{"-", "4"}]}]}], "]"}], ",", 
                    "SpaceGroupIrep`Private`fullBZtype"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`G0", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`hsk", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "5"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`keq", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1_", ",", 
                    "SpaceGroupIrep`Private`k2_"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "SpaceGroupIrep`Private`dk", "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`dk", "=", 
                    RowBox[{"Rationalize", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k2", "-", 
                    "SpaceGroupIrep`Private`k1"}], ",", 
                    "SpaceGroupIrep`Private`prec"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"VectorQ", "[", 
                    RowBox[{"SpaceGroupIrep`Private`dk", ",", "NumberQ"}], 
                    "]"}]}], ",", 
                    RowBox[{"Return", "[", "False", "]"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dk", "\[Equal]", 
                    RowBox[{"0", " ", "SpaceGroupIrep`Private`dk"}]}]}]}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`stars0", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`lat", ",", 
                    "SpaceGroupIrep`Private`i"}], "]"}], ".", 
                    RowBox[{
                    "SpaceGroupIrep`Private`hsk", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`j", ",", "3"}], 
                    "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`j", ",", 
                    RowBox[{"Length", "[", "SpaceGroupIrep`Private`hsk", 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`G0"}], "}"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`stars0", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DeleteDuplicates", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`keq", "[", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "#2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}]}], "]"}], "&"}],
                     ")"}], "/@", "SpaceGroupIrep`Private`stars0"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`stars", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"DeleteDuplicates", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "#2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}]}], "]"}], "&"}],
                     ")"}], "/@", "SpaceGroupIrep`Private`stars0"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`nstars", "=", 
                    RowBox[{
                    "Length", "/@", "SpaceGroupIrep`Private`stars"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`identifyOneK", "[", 
                    "SpaceGroupIrep`Private`k_", "]"}], ":=", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"{", "}"}]}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`kstar0", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`lat", ",", "#1"}], "]"}], 
                    ".", "SpaceGroupIrep`Private`k"}]}], "}"}], "&"}], ")"}], 
                    "/@", "SpaceGroupIrep`Private`G0"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk", "=", 
                    RowBox[{
                    RowBox[{"Select", "[", 
                    RowBox[{"SpaceGroupIrep`Private`kstar0", ",", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k", ",", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`Gk", "\[Equal]", 
                    RowBox[{"{", "\<\"E\"\>", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    
                    RowBox[{"\<\"GP\"\>", ",", "\<\"\"\>", 
                    ",", "\<\"C1\"\>"}], "}"}], "}"}]}], ";", 
                    RowBox[{"Goto", "[", "\<\"endfor\"\>", "]"}]}]}], "]"}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`kstar", "=", 
                    RowBox[{"DeleteDuplicates", "[", 
                    RowBox[{"SpaceGroupIrep`Private`kstar0", ",", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "#2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}]}], "]"}]}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`i", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "\[LessEqual]", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`hsk", "]"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "++"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`nstars", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "\[NotEqual]", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`kstar", "]"}]}], 
                    ",", 
                    RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`stars", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", "u"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`hskp", "=", "True"}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`j", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "\[LessEqual]", 
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`stars0", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "]"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "++"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k1", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`stars0", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`j", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`keq", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k", ",", 
                    "SpaceGroupIrep`Private`k1"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{"SpaceGroupIrep`Private`re", ",", 
                    RowBox[{"Join", "@@", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`hsk", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}]}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`stars0", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`j"}], "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"Rationalize", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k", "-", 
                    "SpaceGroupIrep`Private`k1"}], ",", 
                    "SpaceGroupIrep`Private`prec"}], "]"}], "}"}]}], 
                    "}"}]}]}], "]"}]}], ";"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`j", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "\[LessEqual]", 
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`stars", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "]"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "++"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k1", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`stars", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`j", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k", ",", 
                    "SpaceGroupIrep`Private`k1"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{"SpaceGroupIrep`Private`re", ",", 
                    RowBox[{"Join", "@@", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`hsk", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}]}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`stars", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`j"}], "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"Rationalize", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k", "-", 
                    "SpaceGroupIrep`Private`k1"}], ",", 
                    "SpaceGroupIrep`Private`prec"}], "]"}], "}"}]}], 
                    "}"}]}]}], "]"}]}], ";"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{
                    "DeleteDuplicates", "[", "SpaceGroupIrep`Private`re", 
                    "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`re", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Break", "[", "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`hskp", "=", "False"}], 
                    ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`j", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "\[LessEqual]", 
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`stars0", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "]"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "++"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k1", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`stars0", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`j", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`iu", "=", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k1", ",", "u"}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`sub", "=", 
                    RowBox[{"Solve", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`iu", "\[RightDoubleBracket]"}], 
                    "\[Equal]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`iu", "\[RightDoubleBracket]"}]}], 
                    "}"}], ",", "u"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`sub", "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`sub", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sub", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`sub", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`sub", "\[LeftDoubleBracket]", "1",
                     "\[RightDoubleBracket]"}], "\[Rule]", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`sub", "\[LeftDoubleBracket]", "2",
                     "\[RightDoubleBracket]"}], ",", "1"}], "]"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1", "/.", "\[VeryThinSpace]", 
                    "SpaceGroupIrep`Private`sub"}]}], "]"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{"SpaceGroupIrep`Private`re", ",", 
                    RowBox[{"Join", "@@", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`hsk", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2", ",", "4", ",", "3"}], "}"}]}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`stars0", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`j"}], "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Rationalize", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k", "-", 
                    "SpaceGroupIrep`Private`k1"}], "/.", "\[VeryThinSpace]", 
                    "SpaceGroupIrep`Private`sub"}], ",", 
                    "SpaceGroupIrep`Private`prec"}], "]"}], ",", 
                    "SpaceGroupIrep`Private`sub"}], "}"}]}], "}"}]}]}], 
                    "]"}]}]}], "]"}]}]}], "]"}], ";"}]}], "]"}], ";"}]}], 
                    "]"}], ";", 
                    RowBox[{"Label", "[", "\<\"endfor\"\>", "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "SpaceGroupIrep`Private`re", "]"}],
                     ">", "1"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{"SpaceGroupIrep`Private`hskp", ",", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`s", "=", 
                    RowBox[{"Select", "[", 
                    RowBox[{"SpaceGroupIrep`Private`re", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "\<\"E\"\>"}], 
                    "&"}]}], "]"}]}], "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`s", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", "SpaceGroupIrep`Private`s", 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`re", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "}"}]}], "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"Gather", "[", 
                    RowBox[{"SpaceGroupIrep`Private`re", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"First", "[", "#1", "]"}], "\[Equal]", 
                    RowBox[{"First", "[", "#2", "]"}]}], "&"}]}], "]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"MinimalBy", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Last", "[", "#1", "]"}], "\[LeftDoubleBracket]", 
                    "2", "\[RightDoubleBracket]"}], ",", "1.`*^-14"}], "]"}], 
                    "&"}]}], "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`re"}]}], ";", "Null", ";", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`s", "=", 
                    RowBox[{"Select", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "5", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "\<\"E\"\>"}], 
                    "&"}]}], "]"}]}], "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`s", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"First", "[", "SpaceGroupIrep`Private`s", "]"}], 
                    "}"}], ",", 
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`s2", "=", 
                    RowBox[{"Select", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#1", "\[LeftDoubleBracket]", 
                    RowBox[{"-", "2"}], "\[RightDoubleBracket]"}], "\[Equal]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "&"}]}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`s2", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{"First", "[", "SpaceGroupIrep`Private`s2", "]"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"First", "[", "#1", "]"}], "}"}]}], "]"}]}], 
                    "]"}]}], "]"}]}], "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`re"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"SpaceGroupIrep`Private`re", ",", "1"}], "]"}]}], 
                    ";"}]}], "]"}], ";"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`re", "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    
                    RowBox[{"\<\"UN\"\>", ",", "\<\"\"\>", ",", 
                    "SpaceGroupIrep`Private`Gk"}], "}"}], "}"}]}]}], "]"}], 
                    ";", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Prepend", "[", 
                    RowBox[{"#1", ",", "SpaceGroupIrep`Private`k"}], "]"}], 
                    "&"}], ")"}], "/@", "SpaceGroupIrep`Private`re"}]}]}], 
                    "]"}]}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`identifyOneK", "/@", 
                    "SpaceGroupIrep`Private`klist"}]}]}], "]"}]}]},
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{"identifyBCHSKpt", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`fullBZtype_", ",", 
                    "SpaceGroupIrep`Private`k_"}], "]"}], "/;", 
                    RowBox[{
                    RowBox[{"VectorQ", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k", ",", "NumericQ"}], 
                    "]"}], "&&", 
                    RowBox[{
                    RowBox[{
                    "Dimensions", "[", "SpaceGroupIrep`Private`k", "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "3", "}"}]}]}]}], ":=", 
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"identifyBCHSKpt", "[", 
                    RowBox[{"SpaceGroupIrep`Private`fullBZtype", ",", 
                    RowBox[{"{", "SpaceGroupIrep`Private`k", "}"}]}], "]"}]}],
                     "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`re", "===", "Null"}], ",",
                     "SpaceGroupIrep`Private`re", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`re", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`identifyBCHSKpt\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"identifyBCHSKpt[fullBZtype, kOrKlist]  identifies \
the k-point name of fullBZtype from its coordinates according to informations \
of BCHighSymKpt. Note that kOrKlist is numerical and can be coordinates of \
either a k point or a list of k points. And for k points on some k lines, two \
entries with different knames may be retruned.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "identifyBCHSKpt[fullBZtype, kOrKlist]  identifies the k-point name of \
fullBZtype from its coordinates according to informations of BCHighSymKpt. \
Note that kOrKlist is numerical and can be coordinates of either a k point or \
a list of k points. And for k points on some k lines, two entries with \
different knames may be retruned.", "Documentation" -> None, "OwnValues" -> 
    None, "UpValues" -> None, "DownValues" -> 
    Information`InformationValueForm[
     DownValues, SpaceGroupIrep`identifyBCHSKpt, {Condition[
         SpaceGroupIrep`identifyBCHSKpt[
          Pattern[SpaceGroupIrep`Private`fullBZtype, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`klist, 
           Blank[]]], 
         And[
          MatrixQ[SpaceGroupIrep`Private`klist, NumericQ], Part[
            Dimensions[SpaceGroupIrep`Private`klist], 2] == 3]] :> 
       Block[{SpaceGroupIrep`u, SpaceGroupIrep`Private`keys, 
          SpaceGroupIrep`Private`hsk, SpaceGroupIrep`Private`lat, 
          SpaceGroupIrep`Private`stars0, SpaceGroupIrep`Private`stars, 
          SpaceGroupIrep`Private`nstars, SpaceGroupIrep`Private`kstar, 
          SpaceGroupIrep`Private`kstar0, SpaceGroupIrep`Private`Gk, 
          SpaceGroupIrep`Private`G0, SpaceGroupIrep`Private`i, 
          SpaceGroupIrep`Private`j, SpaceGroupIrep`Private`k1, 
          SpaceGroupIrep`Private`iu, SpaceGroupIrep`Private`keq, 
          SpaceGroupIrep`Private`sub, SpaceGroupIrep`Private`identifyOneK, 
          SpaceGroupIrep`Private`hskp, SpaceGroupIrep`Private`prec = 
          Rational[1, 100000]}, 
         SpaceGroupIrep`Private`keys = Keys[SpaceGroupIrep`BCHighSymKpt]; If[
           Not[
            MemberQ[
            SpaceGroupIrep`Private`keys, SpaceGroupIrep`Private`fullBZtype]], 
           Print["identifyBCHSkpt: The parameter fullBZtype, ", 
             InputForm[SpaceGroupIrep`Private`fullBZtype], 
             ", shoud be one of ", 
             InputForm[SpaceGroupIrep`Private`keys]]; Abort[]]; 
         SpaceGroupIrep`Private`hsk = 
          SpaceGroupIrep`BCHighSymKpt[SpaceGroupIrep`Private`fullBZtype]; 
         SpaceGroupIrep`Private`lat = 
          If[StringTake[SpaceGroupIrep`Private`fullBZtype, -1] == ")", 
            StringTake[SpaceGroupIrep`Private`fullBZtype, 
             Span[1, -4]], SpaceGroupIrep`Private`fullBZtype]; 
         SpaceGroupIrep`Private`G0 = Part[SpaceGroupIrep`Private`hsk, 1, 5]; 
         SpaceGroupIrep`Private`keq[
            Pattern[SpaceGroupIrep`Private`k1, 
             Blank[]], 
            Pattern[SpaceGroupIrep`Private`k2, 
             Blank[]]] := 
          Module[{SpaceGroupIrep`Private`dk}, 
            SpaceGroupIrep`Private`dk = 
             Rationalize[
              SpaceGroupIrep`Private`k2 - SpaceGroupIrep`Private`k1, 
               SpaceGroupIrep`Private`prec]; If[
              Not[
               VectorQ[SpaceGroupIrep`Private`dk, NumberQ]], 
              Return[False]]; 
            SpaceGroupIrep`Private`dk == 0 SpaceGroupIrep`Private`dk]; 
         SpaceGroupIrep`Private`stars0 = Table[{SpaceGroupIrep`Private`i, 
             Dot[
              SpaceGroupIrep`getRotMatOfK[
              SpaceGroupIrep`Private`lat, SpaceGroupIrep`Private`i], 
              Part[
              SpaceGroupIrep`Private`hsk, SpaceGroupIrep`Private`j, 3]]}, {
            SpaceGroupIrep`Private`j, 
             Length[SpaceGroupIrep`Private`hsk]}, {
            SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`G0}]; 
         SpaceGroupIrep`Private`stars0 = 
          Map[DeleteDuplicates[#, SpaceGroupIrep`Private`keq[
              Part[#, 2], 
              Part[#2, 2]]& ]& , SpaceGroupIrep`Private`stars0]; 
         SpaceGroupIrep`Private`stars = 
          Map[DeleteDuplicates[#, SpaceGroupIrep`keqmod[
              Part[#, 2], 
              Part[#2, 2]]& ]& , SpaceGroupIrep`Private`stars0]; 
         SpaceGroupIrep`Private`nstars = 
          Map[Length, SpaceGroupIrep`Private`stars]; 
         SpaceGroupIrep`Private`identifyOneK[
            Pattern[SpaceGroupIrep`Private`k, 
             Blank[]]] := 
          Block[{SpaceGroupIrep`Private`re = {}}, 
            SpaceGroupIrep`Private`kstar0 = Map[{#, 
                Dot[
                 SpaceGroupIrep`getRotMatOfK[SpaceGroupIrep`Private`lat, #], 
                 SpaceGroupIrep`Private`k]}& , SpaceGroupIrep`Private`G0]; 
            SpaceGroupIrep`Private`Gk = Part[
               Select[
               SpaceGroupIrep`Private`kstar0, SpaceGroupIrep`keqmod[
                SpaceGroupIrep`Private`k, 
                 Part[#, 2]]& ], All, 1]; 
            If[SpaceGroupIrep`Private`Gk == {"E"}, 
              SpaceGroupIrep`Private`re = {{"GP", "", "C1"}}; Goto["endfor"]]; 
            SpaceGroupIrep`Private`kstar = 
             DeleteDuplicates[
              SpaceGroupIrep`Private`kstar0, SpaceGroupIrep`keqmod[
                Part[#, 2], 
                Part[#2, 2]]& ]; 
            For[SpaceGroupIrep`Private`i = 1, SpaceGroupIrep`Private`i <= 
              Length[SpaceGroupIrep`Private`hsk], 
              Increment[SpaceGroupIrep`Private`i], 
              If[Part[SpaceGroupIrep`Private`nstars, 
                  SpaceGroupIrep`Private`i] != 
                Length[SpaceGroupIrep`Private`kstar], 
                Continue[]]; If[Position[
                  Part[
                  SpaceGroupIrep`Private`stars, SpaceGroupIrep`Private`i, 1], 
                  SpaceGroupIrep`u] == {}, SpaceGroupIrep`Private`hskp = True; 
                For[SpaceGroupIrep`Private`j = 1, SpaceGroupIrep`Private`j <= 
                  Length[
                    Part[
                    SpaceGroupIrep`Private`stars0, SpaceGroupIrep`Private`i]], 
                  Increment[SpaceGroupIrep`Private`j], 
                  SpaceGroupIrep`Private`k1 = 
                   Part[SpaceGroupIrep`Private`stars0, 
                    SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`j, 2]; If[
                    SpaceGroupIrep`Private`keq[
                    SpaceGroupIrep`Private`k, SpaceGroupIrep`Private`k1], 
                    SpaceGroupIrep`Private`re = 
                    Append[SpaceGroupIrep`Private`re, 
                    Apply[Join, {
                    Part[
                    SpaceGroupIrep`Private`hsk, SpaceGroupIrep`Private`i, {1, 
                    2, 4, 3}], 
                    Part[
                    SpaceGroupIrep`Private`stars0, SpaceGroupIrep`Private`i, 
                    SpaceGroupIrep`Private`j], {
                    Rationalize[
                    SpaceGroupIrep`Private`k - SpaceGroupIrep`Private`k1, 
                    SpaceGroupIrep`Private`prec]}}]]; Null]]; 
                For[SpaceGroupIrep`Private`j = 1, SpaceGroupIrep`Private`j <= 
                  Length[
                    Part[
                    SpaceGroupIrep`Private`stars, SpaceGroupIrep`Private`i]], 
                  Increment[SpaceGroupIrep`Private`j], 
                  SpaceGroupIrep`Private`k1 = 
                   Part[SpaceGroupIrep`Private`stars, 
                    SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`j, 2]; If[
                    SpaceGroupIrep`keqmod[
                    SpaceGroupIrep`Private`k, SpaceGroupIrep`Private`k1], 
                    SpaceGroupIrep`Private`re = 
                    Append[SpaceGroupIrep`Private`re, 
                    Apply[Join, {
                    Part[
                    SpaceGroupIrep`Private`hsk, SpaceGroupIrep`Private`i, {1, 
                    2, 4, 3}], 
                    Part[
                    SpaceGroupIrep`Private`stars, SpaceGroupIrep`Private`i, 
                    SpaceGroupIrep`Private`j], {
                    Rationalize[
                    SpaceGroupIrep`Private`k - SpaceGroupIrep`Private`k1, 
                    SpaceGroupIrep`Private`prec]}}]]; Null]]; 
                SpaceGroupIrep`Private`re = 
                 DeleteDuplicates[SpaceGroupIrep`Private`re]; 
                If[SpaceGroupIrep`Private`re != {}, 
                  Break[]], SpaceGroupIrep`Private`hskp = False; 
                For[SpaceGroupIrep`Private`j = 1, SpaceGroupIrep`Private`j <= 
                  Length[
                    Part[
                    SpaceGroupIrep`Private`stars0, SpaceGroupIrep`Private`i]], 
                  Increment[SpaceGroupIrep`Private`j], 
                  SpaceGroupIrep`Private`k1 = 
                   Part[SpaceGroupIrep`Private`stars0, 
                    SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`j, 2]; 
                  SpaceGroupIrep`Private`iu = Part[
                    Position[SpaceGroupIrep`Private`k1, SpaceGroupIrep`u], 1, 
                    1]; SpaceGroupIrep`Private`sub = 
                   Solve[{Part[
                    SpaceGroupIrep`Private`k, SpaceGroupIrep`Private`iu] == 
                    Part[SpaceGroupIrep`Private`k1, 
                    SpaceGroupIrep`Private`iu]}, SpaceGroupIrep`u]; 
                  If[SpaceGroupIrep`Private`sub == {}, 
                    Continue[]]; 
                  SpaceGroupIrep`Private`sub = 
                   Part[SpaceGroupIrep`Private`sub, 1, 1]; 
                  SpaceGroupIrep`Private`sub = 
                   Part[SpaceGroupIrep`Private`sub, 1] -> Mod[
                    Part[SpaceGroupIrep`Private`sub, 2], 1]; If[
                    SpaceGroupIrep`keqmod[SpaceGroupIrep`Private`k, 
                    ReplaceAll[
                    SpaceGroupIrep`Private`k1, SpaceGroupIrep`Private`sub]], 
                    SpaceGroupIrep`Private`re = 
                    Append[SpaceGroupIrep`Private`re, 
                    Apply[Join, {
                    Part[
                    SpaceGroupIrep`Private`hsk, SpaceGroupIrep`Private`i, {1, 
                    2, 4, 3}], 
                    Part[
                    SpaceGroupIrep`Private`stars0, SpaceGroupIrep`Private`i, 
                    SpaceGroupIrep`Private`j], {
                    Rationalize[
                    ReplaceAll[
                    SpaceGroupIrep`Private`k - SpaceGroupIrep`Private`k1, 
                    SpaceGroupIrep`Private`sub], SpaceGroupIrep`Private`prec],
                     SpaceGroupIrep`Private`sub}}]]]]; Null]; Null]; 
            Label["endfor"]; 
            If[Length[SpaceGroupIrep`Private`re] > 1, 
              If[SpaceGroupIrep`Private`hskp, SpaceGroupIrep`Private`re = 
                With[{SpaceGroupIrep`Private`s = 
                   Select[SpaceGroupIrep`Private`re, Part[#, 5] == "E"& ]}, 
                  If[
                  SpaceGroupIrep`Private`s != {}, SpaceGroupIrep`Private`s, {
                    Part[SpaceGroupIrep`Private`re, 1]}]], 
                SpaceGroupIrep`Private`re = 
                 Gather[SpaceGroupIrep`Private`re, First[#] == First[#2]& ]; 
                SpaceGroupIrep`Private`re = Map[MinimalBy[#, Round[
                    Part[
                    Last[#], 2], 1.*^-14]& ]& , SpaceGroupIrep`Private`re]; 
                Null; SpaceGroupIrep`Private`re = 
                 Map[With[{
                    SpaceGroupIrep`Private`s = 
                    Select[#, Part[#, 5] == "E"& ]}, 
                    If[SpaceGroupIrep`Private`s != {}, {
                    First[SpaceGroupIrep`Private`s]}, 
                    
                    With[{SpaceGroupIrep`Private`s2 = 
                    Select[#, Part[#, -2] == {0, 0, 0}& ]}, 
                    If[SpaceGroupIrep`Private`s2 != {}, {
                    First[SpaceGroupIrep`Private`s2]}, {
                    First[#]}]]]]& , SpaceGroupIrep`Private`re]; 
                SpaceGroupIrep`Private`re = 
                 Flatten[SpaceGroupIrep`Private`re, 1]; Null]; Null]; 
            If[
             SpaceGroupIrep`Private`re == {}, 
              SpaceGroupIrep`Private`re = {{
                "UN", "", SpaceGroupIrep`Private`Gk}}]; 
            Map[Prepend[#, SpaceGroupIrep`Private`k]& , 
              SpaceGroupIrep`Private`re]]; 
         Map[SpaceGroupIrep`Private`identifyOneK, 
           SpaceGroupIrep`Private`klist]], Condition[
         SpaceGroupIrep`identifyBCHSKpt[
          Pattern[SpaceGroupIrep`Private`fullBZtype, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`k, 
           Blank[]]], 
         And[
          VectorQ[SpaceGroupIrep`Private`k, NumericQ], 
          Dimensions[SpaceGroupIrep`Private`k] == {3}]] :> 
       With[{SpaceGroupIrep`Private`re = 
          SpaceGroupIrep`identifyBCHSKpt[
           SpaceGroupIrep`Private`fullBZtype, {SpaceGroupIrep`Private`k}]}, 
         If[SpaceGroupIrep`Private`re === Null, SpaceGroupIrep`Private`re, 
          Part[SpaceGroupIrep`Private`re, 1]]]}], "SubValues" -> None, 
    "DefaultValues" -> None, "NValues" -> None, "FormatValues" -> None, 
    "Options" -> None, "Attributes" -> {}, "FullName" -> 
    "SpaceGroupIrep`identifyBCHSKpt"], False]]], "Output",
 CellChangeTimes->{3.8277500589344497`*^9, 3.8277501988575907`*^9, 
  3.8277502365652647`*^9},
 CellLabel->
  "Out[299]=",ExpressionUUID->"8c0c083a-7cab-479b-b2c6-f32e3275bd4f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.3`"}], ",", 
       RowBox[{"-", "0.3`"}], ",", "0.3`"}], "}"}], 
     ",", "\<\"\[CapitalLambda]\"\>", 
     ",", "\<\"\[CapitalGamma]\[CapitalLambda]\"\>", ",", "\<\"C4v\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"u", ",", "u", ",", 
       RowBox[{"-", "u"}]}], "}"}], ",", "\<\"C2x\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "u"}], ",", 
       RowBox[{"-", "u"}], ",", "u"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"u", "\[Rule]", "0.3`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "0.3`"}], ",", 
       RowBox[{"-", "0.3`"}], ",", "0.3`"}], "}"}], ",", "\<\"V\"\>", 
     ",", "\<\"ZV\"\>", ",", "\<\"C4v\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}], ",", "\<\"E\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "2"]}], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "+", "u"}], ",", 
       RowBox[{
        FractionBox["1", "2"], "-", "u"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
     RowBox[{"u", "\[Rule]", "0.2`"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277500589344497`*^9, 3.8277501988575907`*^9, 
  3.827750236575238*^9},
 CellLabel->
  "Out[300]=",ExpressionUUID->"a850e524-8f85-48e9-bd04-7ae2c2a7c82b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.3`"}], ",", 
      RowBox[{"-", "0.3`"}], ",", "0.3`"}], "}"}], 
    ",", "\<\"\[CapitalLambda]\"\>", ",", "\<\"\[CapitalGamma]Z\"\>", 
    ",", "\<\"C4v\"\>", ",", 
    RowBox[{"{", 
     RowBox[{"u", ",", "u", ",", 
      RowBox[{"-", "u"}]}], "}"}], ",", "\<\"C2x\"\>", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "u"}], ",", 
      RowBox[{"-", "u"}], ",", "u"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
    RowBox[{"u", "\[Rule]", "0.3`"}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.8277500589344497`*^9, 3.8277501988575907`*^9, 
  3.827750236611224*^9},
 CellLabel->
  "Out[301]=",ExpressionUUID->"2004e2dd-6454-419e-a25e-78e9320c3810"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"bv", "=", 
  RowBox[{
  "BasicVectors", "[", "\"\<TetrBody\>\"", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"?", "identifyBCHSKptBySG"}], "\[IndentingNewLine]", 
 RowBox[{"identifyBCHSKptBySG", "[", 
  RowBox[{"109", ",", 
   RowBox[{"bv", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "3"}], ",", 
      RowBox[{"c", "->", "2"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.3"}], ",", 
     RowBox[{"-", "0.3"}], ",", "0.3"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"identifyBCHSKptBySG", "[", 
  RowBox[{"109", ",", 
   RowBox[{"bv", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"a", "\[Rule]", "3"}], ",", 
      RowBox[{"c", "->", "1"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.3"}], ",", 
     RowBox[{"-", "0.3"}], ",", "0.3"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.827750362035472*^9, 3.8277503674941745`*^9}, {
  3.827750446277669*^9, 3.8277504598312874`*^9}, {3.8277505480442715`*^9, 
  3.827750548898676*^9}},
 CellLabel->
  "In[311]:=",ExpressionUUID->"9b553f6a-196f-47b4-b8c0-bed4d03a1a27"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["a", "2"]}], ",", 
     FractionBox["a", "2"], ",", 
     FractionBox["c", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["a", "2"], ",", 
     RowBox[{"-", 
      FractionBox["a", "2"]}], ",", 
     FractionBox["c", "2"]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["a", "2"], ",", 
     FractionBox["a", "2"], ",", 
     RowBox[{"-", 
      FractionBox["c", "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8277504608056283`*^9, 3.827750549864051*^9},
 CellLabel->
  "Out[311]=",ExpressionUUID->"50cc8d7a-b63e-4df0-b7e1-36d237ff7d72"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"identifyBCHSKptBySG[sgno, BZtypeOrBasVec, kOrKlist] \
 identifies the kname of kOrKlist for certain space group sgno. \
BZtypeOrBasVec is either the type of BZ \
(\\\"a\\\",\\\"b\\\",\\\"c\\\",\\\"d\\\",or just \\\"\\\") or the basic \
vectors for determining the BZtype.  kOrKlist is numerical and can be \
coordinates of either a k point or a list of k points. Note that if only \
BZtype is given, the range of u, i.e. (0,umax), may be incorrect for some k \
lines because in these cases umax depends on lattice constants without which \
umax can not be determined and is assigned a makeshift value 1/4. But if \
basic vectors are given then the range of u can be determined correctly. With \
default option, this function returns one entry of information with only one \
kname. But if the option \\\"allowtwok\\\"->True is used, when only BZtype is \
given, this function will return two entries of information with different \
knames in the cases with umax depneding on lattice constants.\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Definitions\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Definitions", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{"identifyBCHSKptBySG", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno_", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec_", ",", 
                    "SpaceGroupIrep`Private`klist_", ",", 
                    RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], "/;", 
                    RowBox[{
                    RowBox[{"MatrixQ", "[", 
                    RowBox[{"SpaceGroupIrep`Private`klist", ",", "NumericQ"}],
                     "]"}], "&&", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "Dimensions", "[", "SpaceGroupIrep`Private`klist", "]"}], 
                    "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
                    "\[Equal]", "3"}]}]}], ":=", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "u", ",", "a", ",", "b", ",", "c", ",", 
                    "SpaceGroupIrep`Private`hsk", ",", 
                    "SpaceGroupIrep`Private`lat", ",", 
                    "SpaceGroupIrep`Private`fullBZtype", ",", 
                    "SpaceGroupIrep`Private`outklist", ",", 
                    "SpaceGroupIrep`Private`GSQ", ",", 
                    "SpaceGroupIrep`Private`P", ",", 
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`j", ",", 
                    "SpaceGroupIrep`Private`k1", ",", 
                    "SpaceGroupIrep`Private`iu", ",", 
                    "SpaceGroupIrep`Private`uRange", ",", 
                    "SpaceGroupIrep`Private`dbkn", ",", 
                    "SpaceGroupIrep`Private`dbk", ",", 
                    "SpaceGroupIrep`Private`dbkur", ",", 
                    "SpaceGroupIrep`Private`keq", ",", 
                    "SpaceGroupIrep`Private`sub", ",", 
                    "SpaceGroupIrep`Private`identifyOneK", ",", 
                    RowBox[{"SpaceGroupIrep`Private`prec", "=", 
                    FractionBox["1", "100000"]}], ",", 
                    "SpaceGroupIrep`Private`chkbv", ",", 
                    "SpaceGroupIrep`Private`kk", ",", 
                    "SpaceGroupIrep`Private`hslk", ",", 
                    "SpaceGroupIrep`Private`tmp"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`lat", "=", 
                    RowBox[{
                    "getSGLatt", "[", "SpaceGroupIrep`Private`sgno", "]"}]}], 
                    ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`fullBZtype", "=", 
                    "SpaceGroupIrep`Private`lat"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "MatrixQ", "[", "SpaceGroupIrep`Private`BZtypeOrBasVec", 
                    "]"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"MatrixQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`BZtypeOrBasVec", ",", 
                    "NumericQ"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Print", "[", 
                    
                    RowBox[{"\<\"identifyBCHSKptBySG: The basic vectors \"\>",
                     ",", "SpaceGroupIrep`Private`BZtypeOrBasVec", 
                    ",", "\<\" are not numeric.\"\>"}], "]"}], ";", 
                    RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`chkbv", "=", 
                    RowBox[{"checkBasVec", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`lat", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`chkbv", "\[LeftDoubleBracket]", 
                    "1", "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`fullBZtype", "=", 
                    RowBox[{"SpaceGroupIrep`Private`lat", "<>", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`chkbv", "\[LeftDoubleBracket]", 
                    "2", "\[RightDoubleBracket]"}], "\[Equal]", "\<\"\"\>"}], 
                    ",", "\<\"\"\>", ",", 
                    RowBox[{"\<\"(\"\>", "<>", 
                    RowBox[{
                    "SpaceGroupIrep`Private`chkbv", "\[LeftDoubleBracket]", 
                    "2", "\[RightDoubleBracket]"}], "<>", "\<\")\"\>"}]}], 
                    "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"Print", "[", 
                    
                    RowBox[{"\<\"identifyBCHSKptBySG: the basic vectors \"\>",
                     ",", "SpaceGroupIrep`Private`BZtypeOrBasVec", 
                    ",", "\<\" are not of the BC form for \"\>", ",", 
                    "SpaceGroupIrep`Private`lat", ",", "\<\": \"\>", ",", 
                    RowBox[{
                    "BasicVectors", "[", "SpaceGroupIrep`Private`lat", 
                    "]"}]}], "]"}], ";", 
                    RowBox[{"Return", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", "}"}], "}"}], "]"}], ";"}]}], "]"}]}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"\<\"OrthBase\"\>", ",", "\<\"OrthBody\"\>", 
                    ",", "\<\"OrthFace\"\>", ",", "\<\"TetrBody\"\>", 
                    ",", "\<\"TrigPrim\"\>"}], "}"}], ",", 
                    "SpaceGroupIrep`Private`lat"}], "]"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`fullBZtype", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`lat", "<>", "\<\"(\"\>", "<>", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec", 
                    "<>", "\<\")\"\>"}]}]}], "]"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`hsk", "=", 
                    RowBox[{
                    "BCHighSymKpt", "[", "SpaceGroupIrep`Private`fullBZtype", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`P", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`hsk", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "5"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`keq", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1_", ",", 
                    "SpaceGroupIrep`Private`k2_"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", "SpaceGroupIrep`Private`dk", "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`dk", "=", 
                    RowBox[{"Rationalize", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k2", "-", 
                    "SpaceGroupIrep`Private`k1"}], ",", 
                    "SpaceGroupIrep`Private`prec"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"VectorQ", "[", 
                    RowBox[{"SpaceGroupIrep`Private`dk", ",", "NumberQ"}], 
                    "]"}]}], ",", 
                    RowBox[{"Return", "[", "False", "]"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dk", "\[Equal]", 
                    RowBox[{"0", " ", "SpaceGroupIrep`Private`dk"}]}]}]}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`outklist", "=", 
                    RowBox[{"identifyBCHSKpt", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`fullBZtype", ",", 
                    "SpaceGroupIrep`Private`klist"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`GSQ", "=", 
                    RowBox[{
                    "getSGElemAndSQ", "[", "SpaceGroupIrep`Private`sgno", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`hslk", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`hsk", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"Select", "[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`hsk", "]"}], "]"}],
                     ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`hsk", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", "2"}], "\[RightDoubleBracket]"}], 
                    "\[NotEqual]", "\<\"\"\>"}], "&"}]}], "]"}], ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`uRange", "[", "#1", "]"}],
                     "=", "0.5`"}], ")"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`hslk"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dbkn", "=", 
                    RowBox[{"Keys", "[", 
                    RowBox[{
                    "doubleKuMax", "[", "SpaceGroupIrep`Private`fullBZtype", 
                    "]"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`dbkn", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MatrixQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`BZtypeOrBasVec", ",", 
                    "NumericQ"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`dbkur", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"findURange", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`fullBZtype", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec", ",", "#1"}], 
                    "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`dbkn"}]}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`i", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "\[LessEqual]", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`dbkn", "]"}]}], 
                    ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "++"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`uRange", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`dbkn", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "]"}], "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`dbkur", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}]}]}],
                     "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`i", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "\[LessEqual]", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`dbkn", "]"}]}], 
                    ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "++"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`uRange", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`dbkn", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "]"}], "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"OptionValue", "[", "\<\"allowtwok\"\>", "]"}]}], 
                    ",", 
                    FractionBox["1", "4"], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "doubleKuMax", "[", "SpaceGroupIrep`Private`fullBZtype", 
                    "]"}], "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`dbkn", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "]"}], "\[LeftDoubleBracket]", "3", 
                    "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`fullBZtype", 
                    "\[Equal]", "\<\"CubiFace\"\>"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`uRange", 
                    "[", "\<\"\[CapitalSigma]\"\>", "]"}], "=", 
                    FractionBox["3", "8"]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`uRange", "[", "\<\"S\"\>", "]"}], 
                    "=", 
                    FractionBox["1", "8"]}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`fullBZtype", 
                    "\[Equal]", "\<\"CubiBody\"\>"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`uRange", 
                    "[", "\<\"\[CapitalLambda]\"\>", "]"}], "=", 
                    FractionBox["1", "4"]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`uRange", "[", "\<\"F\"\>", "]"}], 
                    "=", 
                    FractionBox["1", "4"]}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`fullBZtype", 
                    "\[Equal]", "\<\"HexaPrim\"\>"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`uRange", "[", "\<\"T\"\>", "]"}], 
                    "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`uRange", "[", "\<\"S\"\>", "]"}], 
                    "=", 
                    FractionBox["1", "3"]}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`uRange", "[", "\<\"T'\"\>", "]"}],
                     "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`uRange", "[", "\<\"S'\"\>", "]"}],
                     "=", 
                    FractionBox["1", "6"]}]}]}]}], "]"}]}]}], "]"}], ";"}]}], 
                    "]"}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`i", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "\[LessEqual]", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`outklist", "]"}]}],
                     ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "++"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`kk", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`outklist", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", "All", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SubsetQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`dbkn", ",", 
                    "SpaceGroupIrep`Private`kk"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"Select", "[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"Length", "[", "SpaceGroupIrep`Private`kk", "]"}],
                     "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`outklist", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", "#1", ",", 
                    RowBox[{"-", "1"}], ",", "2"}], "\[RightDoubleBracket]"}],
                     ",", "0.00001`"}], "]"}], "\[LessEqual]", 
                    RowBox[{"Round", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`uRange", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kk", "\[LeftDoubleBracket]", "#1",
                     "\[RightDoubleBracket]"}], "]"}], ",", "0.00001`"}], 
                    "]"}]}], "&"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`outklist", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`tmp"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"OptionValue", "[", "\<\"allowtwok\"\>", "]"}]}], 
                    "||", 
                    RowBox[{
                    "MatrixQ", "[", "SpaceGroupIrep`Private`BZtypeOrBasVec", 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`s", "=", 
                    RowBox[{"Select", "[", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#1", "\[LeftDoubleBracket]", 
                    RowBox[{"-", "2"}], "\[RightDoubleBracket]"}], "\[Equal]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "&"}]}], 
                    "]"}]}], "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`s", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"First", "[", "SpaceGroupIrep`Private`s", "]"}], 
                    ",", 
                    RowBox[{
                    "First", "[", "SpaceGroupIrep`Private`tmp", "]"}]}], 
                    "]"}]}], "]"}]}], ";"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "Dimensions", "[", "SpaceGroupIrep`Private`tmp", "]"}], 
                    "]"}], "\[Equal]", "1"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`outklist", "\[LeftDoubleBracket]",
                     "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{"SpaceGroupIrep`Private`uRange", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "\[LeftDoubleBracket]", "2",
                     "\[RightDoubleBracket]"}], "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`outklist", "\[LeftDoubleBracket]",
                     "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Append", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{"SpaceGroupIrep`Private`uRange", "[", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "]"}]}], "]"}], "&"}], ")"}], "/@",
                     "SpaceGroupIrep`Private`tmp"}]}]}], "]"}]}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SubsetQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`hslk", ",", 
                    "SpaceGroupIrep`Private`kk"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`outklist", "\[LeftDoubleBracket]",
                     "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`outklist", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", "1"}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`uRange", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kk", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}]}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`outklist", "\[LeftDoubleBracket]",
                     "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`outklist", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}]}], "]"}]}], "]"}]}]}], "]"}], 
                    ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`identifyOneK", "[", 
                    "SpaceGroupIrep`Private`outk_", "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k", ",", 
                    "SpaceGroupIrep`Private`newk", ",", 
                    "SpaceGroupIrep`Private`op", ",", 
                    "SpaceGroupIrep`Private`G0", ",", 
                    "SpaceGroupIrep`Private`Gk0", ",", 
                    "SpaceGroupIrep`Private`Gk0name", ",", 
                    "SpaceGroupIrep`Private`star0", ",", 
                    "SpaceGroupIrep`Private`starP", ",", 
                    "SpaceGroupIrep`Private`kstar", ",", 
                    "SpaceGroupIrep`Private`R", ",", 
                    "SpaceGroupIrep`Private`kbd", ",", 
                    "SpaceGroupIrep`Private`Rkbd", ",", 
                    "SpaceGroupIrep`Private`sec", ",", 
                    "SpaceGroupIrep`Private`tag", ",", 
                    "SpaceGroupIrep`Private`Zpstar", ",", 
                    "SpaceGroupIrep`Private`re"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`GSQ", "\[LeftDoubleBracket]", "2",
                     "\[RightDoubleBracket]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], "&&", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`GSQ", "\[LeftDoubleBracket]", "3",
                     "\[RightDoubleBracket]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`outk", "]"}], 
                    "\[Equal]", "4"}], ",", 
                    RowBox[{
                    "Return", "[", "SpaceGroupIrep`Private`outk", "]"}]}], 
                    "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`op", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`GSQ", "\[LeftDoubleBracket]", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`GSQ", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`outk", "\[LeftDoubleBracket]", 
                    "6", "\[RightDoubleBracket]"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", 
                    RowBox[{"1", ";;", 
                    RowBox[{"-", "2"}]}]}], "\[RightDoubleBracket]"}]}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`newk", "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`outk", ",", "\<\"in G\"\>"}], 
                    "]"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "6", "\[RightDoubleBracket]"}], "=", 
                    "SpaceGroupIrep`Private`op"}], ";", 
                    RowBox[{
                    "Return", "[", "SpaceGroupIrep`Private`newk", "]"}]}]}], 
                    "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`outk", "\[LeftDoubleBracket]", 
                    "2", "\[RightDoubleBracket]"}], 
                    "\[Equal]", "\<\"GP\"\>"}], ",", 
                    RowBox[{
                    "Return", "[", "SpaceGroupIrep`Private`outk", "]"}]}], 
                    "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`G0", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`GSQ", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "All", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`outk", "\[LeftDoubleBracket]", 
                    "1", "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk0", "=", 
                    RowBox[{
                    RowBox[{"Select", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`lat", ",", "#1"}], "]"}], 
                    ".", "SpaceGroupIrep`Private`k"}]}], "}"}], "&"}], ")"}], 
                    "/@", "SpaceGroupIrep`Private`G0"}], ",", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k", ",", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`outk", "\[LeftDoubleBracket]", 
                    "2", "\[RightDoubleBracket]"}], 
                    "\[Equal]", "\<\"UN\"\>"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Sort", "[", "SpaceGroupIrep`Private`Gk0", "]"}], 
                    "\[Equal]", 
                    RowBox[{"Sort", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`outk", "\[LeftDoubleBracket]", 
                    "4", "\[RightDoubleBracket]"}], "]"}]}], ",", 
                    RowBox[{
                    "Return", "[", "SpaceGroupIrep`Private`outk", "]"}]}], 
                    "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`Gk0", "\[Equal]", 
                    RowBox[{"{", "\<\"E\"\>", "}"}]}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k", ",", "\<\"GP\"\>", 
                    ",", "\<\"\"\>", ",", "\<\"C1\"\>"}], "}"}], "]"}]}], 
                    "]"}], ";", 
                    RowBox[{"Return", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k", ",", "\<\"UN\"\>", 
                    ",", "\<\"\"\>", ",", "SpaceGroupIrep`Private`Gk0"}], 
                    "}"}], "]"}], ";"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk0name", "=", 
                    RowBox[{
                    "detPointGroup", "[", "SpaceGroupIrep`Private`Gk0", 
                    "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk0name", 
                    "\[Equal]", "\<\"undetermined\"\>"}], ",", 
                    RowBox[{
                    "Print", "[", "SpaceGroupIrep`Private`Gk0", "]"}]}], 
                    "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kbd", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`outk", "\[LeftDoubleBracket]", 
                    "5", "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"Last", "[", "SpaceGroupIrep`Private`outk", "]"}],
                     ",", "u"}], "]"}], "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`kbd", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kbd", "/.", "\[VeryThinSpace]", 
                    RowBox[{
                    "Last", "[", "SpaceGroupIrep`Private`outk", "]"}]}]}]}], 
                    "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`starP", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`lat", ",", "#1"}], "]"}], 
                    ".", "SpaceGroupIrep`Private`kbd"}]}], "}"}], "&"}], 
                    ")"}], "/@", "SpaceGroupIrep`Private`P"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`star0", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`lat", ",", "#1"}], "]"}], 
                    ".", "SpaceGroupIrep`Private`kbd"}]}], "}"}], "&"}], 
                    ")"}], "/@", "SpaceGroupIrep`Private`G0"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`R", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`outk", "\[LeftDoubleBracket]", 
                    "6", "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`op", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`GSQ", "\[LeftDoubleBracket]", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`GSQ", ",", 
                    "SpaceGroupIrep`Private`R"}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", 
                    RowBox[{"1", ";;", "2"}]}], "\[RightDoubleBracket]"}]}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Rkbd", "=", 
                    RowBox[{
                    RowBox[{"Association", "[", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Rule", ",", "SpaceGroupIrep`Private`starP", ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], "]"}], "[", 
                    "SpaceGroupIrep`Private`R", "]"}]}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "=", 
                    "SpaceGroupIrep`Private`outk"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`G0", ",", 
                    "SpaceGroupIrep`Private`R"}], "]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tag", "=", "\<\"in G\"\>"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`tag", "=", "\<\"not in G\"\>"}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`sec", "=", 
                    RowBox[{
                    RowBox[{"Select", "[", 
                    RowBox[{"SpaceGroupIrep`Private`star0", ",", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{"SpaceGroupIrep`Private`Rkbd", ",", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`sec", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`op", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`GSQ", "\[LeftDoubleBracket]", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`GSQ", ",", 
                    RowBox[{
                    "First", "[", "SpaceGroupIrep`Private`sec", "]"}]}], 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", 
                    RowBox[{"1", ";;", "2"}]}], "\[RightDoubleBracket]"}]}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`newk", 
                    "\[LeftDoubleBracket]", "7", "\[RightDoubleBracket]"}], 
                    "=", 
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`lat", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`op", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], ".", 
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "5", "\[RightDoubleBracket]"}]}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "8", "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"Rationalize", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "1", "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "7", "\[RightDoubleBracket]"}]}], ",", "0.1`"}], "]"}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "5", "\[RightDoubleBracket]"}], ",", "u"}], "]"}], 
                    "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "8", "\[RightDoubleBracket]"}], "=", 
                    RowBox[{"Rationalize", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "8", "\[RightDoubleBracket]"}], "/.", "\[VeryThinSpace]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    RowBox[{"-", "2"}], "\[RightDoubleBracket]"}]}], ",", 
                    "0.1`"}], "]"}]}]}], "]"}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tag", "=", "\<\"in G\"\>"}], 
                    ";"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", "\[Equal]", "205"}], "&&", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`outk", "\[LeftDoubleBracket]", 
                    "2", "\[RightDoubleBracket]"}], "\[Equal]", "\<\"Z\"\>"}],
                     "&&", 
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`G0", ",", 
                    "SpaceGroupIrep`Private`R"}], "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`Zpstar", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`lat", ",", 
                    "SpaceGroupIrep`Private`i"}], "]"}], ".", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", "2"], ",", "u", ",", "0"}], "}"}]}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`G0"}], "}"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Zpstar", "=", 
                    RowBox[{"DeleteDuplicates", "[", 
                    RowBox[{"SpaceGroupIrep`Private`Zpstar", ",", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "#2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"{", "}"}]}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`j", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "\[LessEqual]", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`Zpstar", "]"}]}], 
                    ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "++"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k1", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Zpstar", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`j", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`iu", "=", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k1", ",", "u"}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`sub", "=", 
                    RowBox[{"Solve", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`iu", "\[RightDoubleBracket]"}], 
                    "\[Equal]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`iu", "\[RightDoubleBracket]"}]}], 
                    "}"}], ",", "u"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`sub", "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Continue", "[", "]"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`sub", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sub", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`sub", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`sub", "\[LeftDoubleBracket]", "1",
                     "\[RightDoubleBracket]"}], "\[Rule]", 
                    RowBox[{"Mod", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`sub", "\[LeftDoubleBracket]", "2",
                     "\[RightDoubleBracket]"}], ",", "1"}], "]"}]}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1", "/.", "\[VeryThinSpace]", 
                    "SpaceGroupIrep`Private`sub"}]}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`op", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`GSQ", "\[LeftDoubleBracket]", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`GSQ", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Zpstar", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`j", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", 
                    RowBox[{"1", ";;", "2"}]}], "\[RightDoubleBracket]"}]}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Rkbd", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Zpstar", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`j", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{"SpaceGroupIrep`Private`re", ",", 
                    RowBox[{"Join", "@@", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"\<\"Z'\"\>", ",", "\<\"X'M\"\>", ",", 
                    "SpaceGroupIrep`Private`Gk0name", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    FractionBox["1", "2"], ",", "u", ",", "0"}], "}"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`op", ",", 
                    "SpaceGroupIrep`Private`Rkbd"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Rationalize", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k", "-", 
                    "SpaceGroupIrep`Private`k1"}], "/.", "\[VeryThinSpace]", 
                    "SpaceGroupIrep`Private`sub"}], ",", 
                    "SpaceGroupIrep`Private`prec"}], "]"}], ",", 
                    "SpaceGroupIrep`Private`sub", ",", "0.5`"}], "}"}]}], 
                    "}"}]}]}], "]"}]}]}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "SpaceGroupIrep`Private`re", "]"}],
                     ">", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"First", "[", 
                    RowBox[{"MinimalBy", "[", 
                    RowBox[{"SpaceGroupIrep`Private`re", ",", 
                    RowBox[{
                    RowBox[{"#1", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"-", "2"}], ",", "2"}], "\[RightDoubleBracket]"}],
                     "&"}]}], "]"}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`newk", "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{
                    RowBox[{"Prepend", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`re", ",", 
                    "SpaceGroupIrep`Private`k"}], "]"}], 
                    ",", "\<\"in G\"\>"}], "]"}]}], ";", 
                    RowBox[{
                    "Return", "[", "SpaceGroupIrep`Private`newk", "]"}], 
                    ";"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "StringQ", "[", "SpaceGroupIrep`Private`op", "]"}], ",", 
                    RowBox[{"Print", "[", 
                    
                    RowBox[{"\<\"k=\"\>", ",", "SpaceGroupIrep`Private`k", 
                    ",", "\<\", S in Q\"\>", ",", 
                    "SpaceGroupIrep`Private`R"}], "]"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`newk", "=", 
                    RowBox[{"Append", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", ",", 
                    "SpaceGroupIrep`Private`tag"}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "6", "\[RightDoubleBracket]"}], "=", 
                    "SpaceGroupIrep`Private`op"}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`newk", "\[LeftDoubleBracket]", 
                    "4", "\[RightDoubleBracket]"}], "=", 
                    "SpaceGroupIrep`Private`Gk0name"}], ";", 
                    RowBox[{
                    "Return", "[", "SpaceGroupIrep`Private`newk", "]"}]}]}], 
                    "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{"Dimensions", "[", "#1", "]"}], "]"}], "\[Equal]",
                     "1"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`identifyOneK", "[", "#1", "]"}], 
                    ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`identifyOneK", "/@", "#1"}]}], 
                    "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`outklist"}]}]}], "]"}]}]},
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{"identifyBCHSKptBySG", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno_", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec_", ",", 
                    "SpaceGroupIrep`Private`k_", ",", 
                    RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], "/;", 
                    RowBox[{
                    RowBox[{"VectorQ", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k", ",", "NumericQ"}], 
                    "]"}], "&&", 
                    RowBox[{
                    RowBox[{
                    "Dimensions", "[", "SpaceGroupIrep`Private`k", "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "3", "}"}]}]}]}], ":=", 
                    RowBox[{
                    RowBox[{"identifyBCHSKptBySG", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec", ",", 
                    RowBox[{"{", "SpaceGroupIrep`Private`k", "}"}], ",", 
                    RowBox[{"\<\"allowtwok\"\>", "\[Rule]", 
                    RowBox[{
                    "OptionValue", "[", "\<\"allowtwok\"\>", "]"}]}]}], "]"}],
                     "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Options\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Options\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Options", "Tooltip"]& ], 
                   RowBox[{"\<\"allowtwok\"\>", "\[Rule]", "False"}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], \
"\<\"SpaceGroupIrep`identifyBCHSKptBySG\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"identifyBCHSKptBySG[sgno, BZtypeOrBasVec, kOrKlist] \
 identifies the kname of kOrKlist for certain space group sgno. \
BZtypeOrBasVec is either the type of BZ \
(\\\"a\\\",\\\"b\\\",\\\"c\\\",\\\"d\\\",or just \\\"\\\") or the basic \
vectors for determining the BZtype.  kOrKlist is numerical and can be \
coordinates of either a k point or a list of k points. Note that if only \
BZtype is given, the range of u, i.e. (0,umax), may be incorrect for some k \
lines because in these cases umax depends on lattice constants without which \
umax can not be determined and is assigned a makeshift value 1/4. But if \
basic vectors are given then the range of u can be determined correctly. With \
default option, this function returns one entry of information with only one \
kname. But if the option \\\"allowtwok\\\"->True is used, when only BZtype is \
given, this function will return two entries of information with different \
knames in the cases with umax depneding on lattice constants.\"\>", 
             "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "identifyBCHSKptBySG[sgno, BZtypeOrBasVec, kOrKlist]  identifies the \
kname of kOrKlist for certain space group sgno. BZtypeOrBasVec is either the \
type of BZ (\"a\",\"b\",\"c\",\"d\",or just \"\") or the basic vectors for \
determining the BZtype.  kOrKlist is numerical and can be coordinates of \
either a k point or a list of k points. Note that if only BZtype is given, \
the range of u, i.e. (0,umax), may be incorrect for some k lines because in \
these cases umax depends on lattice constants without which umax can not be \
determined and is assigned a makeshift value 1/4. But if basic vectors are \
given then the range of u can be determined correctly. With default option, \
this function returns one entry of information with only one kname. But if \
the option \"allowtwok\"->True is used, when only BZtype is given, this \
function will return two entries of information with different knames in the \
cases with umax depneding on lattice constants.", "Documentation" -> None, 
    "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
    Information`InformationValueForm[
     DownValues, SpaceGroupIrep`identifyBCHSKptBySG, {Condition[
         SpaceGroupIrep`identifyBCHSKptBySG[
          Pattern[SpaceGroupIrep`Private`sgno, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`BZtypeOrBasVec, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`klist, 
           Blank[]], 
          OptionsPattern[]], 
         And[
          MatrixQ[SpaceGroupIrep`Private`klist, NumericQ], Part[
            Dimensions[SpaceGroupIrep`Private`klist], 2] == 3]] :> 
       Block[{SpaceGroupIrep`u, SpaceGroupIrep`a, SpaceGroupIrep`b, 
          SpaceGroupIrep`c, SpaceGroupIrep`Private`hsk, 
          SpaceGroupIrep`Private`lat, SpaceGroupIrep`Private`fullBZtype, 
          SpaceGroupIrep`Private`outklist, SpaceGroupIrep`Private`GSQ, 
          SpaceGroupIrep`Private`P, SpaceGroupIrep`Private`i, 
          SpaceGroupIrep`Private`j, SpaceGroupIrep`Private`k1, 
          SpaceGroupIrep`Private`iu, SpaceGroupIrep`Private`uRange, 
          SpaceGroupIrep`Private`dbkn, SpaceGroupIrep`Private`dbk, 
          SpaceGroupIrep`Private`dbkur, SpaceGroupIrep`Private`keq, 
          SpaceGroupIrep`Private`sub, SpaceGroupIrep`Private`identifyOneK, 
          SpaceGroupIrep`Private`prec = Rational[1, 100000], 
          SpaceGroupIrep`Private`chkbv, SpaceGroupIrep`Private`kk, 
          SpaceGroupIrep`Private`hslk, SpaceGroupIrep`Private`tmp}, 
         SpaceGroupIrep`Private`lat = 
          SpaceGroupIrep`getSGLatt[SpaceGroupIrep`Private`sgno]; 
         SpaceGroupIrep`Private`fullBZtype = SpaceGroupIrep`Private`lat; If[
           MatrixQ[SpaceGroupIrep`Private`BZtypeOrBasVec], If[
             Not[
              MatrixQ[SpaceGroupIrep`Private`BZtypeOrBasVec, NumericQ]], 
             Print["identifyBCHSKptBySG: The basic vectors ", 
               SpaceGroupIrep`Private`BZtypeOrBasVec, " are not numeric."]; 
             Abort[]]; 
           SpaceGroupIrep`Private`chkbv = 
            SpaceGroupIrep`checkBasVec[
             SpaceGroupIrep`Private`lat, 
              SpaceGroupIrep`Private`BZtypeOrBasVec]; If[
             Part[SpaceGroupIrep`Private`chkbv, 1], 
             SpaceGroupIrep`Private`fullBZtype = 
             StringJoin[SpaceGroupIrep`Private`lat, 
               If[Part[SpaceGroupIrep`Private`chkbv, 2] == "", "", 
                StringJoin["(", 
                 Part[SpaceGroupIrep`Private`chkbv, 2], ")"]]], 
             Print["identifyBCHSKptBySG: the basic vectors ", 
               SpaceGroupIrep`Private`BZtypeOrBasVec, 
               " are not of the BC form for ", SpaceGroupIrep`Private`lat, 
               ": ", 
               SpaceGroupIrep`BasicVectors[SpaceGroupIrep`Private`lat]]; 
             Return[{{}}]; Null], 
           If[
            
            MemberQ[{
             "OrthBase", "OrthBody", "OrthFace", "TetrBody", "TrigPrim"}, 
             SpaceGroupIrep`Private`lat], SpaceGroupIrep`Private`fullBZtype = 
            StringJoin[
             SpaceGroupIrep`Private`lat, "(", 
              SpaceGroupIrep`Private`BZtypeOrBasVec, ")"]]]; 
         SpaceGroupIrep`Private`hsk = 
          SpaceGroupIrep`BCHighSymKpt[SpaceGroupIrep`Private`fullBZtype]; 
         SpaceGroupIrep`Private`P = Part[SpaceGroupIrep`Private`hsk, 1, 5]; 
         SpaceGroupIrep`Private`keq[
            Pattern[SpaceGroupIrep`Private`k1, 
             Blank[]], 
            Pattern[SpaceGroupIrep`Private`k2, 
             Blank[]]] := 
          Module[{SpaceGroupIrep`Private`dk}, 
            SpaceGroupIrep`Private`dk = 
             Rationalize[
              SpaceGroupIrep`Private`k2 - SpaceGroupIrep`Private`k1, 
               SpaceGroupIrep`Private`prec]; If[
              Not[
               VectorQ[SpaceGroupIrep`Private`dk, NumberQ]], 
              Return[False]]; 
            SpaceGroupIrep`Private`dk == 0 SpaceGroupIrep`Private`dk]; 
         SpaceGroupIrep`Private`outklist = 
          SpaceGroupIrep`identifyBCHSKpt[
           SpaceGroupIrep`Private`fullBZtype, SpaceGroupIrep`Private`klist]; 
         SpaceGroupIrep`Private`GSQ = 
          SpaceGroupIrep`getSGElemAndSQ[SpaceGroupIrep`Private`sgno]; 
         SpaceGroupIrep`Private`hslk = Part[SpaceGroupIrep`Private`hsk, 
            Select[
             Range[
              Length[SpaceGroupIrep`Private`hsk]], 
             Part[SpaceGroupIrep`Private`hsk, #, 2] != ""& ], 1]; 
         Map[(SpaceGroupIrep`Private`uRange[#] = 0.5)& , 
           SpaceGroupIrep`Private`hslk]; SpaceGroupIrep`Private`dbkn = Keys[
            SpaceGroupIrep`doubleKuMax[SpaceGroupIrep`Private`fullBZtype]]; 
         If[SpaceGroupIrep`Private`dbkn != {}, If[
             MatrixQ[SpaceGroupIrep`Private`BZtypeOrBasVec, NumericQ], 
             SpaceGroupIrep`Private`dbkur = 
              Map[SpaceGroupIrep`findURange[
                SpaceGroupIrep`Private`fullBZtype, 
                 SpaceGroupIrep`Private`BZtypeOrBasVec, #]& , 
                SpaceGroupIrep`Private`dbkn]; 
             For[SpaceGroupIrep`Private`i = 1, SpaceGroupIrep`Private`i <= 
               Length[SpaceGroupIrep`Private`dbkn], 
               Increment[SpaceGroupIrep`Private`i], 
               SpaceGroupIrep`Private`uRange[
                 Part[SpaceGroupIrep`Private`dbkn, SpaceGroupIrep`Private`i]] = 
               Part[SpaceGroupIrep`Private`dbkur, SpaceGroupIrep`Private`i]], 
             For[SpaceGroupIrep`Private`i = 1, SpaceGroupIrep`Private`i <= 
               Length[SpaceGroupIrep`Private`dbkn], 
               Increment[SpaceGroupIrep`Private`i], 
               SpaceGroupIrep`Private`uRange[
                 Part[SpaceGroupIrep`Private`dbkn, SpaceGroupIrep`Private`i]] = 
               If[
                 Not[
                  OptionValue["allowtwok"]], 1/4, 
                 Part[
                  SpaceGroupIrep`doubleKuMax[
                  SpaceGroupIrep`Private`fullBZtype][
                   Part[
                   SpaceGroupIrep`Private`dbkn, SpaceGroupIrep`Private`i]], 
                  3]]]; If[
              SpaceGroupIrep`Private`fullBZtype == "CubiFace", 
               SpaceGroupIrep`Private`uRange["\[CapitalSigma]"] = 3/8; 
               SpaceGroupIrep`Private`uRange["S"] = 1/8]; 
             If[SpaceGroupIrep`Private`fullBZtype == "CubiBody", 
               SpaceGroupIrep`Private`uRange["\[CapitalLambda]"] = 1/4; 
               SpaceGroupIrep`Private`uRange["F"] = 1/4]; 
             If[SpaceGroupIrep`Private`fullBZtype == "HexaPrim", 
               SpaceGroupIrep`Private`uRange["T"] = (
                 SpaceGroupIrep`Private`uRange["S"] = 1/3); 
               SpaceGroupIrep`Private`uRange["T'"] = (
                 SpaceGroupIrep`Private`uRange["S'"] = 1/6)]]; Null]; 
         For[SpaceGroupIrep`Private`i = 1, SpaceGroupIrep`Private`i <= 
           Length[SpaceGroupIrep`Private`outklist], 
           Increment[SpaceGroupIrep`Private`i], 
           SpaceGroupIrep`Private`kk = 
            Part[SpaceGroupIrep`Private`outklist, SpaceGroupIrep`Private`i, 
              All, 2]; If[
             SubsetQ[SpaceGroupIrep`Private`dbkn, SpaceGroupIrep`Private`kk], 
             SpaceGroupIrep`Private`tmp = Select[
                Range[
                 Length[SpaceGroupIrep`Private`kk]], Round[
                  Part[
                  SpaceGroupIrep`Private`outklist, 
                   SpaceGroupIrep`Private`i, #, -1, 2], 0.00001] <= Round[
                  SpaceGroupIrep`Private`uRange[
                   Part[SpaceGroupIrep`Private`kk, #]], 0.00001]& ]; 
             SpaceGroupIrep`Private`tmp = 
              Part[SpaceGroupIrep`Private`outklist, SpaceGroupIrep`Private`i, 
                SpaceGroupIrep`Private`tmp]; If[
               Or[
                Not[
                 OptionValue["allowtwok"]], 
                MatrixQ[SpaceGroupIrep`Private`BZtypeOrBasVec]], 
               SpaceGroupIrep`Private`tmp = 
                With[{SpaceGroupIrep`Private`s = 
                   Select[SpaceGroupIrep`Private`tmp, 
                    Part[#, -2] == {0, 0, 0}& ]}, 
                  If[SpaceGroupIrep`Private`s != {}, 
                   First[SpaceGroupIrep`Private`s], 
                   First[SpaceGroupIrep`Private`tmp]]]; Null]; If[Length[
                 Dimensions[SpaceGroupIrep`Private`tmp]] == 1, 
               Part[SpaceGroupIrep`Private`outklist, 
                 SpaceGroupIrep`Private`i] = 
               Append[SpaceGroupIrep`Private`tmp, 
                 SpaceGroupIrep`Private`uRange[
                  Part[SpaceGroupIrep`Private`tmp, 2]]], 
               Part[SpaceGroupIrep`Private`outklist, 
                 SpaceGroupIrep`Private`i] = Map[Append[#, 
                  SpaceGroupIrep`Private`uRange[
                   Part[#, 2]]]& , SpaceGroupIrep`Private`tmp]], 
             If[
              SubsetQ[SpaceGroupIrep`Private`hslk, SpaceGroupIrep`Private`kk],
               Part[SpaceGroupIrep`Private`outklist, 
                SpaceGroupIrep`Private`i] = Append[
                Part[
                SpaceGroupIrep`Private`outklist, SpaceGroupIrep`Private`i, 1], 
                SpaceGroupIrep`Private`uRange[
                 Part[SpaceGroupIrep`Private`kk, 1]]], 
              Part[SpaceGroupIrep`Private`outklist, SpaceGroupIrep`Private`i] = 
              Part[SpaceGroupIrep`Private`outklist, SpaceGroupIrep`Private`i, 
                1]]]]; SpaceGroupIrep`Private`identifyOneK[
            Pattern[SpaceGroupIrep`Private`outk, 
             Blank[]]] := 
          Module[{SpaceGroupIrep`Private`k, SpaceGroupIrep`Private`newk, 
             SpaceGroupIrep`Private`op, SpaceGroupIrep`Private`G0, 
             SpaceGroupIrep`Private`Gk0, SpaceGroupIrep`Private`Gk0name, 
             SpaceGroupIrep`Private`star0, SpaceGroupIrep`Private`starP, 
             SpaceGroupIrep`Private`kstar, SpaceGroupIrep`Private`R, 
             SpaceGroupIrep`Private`kbd, SpaceGroupIrep`Private`Rkbd, 
             SpaceGroupIrep`Private`sec, SpaceGroupIrep`Private`tag, 
             SpaceGroupIrep`Private`Zpstar, SpaceGroupIrep`Private`re}, If[
              And[
              Part[SpaceGroupIrep`Private`GSQ, 2] == {}, 
               Part[SpaceGroupIrep`Private`GSQ, 3] == {}], 
              If[Length[SpaceGroupIrep`Private`outk] == 4, 
                Return[SpaceGroupIrep`Private`outk]]; 
              SpaceGroupIrep`Private`op = Part[SpaceGroupIrep`Private`GSQ, 
                 Apply[Sequence, 
                  Part[
                   Position[SpaceGroupIrep`Private`GSQ, 
                    Part[SpaceGroupIrep`Private`outk, 6]], 1, 
                   Span[1, -2]]]]; 
              SpaceGroupIrep`Private`newk = 
               Append[SpaceGroupIrep`Private`outk, "in G"]; 
              Part[SpaceGroupIrep`Private`newk, 6] = 
               SpaceGroupIrep`Private`op; 
              Return[SpaceGroupIrep`Private`newk]]; 
            If[Part[SpaceGroupIrep`Private`outk, 2] == "GP", 
              Return[SpaceGroupIrep`Private`outk]]; 
            SpaceGroupIrep`Private`G0 = 
             Part[SpaceGroupIrep`Private`GSQ, 1, All, 1]; 
            SpaceGroupIrep`Private`k = Part[SpaceGroupIrep`Private`outk, 1]; 
            SpaceGroupIrep`Private`Gk0 = Part[
               Select[
                Map[{#, 
                  Dot[
                   SpaceGroupIrep`getRotMatOfK[SpaceGroupIrep`Private`lat, #],
                    SpaceGroupIrep`Private`k]}& , SpaceGroupIrep`Private`G0], 
                SpaceGroupIrep`keqmod[SpaceGroupIrep`Private`k, 
                 Part[#, 2]]& ], All, 1]; 
            If[Part[SpaceGroupIrep`Private`outk, 2] == "UN", 
              If[Sort[SpaceGroupIrep`Private`Gk0] == Sort[
                  Part[SpaceGroupIrep`Private`outk, 4]], 
                Return[SpaceGroupIrep`Private`outk]]; 
              If[SpaceGroupIrep`Private`Gk0 == {"E"}, 
                Return[{SpaceGroupIrep`Private`k, "GP", "", "C1"}]]; 
              Return[{SpaceGroupIrep`Private`k, "UN", "", 
                 SpaceGroupIrep`Private`Gk0}]; Null]; 
            SpaceGroupIrep`Private`Gk0name = 
             SpaceGroupIrep`detPointGroup[SpaceGroupIrep`Private`Gk0]; 
            If[SpaceGroupIrep`Private`Gk0name == "undetermined", 
              Print[SpaceGroupIrep`Private`Gk0]]; 
            SpaceGroupIrep`Private`kbd = Part[SpaceGroupIrep`Private`outk, 5]; 
            If[Position[
                Last[SpaceGroupIrep`Private`outk], SpaceGroupIrep`u] != {}, 
              SpaceGroupIrep`Private`kbd = 
              ReplaceAll[SpaceGroupIrep`Private`kbd, 
                Last[SpaceGroupIrep`Private`outk]]]; 
            SpaceGroupIrep`Private`starP = Map[{#, 
                Dot[
                 SpaceGroupIrep`getRotMatOfK[SpaceGroupIrep`Private`lat, #], 
                 SpaceGroupIrep`Private`kbd]}& , SpaceGroupIrep`Private`P]; 
            SpaceGroupIrep`Private`star0 = Map[{#, 
                Dot[
                 SpaceGroupIrep`getRotMatOfK[SpaceGroupIrep`Private`lat, #], 
                 SpaceGroupIrep`Private`kbd]}& , SpaceGroupIrep`Private`G0]; 
            SpaceGroupIrep`Private`R = Part[SpaceGroupIrep`Private`outk, 6]; 
            SpaceGroupIrep`Private`op = Part[SpaceGroupIrep`Private`GSQ, 
               Apply[Sequence, 
                Part[
                 Position[
                 SpaceGroupIrep`Private`GSQ, SpaceGroupIrep`Private`R], 1, 
                 Span[1, 2]]]]; SpaceGroupIrep`Private`Rkbd = Association[
               Apply[Rule, SpaceGroupIrep`Private`starP, {1}]][
              SpaceGroupIrep`Private`R]; 
            SpaceGroupIrep`Private`newk = SpaceGroupIrep`Private`outk; If[
              MemberQ[SpaceGroupIrep`Private`G0, SpaceGroupIrep`Private`R], 
              SpaceGroupIrep`Private`tag = "in G", 
              SpaceGroupIrep`Private`tag = "not in G"; 
              SpaceGroupIrep`Private`sec = Part[
                 Select[
                 SpaceGroupIrep`Private`star0, SpaceGroupIrep`keqmod[
                  SpaceGroupIrep`Private`Rkbd, 
                   Part[#, 2]]& ], All, 1]; 
              If[SpaceGroupIrep`Private`sec != {}, 
                SpaceGroupIrep`Private`op = Part[SpaceGroupIrep`Private`GSQ, 
                   Apply[Sequence, 
                    Part[
                    Position[SpaceGroupIrep`Private`GSQ, 
                    First[SpaceGroupIrep`Private`sec]], 1, 
                    Span[1, 2]]]]; Part[SpaceGroupIrep`Private`newk, 7] = Dot[
                   SpaceGroupIrep`getRotMatOfK[SpaceGroupIrep`Private`lat, 
                    Part[SpaceGroupIrep`Private`op, 1]], 
                   Part[SpaceGroupIrep`Private`newk, 5]]; 
                Part[SpaceGroupIrep`Private`newk, 8] = 
                 Rationalize[
                  Part[SpaceGroupIrep`Private`newk, 1] - Part[
                   SpaceGroupIrep`Private`newk, 7], 0.1]; If[Position[
                    Part[SpaceGroupIrep`Private`newk, 5], 
                    SpaceGroupIrep`u] != {}, 
                  Part[SpaceGroupIrep`Private`newk, 8] = Rationalize[
                    ReplaceAll[
                    Part[SpaceGroupIrep`Private`newk, 8], 
                    Part[SpaceGroupIrep`Private`newk, -2]], 0.1]]; 
                SpaceGroupIrep`Private`tag = "in G"; Null]]; If[
              And[
              SpaceGroupIrep`Private`sgno == 205, 
               Part[SpaceGroupIrep`Private`outk, 2] == "Z", 
               Not[
                MemberQ[
                SpaceGroupIrep`Private`G0, SpaceGroupIrep`Private`R]]], 
              SpaceGroupIrep`Private`Zpstar = Table[{SpaceGroupIrep`Private`i, 
                  Dot[
                   SpaceGroupIrep`getRotMatOfK[
                   SpaceGroupIrep`Private`lat, SpaceGroupIrep`Private`i], {
                   1/2, SpaceGroupIrep`u, 0}]}, {
                 SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`G0}]; 
              SpaceGroupIrep`Private`Zpstar = 
               DeleteDuplicates[
                SpaceGroupIrep`Private`Zpstar, SpaceGroupIrep`keqmod[
                  Part[#, 2], 
                  Part[#2, 2]]& ]; SpaceGroupIrep`Private`re = {}; 
              For[SpaceGroupIrep`Private`j = 1, SpaceGroupIrep`Private`j <= 
                Length[SpaceGroupIrep`Private`Zpstar], 
                Increment[SpaceGroupIrep`Private`j], 
                SpaceGroupIrep`Private`k1 = 
                 Part[SpaceGroupIrep`Private`Zpstar, SpaceGroupIrep`Private`j,
                    2]; SpaceGroupIrep`Private`iu = Part[
                   Position[SpaceGroupIrep`Private`k1, SpaceGroupIrep`u], 1, 
                   1]; SpaceGroupIrep`Private`sub = 
                 Solve[{Part[
                    SpaceGroupIrep`Private`k, SpaceGroupIrep`Private`iu] == 
                    Part[
                    SpaceGroupIrep`Private`k1, SpaceGroupIrep`Private`iu]}, 
                   SpaceGroupIrep`u]; If[SpaceGroupIrep`Private`sub == {}, 
                  Continue[]]; 
                SpaceGroupIrep`Private`sub = 
                 Part[SpaceGroupIrep`Private`sub, 1, 1]; 
                SpaceGroupIrep`Private`sub = 
                 Part[SpaceGroupIrep`Private`sub, 1] -> Mod[
                    Part[SpaceGroupIrep`Private`sub, 2], 1]; If[
                  SpaceGroupIrep`keqmod[SpaceGroupIrep`Private`k, 
                   ReplaceAll[
                   SpaceGroupIrep`Private`k1, SpaceGroupIrep`Private`sub]], 
                  SpaceGroupIrep`Private`op = Part[SpaceGroupIrep`Private`GSQ, 
                    Apply[Sequence, 
                    Part[
                    Position[SpaceGroupIrep`Private`GSQ, 
                    Part[
                    SpaceGroupIrep`Private`Zpstar, SpaceGroupIrep`Private`j, 
                    1]], 1, 
                    Span[1, 2]]]]; 
                  SpaceGroupIrep`Private`Rkbd = 
                   Part[SpaceGroupIrep`Private`Zpstar, 
                    SpaceGroupIrep`Private`j, 2]; 
                  SpaceGroupIrep`Private`re = 
                   Append[SpaceGroupIrep`Private`re, 
                    Apply[
                    Join, {{
                    "Z'", "X'M", SpaceGroupIrep`Private`Gk0name, {
                    1/2, SpaceGroupIrep`u, 0}}, {
                    SpaceGroupIrep`Private`op, SpaceGroupIrep`Private`Rkbd}, {
                    Rationalize[
                    ReplaceAll[
                    SpaceGroupIrep`Private`k - SpaceGroupIrep`Private`k1, 
                    SpaceGroupIrep`Private`sub], SpaceGroupIrep`Private`prec],
                     SpaceGroupIrep`Private`sub, 0.5}}]]]]; 
              If[Length[SpaceGroupIrep`Private`re] > 1, 
                SpaceGroupIrep`Private`re = First[
                  MinimalBy[SpaceGroupIrep`Private`re, Part[#, -2, 2]& ]]]; 
              SpaceGroupIrep`Private`newk = Append[
                 Prepend[SpaceGroupIrep`Private`re, SpaceGroupIrep`Private`k],
                  "in G"]; Return[SpaceGroupIrep`Private`newk]; Null]; If[
              StringQ[SpaceGroupIrep`Private`op], 
              Print[
              "k=", SpaceGroupIrep`Private`k, ", S in Q", 
               SpaceGroupIrep`Private`R]]; 
            SpaceGroupIrep`Private`newk = 
             Append[SpaceGroupIrep`Private`newk, SpaceGroupIrep`Private`tag]; 
            Part[SpaceGroupIrep`Private`newk, 6] = SpaceGroupIrep`Private`op; 
            Part[SpaceGroupIrep`Private`newk, 4] = 
             SpaceGroupIrep`Private`Gk0name; 
            Return[SpaceGroupIrep`Private`newk]]; Map[If[Length[
              Dimensions[#]] == 1, 
            SpaceGroupIrep`Private`identifyOneK[#], 
            Map[SpaceGroupIrep`Private`identifyOneK, #]]& , 
           SpaceGroupIrep`Private`outklist]], Condition[
         SpaceGroupIrep`identifyBCHSKptBySG[
          Pattern[SpaceGroupIrep`Private`sgno, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`BZtypeOrBasVec, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`k, 
           Blank[]], 
          OptionsPattern[]], 
         And[
          VectorQ[SpaceGroupIrep`Private`k, NumericQ], 
          Dimensions[SpaceGroupIrep`Private`k] == {3}]] :> Part[
         SpaceGroupIrep`identifyBCHSKptBySG[
         SpaceGroupIrep`Private`sgno, SpaceGroupIrep`Private`BZtypeOrBasVec, {
          SpaceGroupIrep`Private`k}, "allowtwok" -> OptionValue["allowtwok"]],
          1]}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> 
    None, "FormatValues" -> None, "Options" -> {"allowtwok" -> False}, 
    "Attributes" -> {}, "FullName" -> "SpaceGroupIrep`identifyBCHSKptBySG"], 
   False]]], "Output",
 CellChangeTimes->{3.8277504608056283`*^9, 3.827750550014648*^9},
 CellLabel->
  "Out[312]=",ExpressionUUID->"c4bb014b-6e84-430d-98f9-40f8cc965ba2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.3`"}], ",", 
     RowBox[{"-", "0.3`"}], ",", "0.3`"}], "}"}], 
   ",", "\<\"\[CapitalLambda]\"\>", 
   ",", "\<\"\[CapitalGamma]\[CapitalLambda]\"\>", ",", "\<\"C4v\"\>", ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", "u", ",", 
     RowBox[{"-", "u"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"C2x\"\>", ",", 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "4"], ",", 
       FractionBox["1", "4"], ",", 
       FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "u"}], ",", 
     RowBox[{"-", "u"}], ",", "u"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"u", "\[Rule]", "0.3`"}], ",", "0.3611111111111111`", 
   ",", "\<\"not in G\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.8277504608056283`*^9, 3.8277505500655117`*^9},
 CellLabel->
  "Out[313]=",ExpressionUUID->"6092eaa4-3d73-4c9b-9406-0ae0b30265e5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.3`"}], ",", 
     RowBox[{"-", "0.3`"}], ",", "0.3`"}], "}"}], ",", "\<\"V\"\>", 
   ",", "\<\"ZV\"\>", ",", "\<\"C4v\"\>", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\<\"E\"\>", ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "+", "u"}], ",", 
     RowBox[{
      FractionBox["1", "2"], "-", "u"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
   RowBox[{"u", "\[Rule]", "0.2`"}], ",", "0.2222222222222222`", 
   ",", "\<\"in G\"\>"}], "}"}]], "Output",
 CellChangeTimes->{3.8277504608056283`*^9, 3.8277505500685043`*^9},
 CellLabel->
  "Out[314]=",ExpressionUUID->"87d46d6d-d0ce-4b2e-9a62-290d2ea924a1"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tables for LG IRs", "Subsection",
 CellChangeTimes->{{3.82775057358928*^9, 
  3.8277505778475246`*^9}},ExpressionUUID->"1bbb9a4f-16ad-4c5e-b6f2-\
b3ca5463df9d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"getLGIrepTab", "[", 
  RowBox[{"68", ",", "\"\<A\>\""}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"showLGIrepTab", "[", 
  RowBox[{"68", ",", "\"\<A\>\""}], "]"}]}], "Input",
 CellChangeTimes->{{3.8277506568715444`*^9, 3.8277506957182193`*^9}, {
  3.82778901019528*^9, 3.8277890118042383`*^9}},
 CellLabel->"In[99]:=",ExpressionUUID->"afe4c142-3ac9-4df7-aea4-bbb1125207f8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\[LeftAssociation]", 
   RowBox[{
    RowBox[{"\<\"kBZs\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\<\"A\"\>", ",", 
        RowBox[{"{", 
         RowBox[{"u", ",", "u", ",", 
          FractionBox["1", "2"]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\<\"OrthBase(a)\"\>", ",", "\<\"OrthBase(b)\"\>"}], "}"}]}],
        "}"}], "}"}]}], ",", 
    RowBox[{"\<\"kinfo\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0.1`", ",", "0.1`", ",", 
         FractionBox["1", "2"]}], "}"}], ",", "\<\"A\"\>", ",", "\<\"ZT\"\>", 
       ",", "\<\"C2v\"\>", ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", "u", ",", 
         FractionBox["1", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"E\"\>", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"u", ",", "u", ",", 
         FractionBox["1", "2"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"u", "\[Rule]", "0.1`"}], ",", "0.5`", ",", "\<\"in G\"\>"}], 
      "}"}]}], ",", 
    RowBox[{"\<\"Gkin\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"E\"\>", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"C2x\"\>", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"\[Sigma]y\"\>", ",", 
         RowBox[{"{", 
          RowBox[{
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"\[Sigma]z\"\>", ",", 
         RowBox[{"{", 
          RowBox[{
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]}], ",", 
    RowBox[{"\<\"GkBC\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"E\"\>", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"C2x\"\>", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"\[Sigma]y\"\>", ",", 
         RowBox[{"{", 
          RowBox[{
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"\[Sigma]z\"\>", ",", 
         RowBox[{"{", 
          RowBox[{
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]}], ",", 
    RowBox[{"\<\"dGkBC\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"E\"\>", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"C2x\"\>", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"\[Sigma]y\"\>", ",", 
         RowBox[{"{", 
          RowBox[{
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"]}], "}"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\<\"\[Sigma]z\"\>", ",", 
         RowBox[{"{", 
          RowBox[{
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"], ",", 
           FractionBox["1", "2"]}], "}"}]}], "}"}]}], "}"}]}], ",", 
    RowBox[{"\<\"slabel\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"\<\"E\"\>", 
        ",", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(1\\)]\\)\"\>"}], "}"}], 
      "}"}]}], ",", 
    RowBox[{"\<\"sreality\"\>", "\[Rule]", 
     RowBox[{"{", "1", "}"}]}], ",", 
    RowBox[{"\<\"sirep\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "1"}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "0"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"-", "1"}]}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            RowBox[{"\[ImaginaryI]", " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               "u"}]]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ImaginaryI]", " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               "u"}]]}], ",", "0"}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{
              RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
              RowBox[{"(", 
               RowBox[{
                FractionBox["1", "4"], "+", "u"}], ")"}]}]]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[ImaginaryI]", " ", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               "u"}]]}], ",", "0"}], "}"}]}], "}"}]}], "}"}], "}"}]}], ",", 
    RowBox[{"\<\"dlabel\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\\
), \\(2\\)]\\)\\!\\(\\*SuperscriptBox[OverscriptBox[\\(E\\), \\(_\\)], \\(\
\[DoublePrime]\\)]\\)\"\>", 
         ",", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(2\\)]\\)\"\>"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\\
), \\(1\\)]\\)\\!\\(\\*SuperscriptBox[OverscriptBox[\\(E\\), \\(_\\)], \\(\
\[DoublePrime]\\)]\\)\"\>", 
         ",", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(3\\)]\\)\"\>"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\\
), \\(1\\)]\\)\\!\\(\\*SuperscriptBox[OverscriptBox[\\(E\\), \\(_\\)], \\(\
\[Prime]\\)]\\)\"\>", 
         ",", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(4\\)]\\)\"\>"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\\
), \\(2\\)]\\)\\!\\(\\*SuperscriptBox[OverscriptBox[\\(E\\), \\(_\\)], \\(\
\[Prime]\\)]\\)\"\>", 
         ",", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(5\\)]\\)\"\>"}], "}"}]}],
       "}"}]}], ",", 
    RowBox[{"\<\"dreality\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"3", ",", "3", ",", "3", ",", "3"}], "}"}]}], ",", 
    RowBox[{"\<\"direp\"\>", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "\[ImaginaryI]"}], ",", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
           "u"}]], ",", 
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
            "u"}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "\[ImaginaryI]", ",", 
         RowBox[{"-", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
            "u"}]]}], ",", 
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
            "u"}]]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", 
         RowBox[{"-", "\[ImaginaryI]"}], ",", 
         RowBox[{"-", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
            "u"}]]}], ",", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["1", "4"], "+", "u"}], ")"}]}]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "\[ImaginaryI]", ",", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
           "u"}]], ",", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox["1", "4"], "+", "u"}], ")"}]}]]}], "}"}]}], "}"}]}]}]
    , "\[RightAssociation]"}], "}"}]], "Output",
 CellChangeTimes->{{3.827750658263893*^9, 3.8277506969698286`*^9}, 
   3.827789012493202*^9},
 CellLabel->"Out[99]=",ExpressionUUID->"c6a2715f-d3d8-47fa-b9b2-126cdacec9bf"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[GridBox[{
        {
         TagBox[GridBox[{
            {
             
             TemplateBox[{
              "\[ThinSpace]","\" \"","\"No.\"","68","\" \"",
               TemplateBox[{"\"C\"", "\"c\"", "\"c\"", "\"e\""}, 
                "RowDefault"],"\":  k-point name is \"","\"A\""},
              "RowWithSeparators"]},
            {
             TemplateBox[{"\"BC standard:\"",TemplateBox[{"\n", "\"\\n\"", 
                 
                 TemplateBox[{
                  "\"  \\!\\(\\*SubscriptBox[\\(k\\), \\(BC\\)]\\)=(\"", 
                   TemplateBox[{",", "\",\"", "u", "u", 
                    FractionBox["1", "2"]}, "RowWithSeparators"], 
                   "\") for \"", 
                   
                   TemplateBox[{
                    ",", "\",\"", "\"OrthBase(a)\"", "\"OrthBase(b)\""}, 
                    "RowWithSeparators"]}, "RowDefault"]}, 
                "RowWithSeparators"]},
              "RowDefault"]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"]},
        {
         TagBox[GridBox[{
            {"\<\"Index\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", "1", "2", "3", "4"},
            {"\<\"Element\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", 
             
             TemplateBox[{
              "\"{\"","\"E\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C2x\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"\[Sigma]y\"","\"|\"",TemplateBox[{
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"]}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"\[Sigma]z\"","\"|\"",TemplateBox[{
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"]}, "RowDefault"],"\"}\""},
              "RowDefault"]},
            {
             TagBox[GridBox[{
                {"\<\"Rotation\"\>"},
                {"\<\"matrix\"\>"}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"], "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0", "0"},
                 {"0", "1", "0"},
                 {"0", "0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1", "0"},
                 {"1", "0", "0"},
                 {"0", "0", 
                  RowBox[{"-", "1"}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1", "0"},
                 {"1", "0", "0"},
                 {"0", "0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0", "0"},
                 {"0", "1", "0"},
                 {"0", "0", 
                  RowBox[{"-", "1"}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]},
            {
             TagBox[GridBox[{
                {"\<\"Spin(\[DownArrow]\[UpArrow])\"\>"},
                {"\<\"rotation\"\>"},
                {"\<\"matrix\"\>"}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"], "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0"},
                 {"0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", "\[ImaginaryI]"}]},
                 {
                  RowBox[{"-", "\[ImaginaryI]"}], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", "1"}]},
                 {"1", "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  RowBox[{"-", "\[ImaginaryI]"}], "0"},
                 {"0", "\[ImaginaryI]"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]},
            {
             "1", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(1\\)]\\)\"\>", \
"\<\"E\"\>", "1", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0"},
                 {"0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0"},
                 {"0", 
                  RowBox[{"-", "1"}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}]},
                 {
                  RowBox[{"\[ImaginaryI]", " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{
                    FractionBox["1", "4"], "+", "u"}], ")"}]}]]},
                 {
                  RowBox[{"\[ImaginaryI]", " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]},
            {
             "2", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(2\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\
\\*SuperscriptBox[OverscriptBox[\\(E\\), \\(_\\)], \\(\[DoublePrime]\\)]\\)\"\
\>", "3", "1", 
             RowBox[{"-", "\[ImaginaryI]"}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               "u"}]], 
             RowBox[{"\[ImaginaryI]", " ", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                "u"}]]}]},
            {
             "3", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(3\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\
\\*SuperscriptBox[OverscriptBox[\\(E\\), \\(_\\)], \\(\[DoublePrime]\\)]\\)\"\
\>", "3", "1", "\[ImaginaryI]", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                "u"}]]}], 
             RowBox[{"\[ImaginaryI]", " ", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                "u"}]]}]},
            {
             "4", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(4\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\
\\*SuperscriptBox[OverscriptBox[\\(E\\), \\(_\\)], \\(\[Prime]\\)]\\)\"\>", 
             "3", "1", 
             RowBox[{"-", "\[ImaginaryI]"}], 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                "u"}]]}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               RowBox[{"(", 
                RowBox[{
                 FractionBox["1", "4"], "+", "u"}], ")"}]}]]},
            {
             "5", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(5\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\
\\*SuperscriptBox[OverscriptBox[\\(E\\), \\(_\\)], \\(\[Prime]\\)]\\)\"\>", 
             "3", "1", "\[ImaginaryI]", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               "u"}]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               RowBox[{"(", 
                RowBox[{
                 FractionBox["1", "4"], "+", "u"}], ")"}]}]]}
           },
           AutoDelete->False,
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           
           GridBoxBackground->{
            "Columns" -> {{None}}, "Rows" -> {{None}}, 
             "ItemsIndexed" -> {{{1, 4}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {{2, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {}, {{5, 5}, {1, -1}} -> 
               RGBColor[0.95, 1., 0.95], {}, {{6, -1}, {1, -1}} -> 
               RGBColor[0.95, 0.95, 1.]}},
           GridBoxDividers->{"Columns" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "ColumnsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 5 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 3 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 4 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}, "Rows" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "RowsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 5 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 6 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}},
           GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
           GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
          "Grid"]}
       },
       DefaultBaseStyle->"Column",
       GridBoxAlignment->{"Columns" -> {{Left}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
      "Column"]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{2}}}],
  "Column"]], "Output",
 CellChangeTimes->{{3.827750658263893*^9, 3.8277506969698286`*^9}, 
   3.8277890125764065`*^9},
 CellLabel->
  "Out[100]=",ExpressionUUID->"a7e9a7fc-f58c-4885-b383-725593c619ac"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"showLGIrepTab", "[", 
  RowBox[{"68", ",", 
   RowBox[{"{", 
    RowBox[{"0.3", ",", "0.3", ",", "0"}], "}"}], ",", 
   RowBox[{"\"\<rotmat\>\"", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8277800977309666`*^9, 3.8277800977339582`*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"8b20bb79-5dd9-4e63-b8f1-be3f398f9b05"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TemplateBox[{
      "\"Note: The input k can be identified as two BC standard k-points \"",
       "\"\[CapitalSigma]\"","\" and \"","\"C\"",
       "\"\\n      depending on the BZ types and actual values of lattice \
constants.\""},
      "RowDefault"]},
    {
     TagBox[GridBox[{
        {
         TagBox[GridBox[{
            {
             
             TemplateBox[{
              "\[ThinSpace]","\" \"","\"No.\"","68","\" \"",
               TemplateBox[{"\"C\"", "\"c\"", "\"c\"", "\"e\""}, 
                "RowDefault"],"\":  k-point name is \"","\"\[CapitalSigma]\""},
              "RowWithSeparators"]},
            {
             
             TemplateBox[{
              TemplateBox[{
                "\"Input: \\!\\(\\*SubscriptBox[\\(k\\), \\(in\\)]\\)=(\"", 
                 
                 TemplateBox[{",", "\",\"", "0.3`", "0.3`", "0"}, 
                  "RowWithSeparators"], "\")\""}, "RowDefault"],"\"  (u=\"",
               "0.3`","\")\""},
              "RowDefault"]},
            {
             TemplateBox[{"\"BC standard:\"",TemplateBox[{"\n", "\"\\n\"", 
                 
                 TemplateBox[{
                  "\"  \\!\\(\\*SubscriptBox[\\(k\\), \\(BC\\)]\\)=(\"", 
                   
                   TemplateBox[{",", "\",\"", "u", "u", "0"}, 
                    "RowWithSeparators"], "\") for \"", 
                   
                   TemplateBox[{
                    ",", "\",\"", "\"OrthBase(a)\"", "\"OrthBase(b)\""}, 
                    "RowWithSeparators"]}, "RowDefault"]}, 
                "RowWithSeparators"]},
              "RowDefault"]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"]},
        {
         TagBox[GridBox[{
            {"\<\"Index\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", "1", "2", "3", "4"},
            {"\<\"Element\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", 
             
             TemplateBox[{
              "\"{\"","\"E\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C2x\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"\[Sigma]y\"","\"|\"",TemplateBox[{
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"]}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"\[Sigma]z\"","\"|\"",TemplateBox[{
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"]}, "RowDefault"],"\"}\""},
              "RowDefault"]},
            {
             "1", "\<\"\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(1\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(1\\)]\\)\"\>", "1", 
             "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               "u"}]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               "u"}]]},
            {
             "2", "\<\"\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(2\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", "1", 
             "1", 
             RowBox[{"-", "1"}], 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                "u"}]]}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               "u"}]]},
            {
             "3", "\<\"\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(3\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(2\\)]\\)\"\>", "1", 
             "1", "1", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                "u"}]]}], 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                "u"}]]}]},
            {
             "4", "\<\"\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(4\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", "1", 
             "1", 
             RowBox[{"-", "1"}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
               "u"}]], 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{
                RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                "u"}]]}]},
            {
             "5", "\<\"\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(5\\)]\\)\"\>", "\<\"\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>", "2", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0"},
                 {"0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1"},
                 {
                  RowBox[{"-", "1"}], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}]},
                 {
                  RowBox[{"\[ImaginaryI]", " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  RowBox[{"\[ImaginaryI]", " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}], "0"},
                 {"0", 
                  RowBox[{
                   RowBox[{"-", "\[ImaginaryI]"}], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]}
           },
           AutoDelete->False,
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           
           GridBoxBackground->{
            "Columns" -> {{None}}, "Rows" -> {{None}}, 
             "ItemsIndexed" -> {{{1, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {{2, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {}, {{3, 6}, {1, -1}} -> 
               RGBColor[0.95, 1., 0.95], {}, {{7, -1}, {1, -1}} -> 
               RGBColor[0.95, 0.95, 1.]}},
           GridBoxDividers->{"Columns" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "ColumnsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 5 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 3 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 4 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}, "Rows" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "RowsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 3 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 7 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}},
           GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
           GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
          "Grid"]}
       },
       DefaultBaseStyle->"Column",
       GridBoxAlignment->{"Columns" -> {{Left}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
      "Column"]},
    {
     TagBox[GridBox[{
        {
         TagBox[GridBox[{
            {
             
             TemplateBox[{
              "\[ThinSpace]","\" \"","\"No.\"","68","\" \"",
               TemplateBox[{"\"C\"", "\"c\"", "\"c\"", "\"e\""}, 
                "RowDefault"],"\":  k-point name is \"","\"C\""},
              "RowWithSeparators"]},
            {
             
             TemplateBox[{
              TemplateBox[{
                "\"Input: \\!\\(\\*SubscriptBox[\\(k\\), \\(in\\)]\\)=(\"", 
                 
                 TemplateBox[{",", "\",\"", "0.3`", "0.3`", "0"}, 
                  "RowWithSeparators"], "\")\""}, "RowDefault"],"\"  (u=\"",
               "0.19999999999999996`","\")\""},
              "RowDefault"]},
            {
             TemplateBox[{"\"BC standard:\"",TemplateBox[{"\n", "\"\\n\"", 
                 
                 TemplateBox[{
                  "\"  \\!\\(\\*SubscriptBox[\\(k\\), \\(BC\\)]\\)=(\"", 
                   TemplateBox[{",", "\",\"", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox["1", "2"]}], "+", "u"}], 
                    RowBox[{
                    FractionBox["1", "2"], "+", "u"}], "0"}, 
                    "RowWithSeparators"], "\") for \"", 
                   
                   TemplateBox[{",", "\",\"", "\"OrthBase(b)\""}, 
                    "RowWithSeparators"]}, "RowDefault"]}, 
                "RowWithSeparators"]},
              "RowDefault"]},
            {
             
             TemplateBox[{
              "\"{S|w}=\"",TemplateBox[{"\"{\"", "\"C2y\"", "\"|\"", 
                 TemplateBox[{"0", "0", "0"}, "RowDefault"], "\"}\""}, 
                "RowDefault"],
               "\"(in G) : {S|w\\!\\(\\*SuperscriptBox[\\(}\\), \
\\(-1\\)]\\)\\!\\(\\*SubscriptBox[\\(G\\), \
\\(kin\\)]\\){S|w}=\\!\\(\\*SubscriptBox[\\(G\\), \\(kBC\\)]\\) or \
\\!\\(\\*SubsuperscriptBox[\\(G\\), \\(kBC\\), \\(d\\)]\\)\""},
              "RowDefault"]},
            {
             
             TemplateBox[{
              "\"\\!\\(\\*SubscriptBox[\\(Sk\\), \\(BC\\)]\\)=[\"","\"C2y\"",
               "\"](\"",TemplateBox[{",", "\",\"", 
                 RowBox[{
                   RowBox[{"-", 
                    FractionBox["1", "2"]}], "+", "u"}], 
                 RowBox[{
                   FractionBox["1", "2"], "+", "u"}], "0"}, 
                "RowWithSeparators"],"\")=(\"",TemplateBox[{",", "\",\"", 
                 RowBox[{
                   RowBox[{"-", 
                    FractionBox["1", "2"]}], "-", "u"}], 
                 RowBox[{
                   FractionBox["1", "2"], "-", "u"}], "0"}, 
                "RowWithSeparators"],
               "\") \[DoubleLeftRightArrow] \\!\\(\\*SubscriptBox[\\(k\\), \
\\(in\\)]\\)\""},
              "RowDefault"]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"]},
        {
         TagBox[GridBox[{
            {"\<\"Index\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", "1", "2", "3", "4"},
            {"\<\"Elem. in \\!\\(\\*SubscriptBox[\\(G\\), \\(kin\\)]\\)\"\>", 
             "\[SpanFromLeft]", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             
             TemplateBox[{
              "\"{\"","\"E\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C2x\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"\[Sigma]y\"","\"|\"",TemplateBox[{
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"]}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"\[Sigma]z\"","\"|\"",TemplateBox[{
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"]}, "RowDefault"],"\"}\""},
              "RowDefault"]},
            {"\<\"Elem. in \\!\\(\\*SubscriptBox[\\(G\\), \\(kBC\\)]\\)\"\>", 
             "\[SpanFromLeft]", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             
             TemplateBox[{
              "\"{\"","\"E\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C2x\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"\[Sigma]y\"","\"|\"",TemplateBox[{
                 OverscriptBox[
                  FractionBox["1", "2"], "_"], 
                 OverscriptBox[
                  FractionBox["1", "2"], "_"], 
                 OverscriptBox[
                  FractionBox["1", "2"], "_"]}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"\[Sigma]z\"","\"|\"",TemplateBox[{
                 OverscriptBox[
                  FractionBox["1", "2"], "_"], 
                 OverscriptBox[
                  FractionBox["1", "2"], "_"], 
                 OverscriptBox[
                  FractionBox["1", "2"], "_"]}, "RowDefault"],"\"}\""},
              "RowDefault"]},
            {
             "1", "\<\"\\!\\(\\*SubscriptBox[\\(C\\), \\(1\\)]\\)\"\>", "\<\"\
\\!\\(\\*SubscriptBox[\\(A\\), \\(1\\)]\\)\"\>", "1", "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]},
            {
             "2", "\<\"\\!\\(\\*SubscriptBox[\\(C\\), \\(2\\)]\\)\"\>", "\<\"\
\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", "1", "1", 
             RowBox[{"-", "1"}], 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]},
            {
             "3", "\<\"\\!\\(\\*SubscriptBox[\\(C\\), \\(3\\)]\\)\"\>", "\<\"\
\\!\\(\\*SubscriptBox[\\(A\\), \\(2\\)]\\)\"\>", "1", "1", "1", 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}], 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}]},
            {
             "4", "\<\"\\!\\(\\*SubscriptBox[\\(C\\), \\(4\\)]\\)\"\>", "\<\"\
\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", "1", "1", 
             RowBox[{"-", "1"}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]], 
             RowBox[{"-", 
              SuperscriptBox["\[ExponentialE]", 
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}]},
            {"\<\"Elem. in \\!\\(\\*SubsuperscriptBox[\\(G\\), \\(kBC\\), \
\\(d\\)]\\)\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             
             TemplateBox[{
              "\"{\"","\"E\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"",OverscriptBox["\"C2x\"", "_"],"\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"\[Sigma]y\"","\"|\"",TemplateBox[{
                 OverscriptBox[
                  FractionBox["1", "2"], "_"], 
                 OverscriptBox[
                  FractionBox["1", "2"], "_"], 
                 OverscriptBox[
                  FractionBox["1", "2"], "_"]}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"",OverscriptBox["\"\[Sigma]z\"", "_"],"\"|\"",TemplateBox[{
                 OverscriptBox[
                  FractionBox["1", "2"], "_"], 
                 OverscriptBox[
                  FractionBox["1", "2"], "_"], 
                 OverscriptBox[
                  FractionBox["1", "2"], "_"]}, "RowDefault"],"\"}\""},
              "RowDefault"]},
            {
             "5", "\<\"\\!\\(\\*SubscriptBox[\\(C\\), \\(5\\)]\\)\"\>", "\<\"\
\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>", "2", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0"},
                 {"0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", "1"}]},
                 {"1", "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}]},
                 {
                  RowBox[{"\[ImaginaryI]", " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}], 
                  "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  RowBox[{
                   RowBox[{"-", "\[ImaginaryI]"}], " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}], 
                  "0"},
                 {"0", 
                  RowBox[{"\[ImaginaryI]", " ", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]}
           },
           AutoDelete->False,
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           
           GridBoxBackground->{
            "Columns" -> {{None}}, "Rows" -> {{None}}, 
             "ItemsIndexed" -> {{{1, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {{2, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {{3, 3}, {1, -1}} -> 
               RGBColor[1., 1., 0.95], {{4, 7}, {1, -1}} -> 
               RGBColor[0.95, 1., 0.95], {{8, 8}, {1, -1}} -> 
               RGBColor[1., 1., 0.98], {{9, -1}, {1, -1}} -> 
               RGBColor[0.95, 0.95, 1.]}},
           GridBoxDividers->{"Columns" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "ColumnsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 5 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 3 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 4 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}, "Rows" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "RowsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 3 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 4 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 8 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 9 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}},
           GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
           GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
          "Grid"]}
       },
       DefaultBaseStyle->"Column",
       GridBoxAlignment->{"Columns" -> {{Left}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
      "Column"]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{2}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.827780101813836*^9},
 CellLabel->"Out[2]=",ExpressionUUID->"0c1e234b-4ebd-4908-be33-39fe48c821bb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Options", "[", "showLGIrepTab", "]"}], "//", 
  "InputForm"}]], "Input",
 CellChangeTimes->{{3.827780543516527*^9, 3.827780557606307*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"7ebdf77c-3c99-4635-9f08-74b70b99fe00"],

Cell["\<\
{\"uNumeric\" -> False, \"irep\" -> All, \"elem\" -> All, \"rotmat\" -> True, \
\"trace\" -> False, \"spin\" -> \"downup\", 
 \"abcOrBasVec\" -> None, \"linewidth\" -> 2}\
\>", "Output",
 CellChangeTimes->{3.8277805578691826`*^9},
 CellLabel->
  "Out[3]//InputForm=",ExpressionUUID->"f31dd674-1e65-44fa-ac22-83fef0c26764"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tables for SG IRs", "Subsection",
 CellChangeTimes->{{3.8277807071820717`*^9, 
  3.8277807114569883`*^9}},ExpressionUUID->"5f707566-627e-409a-a9d0-\
f7dc824fce4a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"showSGIrepTab", "[", 
  RowBox[{"68", ",", "\"\<\[CapitalSigma]\>\"", ",", 
   RowBox[{"\"\<maxDim\>\"", "\[Rule]", "3"}], ",", 
   RowBox[{"\"\<elem\>\"", "->", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "4", ",", "5"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8277807464000883`*^9, 3.8277807567276764`*^9}, {
  3.8277808631643653`*^9, 3.827780881261362*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"76ec4b14-52d2-46a0-b8e9-77b3d2fc26a2"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[GridBox[{
        {
         TagBox[GridBox[{
            {
             
             TemplateBox[{
              "\[ThinSpace]","\" \"","\"No.\"","68","\" \"",
               TemplateBox[{"\"C\"", "\"c\"", "\"c\"", "\"e\""}, 
                "RowDefault"],"\":  k-point name is \"","\"\[CapitalSigma]\""},
              "RowWithSeparators"]},
            {
             TemplateBox[{"\"BC standard:\"",TemplateBox[{"\n", "\"\\n\"", 
                 
                 TemplateBox[{
                  "\"  \\!\\(\\*SubscriptBox[\\(k\\), \\(BC\\)]\\)=(\"", 
                   
                   TemplateBox[{",", "\",\"", "u", "u", "0"}, 
                    "RowWithSeparators"], "\") for \"", 
                   
                   TemplateBox[{
                    ",", "\",\"", "\"OrthBase(a)\"", "\"OrthBase(b)\""}, 
                    "RowWithSeparators"]}, "RowDefault"]}, 
                "RowWithSeparators"]},
              "RowDefault"]},
            {"\<\"The k start:\"\>"},
            {
             TemplateBox[{";  ","\";  \"",TemplateBox[{
                 SubscriptBox["\" k\"", "1"], "\"=(\"", 
                 
                 TemplateBox[{",", "\",\"", "u", "u", "0"}, 
                  "RowWithSeparators"], "\")\""}, "RowDefault"],TemplateBox[{
                 SubscriptBox["\"k\"", "2"], "\"=(\"", 
                 TemplateBox[{",", "\",\"", 
                   RowBox[{"-", "u"}], 
                   RowBox[{"-", "u"}], "0"}, "RowWithSeparators"], "\")\""}, 
                "RowDefault"]},
              "RowWithSeparators"]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"]},
        {
         TagBox[GridBox[{
            {"\<\"Index\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", "1", "2", "3", "4", "5"},
            {"\<\"Element\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", 
             
             TemplateBox[{
              "\"{\"","\"E\"","\"|\"",
               TemplateBox[{"t\:2081", "t\:2082", "t\:2083"}, "RowDefault"],
               "\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C2x\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C2y\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C2z\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             TemplateBox[{"\"{\"","\"I\"","\"|\"",TemplateBox[{
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"], 
                 FractionBox["1", "2"]}, "RowDefault"],"\"}\""},
              "RowDefault"]},
            {
             TagBox[GridBox[{
                {"\<\"Rotation\"\>"},
                {"\<\"matrix\"\>"}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"], "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0", "0"},
                 {"0", "1", "0"},
                 {"0", "0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1", "0"},
                 {"1", "0", "0"},
                 {"0", "0", 
                  RowBox[{"-", "1"}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", "1"}], "0"},
                 {
                  RowBox[{"-", "1"}], "0", "0"},
                 {"0", "0", 
                  RowBox[{"-", "1"}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  RowBox[{"-", "1"}], "0", "0"},
                 {"0", 
                  RowBox[{"-", "1"}], "0"},
                 {"0", "0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  RowBox[{"-", "1"}], "0", "0"},
                 {"0", 
                  RowBox[{"-", "1"}], "0"},
                 {"0", "0", 
                  RowBox[{"-", "1"}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]},
            {
             TagBox[GridBox[{
                {"\<\"Spin(\[DownArrow]\[UpArrow])\"\>"},
                {"\<\"rotation\"\>"},
                {"\<\"matrix\"\>"}
               },
               DefaultBaseStyle->"Column",
               GridBoxAlignment->{"Columns" -> {{Left}}},
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
              "Column"], "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0"},
                 {"0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", "\[ImaginaryI]"}]},
                 {
                  RowBox[{"-", "\[ImaginaryI]"}], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", "1"}]},
                 {"1", "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  RowBox[{"-", "\[ImaginaryI]"}], "0"},
                 {"0", "\[ImaginaryI]"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0"},
                 {"0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]},
            {
             "1", "\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\
\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(1\\)]\\)\"\>", "\<\"\[CapitalSigma]\\!\\(\\*SubscriptBox[\\(A\\), \\(1\\)]\
\\)\"\>", "1", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]], 
                  "0"},
                 {"0", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0"},
                 {"0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1"},
                 {"1", "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1"},
                 {"1", "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]},
                 {
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                   "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]},
            {
             "2", "\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\
\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(2\\)]\\)\"\>", "\<\"\[CapitalSigma]\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\
\\)\"\>", "1", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]], 
                  "0"},
                 {"0", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  RowBox[{"-", "1"}], "0"},
                 {"0", 
                  RowBox[{"-", "1"}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1"},
                 {"1", "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", "1"}]},
                 {
                  RowBox[{"-", "1"}], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}]},
                 {
                  RowBox[{"-", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}], 
                  "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]},
            {
             "3", "\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\
\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(3\\)]\\)\"\>", "\<\"\[CapitalSigma]\\!\\(\\*SubscriptBox[\\(A\\), \\(2\\)]\
\\)\"\>", "1", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]], 
                  "0"},
                 {"0", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"1", "0"},
                 {"0", "1"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1"},
                 {"1", "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1"},
                 {"1", "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}]},
                 {
                  RowBox[{"-", 
                   SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}], 
                  "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]},
            {
             "4", "\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\
\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(4\\)]\\)\"\>", "\<\"\[CapitalSigma]\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\
\\)\"\>", "1", 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]], 
                  "0"},
                 {"0", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {
                  RowBox[{"-", "1"}], "0"},
                 {"0", 
                  RowBox[{"-", "1"}]}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", "1"},
                 {"1", "0"}
                },
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  RowBox[{"-", "1"}]},
                 {
                  RowBox[{"-", "1"}], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]], 
             TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                 {"0", 
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]},
                 {
                  SuperscriptBox["\[ExponentialE]", 
                   RowBox[{
                   "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]], "0"}
                },
                
                GridBoxAlignment->{
                 "Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
                GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.4]}, 
                    Offset[0.2]}}], "\[NoBreak]", ")"}],
              Function[BoxForm`e$, 
               MatrixForm[BoxForm`e$]]]},
            {
             "5", "\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\
\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\[CapitalSigma]\\), \
\\(5\\)]\\)\"\>", "\<\"\[CapitalSigma]\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)\"\>", "2", 
             TagBox[GridBox[{
                {
                 
                 TemplateBox[{
                  ":","\":\"","\"(1,1)\"",SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]]},
                  "RowWithSeparators"], 
                 
                 TemplateBox[{
                  ":","\":\"","\"(2,2)\"",SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]]},
                  "RowWithSeparators"]},
                {
                 
                 TemplateBox[{
                  ":","\":\"","\"(3,3)\"",SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]]},
                  "RowWithSeparators"], 
                 
                 TemplateBox[{
                  ":","\":\"","\"(4,4)\"",SuperscriptBox["\[ExponentialE]", 
                    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
                    RowBox[{"(", 
                    RowBox[{"t\:2081", "+", "t\:2082"}], ")"}], " ", "u"}]]},
                  "RowWithSeparators"]}
               },
               AutoDelete->False,
               GridBoxAlignment->{"Columns" -> {{Left}}},
               GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
              "Grid"], 
             TagBox[GridBox[{
                {
                 TemplateBox[{":","\":\"","\"(1,2)\"","1"},
                  "RowWithSeparators"], 
                 TemplateBox[{":","\":\"","\"(2,1)\"",RowBox[{"-", "1"}]},
                  "RowWithSeparators"]},
                {
                 TemplateBox[{":","\":\"","\"(3,4)\"",RowBox[{"-", "1"}]},
                  "RowWithSeparators"], 
                 TemplateBox[{":","\":\"","\"(4,3)\"","1"},
                  "RowWithSeparators"]}
               },
               AutoDelete->False,
               GridBoxAlignment->{"Columns" -> {{Left}}},
               GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
              "Grid"], 
             TagBox[GridBox[{
                {
                 TemplateBox[{":","\":\"","\"(1,3)\"",RowBox[{"-", "1"}]},
                  "RowWithSeparators"], 
                 TemplateBox[{":","\":\"","\"(2,4)\"",RowBox[{"-", "1"}]},
                  "RowWithSeparators"]},
                {
                 TemplateBox[{":","\":\"","\"(3,1)\"","1"},
                  "RowWithSeparators"], 
                 TemplateBox[{":","\":\"","\"(4,2)\"","1"},
                  "RowWithSeparators"]}
               },
               AutoDelete->False,
               GridBoxAlignment->{"Columns" -> {{Left}}},
               GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
              "Grid"], 
             TagBox[GridBox[{
                {
                 TemplateBox[{":","\":\"","\"(1,4)\"",RowBox[{"-", "1"}]},
                  "RowWithSeparators"], 
                 TemplateBox[{":","\":\"","\"(2,3)\"","1"},
                  "RowWithSeparators"]},
                {
                 TemplateBox[{":","\":\"","\"(3,2)\"",RowBox[{"-", "1"}]},
                  "RowWithSeparators"], 
                 TemplateBox[{":","\":\"","\"(4,1)\"","1"},
                  "RowWithSeparators"]}
               },
               AutoDelete->False,
               GridBoxAlignment->{"Columns" -> {{Left}}},
               GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
              "Grid"], 
             TagBox[GridBox[{
                {
                 
                 TemplateBox[{
                  ":","\":\"","\"(1,4)\"",RowBox[{"\[ImaginaryI]", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}]},
                  "RowWithSeparators"], 
                 
                 TemplateBox[{
                  ":","\":\"","\"(2,3)\"",RowBox[{"\[ImaginaryI]", " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    RowBox[{
                    RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", "\[Pi]", 
                    " ", "u"}]]}]},
                  "RowWithSeparators"]},
                {
                 TemplateBox[{":","\":\"","\"(3,2)\"",RowBox[{
                    RowBox[{"-", "\[ImaginaryI]"}], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    
                    RowBox[{
                    "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}]},
                  "RowWithSeparators"], 
                 TemplateBox[{":","\":\"","\"(4,1)\"",RowBox[{
                    RowBox[{"-", "\[ImaginaryI]"}], " ", 
                    SuperscriptBox["\[ExponentialE]", 
                    
                    RowBox[{
                    "2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "u"}]]}]},
                  "RowWithSeparators"]}
               },
               AutoDelete->False,
               GridBoxAlignment->{"Columns" -> {{Left}}},
               GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
              "Grid"]}
           },
           AutoDelete->False,
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           
           GridBoxBackground->{
            "Columns" -> {{None}}, "Rows" -> {{None}}, 
             "ItemsIndexed" -> {{{1, 4}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {{2, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {{5, 8}, {1, -1}} -> 
               RGBColor[0.95, 1., 0.95], {{9, -1}, {1, -1}} -> 
               RGBColor[0.95, 0.95, 1.]}},
           GridBoxDividers->{"Columns" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "ColumnsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 5 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 3 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 4 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}, "Rows" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "RowsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 5 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 9 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}},
           GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
           GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
          "Grid"]}
       },
       DefaultBaseStyle->"Column",
       GridBoxAlignment->{"Columns" -> {{Left}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
      "Column"]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{2}}}],
  "Column"]], "Output",
 CellChangeTimes->{
  3.8277807576349115`*^9, {3.827780863990635*^9, 3.82778088207617*^9}},
 CellLabel->"Out[8]=",ExpressionUUID->"277b2bb9-e659-4916-b09a-b51659ab6178"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Direct product of SG IRs(Table 4.5)", "Section",
 CellChangeTimes->{{3.827780978041871*^9, 3.8277809823932934`*^9}, {
  3.8277812332269287`*^9, 
  3.8277812371274195`*^9}},ExpressionUUID->"07b5a405-1c25-4813-a4f3-\
ab6cd549b0bd"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"showSGIrepDirectProduct", "[", 
   RowBox[{"195", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "/", "2"}], ",", 
      RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"1", "/", "2"}], ",", 
      RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], ",", 
    RowBox[{"\"\<label\>\"", "->", "2"}]}], "]"}], "\n"}]], "Input",
 CellChangeTimes->{{3.8277810374121685`*^9, 3.8277810430234942`*^9}, {
  3.8277810836649804`*^9, 3.8277810854560213`*^9}, {3.8277890886850815`*^9, 
  3.827789089794361*^9}},
 CellLabel->
  "In[101]:=",ExpressionUUID->"81ff0080-917e-47a8-b943-6f07e9a90221"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[GridBox[{
        {
         TagBox[GridBox[{
            {
             
             TemplateBox[{
              "\"Direct products of ireps of space group \"",StyleBox[
                
                TemplateBox[{"\"P\"", "\"2\"", "\"3\"", "\"\""}, 
                 "RowDefault"], Bold, StripOnInput -> False],"\" (No. \"",
               StyleBox["195", Bold, StripOnInput -> False],"\"):\""},
              "RowDefault"]},
            {
             TemplateBox[{"\"For Brillouin zone type\"","\": \"",StyleBox[
                
                TemplateBox[{",", "\",\"", "\"CubiPrim\""}, 
                 "RowWithSeparators"], Bold, StripOnInput -> False]},
              "RowDefault"]},
            {
             
             TemplateBox[{
              TemplateBox[{
                "\"\\!\\(\\*SuperscriptBox[\\(\\), \\(*\\)]\\)k \
\[CircleTimes] \\!\\(\\*SuperscriptBox[\\(\\), \
\\(*\\)]\\)\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\):  k=\"", 
                 "\"(0.5,0.5,0)\"", "\"[\"", "\"M\"", "\"\"", "\",\"", "3", 
                 "\"],  \\!\\(\\*SuperscriptBox[\\(k\\), \
\\(\[Prime]\\)]\\)=\"", "\"(0.5,0.5,0)\"", "\"[\"", "\"M\"", "\"\"", "\",\"", 
                 "3", "\"]\""}, "RowDefault"],"\" (in the same star)\""},
              "RowDefault"]},
            {"\<\"\"\>"},
            {"\<\"The results contain stars \\!\\(\\*SuperscriptBox[\\(\\), \
\\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(k\\), \
\\(1\\)]\\)~\\!\\(\\*SuperscriptBox[\\(\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\
\\(k\\), \\(2\\)]\\):\"\>"},
            {
             TagBox[GridBox[{
                {"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)=(0,0,0)[\
\[CapitalGamma],1]\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(k\\), \
\\(2\\)]\\)=(0.5,0,0.5)[M,3]\"\>"}
               },
               
               GridBoxAlignment->{
                "Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
               GridBoxSpacings->{"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[2.0999999999999996`]}, 
                   Offset[0.27999999999999997`]}, "Rows" -> {
                   Offset[0.2], {
                    Offset[0.4]}, 
                   Offset[0.2]}}],
              Function[BoxForm`e$, 
               TableForm[BoxForm`e$]]]},
            {"\<\"\"\>"}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"]},
        {
         TagBox[GridBox[{
            {"\<\"Direct Product\"\>", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", "\<\"Results\"\>"},
            {"\<\"MA(k,3)\"\>", "\<\"\[CircleTimes]\"\>", \
"\<\"MA(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]A\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 TemplateBox[{"\"2MA\"",StyleBox[
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"MA(k,3)\"\>", "\<\"\[CircleTimes]\"\>", \
"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\
\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]T\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"MA(k,3)\"\>", "\<\"\[CircleTimes]\"\>", \
"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\
\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]T\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"MA(k,3)\"\>", "\<\"\[CircleTimes]\"\>", \
"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\
\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]T\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)(k,3)\"\>", \
"\<\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(2\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]A\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)(k,3)\"\>", \
"\<\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(1\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]T\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 TemplateBox[{"\"MA\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 TemplateBox[{
                  "\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)(k,3)\"\>", \
"\<\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(3\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]T\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 TemplateBox[{"\"MA\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)(k,3)\"\>", \
"\<\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(1\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]A\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)(k,3)\"\>", \
"\<\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(3\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]T\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 TemplateBox[{"\"MA\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)(k,3)\"\>", \
"\<\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(3\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),3)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]A\"",StyleBox[
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"MA(k,3)\"\>", "\<\"\[CircleTimes]\"\>", \
"\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),6)\"\>", 
             TagBox[GridBox[{
                {
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "6", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)(k,3)\"\>", \
"\<\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),6)\"\>", 
             TagBox[GridBox[{
                {
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "6", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)(k,3)\"\>", \
"\<\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),6)\"\>", 
             TagBox[GridBox[{
                {
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "6", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)(k,3)\"\>", \
"\<\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),6)\"\>", 
             TagBox[GridBox[{
                {
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "2", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "6", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"]}
               },
               AutoDelete->False,
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]},
            {"\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)(k,6)\"\>", "\<\
\"\[CircleTimes]\"\>", "\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)(\\!\\(\\*SuperscriptBox[\\(k\\), \\(\[Prime]\\)]\\),6)\"\>", 
             TagBox[GridBox[{
                {
                 TemplateBox[{"\"\[CapitalGamma]A\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "1", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 TemplateBox[{"\"3\[CapitalGamma]T\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 TemplateBox[{"\"2MA\"",StyleBox[
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>"},
                {
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "\<\"+\"\>", 
                 
                 TemplateBox[{
                  "\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"",StyleBox[
                    
                    TemplateBox[{
                    "\"(\"", "\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"",
                     "\",\"", "3", "\")\""}, "RowDefault"], 
                    GrayLevel[0.5], StripOnInput -> False]},
                  "RowDefault"], "", "", "", "", ""}
               },
               AutoDelete->False,
               
               GridBoxItemSize->{
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
               GridBoxSpacings->{"Columns" -> {{0.2}}, "Rows" -> {{0.2}}}],
              "Grid"]}
           },
           AutoDelete->False,
           
           GridBoxAlignment->{
            "Columns" -> {{Left}}, "Rows" -> {{Center}}, 
             "ItemsIndexed" -> {{1, 1} -> {Center, Inherited}, {1, 4} -> {
                Center, Inherited}}},
           
           GridBoxBackground->{
            "Columns" -> {{None}}, "Rows" -> {{None}}, 
             "ItemsIndexed" -> {{{1, 2}, {1, -1}} -> 
               RGBColor[0.95, 0.95, 0.95], {{2, 11}, {1, -1}} -> 
               RGBColor[0.95, 1., 0.95], {{12, 15}, {1, -1}} -> 
               RGBColor[1., 1., 0.95], {{16, -1}, {1, -1}} -> 
               RGBColor[0.95, 0.95, 1.]}},
           
           GridBoxDividers->{
            "Columns" -> {None}, "ColumnsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 4 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]]}, "Rows" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "RowsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 12 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 16 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]]}},
           
           GridBoxItemSize->{
            "Columns" -> {{}, {4 -> All}}, "ColumnsIndexed" -> {4 -> All}},
           GridBoxSpacings->{"Rows" -> {{0.75}}}],
          "Grid"]}
       },
       DefaultBaseStyle->"Column",
       GridBoxAlignment->{"Columns" -> {{Left}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
      "Column"]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{2}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.827781043893936*^9, 3.827781086439*^9, 
  3.8277890905065594`*^9},
 CellLabel->
  "Out[101]=",ExpressionUUID->"1338d62c-f0da-467e-b440-54e43e81b730"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"?", "SGIrepDirectProduct"}], "\[IndentingNewLine]", 
 RowBox[{"SGIrepDirectProduct", "[", 
  RowBox[{"195", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", 
     RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "/", "2"}], ",", 
     RowBox[{"1", "/", "2"}], ",", "0"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8277812941584487`*^9, 3.8277813284914217`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"6f975e18-f854-408c-978b-cc17fe3b89f6"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"SGIrepDirectProduct[sgno, kcoord1, kcoord2]  \
calculates the decomposition of the direct product of the SG ireps of kcoord1 \
star and SG ireps of kcoord2 star. Option \\\"abcOrBasVec\\\"->None is \
default, and if None is replaced by the basic vectors, specific BZ type is \
selected.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Definitions\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Definitions", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{"SGIrepDirectProduct", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno_Integer", ",", 
                    "SpaceGroupIrep`Private`kcoord1_", ",", 
                    "SpaceGroupIrep`Private`kcoord2_", ",", 
                    RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], ":=", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "u", ",", "SpaceGroupIrep`Private`Ireps1", ",", 
                    "SpaceGroupIrep`Private`Ireps2", ",", 
                    "SpaceGroupIrep`Private`getchi", ",", 
                    "SpaceGroupIrep`Private`directProduct", ",", 
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`G", ",", 
                    "SpaceGroupIrep`Private`G0", ",", 
                    "SpaceGroupIrep`Private`times", ",", 
                    "SpaceGroupIrep`Private`inv", ",", 
                    "SpaceGroupIrep`Private`dtimes", ",", 
                    "SpaceGroupIrep`Private`dinv", ",", 
                    "SpaceGroupIrep`Private`rightCoset", ",", 
                    "SpaceGroupIrep`Private`doubleCosetRep", ",", 
                    "SpaceGroupIrep`Private`fixk3BZs"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`brav", "=", 
                    RowBox[{
                    "getSGLatt", "[", "SpaceGroupIrep`Private`sgno", "]"}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"VectorQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kcoord1", ",", "NumericQ"}], 
                    "]"}]}], "||", 
                    RowBox[{"!", 
                    RowBox[{"VectorQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kcoord1", ",", "NumericQ"}], 
                    "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{
                    "Print", 
                    "[", "\<\"SGIrepDirectProduct: The input parameters \
should be the k-point coordinates not names.\"\>", "]"}], ";", 
                    RowBox[{"Abort", "[", "]"}], ";"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Ireps1", "=", 
                    RowBox[{"getLGCharTab", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", ",", 
                    "SpaceGroupIrep`Private`kcoord1", ",", 
                    RowBox[{"\<\"abcOrBasVec\"\>", "\[Rule]", 
                    RowBox[{
                    "OptionValue", "[", "\<\"abcOrBasVec\"\>", "]"}]}]}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Ireps2", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kcoord1", ",", 
                    "SpaceGroupIrep`Private`kcoord2"}], "]"}], ",", 
                    "SpaceGroupIrep`Private`Ireps1", ",", 
                    RowBox[{"getLGCharTab", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", ",", 
                    "SpaceGroupIrep`Private`kcoord2", ",", 
                    RowBox[{"\<\"abcOrBasVec\"\>", "\[Rule]", 
                    RowBox[{
                    "OptionValue", "[", "\<\"abcOrBasVec\"\>", "]"}]}]}], 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`G", "=", 
                    RowBox[{"getLGElem", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", 
                    ",", "\<\"\[CapitalGamma]\"\>"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`G0", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`G", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`times", "=", 
                    RowBox[{
                    "SeitzTimes", "[", "SpaceGroupIrep`Private`brav", "]"}]}],
                     ";", 
                    RowBox[{"SpaceGroupIrep`Private`inv", "=", 
                    RowBox[{
                    "invSeitz", "[", "SpaceGroupIrep`Private`brav", "]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`dtimes", "=", 
                    RowBox[{
                    "DSGSeitzTimes", "[", "SpaceGroupIrep`Private`brav", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dinv", "=", 
                    RowBox[{
                    "DSGinvSeitz", "[", "SpaceGroupIrep`Private`brav", 
                    "]"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`rightCoset", "[", 
                    "SpaceGroupIrep`Private`subG_", "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`elemleft", ",", 
                    "SpaceGroupIrep`Private`tmp", ",", 
                    "SpaceGroupIrep`Private`j"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`subG", "\[Equal]", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"\<\"E\"\>", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], 
                    "}"}]}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{"Association", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[Rule]", 
                    RowBox[{"{", "#1", "}"}]}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`G"}], "]"}], "]"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"seteq", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`subG", ",", 
                    "SpaceGroupIrep`Private`G"}], "]"}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{"Association", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[Rule]", "SpaceGroupIrep`Private`G"}], 
                    "&"}], ")"}], "/@", "SpaceGroupIrep`Private`G"}], "]"}], 
                    "]"}]}], "]"}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`elemleft", "=", 
                    "SpaceGroupIrep`Private`G"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`j", "=", "0"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"Association", "[", "]"}]}], ";", 
                    RowBox[{"While", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`elemleft", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`tmp", "[", 
                    RowBox[{"++", "SpaceGroupIrep`Private`j"}], "]"}], "=", 
                    RowBox[{"modone", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`times", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    "First", "[", "SpaceGroupIrep`Private`elemleft", "]"}]}], 
                    "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`subG"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`elemleft", "=", 
                    RowBox[{"Complement", "[", 
                    RowBox[{"SpaceGroupIrep`Private`elemleft", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "[", 
                    "SpaceGroupIrep`Private`j", "]"}]}], "]"}]}], ";"}]}], 
                    "]"}], ";", 
                    RowBox[{"Association", "[", 
                    RowBox[{"Join", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "SpaceGroupIrep`Private`j", 
                    "\[RightDoubleBracket]"}], "\[Rule]", "#1"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`j", ",", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`subG", "]"}]}], 
                    "}"}]}], "]"}], "&"}], ")"}], "/@", 
                    RowBox[{
                    "Values", "[", "SpaceGroupIrep`Private`tmp", "]"}]}]}], 
                    "]"}]}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`doubleCosetRep", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`G1_", ",", 
                    "SpaceGroupIrep`Private`G2Lcst_"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`G1Rcst", ",", 
                    "SpaceGroupIrep`Private`elemleft", ",", 
                    "SpaceGroupIrep`Private`j", ",", 
                    "SpaceGroupIrep`Private`tmp"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`G1", "\[Equal]", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"\<\"E\"\>", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], 
                    "}"}]}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`G2Lcst", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "]"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"seteq", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`G1", ",", 
                    "SpaceGroupIrep`Private`G"}], "]"}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"\<\"E\"\>", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], "}"}], 
                    "]"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`G2Lcst", "]"}], 
                    "\[Equal]", "1"}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"\<\"E\"\>", ",", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}], "}"}], "}"}], 
                    "]"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`G1Rcst", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`rightCoset", "[", 
                    "SpaceGroupIrep`Private`G1", "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`G2Lcst", "]"}], 
                    "\[Equal]", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`G", "]"}]}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{
                    RowBox[{"DeleteDuplicates", "[", 
                    RowBox[{
                    "Values", "[", "SpaceGroupIrep`Private`G1Rcst", "]"}], 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "]"}]}], "]"}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`elemleft", "=", 
                    "SpaceGroupIrep`Private`G2Lcst"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`j", "=", "0"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"Association", "[", "]"}]}], ";", 
                    RowBox[{"While", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`elemleft", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`tmp", "[", 
                    RowBox[{"++", "SpaceGroupIrep`Private`j"}], "]"}], "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`elemleft", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`elemleft", "=", 
                    RowBox[{"Select", "[", 
                    RowBox[{"SpaceGroupIrep`Private`elemleft", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#1", "\[Intersection]", 
                    RowBox[{"SpaceGroupIrep`Private`G1Rcst", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "[", 
                    "SpaceGroupIrep`Private`j", "]"}], "]"}]}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], "&"}]}], "]"}]}], ";"}]}], "]"}], 
                    ";", 
                    RowBox[{
                    "Values", "[", "SpaceGroupIrep`Private`tmp", "]"}]}]}], 
                    "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`getchi", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab_", ",", 
                    "SpaceGroupIrep`Private`Rv_"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk", ",", 
                    "SpaceGroupIrep`Private`k", ",", 
                    "SpaceGroupIrep`Private`facbar", ",", 
                    "SpaceGroupIrep`Private`Rnobar", ",", 
                    "SpaceGroupIrep`Private`pos", ",", 
                    "SpaceGroupIrep`Private`dv", ",", 
                    "SpaceGroupIrep`Private`srep", ",", 
                    "SpaceGroupIrep`Private`drep", ",", 
                    "SpaceGroupIrep`Private`fac"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`facbar", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringLength", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Rv", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "]"}], ">", "3"}], "&&", 
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`Rv", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", "3"}], "]"}], 
                    "\[Equal]", "\<\"bar\"\>"}]}], ",", 
                    RowBox[{"-", "1"}], ",", "1"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Rnobar", "=", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`Rv", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"\<\"bar\"\>", "\[Rule]", "\<\"\"\>"}]}], "]"}]}],
                     ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab", "[", "\<\"Gkin\"\>", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab", "[", "\<\"kinfo\"\>", 
                    "]"}], "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`pos", "=", 
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk", ",", 
                    "SpaceGroupIrep`Private`Rnobar"}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dv", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`Rv", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`pos", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`fac", "=", 
                    RowBox[{"Simplify", "[", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    RowBox[{"-", "\[ImaginaryI]"}], " ", "2", " ", "\[Pi]", 
                    " ", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k", ".", 
                    "SpaceGroupIrep`Private`dv"}]}], "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`srep", "=", 
                    RowBox[{"SpaceGroupIrep`Private`fac", " ", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab", "[", "\<\"scharTab\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "SpaceGroupIrep`Private`pos"}], 
                    "\[RightDoubleBracket]"}]}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`drep", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`facbar", " ", 
                    "SpaceGroupIrep`Private`fac", " ", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab", "[", "\<\"dcharTab\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "SpaceGroupIrep`Private`pos"}], 
                    "\[RightDoubleBracket]"}]}]}], ";", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`srep", ",", 
                    "SpaceGroupIrep`Private`drep"}], "]"}]}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`fixk3BZs", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kn1_", ",", 
                    "SpaceGroupIrep`Private`u1_"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kn2_", ",", 
                    "SpaceGroupIrep`Private`u2_"}], "}"}], ",", 
                    "SpaceGroupIrep`Private`k3BZs_", ",", 
                    "SpaceGroupIrep`Private`k3BZs0_"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kpair0", ",", 
                    "SpaceGroupIrep`Private`kpair", ",", 
                    RowBox[{"SpaceGroupIrep`Private`prec", "=", 
                    FractionBox["1", "1000000"]}], ",", 
                    "SpaceGroupIrep`Private`k3BZ", ",", 
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`nk3", ",", 
                    "SpaceGroupIrep`Private`tmp", ",", 
                    "SpaceGroupIrep`Private`kus", ",", 
                    "SpaceGroupIrep`Private`kusmax", ",", 
                    "SpaceGroupIrep`Private`ku2", ",", 
                    "SpaceGroupIrep`Private`selected"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"MemberQ", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"\<\"OrthBase\"\>", ",", "\<\"OrthBody\"\>", 
                    ",", "\<\"OrthFace\"\>", ",", "\<\"TetrBody\"\>", 
                    ",", "\<\"TrigPrim\"\>"}], "}"}], ",", 
                    "SpaceGroupIrep`Private`brav"}], "]"}]}], ",", 
                    RowBox[{
                    "Return", "[", "SpaceGroupIrep`Private`k3BZs", "]"}]}], 
                    "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kpair0", "=", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "\[IndentingNewLine]", "\<\"OrthBase\"\>", ",", 
                    RowBox[{"Association", "[", 
                    RowBox[{
                    
                    RowBox[{"\<\"\[CapitalDelta]\"\>", 
                    "\[Rule]", "\<\"F\"\>"}], ",", 
                    
                    RowBox[{"\<\"F\"\>", 
                    "\[Rule]", "\<\"\[CapitalDelta]\"\>"}], ",", 
                    RowBox[{"\<\"B\"\>", "\[Rule]", "\<\"G\"\>"}], ",", 
                    RowBox[{"\<\"G\"\>", "\[Rule]", "\<\"B\"\>"}], ",", 
                    RowBox[{"\<\"A\"\>", "\[Rule]", "\<\"E\"\>"}], ",", 
                    RowBox[{"\<\"E\"\>", "\[Rule]", "\<\"A\"\>"}], ",", 
                    
                    RowBox[{"\<\"\[CapitalSigma]\"\>", 
                    "\[Rule]", "\<\"C\"\>"}], ",", 
                    
                    RowBox[{"\<\"C\"\>", 
                    "\[Rule]", "\<\"\[CapitalSigma]\"\>"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "\<\"OrthBody\"\>", ",", 
                    RowBox[{"Association", "[", 
                    RowBox[{
                    
                    RowBox[{"\<\"\[CapitalLambda]\"\>", 
                    "\[Rule]", "\<\"G\"\>"}], ",", 
                    
                    RowBox[{"\<\"G\"\>", 
                    "\[Rule]", "\<\"\[CapitalLambda]\"\>"}], ",", 
                    
                    RowBox[{"\<\"\[CapitalDelta]\"\>", 
                    "\[Rule]", "\<\"U\"\>"}], ",", 
                    
                    RowBox[{"\<\"U\"\>", 
                    "\[Rule]", "\<\"\[CapitalDelta]\"\>"}], ",", 
                    
                    RowBox[{"\<\"\[CapitalSigma]\"\>", 
                    "\[Rule]", "\<\"F\"\>"}], ",", 
                    
                    RowBox[{"\<\"F\"\>", 
                    "\[Rule]", "\<\"\[CapitalSigma]\"\>"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "\<\"OrthFace\"\>", ",", 
                    RowBox[{"Association", "[", 
                    RowBox[{
                    RowBox[{"\<\"G\"\>", "\[Rule]", "\<\"H\"\>"}], ",", 
                    RowBox[{"\<\"H\"\>", "\[Rule]", "\<\"G\"\>"}], ",", 
                    RowBox[{"\<\"C\"\>", "\[Rule]", "\<\"A\"\>"}], ",", 
                    RowBox[{"\<\"A\"\>", "\[Rule]", "\<\"C\"\>"}], ",", 
                    RowBox[{"\<\"D\"\>", "\[Rule]", "\<\"B\"\>"}], ",", 
                    RowBox[{"\<\"B\"\>", "\[Rule]", "\<\"D\"\>"}], ",", 
                    
                    RowBox[{"\<\"\[CapitalLambda]\"\>", 
                    "\[Rule]", "\<\"Q\"\>"}], ",", 
                    
                    RowBox[{"\<\"Q\"\>", 
                    "\[Rule]", "\<\"\[CapitalLambda]\"\>"}], ",", 
                    
                    RowBox[{"\<\"\[CapitalDelta]\"\>", 
                    "\[Rule]", "\<\"R\"\>"}], ",", 
                    
                    RowBox[{"\<\"R\"\>", 
                    "\[Rule]", "\<\"\[CapitalDelta]\"\>"}], ",", 
                    
                    RowBox[{"\<\"\[CapitalSigma]\"\>", 
                    "\[Rule]", "\<\"U\"\>"}], ",", 
                    
                    RowBox[{"\<\"U\"\>", 
                    "\[Rule]", "\<\"\[CapitalSigma]\"\>"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "\<\"TetrBody\"\>", ",", 
                    RowBox[{"Association", "[", 
                    RowBox[{
                    
                    RowBox[{"\<\"\[CapitalLambda]\"\>", 
                    "\[Rule]", "\<\"V\"\>"}], ",", 
                    
                    RowBox[{"\<\"V\"\>", 
                    "\[Rule]", "\<\"\[CapitalLambda]\"\>"}], ",", 
                    
                    RowBox[{"\<\"\[CapitalSigma]\"\>", 
                    "\[Rule]", "\<\"F\"\>"}], ",", 
                    
                    RowBox[{"\<\"F\"\>", 
                    "\[Rule]", "\<\"\[CapitalSigma]\"\>"}], ",", 
                    RowBox[{"\<\"U\"\>", "\[Rule]", "\<\"Y\"\>"}], ",", 
                    RowBox[{"\<\"Y\"\>", "\[Rule]", "\<\"U\"\>"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", "\<\"TrigPrim\"\>", ",", 
                    RowBox[{"Association", "[", 
                    RowBox[{
                    
                    RowBox[{"\<\"\[CapitalLambda]\"\>", 
                    "\[Rule]", "\<\"P\"\>"}], ",", 
                    
                    RowBox[{"\<\"P\"\>", 
                    "\[Rule]", "\<\"\[CapitalLambda]\"\>"}], ",", 
                    RowBox[{"\<\"B\"\>", "\[Rule]", "\<\"Y\"\>"}], ",", 
                    RowBox[{"\<\"Y\"\>", "\[Rule]", "\<\"B\"\>"}], ",", 
                    
                    RowBox[{"\<\"\[CapitalSigma]\"\>", 
                    "\[Rule]", "\<\"Q\"\>"}], ",", 
                    
                    RowBox[{"\<\"Q\"\>", 
                    "\[Rule]", "\<\"\[CapitalSigma]\"\>"}]}], "]"}]}], 
                    "]"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`kpair", "[", 
                    "SpaceGroupIrep`Private`k_", "]"}], ":=", 
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`kp", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kpair0", "[", 
                    "SpaceGroupIrep`Private`k", "]"}]}], "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "MissingQ", "[", "SpaceGroupIrep`Private`kp", "]"}], 
                    ",", "\<\"-\"\>", ",", "SpaceGroupIrep`Private`kp"}], 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`kn2", "\[Equal]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kpair", "[", 
                    "SpaceGroupIrep`Private`kn1", "]"}]}], "&&", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`u1", "+", 
                    "SpaceGroupIrep`Private`u2"}], "\[GreaterEqual]", 
                    RowBox[{
                    RowBox[{"0.5`", "\[VeryThinSpace]"}], "-", 
                    "SpaceGroupIrep`Private`prec"}]}]}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{"{", "}"}], "]"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`nk3", "=", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`k3BZs0", "]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`selected", "=", 
                    RowBox[{"{", "}"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZs0", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZ", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "#1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], 
                    "\[RightDoubleBracket]"}], "&"}], ")"}], "/@", 
                    RowBox[{
                    "Range", "[", "SpaceGroupIrep`Private`nk3", "]"}]}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`kus", "=", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kn1", ",", 
                    "SpaceGroupIrep`Private`u1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kn2", ",", 
                    "SpaceGroupIrep`Private`u2"}], "}"}]}], "}"}], ",", 
                    "SpaceGroupIrep`Private`tmp"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"#1", ",", "1"}], "]"}], "&"}], ")"}], "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"MaximalBy", "[", 
                    RowBox[{"#1", ",", "Last"}], "]"}], "&"}], ")"}], "/@", 
                    RowBox[{"GatherBy", "[", 
                    RowBox[{"SpaceGroupIrep`Private`kus", ",", "First"}], 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kusmax", "=", 
                    RowBox[{"Association", "[", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Rule", ",", "SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], "]"}]}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"SpaceGroupIrep`Private`kusmax", ",", 
                    RowBox[{"\<\"-\"\>", "\[Rule]", 
                    RowBox[{"-", "1"}]}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`ku2", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"SpaceGroupIrep`Private`kusmax", "[", 
                    RowBox[{"SpaceGroupIrep`Private`kpair", "[", "#1", "]"}], 
                    "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "MissingQ", "[", "SpaceGroupIrep`Private`tmp", "]"}], ",", 
                    RowBox[{"-", "1"}], ",", "SpaceGroupIrep`Private`tmp"}], 
                    "]"}]}], ")"}], "&"}], ")"}], "/@", 
                    RowBox[{
                    "Keys", "[", "SpaceGroupIrep`Private`kusmax", "]"}]}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"Or", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#1", "\[GreaterEqual]", 
                    RowBox[{
                    RowBox[{"0.5`", "\[VeryThinSpace]"}], "-", 
                    "SpaceGroupIrep`Private`prec"}]}], "&"}], ")"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "Values", "[", "SpaceGroupIrep`Private`kusmax", "]"}], 
                    "+", "SpaceGroupIrep`Private`ku2"}], ")"}]}]}]}], ",", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`selected", ",", 
                    "SpaceGroupIrep`Private`k3BZ"}], "]"}]}], "]"}], ";"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZ", ",", 
                    "SpaceGroupIrep`Private`k3BZs"}], "}"}]}], "]"}], ";", 
                    "SpaceGroupIrep`Private`selected"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`directProduct", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1_", ",", 
                    "SpaceGroupIrep`Private`reptab2_"}], "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kstar1", ",", 
                    "SpaceGroupIrep`Private`kstar2", ",", 
                    "SpaceGroupIrep`Private`k1k2", ",", 
                    "SpaceGroupIrep`Private`ktest", ",", 
                    "SpaceGroupIrep`Private`startest", ",", 
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`j", ",", 
                    "SpaceGroupIrep`Private`tmp", ",", 
                    "SpaceGroupIrep`Private`kinfo1", ",", 
                    "SpaceGroupIrep`Private`kinfo2", ",", 
                    "SpaceGroupIrep`Private`sub1", ",", 
                    "SpaceGroupIrep`Private`sub2", ",", 
                    "SpaceGroupIrep`Private`k3s", ",", 
                    "SpaceGroupIrep`Private`BZs1", ",", 
                    "SpaceGroupIrep`Private`BZs2", ",", 
                    "SpaceGroupIrep`Private`BZs", ",", 
                    "SpaceGroupIrep`Private`BZtypes", ",", 
                    "SpaceGroupIrep`Private`k3reps0", ",", 
                    "SpaceGroupIrep`Private`k3BZs", ",", 
                    "SpaceGroupIrep`Private`k3BZ", ",", 
                    "SpaceGroupIrep`Private`nk3", ",", 
                    "SpaceGroupIrep`Private`k3reps", ",", 
                    "SpaceGroupIrep`Private`k3subs", ",", 
                    "SpaceGroupIrep`Private`k3", ",", 
                    "SpaceGroupIrep`Private`Gk1", ",", 
                    "SpaceGroupIrep`Private`Gk2", ",", 
                    "SpaceGroupIrep`Private`Gk3", ",", 
                    "SpaceGroupIrep`Private`dalpha", ",", 
                    "SpaceGroupIrep`Private`bbeta", ",", 
                    "SpaceGroupIrep`Private`Gk1Lcst", ",", 
                    "SpaceGroupIrep`Private`Gk2Lcst", ",", 
                    "SpaceGroupIrep`Private`Gk3Rcst", ",", 
                    "SpaceGroupIrep`Private`da", ",", 
                    "SpaceGroupIrep`Private`bb", ",", 
                    "SpaceGroupIrep`Private`La", ",", 
                    "SpaceGroupIrep`Private`LaRcst", ",", 
                    "SpaceGroupIrep`Private`alphabeta", ",", 
                    "SpaceGroupIrep`Private`Nab", ",", 
                    "SpaceGroupIrep`Private`k1", ",", 
                    "SpaceGroupIrep`Private`k2", ",", 
                    "SpaceGroupIrep`Private`ir1ir2", ",", 
                    "SpaceGroupIrep`Private`trichi", ",", 
                    "SpaceGroupIrep`Private`ir1", ",", 
                    "SpaceGroupIrep`Private`ir2", ",", 
                    "SpaceGroupIrep`Private`tmp1", ",", 
                    "SpaceGroupIrep`Private`tmp2", ",", 
                    "SpaceGroupIrep`Private`k1csr", ",", 
                    "SpaceGroupIrep`Private`k2csr", ",", 
                    "SpaceGroupIrep`Private`sstar", ",", 
                    "SpaceGroupIrep`Private`DP", ",", 
                    "SpaceGroupIrep`Private`nsir1", ",", 
                    "SpaceGroupIrep`Private`nsir2", ",", 
                    "SpaceGroupIrep`Private`ndir1", ",", 
                    "SpaceGroupIrep`Private`ndir2", ",", 
                    "SpaceGroupIrep`Private`nir1", ",", 
                    "SpaceGroupIrep`Private`nir2", ",", 
                    "SpaceGroupIrep`Private`Lb1", ",", 
                    "SpaceGroupIrep`Private`Lb2", ",", 
                    "SpaceGroupIrep`Private`Lb3", ",", 
                    "SpaceGroupIrep`Private`kname1", ",", 
                    "SpaceGroupIrep`Private`kname2", ",", 
                    "SpaceGroupIrep`Private`kname3", ",", 
                    "SpaceGroupIrep`Private`DPs", ",", 
                    "SpaceGroupIrep`Private`strki", ",", 
                    "SpaceGroupIrep`Private`dims1", ",", 
                    "SpaceGroupIrep`Private`dims2", ",", 
                    "SpaceGroupIrep`Private`dims3", ",", 
                    "SpaceGroupIrep`Private`k3dict", ",", 
                    "SpaceGroupIrep`Private`k3BZs0"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`kinfo1", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", "[", "\<\"kinfo\"\>", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kinfo2", "=", 
                    RowBox[{"SpaceGroupIrep`Private`reptab2", 
                    "[", "\<\"kinfo\"\>", "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk1", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", "[", "\<\"Gkin\"\>", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk2", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab2", "[", "\<\"Gkin\"\>", 
                    "]"}]}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1", "=", 
                    "SpaceGroupIrep`Private`kcoord1"}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k2", "=", 
                    "SpaceGroupIrep`Private`kcoord2"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kname1", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo1", "\[LeftDoubleBracket]", 
                    "2", "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kname2", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo2", "\[LeftDoubleBracket]", 
                    "2", "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`R", "=", 
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R", ".", 
                    "SpaceGroupIrep`Private`k1"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`R", ".", 
                    "SpaceGroupIrep`Private`k2"}]}], "}"}]}], "}"}]}], "]"}], 
                    "&"}], ")"}], "/@", "SpaceGroupIrep`Private`G"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp1", "=", 
                    RowBox[{"Gather", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "#2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp2", "=", 
                    RowBox[{"Gather", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "#2", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "]"}], "&"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk1Lcst", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp1", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "All", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k1csr", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk1Lcst", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`kstar1", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp1", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk2Lcst", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp2", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "All", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k2csr", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk2Lcst", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`kstar2", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp2", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`sub1", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`kinfo1", ",", "Rule"}], 
                    "]"}], "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo1", "\[LeftDoubleBracket]", 
                    "9", "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`sub2", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`kinfo2", ",", "Rule"}], 
                    "]"}], "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo2", "\[LeftDoubleBracket]", 
                    "9", "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"{", "}"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`BZs1", "=", 
                    RowBox[{"Join", "@@", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", "[", "\<\"kBZs\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "3"}], "\[RightDoubleBracket]"}]}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`BZs2", "=", 
                    RowBox[{"Join", "@@", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab2", "[", "\<\"kBZs\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "3"}], "\[RightDoubleBracket]"}]}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`BZs", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`BZs1", "\[Intersection]", 
                    "SpaceGroupIrep`Private`BZs2"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`BZs", "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Return", "[", "Nothing", "]"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`BZtypes", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"StringTake", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{"-", "1"}]}], "]"}], "\[Equal]", "\<\")\"\>"}], 
                    ",", 
                    RowBox[{"StringTake", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "2"}], ",", 
                    RowBox[{"-", "2"}]}], "}"}]}], "]"}], ",", "\<\"\"\>"}], 
                    "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`BZs"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k1k2", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`kstar1", "]"}], 
                    "<", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`kstar2", "]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k2", "+", "#1"}], "&"}], 
                    ")"}], "/@", "SpaceGroupIrep`Private`kstar1"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k1", "+", "#1"}], "&"}], 
                    ")"}], "/@", "SpaceGroupIrep`Private`kstar2"}]}], "]"}]}],
                     ";", 
                    RowBox[{"SpaceGroupIrep`Private`i", "=", "0"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3s", "=", 
                    RowBox[{"Association", "[", "]"}]}], ";", 
                    RowBox[{"While", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k1k2", "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`ktest", "=", 
                    RowBox[{
                    "First", "[", "SpaceGroupIrep`Private`k1k2", "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`startest", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", "#1"}], "]"}],
                     ".", "SpaceGroupIrep`Private`ktest"}], "&"}], ")"}], "/@",
                     "SpaceGroupIrep`Private`G0"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k3s", "[", 
                    RowBox[{"++", "SpaceGroupIrep`Private`i"}], "]"}], "=", 
                    RowBox[{"Intersection", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1k2", ",", 
                    "SpaceGroupIrep`Private`startest", ",", 
                    RowBox[{"SameTest", "\[Rule]", "keqmod"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k1k2", "=", 
                    RowBox[{"Complement", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1k2", ",", 
                    "SpaceGroupIrep`Private`startest", ",", 
                    RowBox[{"SameTest", "\[Rule]", "keqmod"}]}], "]"}]}], 
                    ";"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3s", "=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{
                    RowBox[{
                    "Values", "[", "SpaceGroupIrep`Private`k3s", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`nk3", "=", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`k3s", "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3s", "=", 
                    RowBox[{
                    RowBox[{"modone", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k3s", "+", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"0.5`", "\[VeryThinSpace]"}], "-", 
                    FractionBox["1", "100000000000000"]}], ")"}]}], "]"}], 
                    "-", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"0.5`", "\[VeryThinSpace]"}], "-", 
                    FractionBox["1", "100000000000000"]}], ")"}]}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3reps0", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"getLGCharTab", "[", 
                    RowBox[{"SpaceGroupIrep`Private`sgno", ",", "#1", ",", 
                    RowBox[{"\<\"abcOrBasVec\"\>", "\[Rule]", 
                    RowBox[{
                    "OptionValue", "[", "\<\"abcOrBasVec\"\>", "]"}]}]}], 
                    "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`k3s"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3BZs", "=", 
                    RowBox[{"Association", "[", "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3BZs0", "=", 
                    RowBox[{"Association", "[", "]"}]}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`i", "=", "1"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", "\[LessEqual]", 
                    "SpaceGroupIrep`Private`nk3"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "++"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZs0", "[", 
                    "SpaceGroupIrep`Private`i", "]"}], "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Join", "@@", 
                    RowBox[{
                    RowBox[{"#1", "[", "\<\"kBZs\"\>", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "3"}], "\[RightDoubleBracket]"}]}], 
                    ",", 
                    RowBox[{
                    RowBox[{"#1", "[", "\<\"kinfo\"\>", "]"}], 
                    "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"#1", "[", "\<\"kinfo\"\>", "]"}], ",", "Rule"}], 
                    "]"}], "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"#1", "[", "\<\"kinfo\"\>", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"9", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "}"}], "&"}], ")"}], "/@", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps0", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}]}]}],
                     ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZs", "[", 
                    "SpaceGroupIrep`Private`i", "]"}], "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZs0", "[", 
                    "SpaceGroupIrep`Private`i", "]"}], ",", "#1"}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "&"}], ")"}], "/@", "SpaceGroupIrep`Private`BZs"}]}], 
                    ";"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3BZs", "=", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`BZs", ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{
                    "Values", "[", "SpaceGroupIrep`Private`k3BZs", "]"}], 
                    "]"}]}], "}"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3BZs0", "=", 
                    RowBox[{
                    "Values", "[", "SpaceGroupIrep`Private`k3BZs0", "]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3BZs", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"Outer", "[", 
                    RowBox[{"List", ",", 
                    RowBox[{"Sequence", "@@", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}]}], "]"}]}], ";", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "Dimensions", "[", "SpaceGroupIrep`Private`tmp", "]"}], 
                    "]"}], "-", "2"}]}], "]"}]}]}], "}"}], "&"}], ")"}], "/@",
                     "SpaceGroupIrep`Private`k3BZs"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3BZs", "=", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    "SpaceGroupIrep`Private`tmp"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{"#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "}"}]}], "]"}], "&"}], ")"}],
                     "/@", "SpaceGroupIrep`Private`k3BZs"}], ",", "1"}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3BZs", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"#1", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"#1", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    "}"}], "&"}], ")"}], "/@", 
                    RowBox[{"GatherBy", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k3BZs", ",", "Last"}], 
                    "]"}]}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#1", "[", "\<\"kinfo\"\>", "]"}], 
                    "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"#1", "[", "\<\"kinfo\"\>", "]"}], ",", "Rule"}], 
                    "]"}], "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"#1", "[", "\<\"kinfo\"\>", "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"9", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"-", "1"}]}], "]"}]}], "}"}], "&"}], ")"}], "/@", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", ",", 
                    "SpaceGroupIrep`Private`reptab2"}], "}"}]}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3BZs", "=", 
                    RowBox[{"SpaceGroupIrep`Private`fixk3BZs", "[", 
                    RowBox[{
                    RowBox[{"Sequence", "@@", "SpaceGroupIrep`Private`tmp"}], 
                    ",", "SpaceGroupIrep`Private`k3BZs", ",", 
                    "SpaceGroupIrep`Private`k3BZs0"}], "]"}]}], ";", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sstar", 
                    "=", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\"\>"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`nsir1", "=", 
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", "[", "\<\"scharTab\"\>",
                     "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`ndir1", "=", 
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", "[", "\<\"dcharTab\"\>",
                     "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`nsir2", "=", 
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab2", "[", "\<\"scharTab\"\>",
                     "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`ndir2", "=", 
                    RowBox[{"Length", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab2", "[", "\<\"dcharTab\"\>",
                     "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`nir1", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`nsir1", "+", 
                    "SpaceGroupIrep`Private`ndir1"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`nir2", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`nsir2", "+", 
                    "SpaceGroupIrep`Private`ndir2"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`ir1ir2", "=", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ir1", ",", 
                    "SpaceGroupIrep`Private`ir2"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ir1", ",", 
                    "SpaceGroupIrep`Private`nir1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ir2", ",", 
                    "SpaceGroupIrep`Private`nir2"}], "}"}]}], "]"}], ",", 
                    "1"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"Or", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{"SpaceGroupIrep`Private`k1", ",", "#1"}], "]"}], 
                    "&"}], ")"}], "/@", "SpaceGroupIrep`Private`kstar2"}]}], 
                    ",", 
                    RowBox[{"SpaceGroupIrep`Private`ir1ir2", "=", 
                    RowBox[{"Select", "[", 
                    RowBox[{"SpaceGroupIrep`Private`ir1ir2", ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[LessEqual]", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], "&"}]}], "]"}]}]}], "]"}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`Lb1", "=", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", "[", "\<\"slabel\"\>", 
                    "]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", "[", "\<\"dlabel\"\>", 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Lb2", "=", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab2", "[", "\<\"slabel\"\>", 
                    "]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab2", "[", "\<\"dlabel\"\>", 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dims1", "=", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", "[", "\<\"scharTab\"\>",
                     "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab1", "[", "\<\"dcharTab\"\>",
                     "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    "]"}], " ", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`kstar1", "]"}]}]}],
                     ";", 
                    RowBox[{"SpaceGroupIrep`Private`dims2", "=", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab2", "[", "\<\"scharTab\"\>",
                     "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`reptab2", "[", "\<\"dcharTab\"\>",
                     "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    "]"}], " ", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`kstar2", "]"}]}]}],
                     ";", 
                    RowBox[{"SpaceGroupIrep`Private`dims1", "=", 
                    RowBox[{
                    "Rationalize", "[", "SpaceGroupIrep`Private`dims1", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dims2", "=", 
                    RowBox[{
                    "Rationalize", "[", "SpaceGroupIrep`Private`dims2", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`DPs", "=", 
                    RowBox[{"Association", "[", "]"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k3reps", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps0", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZ", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "#1"}], "\[RightDoubleBracket]"}]}], 
                    "\[RightDoubleBracket]"}], "&"}], ")"}], "/@", 
                    RowBox[{
                    "Range", "[", "SpaceGroupIrep`Private`nk3", "]"}]}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3subs", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{"#1", "[", "\<\"kinfo\"\>", "]"}], ",", "Rule"}], 
                    "]"}], "\[NotEqual]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{
                    RowBox[{"#1", "[", "\<\"kinfo\"\>", "]"}], 
                    "\[LeftDoubleBracket]", "9", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"{", "}"}]}], "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`k3reps"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`DP", "=", 
                    RowBox[{"Association", "[", "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`DP", "[", "#1", "]"}], 
                    "=", 
                    RowBox[{"Association", "[", 
                    RowBox[{
                    RowBox[{"\<\"label\"\>", "\[Rule]", "\<\"\"\>"}], ",", 
                    RowBox[{"\<\"dim\"\>", "\[Rule]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"\<\"irep\"\>", "\[Rule]", 
                    RowBox[{"Association", "[", "]"}]}]}], "]"}]}], ")"}], 
                    "&"}], ")"}], "/@", "SpaceGroupIrep`Private`ir1ir2"}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`k3dict", "=", 
                    RowBox[{"Association", "[", "]"}]}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`i", "=", "1"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", "\[LessEqual]", 
                    "SpaceGroupIrep`Private`nk3"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "++"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k3", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k3s", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk3", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "[", "\<\"Gkin\"\>", "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dalpha", "=", 
                    RowBox[{"SpaceGroupIrep`Private`doubleCosetRep", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk3", ",", 
                    "SpaceGroupIrep`Private`Gk2Lcst"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`alphabeta", "=", 
                    RowBox[{"{", "}"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`La", "=", 
                    RowBox[{"SpaceGroupIrep`Private`Gk3", "\[Intersection]", 
                    RowBox[{"modone", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`times", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`times", "[", 
                    RowBox[{"SpaceGroupIrep`Private`da", ",", "#1"}], "]"}], 
                    ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`inv", "[", 
                    "SpaceGroupIrep`Private`da", "]"}]}], "]"}], "&"}], ")"}],
                     "/@", "SpaceGroupIrep`Private`Gk2"}], "]"}]}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`bbeta", "=", 
                    RowBox[{"SpaceGroupIrep`Private`doubleCosetRep", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`La", ",", 
                    "SpaceGroupIrep`Private`Gk1Lcst"}], "]"}]}], ";", 
                    RowBox[{"Do", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"keqmod", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`bb", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], ".", 
                    "SpaceGroupIrep`Private`k1"}], "+", 
                    RowBox[{
                    RowBox[{"getRotMatOfK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`da", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], ".", 
                    "SpaceGroupIrep`Private`k2"}]}], ",", 
                    "SpaceGroupIrep`Private`k3"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`Nab", "=", 
                    RowBox[{"SpaceGroupIrep`Private`La", "\[Intersection]", 
                    RowBox[{"modone", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`times", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`times", "[", 
                    RowBox[{"SpaceGroupIrep`Private`bb", ",", "#1"}], "]"}], 
                    ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`inv", "[", 
                    "SpaceGroupIrep`Private`bb", "]"}]}], "]"}], "&"}], ")"}],
                     "/@", "SpaceGroupIrep`Private`Gk1"}], "]"}]}]}], ";", 
                    RowBox[{"AppendTo", "[", 
                    RowBox[{"SpaceGroupIrep`Private`alphabeta", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`da", ",", 
                    "SpaceGroupIrep`Private`bb", ",", 
                    "SpaceGroupIrep`Private`Nab"}], "}"}]}], "]"}], ";"}]}], 
                    "]"}], ";"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`bb", ",", 
                    "SpaceGroupIrep`Private`bbeta"}], "}"}]}], "]"}], ";"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`da", ",", 
                    "SpaceGroupIrep`Private`dalpha"}], "}"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dims3", "=", 
                    FractionBox[
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "[", "\<\"scharTab\"\>", "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "[", "\<\"dcharTab\"\>", "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    "]"}], " ", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`G", "]"}]}], 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`Gk3", "]"}]]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`dims3", "=", 
                    RowBox[{
                    "Rationalize", "[", "SpaceGroupIrep`Private`dims3", 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`trichi", "=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`da", ",", 
                    "SpaceGroupIrep`Private`bb", ",", 
                    "SpaceGroupIrep`Private`Nab"}], "}"}], "=", 
                    "SpaceGroupIrep`Private`tmp"}], ";", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`getchi", "[", 
                    RowBox[{"SpaceGroupIrep`Private`reptab1", ",", 
                    RowBox[{"SpaceGroupIrep`Private`dtimes", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`dtimes", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`dinv", "[", 
                    "SpaceGroupIrep`Private`bb", "]"}], ",", "#1"}], "]"}], 
                    ",", "SpaceGroupIrep`Private`bb"}], "]"}]}], "]"}], "/.", 
                    "\[VeryThinSpace]", "SpaceGroupIrep`Private`sub1"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`getchi", "[", 
                    RowBox[{"SpaceGroupIrep`Private`reptab2", ",", 
                    RowBox[{"SpaceGroupIrep`Private`dtimes", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`dtimes", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`dinv", "[", 
                    "SpaceGroupIrep`Private`da", "]"}], ",", "#1"}], "]"}], 
                    ",", "SpaceGroupIrep`Private`da"}], "]"}]}], "]"}], "/.", 
                    "\[VeryThinSpace]", "SpaceGroupIrep`Private`sub2"}], ",", 
                    RowBox[{
                    RowBox[{"Conjugate", "[", 
                    RowBox[{"SpaceGroupIrep`Private`getchi", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    ",", "#1"}], "]"}], "]"}], "/.", "\[VeryThinSpace]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k3subs", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}]}]}],
                     "}"}], "&"}], ")"}], "/@", 
                    RowBox[{"Join", "[", 
                    RowBox[{"SpaceGroupIrep`Private`Nab", ",", 
                    RowBox[{"Apply", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"\<\"bar\"\>", "<>", "#1"}], ",", "#2"}], "}"}], 
                    "&"}], ",", "SpaceGroupIrep`Private`Nab", ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}]}], "]"}]}]}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", ",", 
                    "SpaceGroupIrep`Private`alphabeta"}], "}"}]}], "]"}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kname3", "=", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "[", "\<\"kinfo\"\>", "]"}], "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Lb3", "=", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "[", "\<\"slabel\"\>", "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "[", "\<\"dlabel\"\>", "]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Lb3", "=", 
                    RowBox[{"Apply", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`sstar", "<>", "#2"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`kname3", "<>", "#1"}]}], 
                    "}"}], "&"}], ",", "SpaceGroupIrep`Private`Lb3", ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`strki", "=", 
                    RowBox[{
                    RowBox[{
                    "StringTemplate", 
                    "[", "\<\"\\!\\(\\*SubscriptBox[\\(k\\), \
\\(`1`\\)]\\)\"\>", "]"}], "[", "SpaceGroupIrep`Private`i", "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp1", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "[", "\<\"kinfo\"\>", "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"-", "1"}], "\[RightDoubleBracket]"}], 
                    "===", "\<\"not in G\"\>"}], ",", "1", ",", "0"}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp2", "=", 
                    FractionBox[
                    RowBox[{"Length", "[", "SpaceGroupIrep`Private`G", "]"}], 
                    RowBox[{"Length", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3reps", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "[", "\<\"Gkin\"\>", "]"}], "]"}]]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3dict", "[", 
                    "SpaceGroupIrep`Private`strki", "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kname3", ",", 
                    "SpaceGroupIrep`Private`tmp1", ",", 
                    "SpaceGroupIrep`Private`tmp2"}], "}"}], ",", 
                    "SpaceGroupIrep`Private`k3"}], "}"}]}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`j", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "\[LessEqual]", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`ir1ir2", "]"}]}], 
                    ",", 
                    RowBox[{"SpaceGroupIrep`Private`j", "++"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ir1", ",", 
                    "SpaceGroupIrep`Private`ir2"}], "}"}], "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ir1ir2", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`j", "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`DP", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ir1", ",", 
                    "SpaceGroupIrep`Private`ir2"}], "}"}], 
                    ",", "\<\"label\"\>"}], "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`sstar", "<>", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Lb1", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`ir1", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`sstar", "<>", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Lb2", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`ir2", ",", "2"}], 
                    "\[RightDoubleBracket]"}]}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`kname1", "<>", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Lb1", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`ir1", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`kname2", "<>", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Lb2", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`ir2", ",", "1"}], 
                    "\[RightDoubleBracket]"}]}]}], "}"}]}], "}"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`DP", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ir1", ",", 
                    "SpaceGroupIrep`Private`ir2"}], "}"}], 
                    ",", "\<\"dim\"\>"}], "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`dims1", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ir1", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`dims2", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ir2", "\[RightDoubleBracket]"}]}],
                     "}"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Rationalize", "[", 
                    RowBox[{"#1", ",", "0.1`"}], "]"}], "&"}], ")"}], "[", 
                    RowBox[{"Total", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Mean", "[", 
                    RowBox[{
                    RowBox[{"#1", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "All", ",", "1", ",", "SpaceGroupIrep`Private`ir1"}], 
                    "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"#1", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "All", ",", "2", ",", "SpaceGroupIrep`Private`ir2"}], 
                    "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"#1", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "3"}], "\[RightDoubleBracket]"}]}], 
                    "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`trichi"}], "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp1", "=", 
                    RowBox[{"Apply", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "#1", ",", "\[IndentingNewLine]", "0", ",", "Nothing", 
                    ",", "\[IndentingNewLine]", "1", ",", "#2", ",", 
                    "\[IndentingNewLine]", "_", ",", 
                    RowBox[{
                    RowBox[{"ToString", "[", "#1", "]"}], "<>", "#2"}]}], 
                    "]"}], "&"}], ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Lb3", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp2", "=", 
                    RowBox[{"Apply", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "#1", ",", "\[IndentingNewLine]", "0", ",", "Nothing", 
                    ",", "\[IndentingNewLine]", "1", ",", "#2", ",", 
                    "\[IndentingNewLine]", "_", ",", 
                    RowBox[{
                    RowBox[{"ToString", "[", "#1", "]"}], "<>", "#2"}]}], 
                    "]"}], "&"}], ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Lb3", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}]}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`dims3", "\[LeftDoubleBracket]", 
                    RowBox[{"Select", "[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`tmp", "]"}], "]"}],
                     ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "\[LeftDoubleBracket]", 
                    "#1", "\[RightDoubleBracket]"}], "\[NotEqual]", "0"}], 
                    "&"}]}], "]"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`DP", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ir1", ",", 
                    "SpaceGroupIrep`Private`ir2"}], "}"}], 
                    ",", "\<\"irep\"\>", ",", 
                    "SpaceGroupIrep`Private`strki"}], "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp1", ",", 
                    "SpaceGroupIrep`Private`tmp2", ",", 
                    "SpaceGroupIrep`Private`tmp"}], "}"}]}], ";"}]}], "]"}], 
                    ";"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`kname1", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo1", "\[LeftDoubleBracket]", 
                    RowBox[{"-", "1"}], "\[RightDoubleBracket]"}], 
                    "===", "\<\"not in G\"\>"}], ",", "1", ",", "0"}], "]"}], 
                    ",", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`kstar1", "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`kname2", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo2", "\[LeftDoubleBracket]", 
                    RowBox[{"-", "1"}], "\[RightDoubleBracket]"}], 
                    "===", "\<\"not in G\"\>"}], ",", "1", ",", "0"}], "]"}], 
                    ",", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`kstar2", "]"}]}], 
                    "}"}]}], "}"}]}], ";", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`DPs", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZ", "\[LeftDoubleBracket]", 
                    "1", "\[RightDoubleBracket]"}], "]"}], "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZ", "\[LeftDoubleBracket]", 
                    "2", "\[RightDoubleBracket]"}], ",", 
                    "SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`nsir1", ",", 
                    "SpaceGroupIrep`Private`ndir1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`nsir2", ",", 
                    "SpaceGroupIrep`Private`ndir2"}], "}"}]}], "}"}], ",", 
                    "SpaceGroupIrep`Private`k3dict", ",", 
                    "SpaceGroupIrep`Private`DP"}], "}"}]}], ";"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k3BZ", ",", 
                    "SpaceGroupIrep`Private`k3BZs"}], "}"}]}], "]"}], ";", 
                    RowBox[{
                    "Values", "[", "SpaceGroupIrep`Private`DPs", "]"}]}]}], 
                    "]"}]}], ";", 
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"Table", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`directProduct", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1rep", ",", 
                    "SpaceGroupIrep`Private`k2rep"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k1rep", ",", 
                    "SpaceGroupIrep`Private`Ireps1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k2rep", ",", 
                    "SpaceGroupIrep`Private`Ireps2"}], "}"}]}], "]"}], ",", 
                    "2"}], "]"}]}]}], "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Options\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Options\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Options", "Tooltip"]& ], 
                   RowBox[{"\<\"abcOrBasVec\"\>", "\[Rule]", "None"}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], \
"\<\"SpaceGroupIrep`SGIrepDirectProduct\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"SGIrepDirectProduct[sgno, kcoord1, kcoord2]  \
calculates the decomposition of the direct product of the SG ireps of kcoord1 \
star and SG ireps of kcoord2 star. Option \\\"abcOrBasVec\\\"->None is \
default, and if None is replaced by the basic vectors, specific BZ type is \
selected.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "SGIrepDirectProduct[sgno, kcoord1, kcoord2]  calculates the \
decomposition of the direct product of the SG ireps of kcoord1 star and SG \
ireps of kcoord2 star. Option \"abcOrBasVec\"->None is default, and if None \
is replaced by the basic vectors, specific BZ type is selected.", 
    "Documentation" -> None, "OwnValues" -> None, "UpValues" -> None, 
    "DownValues" -> 
    Information`InformationValueForm[
     DownValues, SpaceGroupIrep`SGIrepDirectProduct, {
      SpaceGroupIrep`SGIrepDirectProduct[
         Pattern[SpaceGroupIrep`Private`sgno, 
          Blank[Integer]], 
         Pattern[SpaceGroupIrep`Private`kcoord1, 
          Blank[]], 
         Pattern[SpaceGroupIrep`Private`kcoord2, 
          Blank[]], 
         OptionsPattern[]] :> 
       Block[{SpaceGroupIrep`u, SpaceGroupIrep`Private`Ireps1, 
          SpaceGroupIrep`Private`Ireps2, SpaceGroupIrep`Private`getchi, 
          SpaceGroupIrep`Private`directProduct, SpaceGroupIrep`Private`brav, 
          SpaceGroupIrep`Private`G, SpaceGroupIrep`Private`G0, 
          SpaceGroupIrep`Private`times, SpaceGroupIrep`Private`inv, 
          SpaceGroupIrep`Private`dtimes, SpaceGroupIrep`Private`dinv, 
          SpaceGroupIrep`Private`rightCoset, 
          SpaceGroupIrep`Private`doubleCosetRep, 
          SpaceGroupIrep`Private`fixk3BZs}, 
         SpaceGroupIrep`Private`brav = 
          SpaceGroupIrep`getSGLatt[SpaceGroupIrep`Private`sgno]; If[
           Or[
            Not[
             VectorQ[SpaceGroupIrep`Private`kcoord1, NumericQ]], 
            Not[
             VectorQ[SpaceGroupIrep`Private`kcoord1, NumericQ]]], 
           Print["SGIrepDirectProduct: The input parameters should be the \
k-point coordinates not names."]; Abort[]; Null]; 
         SpaceGroupIrep`Private`Ireps1 = 
          SpaceGroupIrep`getLGCharTab[
           SpaceGroupIrep`Private`sgno, SpaceGroupIrep`Private`kcoord1, 
            "abcOrBasVec" -> OptionValue["abcOrBasVec"]]; 
         SpaceGroupIrep`Private`Ireps2 = If[
            SpaceGroupIrep`keqmod[
            SpaceGroupIrep`Private`kcoord1, SpaceGroupIrep`Private`kcoord2], 
            SpaceGroupIrep`Private`Ireps1, 
            SpaceGroupIrep`getLGCharTab[
            SpaceGroupIrep`Private`sgno, SpaceGroupIrep`Private`kcoord2, 
             "abcOrBasVec" -> OptionValue["abcOrBasVec"]]]; 
         SpaceGroupIrep`Private`G = 
          SpaceGroupIrep`getLGElem[
           SpaceGroupIrep`Private`sgno, "\[CapitalGamma]"]; 
         SpaceGroupIrep`Private`G0 = Part[SpaceGroupIrep`Private`G, All, 1]; 
         SpaceGroupIrep`Private`times = 
          SpaceGroupIrep`SeitzTimes[SpaceGroupIrep`Private`brav]; 
         SpaceGroupIrep`Private`inv = 
          SpaceGroupIrep`invSeitz[SpaceGroupIrep`Private`brav]; 
         SpaceGroupIrep`Private`dtimes = 
          SpaceGroupIrep`DSGSeitzTimes[SpaceGroupIrep`Private`brav]; 
         SpaceGroupIrep`Private`dinv = 
          SpaceGroupIrep`DSGinvSeitz[SpaceGroupIrep`Private`brav]; 
         SpaceGroupIrep`Private`rightCoset[
            Pattern[SpaceGroupIrep`Private`subG, 
             Blank[]]] := 
          Module[{SpaceGroupIrep`Private`elemleft, SpaceGroupIrep`Private`tmp,
              SpaceGroupIrep`Private`j}, 
            If[SpaceGroupIrep`Private`subG == {{"E", {0, 0, 0}}}, 
              Return[
               Association[
                Map[# -> {#}& , SpaceGroupIrep`Private`G]]]]; If[
              SpaceGroupIrep`seteq[
              SpaceGroupIrep`Private`subG, SpaceGroupIrep`Private`G], 
              Return[
               Association[
                
                Map[# -> SpaceGroupIrep`Private`G& , 
                 SpaceGroupIrep`Private`G]]]]; 
            SpaceGroupIrep`Private`elemleft = SpaceGroupIrep`Private`G; 
            SpaceGroupIrep`Private`j = 0; 
            SpaceGroupIrep`Private`tmp = Association[]; 
            While[SpaceGroupIrep`Private`elemleft != {}, 
              SpaceGroupIrep`Private`tmp[
                 PreIncrement[SpaceGroupIrep`Private`j]] = 
               SpaceGroupIrep`modone[
                 Map[SpaceGroupIrep`Private`times[#, 
                   First[SpaceGroupIrep`Private`elemleft]]& , 
                  SpaceGroupIrep`Private`subG]]; 
              SpaceGroupIrep`Private`elemleft = 
               Complement[SpaceGroupIrep`Private`elemleft, 
                 SpaceGroupIrep`Private`tmp[SpaceGroupIrep`Private`j]]; Null]; 
            Association[
              Apply[Join, 
               Map[
               Table[Part[#, SpaceGroupIrep`Private`j] -> #, {
                 SpaceGroupIrep`Private`j, 
                  Length[SpaceGroupIrep`Private`subG]}]& , 
                Values[SpaceGroupIrep`Private`tmp]]]]]; 
         SpaceGroupIrep`Private`doubleCosetRep[
            Pattern[SpaceGroupIrep`Private`G1, 
             Blank[]], 
            Pattern[SpaceGroupIrep`Private`G2Lcst, 
             Blank[]]] := 
          Module[{SpaceGroupIrep`Private`G1Rcst, 
             SpaceGroupIrep`Private`elemleft, SpaceGroupIrep`Private`j, 
             SpaceGroupIrep`Private`tmp}, 
            If[SpaceGroupIrep`Private`G1 == {{"E", {0, 0, 0}}}, 
              Return[
               Part[SpaceGroupIrep`Private`G2Lcst, All, 1]]]; If[
              SpaceGroupIrep`seteq[
              SpaceGroupIrep`Private`G1, SpaceGroupIrep`Private`G], 
              Return[{{"E", {0, 0, 0}}}]]; 
            If[Length[SpaceGroupIrep`Private`G2Lcst] == 1, 
              Return[{{"E", {0, 0, 0}}}]]; 
            SpaceGroupIrep`Private`G1Rcst = 
             SpaceGroupIrep`Private`rightCoset[SpaceGroupIrep`Private`G1]; 
            If[Length[SpaceGroupIrep`Private`G2Lcst] == 
              Length[SpaceGroupIrep`Private`G], 
              Return[
               Part[
                DeleteDuplicates[
                 Values[SpaceGroupIrep`Private`G1Rcst]], All, 1]]]; 
            SpaceGroupIrep`Private`elemleft = SpaceGroupIrep`Private`G2Lcst; 
            SpaceGroupIrep`Private`j = 0; 
            SpaceGroupIrep`Private`tmp = Association[]; 
            While[SpaceGroupIrep`Private`elemleft != {}, 
              SpaceGroupIrep`Private`tmp[
                 PreIncrement[SpaceGroupIrep`Private`j]] = 
               Part[SpaceGroupIrep`Private`elemleft, 1, 1]; 
              SpaceGroupIrep`Private`elemleft = 
               Select[SpaceGroupIrep`Private`elemleft, Intersection[#, 
                   SpaceGroupIrep`Private`G1Rcst[
                    SpaceGroupIrep`Private`tmp[
                    SpaceGroupIrep`Private`j]]] == {}& ]; Null]; 
            Values[SpaceGroupIrep`Private`tmp]]; SpaceGroupIrep`Private`getchi[
            Pattern[SpaceGroupIrep`Private`reptab, 
             Blank[]], 
            Pattern[SpaceGroupIrep`Private`Rv, 
             Blank[]]] := 
          Module[{SpaceGroupIrep`Private`Gk, SpaceGroupIrep`Private`k, 
             SpaceGroupIrep`Private`facbar, SpaceGroupIrep`Private`Rnobar, 
             SpaceGroupIrep`Private`pos, SpaceGroupIrep`Private`dv, 
             SpaceGroupIrep`Private`srep, SpaceGroupIrep`Private`drep, 
             SpaceGroupIrep`Private`fac}, SpaceGroupIrep`Private`facbar = If[
               And[StringLength[
                  Part[SpaceGroupIrep`Private`Rv, 1]] > 3, StringTake[
                  Part[SpaceGroupIrep`Private`Rv, 1], 3] == "bar"], -1, 1]; 
            SpaceGroupIrep`Private`Rnobar = StringReplace[
               Part[SpaceGroupIrep`Private`Rv, 1], "bar" -> ""]; 
            SpaceGroupIrep`Private`Gk = SpaceGroupIrep`Private`reptab["Gkin"]; 
            SpaceGroupIrep`Private`k = Part[
               SpaceGroupIrep`Private`reptab["kinfo"], 1]; 
            SpaceGroupIrep`Private`pos = Part[
               Position[
               SpaceGroupIrep`Private`Gk, SpaceGroupIrep`Private`Rnobar], 1, 
               1]; SpaceGroupIrep`Private`dv = 
             Part[SpaceGroupIrep`Private`Rv, 2] - Part[
              SpaceGroupIrep`Private`Gk, SpaceGroupIrep`Private`pos, 2]; 
            SpaceGroupIrep`Private`fac = Simplify[
               
               Exp[-I 2 Pi 
                Dot[SpaceGroupIrep`Private`k, SpaceGroupIrep`Private`dv]]]; 
            SpaceGroupIrep`Private`srep = SpaceGroupIrep`Private`fac Part[
                SpaceGroupIrep`Private`reptab["scharTab"], All, 
                SpaceGroupIrep`Private`pos]; 
            SpaceGroupIrep`Private`drep = 
             SpaceGroupIrep`Private`facbar SpaceGroupIrep`Private`fac Part[
                SpaceGroupIrep`Private`reptab["dcharTab"], All, 
                SpaceGroupIrep`Private`pos]; 
            Join[SpaceGroupIrep`Private`srep, SpaceGroupIrep`Private`drep]]; 
         SpaceGroupIrep`Private`fixk3BZs[{
             Pattern[SpaceGroupIrep`Private`kn1, 
              Blank[]], 
             Pattern[SpaceGroupIrep`Private`u1, 
              Blank[]]}, {
             Pattern[SpaceGroupIrep`Private`kn2, 
              Blank[]], 
             Pattern[SpaceGroupIrep`Private`u2, 
              Blank[]]}, 
            Pattern[SpaceGroupIrep`Private`k3BZs, 
             Blank[]], 
            Pattern[SpaceGroupIrep`Private`k3BZs0, 
             Blank[]]] := 
          Module[{SpaceGroupIrep`Private`kpair0, SpaceGroupIrep`Private`kpair,
              SpaceGroupIrep`Private`prec = Rational[1, 1000000], 
             SpaceGroupIrep`Private`k3BZ, SpaceGroupIrep`Private`i, 
             SpaceGroupIrep`Private`nk3, SpaceGroupIrep`Private`tmp, 
             SpaceGroupIrep`Private`kus, SpaceGroupIrep`Private`kusmax, 
             SpaceGroupIrep`Private`ku2, SpaceGroupIrep`Private`selected}, If[
              Not[
               
               MemberQ[{
                "OrthBase", "OrthBody", "OrthFace", "TetrBody", "TrigPrim"}, 
                SpaceGroupIrep`Private`brav]], 
              Return[SpaceGroupIrep`Private`k3BZs]]; 
            SpaceGroupIrep`Private`kpair0 = 
             Switch[SpaceGroupIrep`Private`brav, "OrthBase", 
               Association[
               "\[CapitalDelta]" -> "F", "F" -> "\[CapitalDelta]", "B" -> "G",
                 "G" -> "B", "A" -> "E", "E" -> "A", "\[CapitalSigma]" -> "C",
                 "C" -> "\[CapitalSigma]"], "OrthBody", 
               Association[
               "\[CapitalLambda]" -> "G", "G" -> "\[CapitalLambda]", 
                "\[CapitalDelta]" -> "U", "U" -> "\[CapitalDelta]", 
                "\[CapitalSigma]" -> "F", "F" -> "\[CapitalSigma]"], 
               "OrthFace", 
               Association[
               "G" -> "H", "H" -> "G", "C" -> "A", "A" -> "C", "D" -> "B", 
                "B" -> "D", "\[CapitalLambda]" -> "Q", "Q" -> 
                "\[CapitalLambda]", "\[CapitalDelta]" -> "R", "R" -> 
                "\[CapitalDelta]", "\[CapitalSigma]" -> "U", "U" -> 
                "\[CapitalSigma]"], "TetrBody", 
               Association[
               "\[CapitalLambda]" -> "V", "V" -> "\[CapitalLambda]", 
                "\[CapitalSigma]" -> "F", "F" -> "\[CapitalSigma]", "U" -> 
                "Y", "Y" -> "U"], "TrigPrim", 
               Association[
               "\[CapitalLambda]" -> "P", "P" -> "\[CapitalLambda]", "B" -> 
                "Y", "Y" -> "B", "\[CapitalSigma]" -> "Q", "Q" -> 
                "\[CapitalSigma]"]]; SpaceGroupIrep`Private`kpair[
               Pattern[SpaceGroupIrep`Private`k, 
                Blank[]]] := 
             With[{SpaceGroupIrep`Private`kp = 
                SpaceGroupIrep`Private`kpair0[SpaceGroupIrep`Private`k]}, 
               If[
                MissingQ[SpaceGroupIrep`Private`kp], "-", 
                SpaceGroupIrep`Private`kp]]; If[
              And[
              SpaceGroupIrep`Private`kn2 == 
               SpaceGroupIrep`Private`kpair[SpaceGroupIrep`Private`kn1], 
               SpaceGroupIrep`Private`u1 + SpaceGroupIrep`Private`u2 >= 
               0.5 - SpaceGroupIrep`Private`prec], 
              Return[{}]]; 
            SpaceGroupIrep`Private`nk3 = 
             Length[SpaceGroupIrep`Private`k3BZs0]; 
            SpaceGroupIrep`Private`selected = {}; 
            Do[SpaceGroupIrep`Private`tmp = 
               Map[Part[SpaceGroupIrep`Private`k3BZs0, #, 
                  Part[SpaceGroupIrep`Private`k3BZ, 1, #], {2, 3}]& , 
                 Range[SpaceGroupIrep`Private`nk3]]; 
              SpaceGroupIrep`Private`kus = 
               Join[{{SpaceGroupIrep`Private`kn1, 
                   SpaceGroupIrep`Private`u1}, {
                  SpaceGroupIrep`Private`kn2, SpaceGroupIrep`Private`u2}}, 
                 SpaceGroupIrep`Private`tmp]; 
              SpaceGroupIrep`Private`tmp = (Flatten[#, 1]& )[
                 Map[MaximalBy[#, Last]& , 
                  GatherBy[SpaceGroupIrep`Private`kus, First]]]; 
              SpaceGroupIrep`Private`kusmax = Association[
                 Apply[Rule, SpaceGroupIrep`Private`tmp, {1}]]; 
              AppendTo[SpaceGroupIrep`Private`kusmax, "-" -> -1]; 
              SpaceGroupIrep`Private`ku2 = 
               Map[(SpaceGroupIrep`Private`tmp = SpaceGroupIrep`Private`kusmax[
                    SpaceGroupIrep`Private`kpair[#]]; If[
                   MissingQ[SpaceGroupIrep`Private`tmp], -1, 
                   SpaceGroupIrep`Private`tmp])& , 
                 Keys[SpaceGroupIrep`Private`kusmax]]; If[
                Not[
                 Apply[Or, 
                  
                  Map[# >= 0.5 - SpaceGroupIrep`Private`prec& , 
                   Values[SpaceGroupIrep`Private`kusmax] + 
                   SpaceGroupIrep`Private`ku2]]], 
                AppendTo[
                SpaceGroupIrep`Private`selected, 
                 SpaceGroupIrep`Private`k3BZ]]; Null, {
              SpaceGroupIrep`Private`k3BZ, SpaceGroupIrep`Private`k3BZs}]; 
            SpaceGroupIrep`Private`selected]; 
         SpaceGroupIrep`Private`directProduct[
            Pattern[SpaceGroupIrep`Private`reptab1, 
             Blank[]], 
            Pattern[SpaceGroupIrep`Private`reptab2, 
             Blank[]]] := 
          Module[{SpaceGroupIrep`Private`kstar1, 
             SpaceGroupIrep`Private`kstar2, SpaceGroupIrep`Private`k1k2, 
             SpaceGroupIrep`Private`ktest, SpaceGroupIrep`Private`startest, 
             SpaceGroupIrep`Private`i, SpaceGroupIrep`Private`j, 
             SpaceGroupIrep`Private`tmp, SpaceGroupIrep`Private`kinfo1, 
             SpaceGroupIrep`Private`kinfo2, SpaceGroupIrep`Private`sub1, 
             SpaceGroupIrep`Private`sub2, SpaceGroupIrep`Private`k3s, 
             SpaceGroupIrep`Private`BZs1, SpaceGroupIrep`Private`BZs2, 
             SpaceGroupIrep`Private`BZs, SpaceGroupIrep`Private`BZtypes, 
             SpaceGroupIrep`Private`k3reps0, SpaceGroupIrep`Private`k3BZs, 
             SpaceGroupIrep`Private`k3BZ, SpaceGroupIrep`Private`nk3, 
             SpaceGroupIrep`Private`k3reps, SpaceGroupIrep`Private`k3subs, 
             SpaceGroupIrep`Private`k3, SpaceGroupIrep`Private`Gk1, 
             SpaceGroupIrep`Private`Gk2, SpaceGroupIrep`Private`Gk3, 
             SpaceGroupIrep`Private`dalpha, SpaceGroupIrep`Private`bbeta, 
             SpaceGroupIrep`Private`Gk1Lcst, SpaceGroupIrep`Private`Gk2Lcst, 
             SpaceGroupIrep`Private`Gk3Rcst, SpaceGroupIrep`Private`da, 
             SpaceGroupIrep`Private`bb, SpaceGroupIrep`Private`La, 
             SpaceGroupIrep`Private`LaRcst, SpaceGroupIrep`Private`alphabeta, 
             SpaceGroupIrep`Private`Nab, SpaceGroupIrep`Private`k1, 
             SpaceGroupIrep`Private`k2, SpaceGroupIrep`Private`ir1ir2, 
             SpaceGroupIrep`Private`trichi, SpaceGroupIrep`Private`ir1, 
             SpaceGroupIrep`Private`ir2, SpaceGroupIrep`Private`tmp1, 
             SpaceGroupIrep`Private`tmp2, SpaceGroupIrep`Private`k1csr, 
             SpaceGroupIrep`Private`k2csr, SpaceGroupIrep`Private`sstar, 
             SpaceGroupIrep`Private`DP, SpaceGroupIrep`Private`nsir1, 
             SpaceGroupIrep`Private`nsir2, SpaceGroupIrep`Private`ndir1, 
             SpaceGroupIrep`Private`ndir2, SpaceGroupIrep`Private`nir1, 
             SpaceGroupIrep`Private`nir2, SpaceGroupIrep`Private`Lb1, 
             SpaceGroupIrep`Private`Lb2, SpaceGroupIrep`Private`Lb3, 
             SpaceGroupIrep`Private`kname1, SpaceGroupIrep`Private`kname2, 
             SpaceGroupIrep`Private`kname3, SpaceGroupIrep`Private`DPs, 
             SpaceGroupIrep`Private`strki, SpaceGroupIrep`Private`dims1, 
             SpaceGroupIrep`Private`dims2, SpaceGroupIrep`Private`dims3, 
             SpaceGroupIrep`Private`k3dict, SpaceGroupIrep`Private`k3BZs0}, 
            SpaceGroupIrep`Private`kinfo1 = 
             SpaceGroupIrep`Private`reptab1["kinfo"]; 
            SpaceGroupIrep`Private`kinfo2 = 
             SpaceGroupIrep`Private`reptab2["kinfo"]; 
            SpaceGroupIrep`Private`Gk1 = 
             SpaceGroupIrep`Private`reptab1["Gkin"]; 
            SpaceGroupIrep`Private`Gk2 = 
             SpaceGroupIrep`Private`reptab2["Gkin"]; 
            SpaceGroupIrep`Private`k1 = SpaceGroupIrep`Private`kcoord1; 
            SpaceGroupIrep`Private`k2 = SpaceGroupIrep`Private`kcoord2; 
            SpaceGroupIrep`Private`kname1 = 
             Part[SpaceGroupIrep`Private`kinfo1, 2]; 
            SpaceGroupIrep`Private`kname2 = 
             Part[SpaceGroupIrep`Private`kinfo2, 2]; 
            SpaceGroupIrep`Private`tmp = 
             Map[With[{
                SpaceGroupIrep`Private`R = 
                 SpaceGroupIrep`getRotMatOfK[SpaceGroupIrep`Private`brav, 
                   Part[#, 1]]}, {{#, 
                  Dot[
                  SpaceGroupIrep`Private`R, SpaceGroupIrep`Private`k1]}, {#, 
                  Dot[
                  SpaceGroupIrep`Private`R, SpaceGroupIrep`Private`k2]}}]& , 
               SpaceGroupIrep`Private`G]; SpaceGroupIrep`Private`tmp1 = Gather[
               Part[SpaceGroupIrep`Private`tmp, All, 1], SpaceGroupIrep`keqmod[
                Part[#, 2], 
                Part[#2, 2]]& ]; SpaceGroupIrep`Private`tmp2 = Gather[
               Part[SpaceGroupIrep`Private`tmp, All, 2], SpaceGroupIrep`keqmod[
                Part[#, 2], 
                Part[#2, 2]]& ]; 
            SpaceGroupIrep`Private`Gk1Lcst = 
             Part[SpaceGroupIrep`Private`tmp1, All, All, 1]; 
            SpaceGroupIrep`Private`k1csr = 
             Part[SpaceGroupIrep`Private`Gk1Lcst, All, 1]; 
            SpaceGroupIrep`Private`kstar1 = 
             Part[SpaceGroupIrep`Private`tmp1, All, 1, 2]; 
            SpaceGroupIrep`Private`Gk2Lcst = 
             Part[SpaceGroupIrep`Private`tmp2, All, All, 1]; 
            SpaceGroupIrep`Private`k2csr = 
             Part[SpaceGroupIrep`Private`Gk2Lcst, All, 1]; 
            SpaceGroupIrep`Private`kstar2 = 
             Part[SpaceGroupIrep`Private`tmp2, All, 1, 2]; 
            SpaceGroupIrep`Private`sub1 = 
             If[Position[SpaceGroupIrep`Private`kinfo1, Rule] != {}, 
               Part[SpaceGroupIrep`Private`kinfo1, 9], {}]; 
            SpaceGroupIrep`Private`sub2 = 
             If[Position[SpaceGroupIrep`Private`kinfo2, Rule] != {}, 
               Part[SpaceGroupIrep`Private`kinfo2, 9], {}]; 
            SpaceGroupIrep`Private`BZs1 = Apply[Join, 
               Part[
                SpaceGroupIrep`Private`reptab1["kBZs"], All, 3]]; 
            SpaceGroupIrep`Private`BZs2 = Apply[Join, 
               Part[
                SpaceGroupIrep`Private`reptab2["kBZs"], All, 3]]; 
            SpaceGroupIrep`Private`BZs = 
             Intersection[
              SpaceGroupIrep`Private`BZs1, SpaceGroupIrep`Private`BZs2]; 
            If[SpaceGroupIrep`Private`BZs == {}, 
              Return[Nothing]]; 
            SpaceGroupIrep`Private`BZtypes = Map[If[StringTake[#, -1] == ")", 
                StringTake[#, {-2, -2}], ""]& , SpaceGroupIrep`Private`BZs]; 
            SpaceGroupIrep`Private`k1k2 = 
             If[Length[SpaceGroupIrep`Private`kstar1] < 
               Length[SpaceGroupIrep`Private`kstar2], 
               Map[
               SpaceGroupIrep`Private`k2 + #& , 
                SpaceGroupIrep`Private`kstar1], 
               Map[
               SpaceGroupIrep`Private`k1 + #& , 
                SpaceGroupIrep`Private`kstar2]]; SpaceGroupIrep`Private`i = 0; 
            SpaceGroupIrep`Private`k3s = Association[]; 
            While[SpaceGroupIrep`Private`k1k2 != {}, 
              SpaceGroupIrep`Private`ktest = 
               First[SpaceGroupIrep`Private`k1k2]; 
              SpaceGroupIrep`Private`startest = Map[Dot[
                  SpaceGroupIrep`getRotMatOfK[SpaceGroupIrep`Private`brav, #],
                   SpaceGroupIrep`Private`ktest]& , 
                 SpaceGroupIrep`Private`G0]; SpaceGroupIrep`Private`k3s[
                 PreIncrement[SpaceGroupIrep`Private`i]] = 
               Intersection[
                SpaceGroupIrep`Private`k1k2, SpaceGroupIrep`Private`startest, 
                 SameTest -> SpaceGroupIrep`keqmod]; 
              SpaceGroupIrep`Private`k1k2 = 
               Complement[
                SpaceGroupIrep`Private`k1k2, SpaceGroupIrep`Private`startest, 
                 SameTest -> SpaceGroupIrep`keqmod]; Null]; 
            SpaceGroupIrep`Private`k3s = Chop[
               Part[
                Values[SpaceGroupIrep`Private`k3s], All, 1]]; 
            SpaceGroupIrep`Private`nk3 = Length[SpaceGroupIrep`Private`k3s]; 
            SpaceGroupIrep`Private`k3s = 
             SpaceGroupIrep`modone[
               SpaceGroupIrep`Private`k3s + (0.5 - Rational[
                 1, 100000000000000])] - (0.5 - Rational[1, 100000000000000]); 
            SpaceGroupIrep`Private`k3reps0 = 
             Map[SpaceGroupIrep`getLGCharTab[
               SpaceGroupIrep`Private`sgno, #, "abcOrBasVec" -> 
                OptionValue["abcOrBasVec"]]& , SpaceGroupIrep`Private`k3s]; 
            SpaceGroupIrep`Private`k3BZs = Association[]; 
            SpaceGroupIrep`Private`k3BZs0 = Association[]; 
            For[SpaceGroupIrep`Private`i = 1, SpaceGroupIrep`Private`i <= 
              SpaceGroupIrep`Private`nk3, 
              Increment[SpaceGroupIrep`Private`i], 
              SpaceGroupIrep`Private`k3BZs0[SpaceGroupIrep`Private`i] = Map[{
                  Apply[Join, 
                   Part[
                    #["kBZs"], All, 3]], 
                  Part[
                   #["kinfo"], 2], 
                  If[Position[
                    #["kinfo"], Rule] != {}, 
                   Part[
                    #["kinfo"], 9, 2], -1]}& , 
                 Part[
                 SpaceGroupIrep`Private`k3reps0, SpaceGroupIrep`Private`i]]; 
              SpaceGroupIrep`Private`k3BZs[SpaceGroupIrep`Private`i] = 
               Map[Part[
                  Position[
                   SpaceGroupIrep`Private`k3BZs0[
                   SpaceGroupIrep`Private`i], #], All, 1]& , 
                 SpaceGroupIrep`Private`BZs]; Null]; 
            SpaceGroupIrep`Private`k3BZs = 
             Transpose[{SpaceGroupIrep`Private`BZs, 
                Transpose[
                 Values[SpaceGroupIrep`Private`k3BZs]]}]; 
            SpaceGroupIrep`Private`k3BZs0 = 
             Values[SpaceGroupIrep`Private`k3BZs0]; 
            SpaceGroupIrep`Private`k3BZs = Map[{
                Part[#, 1], SpaceGroupIrep`Private`tmp = Outer[List, 
                   Apply[Sequence, 
                    Part[#, 2]]]; Flatten[SpaceGroupIrep`Private`tmp, Length[
                    Dimensions[SpaceGroupIrep`Private`tmp]] - 2]}& , 
               SpaceGroupIrep`Private`k3BZs]; 
            SpaceGroupIrep`Private`k3BZs = Flatten[
               Map[Table[{
                  Part[#, 1], SpaceGroupIrep`Private`tmp}, {
                 SpaceGroupIrep`Private`tmp, 
                  Part[#, 2]}]& , SpaceGroupIrep`Private`k3BZs], 1]; 
            SpaceGroupIrep`Private`k3BZs = Map[{
                Part[#, 1, 2], 
                Part[#, All, 1]}& , 
               GatherBy[SpaceGroupIrep`Private`k3BZs, Last]]; 
            SpaceGroupIrep`Private`tmp = Map[{
                Part[
                 #["kinfo"], 2], 
                If[Position[
                   #["kinfo"], Rule] != {}, 
                 Part[
                  #["kinfo"], 9, 2], -1]}& , {
               SpaceGroupIrep`Private`reptab1, 
                SpaceGroupIrep`Private`reptab2}]; 
            SpaceGroupIrep`Private`k3BZs = SpaceGroupIrep`Private`fixk3BZs[
               Apply[Sequence, SpaceGroupIrep`Private`tmp], 
               SpaceGroupIrep`Private`k3BZs, SpaceGroupIrep`Private`k3BZs0]; 
            SpaceGroupIrep`Private`sstar = 
             "\!\(\*SuperscriptBox[\(\[InvisiblePrefixScriptBase]\), \
\(*\)]\)"; SpaceGroupIrep`Private`nsir1 = Length[
               SpaceGroupIrep`Private`reptab1["scharTab"]]; 
            SpaceGroupIrep`Private`ndir1 = Length[
               SpaceGroupIrep`Private`reptab1["dcharTab"]]; 
            SpaceGroupIrep`Private`nsir2 = Length[
               SpaceGroupIrep`Private`reptab2["scharTab"]]; 
            SpaceGroupIrep`Private`ndir2 = Length[
               SpaceGroupIrep`Private`reptab2["dcharTab"]]; 
            SpaceGroupIrep`Private`nir1 = 
             SpaceGroupIrep`Private`nsir1 + SpaceGroupIrep`Private`ndir1; 
            SpaceGroupIrep`Private`nir2 = 
             SpaceGroupIrep`Private`nsir2 + SpaceGroupIrep`Private`ndir2; 
            SpaceGroupIrep`Private`ir1ir2 = Flatten[
               
               Table[{SpaceGroupIrep`Private`ir1, 
                 SpaceGroupIrep`Private`ir2}, {
                SpaceGroupIrep`Private`ir1, SpaceGroupIrep`Private`nir1}, {
                SpaceGroupIrep`Private`ir2, SpaceGroupIrep`Private`nir2}], 1]; 
            If[
              Apply[Or, 
               Map[
               SpaceGroupIrep`keqmod[SpaceGroupIrep`Private`k1, #]& , 
                SpaceGroupIrep`Private`kstar2]], 
              SpaceGroupIrep`Private`ir1ir2 = 
              Select[SpaceGroupIrep`Private`ir1ir2, Part[#, 1] <= 
                Part[#, 2]& ]]; SpaceGroupIrep`Private`Lb1 = Join[
               SpaceGroupIrep`Private`reptab1["slabel"], 
               SpaceGroupIrep`Private`reptab1["dlabel"]]; 
            SpaceGroupIrep`Private`Lb2 = Join[
               SpaceGroupIrep`Private`reptab2["slabel"], 
               SpaceGroupIrep`Private`reptab2["dlabel"]]; 
            SpaceGroupIrep`Private`dims1 = Join[
                Part[
                 SpaceGroupIrep`Private`reptab1["scharTab"], All, 1], 
                Part[
                 SpaceGroupIrep`Private`reptab1["dcharTab"], All, 1]] 
              Length[SpaceGroupIrep`Private`kstar1]; 
            SpaceGroupIrep`Private`dims2 = Join[
                Part[
                 SpaceGroupIrep`Private`reptab2["scharTab"], All, 1], 
                Part[
                 SpaceGroupIrep`Private`reptab2["dcharTab"], All, 1]] 
              Length[SpaceGroupIrep`Private`kstar2]; 
            SpaceGroupIrep`Private`dims1 = 
             Rationalize[SpaceGroupIrep`Private`dims1]; 
            SpaceGroupIrep`Private`dims2 = 
             Rationalize[SpaceGroupIrep`Private`dims2]; 
            SpaceGroupIrep`Private`DPs = Association[]; 
            Do[SpaceGroupIrep`Private`k3reps = 
               Map[Part[SpaceGroupIrep`Private`k3reps0, #, 
                  Part[SpaceGroupIrep`Private`k3BZ, 1, #]]& , 
                 Range[SpaceGroupIrep`Private`nk3]]; 
              SpaceGroupIrep`Private`k3subs = Map[If[Position[
                    #["kinfo"], Rule] != {}, 
                  Part[
                   #["kinfo"], 9], {}]& , SpaceGroupIrep`Private`k3reps]; 
              SpaceGroupIrep`Private`DP = Association[]; 
              Map[(SpaceGroupIrep`Private`DP[#] = 
                Association[
                 "label" -> "", "dim" -> {}, "irep" -> Association[]])& , 
                SpaceGroupIrep`Private`ir1ir2]; 
              SpaceGroupIrep`Private`k3dict = Association[]; 
              For[SpaceGroupIrep`Private`i = 1, SpaceGroupIrep`Private`i <= 
                SpaceGroupIrep`Private`nk3, 
                Increment[SpaceGroupIrep`Private`i], 
                SpaceGroupIrep`Private`k3 = 
                 Part[SpaceGroupIrep`Private`k3s, SpaceGroupIrep`Private`i]; 
                SpaceGroupIrep`Private`Gk3 = 
                 Part[SpaceGroupIrep`Private`k3reps, 
                   SpaceGroupIrep`Private`i]["Gkin"]; 
                SpaceGroupIrep`Private`dalpha = 
                 SpaceGroupIrep`Private`doubleCosetRep[
                  SpaceGroupIrep`Private`Gk3, SpaceGroupIrep`Private`Gk2Lcst]; 
                SpaceGroupIrep`Private`alphabeta = {}; 
                Do[SpaceGroupIrep`Private`La = 
                   Intersection[SpaceGroupIrep`Private`Gk3, 
                    SpaceGroupIrep`modone[
                    Map[SpaceGroupIrep`Private`times[
                    SpaceGroupIrep`Private`times[
                    SpaceGroupIrep`Private`da, #], 
                    SpaceGroupIrep`Private`inv[SpaceGroupIrep`Private`da]]& , 
                    SpaceGroupIrep`Private`Gk2]]]; 
                  SpaceGroupIrep`Private`bbeta = 
                   SpaceGroupIrep`Private`doubleCosetRep[
                    SpaceGroupIrep`Private`La, 
                    SpaceGroupIrep`Private`Gk1Lcst]; Do[If[
                    SpaceGroupIrep`keqmod[Dot[
                    SpaceGroupIrep`getRotMatOfK[SpaceGroupIrep`Private`brav, 
                    Part[SpaceGroupIrep`Private`bb, 1]], 
                    SpaceGroupIrep`Private`k1] + Dot[
                    SpaceGroupIrep`getRotMatOfK[SpaceGroupIrep`Private`brav, 
                    Part[SpaceGroupIrep`Private`da, 1]], 
                    SpaceGroupIrep`Private`k2], SpaceGroupIrep`Private`k3], 
                    SpaceGroupIrep`Private`Nab = 
                    Intersection[SpaceGroupIrep`Private`La, 
                    SpaceGroupIrep`modone[
                    Map[SpaceGroupIrep`Private`times[
                    SpaceGroupIrep`Private`times[
                    SpaceGroupIrep`Private`bb, #], 
                    SpaceGroupIrep`Private`inv[SpaceGroupIrep`Private`bb]]& , 
                    SpaceGroupIrep`Private`Gk1]]]; 
                    AppendTo[
                    SpaceGroupIrep`Private`alphabeta, {
                    SpaceGroupIrep`Private`da, SpaceGroupIrep`Private`bb, 
                    SpaceGroupIrep`Private`Nab}]; Null]; Null, {
                    SpaceGroupIrep`Private`bb, SpaceGroupIrep`Private`bbeta}]; 
                  Null, {SpaceGroupIrep`Private`da, 
                   SpaceGroupIrep`Private`dalpha}]; 
                SpaceGroupIrep`Private`dims3 = Join[
                    Part[
                    Part[
                    SpaceGroupIrep`Private`k3reps, SpaceGroupIrep`Private`i][
                    "scharTab"], All, 1], 
                    Part[
                    Part[
                    SpaceGroupIrep`Private`k3reps, SpaceGroupIrep`Private`i][
                    "dcharTab"], All, 1]] Length[SpaceGroupIrep`Private`G]/
                  Length[SpaceGroupIrep`Private`Gk3]; 
                SpaceGroupIrep`Private`dims3 = 
                 Rationalize[SpaceGroupIrep`Private`dims3]; 
                SpaceGroupIrep`Private`trichi = Chop[
                   
                   Table[{SpaceGroupIrep`Private`da, 
                    SpaceGroupIrep`Private`bb, SpaceGroupIrep`Private`Nab} = 
                    SpaceGroupIrep`Private`tmp; Map[{
                    ReplaceAll[
                    SpaceGroupIrep`Private`getchi[
                    SpaceGroupIrep`Private`reptab1, 
                    SpaceGroupIrep`Private`dtimes[
                    SpaceGroupIrep`Private`dtimes[
                    SpaceGroupIrep`Private`dinv[
                    SpaceGroupIrep`Private`bb], #], 
                    SpaceGroupIrep`Private`bb]], SpaceGroupIrep`Private`sub1], 
                    ReplaceAll[
                    SpaceGroupIrep`Private`getchi[
                    SpaceGroupIrep`Private`reptab2, 
                    SpaceGroupIrep`Private`dtimes[
                    SpaceGroupIrep`Private`dtimes[
                    SpaceGroupIrep`Private`dinv[
                    SpaceGroupIrep`Private`da], #], 
                    SpaceGroupIrep`Private`da]], SpaceGroupIrep`Private`sub2], 
                    ReplaceAll[
                    Conjugate[
                    SpaceGroupIrep`Private`getchi[
                    Part[
                    SpaceGroupIrep`Private`k3reps, 
                    SpaceGroupIrep`Private`i], #]], 
                    Part[
                    SpaceGroupIrep`Private`k3subs, 
                    SpaceGroupIrep`Private`i]]}& , 
                    Join[SpaceGroupIrep`Private`Nab, 
                    Apply[{
                    StringJoin["bar", #], #2}& , SpaceGroupIrep`Private`Nab, {
                    1}]]], {
                    SpaceGroupIrep`Private`tmp, 
                    SpaceGroupIrep`Private`alphabeta}]]; 
                SpaceGroupIrep`Private`kname3 = Part[
                   Part[
                   SpaceGroupIrep`Private`k3reps, SpaceGroupIrep`Private`i][
                   "kinfo"], 2]; SpaceGroupIrep`Private`Lb3 = Join[
                   Part[
                   SpaceGroupIrep`Private`k3reps, SpaceGroupIrep`Private`i][
                   "slabel"], 
                   Part[
                   SpaceGroupIrep`Private`k3reps, SpaceGroupIrep`Private`i][
                   "dlabel"]]; SpaceGroupIrep`Private`Lb3 = Apply[{
                    StringJoin[SpaceGroupIrep`Private`sstar, #2], 
                    StringJoin[SpaceGroupIrep`Private`kname3, #]}& , 
                   SpaceGroupIrep`Private`Lb3, {1}]; 
                SpaceGroupIrep`Private`strki = 
                 StringTemplate["\!\(\*SubscriptBox[\(k\), \(`1`\)]\)"][
                  SpaceGroupIrep`Private`i]; 
                SpaceGroupIrep`Private`tmp1 = If[Part[
                    Part[
                    SpaceGroupIrep`Private`k3reps, SpaceGroupIrep`Private`i][
                    "kinfo"], -1] === "not in G", 1, 0]; 
                SpaceGroupIrep`Private`tmp2 = 
                 Length[SpaceGroupIrep`Private`G]/Length[
                   Part[
                   SpaceGroupIrep`Private`k3reps, SpaceGroupIrep`Private`i][
                   "Gkin"]]; 
                SpaceGroupIrep`Private`k3dict[
                  SpaceGroupIrep`Private`strki] = {{
                   SpaceGroupIrep`Private`kname3, SpaceGroupIrep`Private`tmp1,
                     SpaceGroupIrep`Private`tmp2}, SpaceGroupIrep`Private`k3}; 
                For[SpaceGroupIrep`Private`j = 1, SpaceGroupIrep`Private`j <= 
                  Length[SpaceGroupIrep`Private`ir1ir2], 
                  Increment[
                  SpaceGroupIrep`Private`j], {
                    SpaceGroupIrep`Private`ir1, SpaceGroupIrep`Private`ir2} = 
                   Part[SpaceGroupIrep`Private`ir1ir2, 
                    SpaceGroupIrep`Private`j]; 
                  SpaceGroupIrep`Private`DP[{
                    SpaceGroupIrep`Private`ir1, SpaceGroupIrep`Private`ir2}, 
                    "label"] = {{
                    StringJoin[SpaceGroupIrep`Private`sstar, 
                    Part[
                    SpaceGroupIrep`Private`Lb1, SpaceGroupIrep`Private`ir1, 
                    2]], 
                    StringJoin[SpaceGroupIrep`Private`sstar, 
                    Part[
                    SpaceGroupIrep`Private`Lb2, SpaceGroupIrep`Private`ir2, 
                    2]]}, {
                    StringJoin[SpaceGroupIrep`Private`kname1, 
                    Part[
                    SpaceGroupIrep`Private`Lb1, SpaceGroupIrep`Private`ir1, 
                    1]], 
                    StringJoin[SpaceGroupIrep`Private`kname2, 
                    Part[
                    SpaceGroupIrep`Private`Lb2, SpaceGroupIrep`Private`ir2, 
                    1]]}}; SpaceGroupIrep`Private`DP[{
                    SpaceGroupIrep`Private`ir1, SpaceGroupIrep`Private`ir2}, 
                    "dim"] = {
                    Part[
                    SpaceGroupIrep`Private`dims1, SpaceGroupIrep`Private`ir1], 
                    Part[
                    SpaceGroupIrep`Private`dims2, 
                    SpaceGroupIrep`Private`ir2]}; 
                  SpaceGroupIrep`Private`tmp = (Rationalize[#, 0.1]& )[
                    Total[
                    Map[
                    Mean[Part[#, All, 1, SpaceGroupIrep`Private`ir1] 
                    Part[#, All, 2, SpaceGroupIrep`Private`ir2] 
                    Part[#, All, 3]]& , SpaceGroupIrep`Private`trichi]]]; 
                  SpaceGroupIrep`Private`tmp1 = 
                   Apply[Switch[#, 0, Nothing, 1, #2, 
                    Blank[], 
                    StringJoin[
                    ToString[#], #2]]& , 
                    Transpose[{SpaceGroupIrep`Private`tmp, 
                    Part[SpaceGroupIrep`Private`Lb3, All, 1]}], {1}]; 
                  SpaceGroupIrep`Private`tmp2 = 
                   Apply[Switch[#, 0, Nothing, 1, #2, 
                    Blank[], 
                    StringJoin[
                    ToString[#], #2]]& , 
                    Transpose[{SpaceGroupIrep`Private`tmp, 
                    Part[SpaceGroupIrep`Private`Lb3, All, 2]}], {1}]; 
                  SpaceGroupIrep`Private`tmp = 
                   Part[SpaceGroupIrep`Private`dims3, 
                    Select[
                    Range[
                    Length[SpaceGroupIrep`Private`tmp]], 
                    Part[SpaceGroupIrep`Private`tmp, #] != 0& ]]; 
                  SpaceGroupIrep`Private`DP[{
                    SpaceGroupIrep`Private`ir1, SpaceGroupIrep`Private`ir2}, 
                    "irep", SpaceGroupIrep`Private`strki] = {
                    SpaceGroupIrep`Private`tmp1, SpaceGroupIrep`Private`tmp2, 
                    SpaceGroupIrep`Private`tmp}; Null]; Null]; 
              SpaceGroupIrep`Private`tmp = {{SpaceGroupIrep`Private`kname1, 
                  If[
                  Part[SpaceGroupIrep`Private`kinfo1, -1] === "not in G", 1, 
                   0], 
                  Length[SpaceGroupIrep`Private`kstar1]}, {
                 SpaceGroupIrep`Private`kname2, 
                  If[
                  Part[SpaceGroupIrep`Private`kinfo2, -1] === "not in G", 1, 
                   0], 
                  Length[SpaceGroupIrep`Private`kstar2]}}; 
              SpaceGroupIrep`Private`DPs[
                 Part[SpaceGroupIrep`Private`k3BZ, 1]] = {
                 Part[SpaceGroupIrep`Private`k3BZ, 2], 
                 SpaceGroupIrep`Private`tmp, {{
                  SpaceGroupIrep`Private`nsir1, 
                   SpaceGroupIrep`Private`ndir1}, {
                  SpaceGroupIrep`Private`nsir2, 
                   SpaceGroupIrep`Private`ndir2}}, 
                 SpaceGroupIrep`Private`k3dict, SpaceGroupIrep`Private`DP}; 
              Null, {SpaceGroupIrep`Private`k3BZ, 
               SpaceGroupIrep`Private`k3BZs}]; 
            Values[SpaceGroupIrep`Private`DPs]]; Flatten[
           Table[
            SpaceGroupIrep`Private`directProduct[
            SpaceGroupIrep`Private`k1rep, SpaceGroupIrep`Private`k2rep], {
            SpaceGroupIrep`Private`k1rep, SpaceGroupIrep`Private`Ireps1}, {
            SpaceGroupIrep`Private`k2rep, SpaceGroupIrep`Private`Ireps2}], 
           2]]}], "SubValues" -> None, "DefaultValues" -> None, "NValues" -> 
    None, "FormatValues" -> None, "Options" -> {"abcOrBasVec" -> None}, 
    "Attributes" -> {}, "FullName" -> "SpaceGroupIrep`SGIrepDirectProduct"], 
   False]]], "Output",
 CellChangeTimes->{{3.827781295434676*^9, 3.8277813292204123`*^9}},
 CellLabel->"Out[15]=",ExpressionUUID->"7f0d0ef9-95c1-4b0b-a6ca-1b7905651804"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", "\<\"CubiPrim\"\>", "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\<\"M\"\>", ",", "0", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\<\"M\"\>", ",", "0", ",", "3"}], "}"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"4", ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"4", ",", "1"}], "}"}]}], "}"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\<\"\[CapitalGamma]\"\>", ",", "0", ",", "1"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.`", ",", "0.`", ",", "0.`"}], "}"}]}], "}"}]}], ",", 
      RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"\<\"M\"\>", ",", "0", ",", "3"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"0.5`", ",", "0.`", ",", "0.5`"}], "}"}]}], "}"}]}]}], 
     "\[RightAssociation]"}], ",", 
    RowBox[{"\[LeftAssociation]", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "1"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"\<\"MA\"\>", ",", "\<\"MA\"\>"}], "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(1\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(2\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(3\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"\[CapitalGamma]A\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", "}"}], ",", 
               RowBox[{"{", "\<\"2MA\"\>", "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"MA\"\>", 
              ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(4\\)]\\)\"\>", "}"}], ",", 
               RowBox[{"{", "\<\"\[CapitalGamma]T\"\>", "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>",
                  ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(3\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3"}], "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "3"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"MA\"\>", 
              ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(4\\)]\\)\"\>", "}"}], ",", 
               RowBox[{"{", "\<\"\[CapitalGamma]T\"\>", "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>",
                  ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(3\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3"}], "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "4"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"MA\"\>", 
              ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(4\\)]\\)\"\>", "}"}], ",", 
               RowBox[{"{", "\<\"\[CapitalGamma]T\"\>", "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>",
                  ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(1\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3"}], "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "5"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"MA\"\>", 
              ",", "\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "6"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(5\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(6\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(7\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"\[CapitalGamma]\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", "2", ",", "2"}], "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>", "}"}], ",", 
               RowBox[{
               "{", "\<\"2M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>", 
                "}"}], ",", 
               RowBox[{"{", "6", "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "2"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(1\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(2\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(3\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"\[CapitalGamma]A\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>", "}"}], ",", 
               RowBox[{
               "{", "\<\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", 
                "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "3"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(4\\)]\\)\"\>", "}"}], ",", 
               RowBox[{"{", "\<\"\[CapitalGamma]T\"\>", "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}], ",", 
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"MA\"\>", 
                 ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"\>"}],
                 "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3"}], "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "4"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(4\\)]\\)\"\>", "}"}], ",", 
               RowBox[{"{", "\<\"\[CapitalGamma]T\"\>", "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"MA\"\>", 
                 ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>"}],
                 "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3"}], "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "5"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "6"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(5\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(6\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(7\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"\[CapitalGamma]\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", "2", ",", "2"}], "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>", "}"}], ",", 
               RowBox[{
               "{", "\<\"2M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>", 
                "}"}], ",", 
               RowBox[{"{", "6", "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "3"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(1\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(2\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(3\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"\[CapitalGamma]A\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>", "}"}], ",", 
               RowBox[{
               "{", "\<\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", 
                "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(4\\)]\\)\"\>", "}"}], ",", 
               RowBox[{"{", "\<\"\[CapitalGamma]T\"\>", "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"MA\"\>", 
                 ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>"}],
                 "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3"}], "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "5"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "6"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(5\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(6\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(7\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"\[CapitalGamma]\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", "2", ",", "2"}], "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>", "}"}], ",", 
               RowBox[{
               "{", "\<\"2M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>", 
                "}"}], ",", 
               RowBox[{"{", "6", "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "4"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "3"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(1\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(2\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(3\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"\[CapitalGamma]A\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1", ",", "1"}], "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>", "}"}], ",", 
               RowBox[{
               "{", "\<\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"\>", 
                "}"}], ",", 
               RowBox[{"{", "3", "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "5"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*SubscriptBox[\\(B\\), \\(3\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"3", ",", "6"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(5\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(6\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(7\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"\[CapitalGamma]\\!\\(\\*OverscriptBox[\\(E\\), \
\\(_\\)]\\)\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\\*OverscriptBox[\\(F\\), \
\\(_\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"2", ",", "2", ",", "2"}], "}"}]}], "}"}]}], ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "{", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>", "}"}], ",", 
               RowBox[{
               "{", "\<\"2M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>", 
                "}"}], ",", 
               RowBox[{"{", "6", "}"}]}], "}"}]}]}], 
           "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "5"}], "}"}], "\[Rule]", 
       RowBox[{"\[LeftAssociation]", 
        RowBox[{
         RowBox[{"\<\"label\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             
             RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>", 
              ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(5\\)]\\)\"\>"}], "}"}], ",", 
            RowBox[{"{", 
             
             RowBox[{"\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>", 
              ",", "\<\"M\\!\\(\\*OverscriptBox[\\(E\\), \\(_\\)]\\)\"\>"}], 
             "}"}]}], "}"}]}], ",", 
         RowBox[{"\<\"dim\"\>", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"6", ",", "6"}], "}"}]}], ",", 
         RowBox[{"\<\"irep\"\>", "\[Rule]", 
          RowBox[{"\[LeftAssociation]", 
           RowBox[{
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(1\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(1\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(2\\)]\\)\"\>", 
                 ",", "\<\"\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(3\\)]\\)\"\>", 
                 ",", "\<\"3\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(4\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"\[CapitalGamma]A\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\"\>", 
                 ",", "\<\"\[CapitalGamma]\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\"\>", 
                 ",", "\<\"3\[CapitalGamma]T\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "1", ",", "1", ",", "3"}], "}"}]}], "}"}]}],
             ",", 
            
            RowBox[{"\<\"\\!\\(\\*SubscriptBox[\\(k\\), \\(2\\)]\\)\"\>", 
             "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                
                RowBox[{"\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(1\\)]\\)\"\>", 
                 ",", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(2\\)]\\)\"\>", 
                 ",", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(3\\)]\\)\"\>", 
                 ",", "\<\"2\\!\\(\\*SuperscriptBox[\\(\
\[InvisiblePrefixScriptBase]\\), \\(*\\)]\\)\\!\\(\\*SubscriptBox[\\(M\\), \
\\(4\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                
                RowBox[{"\<\"2MA\"\>", 
                 ",", "\<\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", 
                 ",", "\<\"2M\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", 
                 ",", "\<\"2M\\!\\(\\*SubscriptBox[\\(B\\), \
\\(3\\)]\\)\"\>"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"3", ",", "3", ",", "3", ",", "3"}], "}"}]}], 
              "}"}]}]}], "\[RightAssociation]"}]}]}], 
        "\[RightAssociation]"}]}]}], "\[RightAssociation]"}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.827781295434676*^9, 3.8277813294648495`*^9}},
 CellLabel->"Out[16]=",ExpressionUUID->"bc65c687-ab3f-48f6-8af1-43e742a19e29"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Obtain the LG IRs of energy bands", "Section",
 CellChangeTimes->{{3.8277813465517216`*^9, 
  3.8277813518257236`*^9}},ExpressionUUID->"caf266e7-5dbc-454d-9722-\
c6741855ebda"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tr1", "=", 
   RowBox[{"readVasp2trace", "[", "\"\<MoS2-Mo-center-trace.txt\>\"", "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tr2", "=", 
   RowBox[{"readVasp2trace", "[", "\"\<MoS2-h-center-trace.txt\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tr3", "=", 
   RowBox[{"readVasp2trace", "[", "\"\<MoS2-S-center-trace.txt\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"?", "getBandRep"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rep1", "=", 
   RowBox[{"getBandRep", "[", 
    RowBox[{"187", ",", "\"\<\>\"", ",", "tr1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rep2", "=", 
   RowBox[{"getBandRep", "[", 
    RowBox[{"187", ",", "\"\<\>\"", ",", "tr2"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rep3", "=", 
   RowBox[{"getBandRep", "[", 
    RowBox[{"187", ",", "\"\<\>\"", ",", "tr3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"re1", "=", 
   RowBox[{
    RowBox[{"rep1", "[", "\"\<rep\>\"", "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", 
      RowBox[{"3", ";;", "13"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"re1", ",", 
   RowBox[{"TableDepth", "\[Rule]", "2"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"rep1", "[", "\"\<rep\>\"", "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"10", ",", 
     RowBox[{"3", ";;", "13"}]}], "]"}], "]"}], "\[Equal]", "%%"}]}], "Input",
 CellChangeTimes->{{3.827782228394389*^9, 3.827782253021242*^9}, {
  3.827782307757539*^9, 3.827782313227109*^9}, {3.827782387077011*^9, 
  3.827782460613393*^9}, {3.827782507643133*^9, 3.8277825256610856`*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"b31c2103-4f99-411e-ade6-261645ef1f6f"],

Cell[BoxData[
 InterpretationBox[
  StyleBox[
   FrameBox[
    DynamicModuleBox[{System`InformationDump`open$$ = False, 
     System`InformationDump`mouseOver$$ = False}, 
     PaneSelectorBox[{True->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False,
             BaseStyle -> None],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Three usages:\\ngetBandRep[sgno, BZtypeOrBasVec, \
traceData, ikOrListOrSpan, ibOrListOrSpan]\\ngetBandRep[sgno, BZtypeOrBasVec, \
traceData, ikOrListOrSpan]\\ngetBandRep[sgno, BZtypeOrBasVec, \
traceData]\\nThis function gives the little-group ireps of the Bloch states \
for the k points specified by ikOrListOrSpan and bands specified by \
ibOrListOrSpan. If ikOrListOrSpan and ibOrListOrSpan are not specified, ireps \
of all k points and all bands are given. traceData is the result of \
readVasp2trace. Note that if the trace.txt file is generated using a BC \
standard cell the traceData can be directly used by getBandRep; but if the \
cell is not of BC standard then the traceData has to be converted to BC \
standard by convTraceToBC before being used by getBandRep. BZtypeOrBasVec can \
be BZtype (\\\"a\\\", \\\"b\\\", \\\"c\\\", \\\"d\\\", \\\"\\\") or basic \
vectors and if it is basic vectors then the names of some high-symmetry k \
lines can be identified correctly.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          PaneBox[GridBox[{
             {
              
              DynamicModuleBox[{System`InformationDump`open$$ = {
               False, False, False, False, False, False, False, False, False, 
                False, False, False}}, 
               StyleBox[GridBox[{
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Definitions\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Definitions\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Definitions", "Tooltip"]& ], GridBox[{
                    {
                    RowBox[{
                    RowBox[{
                    RowBox[{"getBandRep", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno_Integer", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec_", ",", 
                    "SpaceGroupIrep`Private`traceData_", ",", 
                    "SpaceGroupIrep`Private`ikOrListOrSpan_", ",", 
                    "SpaceGroupIrep`Private`ibOrListOrSpan_", ",", 
                    RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], "/;", 
                    RowBox[{"And", "@@", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"IntegerQ", "[", "#1", "]"}], "||", 
                    RowBox[{"ListQ", "[", "#1", "]"}], "||", 
                    RowBox[{
                    RowBox[{"Head", "[", "#1", "]"}], "\[Equal]", "Span"}], "||", 
                    RowBox[{"#1", "\[Equal]", "All"}]}], "&"}], ")"}], "/@", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ikOrListOrSpan", ",", 
                    "SpaceGroupIrep`Private`ibOrListOrSpan"}], "}"}]}]}]}], ":=", 
                    RowBox[{"Block", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "u", ",", "a", ",", "c", ",", 
                    "SpaceGroupIrep`Private`bandRepOneK", ",", 
                    "SpaceGroupIrep`Private`kinfoList", ",", 
                    "SpaceGroupIrep`Private`bv", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`BZtype", "=", "\<\"\"\>"}], ",", 
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`rotName", ",", 
                    "SpaceGroupIrep`Private`iks", ",", 
                    "SpaceGroupIrep`Private`iik", ",", 
                    "SpaceGroupIrep`Private`ibs0", ",", 
                    "SpaceGroupIrep`Private`iball", ",", 
                    "SpaceGroupIrep`Private`kpathstr", ",", 
                    "SpaceGroupIrep`Private`re", ",", 
                    "SpaceGroupIrep`Private`dsg", ",", 
                    "SpaceGroupIrep`Private`sx"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`iks", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "IntegerQ", "[", "SpaceGroupIrep`Private`ikOrListOrSpan", 
                    "]"}], ",", 
                    RowBox[{
                    "{", "SpaceGroupIrep`Private`ikOrListOrSpan", "}"}], ",", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"nk\"\>", 
                    "]"}], "]"}], "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ikOrListOrSpan", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`iball", "=", 
                    RowBox[{"Range", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"nband\"\>", 
                    "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`ibs0", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "IntegerQ", "[", "SpaceGroupIrep`Private`ibOrListOrSpan", 
                    "]"}], ",", 
                    RowBox[{
                    "{", "SpaceGroupIrep`Private`ibOrListOrSpan", "}"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`iball", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ibOrListOrSpan", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Max", "[", "SpaceGroupIrep`Private`iks", "]"}], 
                    ">", 
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"nk\"\>", 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Print", "[", 
                    RowBox[{"\<\"Max ik \"\>", ",", 
                    RowBox[{"Max", "[", "SpaceGroupIrep`Private`iks", "]"}], 
                    ",", "\<\" should not > \"\>", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"nk\"\>", 
                    "]"}]}], "]"}], ";", 
                    RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Max", "[", "SpaceGroupIrep`Private`ibs0", "]"}], 
                    ">", 
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"nband\"\>", 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Print", "[", 
                    RowBox[{"\<\"Max ib \"\>", ",", 
                    RowBox[{"Max", "[", "SpaceGroupIrep`Private`ibs0", "]"}], 
                    ",", "\<\" should not > \"\>", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"nband\"\>", 
                    "]"}]}], "]"}], ";", 
                    RowBox[{"Abort", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`iik", "=", 
                    RowBox[{"Association", "[", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Rule", ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`iks", ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`iks", "]"}], 
                    "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kinfoList", "=", 
                    RowBox[{"identifyBCHSKptBySG", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec", ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"kpt\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`iks", "\[RightDoubleBracket]"}]}],
                     "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`brav", "=", 
                    RowBox[{
                    "getSGLatt", "[", "SpaceGroupIrep`Private`sgno", "]"}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", 
                    "\[Equal]", "\<\"TrigPrim\"\>"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "MatrixQ", "[", "SpaceGroupIrep`Private`BZtypeOrBasVec", 
                    "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`bv", "=", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec"}], ";", 
                    RowBox[{"a", "=", 
                    RowBox[{"Abs", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`bv", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], 
                    "]"}]}], ";", 
                    RowBox[{"c", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`bv", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "3"}], "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`BZtype", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"a", ">", 
                    RowBox[{
                    SqrtBox["2"], " ", "c"}]}], ",", "\<\"a\"\>", 
                    ",", "\<\"b\"\>"}], "]"}]}]}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`BZtype", "=", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec"}]}], "]"}]}], 
                    "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`dsg", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"soc\"\>", 
                    "]"}], "\[Equal]", "1"}], ",", "True", ",", "False"}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`rotName", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", "SpaceGroupIrep`Private`dsg"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"getRotName", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", "#1"}], "]"}],
                     "&"}], ")"}], "/@", 
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"rot\"\>", 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`sx", "=", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"0", ",", "1"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "0"}], "}"}]}], "}"}]}], ";", 
                    RowBox[{"Apply", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"getSpinRotName", "[", 
                    RowBox[{"SpaceGroupIrep`Private`brav", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`sx", ".", "#1", ".", 
                    "SpaceGroupIrep`Private`sx"}], ",", 
                    RowBox[{"Det", "[", "#2", "]"}]}], "}"}]}], "]"}], "&"}], 
                    ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"srot\"\>", 
                    "]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"rot\"\>", 
                    "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}]}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kpathstr", "=", 
                    RowBox[{"StringRiffle", "[", 
                    RowBox[{
                    RowBox[{"Apply", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "2", 
                    "\[RightDoubleBracket]"}], "\[NotEqual]", "\<\"\"\>"}], "||", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "\<\"UN\"\>"}], "||", 
                    RowBox[{
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "\[Equal]", "\<\"GP\"\>"}]}], 
                    ",", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"\<\"[\"\>", "<>", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "<>", "\<\"(\"\>", "<>", 
                    RowBox[{"ToString", "[", "#2", "]"}], 
                    "<>", "\<\")]\"\>"}]}], "]"}], "&"}], ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfoList", 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], 
                    "\[RightDoubleBracket]"}], ",", 
                    "SpaceGroupIrep`Private`iks"}], "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], ",", "\<\"-\"\>"}], 
                    "]"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`bandRepOneK", "[", 
                    "SpaceGroupIrep`Private`ik_", "]"}], ":=", 
                    RowBox[{"Module", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo", ",", 
                    "SpaceGroupIrep`Private`k", ",", 
                    "SpaceGroupIrep`Private`ktip", ",", 
                    "SpaceGroupIrep`Private`kname", ",", 
                    "SpaceGroupIrep`Private`kname2", ",", 
                    "SpaceGroupIrep`Private`S", ",", "w", ",", 
                    "SpaceGroupIrep`Private`AGno", ",", 
                    "SpaceGroupIrep`Private`gens", ",", 
                    "SpaceGroupIrep`Private`avRep", ",", 
                    "SpaceGroupIrep`Private`reptype", ",", 
                    "SpaceGroupIrep`Private`LG", ",", 
                    "SpaceGroupIrep`Private`HLG", ",", 
                    "SpaceGroupIrep`Private`Gk", ",", 
                    "SpaceGroupIrep`Private`Gk1", ",", 
                    "SpaceGroupIrep`Private`Gk2", ",", 
                    "SpaceGroupIrep`Private`idx", ",", 
                    "SpaceGroupIrep`Private`idxcls", ",", 
                    "SpaceGroupIrep`Private`kisym", ",", 
                    "SpaceGroupIrep`Private`times", ",", 
                    "SpaceGroupIrep`Private`inv", ",", 
                    "SpaceGroupIrep`Private`chars", ",", 
                    "SpaceGroupIrep`Private`factor", ",", 
                    "SpaceGroupIrep`Private`dt", ",", 
                    "SpaceGroupIrep`Private`kBD", ",", 
                    "SpaceGroupIrep`Private`CE", ",", 
                    "SpaceGroupIrep`Private`g", ",", 
                    "SpaceGroupIrep`Private`chars2", ",", 
                    "SpaceGroupIrep`Private`repR", ",", 
                    "SpaceGroupIrep`Private`nc", ",", 
                    "SpaceGroupIrep`Private`ib", ",", 
                    "SpaceGroupIrep`Private`icEle", ",", 
                    "SpaceGroupIrep`Private`tmp", ",", 
                    "SpaceGroupIrep`Private`tmp1", ",", 
                    "SpaceGroupIrep`Private`deg", ",", 
                    "SpaceGroupIrep`Private`ibs2", ",", 
                    "SpaceGroupIrep`Private`rep", ",", 
                    "SpaceGroupIrep`Private`i", ",", 
                    "SpaceGroupIrep`Private`iR", ",", 
                    "SpaceGroupIrep`Private`repLabel", ",", 
                    "SpaceGroupIrep`Private`abc", ",", 
                    "SpaceGroupIrep`Private`as", ",", 
                    "SpaceGroupIrep`Private`rs", ",", 
                    "SpaceGroupIrep`Private`iball2", ",", 
                    "SpaceGroupIrep`Private`deg2", ",", 
                    "SpaceGroupIrep`Private`ibidx", ",", 
                    "SpaceGroupIrep`Private`ibs", ",", 
                    "SpaceGroupIrep`Private`facbar", ",", 
                    "SpaceGroupIrep`Private`Gk1rots"}], "}"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`kinfo", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfoList", 
                    "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`iik", "[", 
                    "SpaceGroupIrep`Private`ik", "]"}], 
                    "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`k", ",", 
                    "SpaceGroupIrep`Private`kname", ",", 
                    "SpaceGroupIrep`Private`ktip"}], "}"}], "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ";;", "3"}], "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`kisym", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"kisym\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ik", "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk", "=", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`rotName", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`kisym", "\[RightDoubleBracket]"}],
                     ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"trans\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`kisym", 
                    "\[RightDoubleBracket]"}]}], "}"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`deg", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"deg\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ik", "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "OptionValue", "[", 
                    "SpaceGroupIrep`Private`CompressDegeneracy", "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ibs2", ",", 
                    "SpaceGroupIrep`Private`deg2"}], "}"}], "=", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{
                    RowBox[{"Reap", "[", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`i", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "\[LessEqual]", 
                    RowBox[{
                    "Last", "[", "SpaceGroupIrep`Private`iball", "]"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "++"}], ",", 
                    RowBox[{
                    RowBox[{"Sow", "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`deg", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}]}], 
                    "}"}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`i", "+=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`deg", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "-", "1"}]}], ";"}]}], "]"}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`iball2", "=", 
                    RowBox[{"Apply", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{"#1", ",", 
                    RowBox[{"#1", "+", "#2", "-", "1"}]}], "]"}], "&"}], ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ibs2", ",", 
                    "SpaceGroupIrep`Private`deg2"}], "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`ibidx", "=", 
                    RowBox[{"DeleteDuplicates", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`iball2", ",", "#1"}], 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}],
                     ")"}], "/@", "SpaceGroupIrep`Private`ibs0"}], "]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`ibs", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ibs2", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ibidx", 
                    "\[RightDoubleBracket]"}]}], ";"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`kname", 
                    "\[Equal]", "\<\"GP\"\>"}], "||", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kname", 
                    "\[Equal]", "\<\"UN\"\>"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`avRep", ",", 
                    "SpaceGroupIrep`Private`reptype", ",", 
                    "SpaceGroupIrep`Private`AGno", ",", 
                    "SpaceGroupIrep`Private`CE"}], "}"}], "=", 
                    RowBox[{
                    RowBox[{"calcRep", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", ",", 
                    "SpaceGroupIrep`Private`kinfo", ",", 
                    
                    RowBox[{"\<\"DSG\"\>", "\[Rule]", 
                    "SpaceGroupIrep`Private`dsg"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"3", ";;", "6"}], "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`avRep", "=", 
                    RowBox[{"Association", "[", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Rule", ",", "SpaceGroupIrep`Private`avRep", ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`g", "=", 
                    RowBox[{
                    RowBox[{"Max", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`CE", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}], 
                    "]"}], "+", "1"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", "SpaceGroupIrep`Private`dsg"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`idx", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}],
                     ")"}], "/@", "SpaceGroupIrep`Private`CE"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`facbar", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`CE", "]"}]}], 
                    "]"}]}]}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpinRotTimes", "[", "SpaceGroupIrep`Private`brav", "]"}],
                     "[", 
                    RowBox[{"\<\"barE\"\>", ",", "#1"}], "]"}], "&"}], ")"}], 
                    "/@", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}]}], 
                    "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`idx", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{"#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}],
                     ")"}], "/@", "SpaceGroupIrep`Private`CE"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`facbar", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#1", ">", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`Gk", "]"}]}], ",", 
                    RowBox[{"-", "1"}], ",", "1"}], "]"}], "&"}], ")"}], "/@",
                     "SpaceGroupIrep`Private`idx"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`idx", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`n", "=", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`Gk", "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#1", ">", "SpaceGroupIrep`Private`n"}], ",", 
                    RowBox[{"#1", "-", "SpaceGroupIrep`Private`n"}], ",", 
                    "#1"}], "]"}]}], "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`idx"}]}], ";"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk2", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`idx", "\[RightDoubleBracket]"}]}],
                     ";", 
                    RowBox[{"SpaceGroupIrep`Private`factor", "=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"v", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk2", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", "2"}], "\[RightDoubleBracket]"}]}], 
                    ",", 
                    RowBox[{"SpaceGroupIrep`Private`aa", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`CE", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], 
                    "}"}], ",", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`k", ".", "v"}], "+", 
                    
                    FractionBox["SpaceGroupIrep`Private`aa", 
                    "SpaceGroupIrep`Private`g"]}], ")"}], " ", "2", " ", 
                    "\[Pi]"}], "]"}]}], "]"}], "&"}], ")"}], "/@", 
                    RowBox[{"Range", "[", 
                    RowBox[{"Length", "[", "SpaceGroupIrep`Private`CE", "]"}],
                     "]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`factor", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`factor", " ", 
                    "SpaceGroupIrep`Private`facbar"}]}], ";", 
                    RowBox[{"Goto", "[", "\<\"determine reps\"\>", "]"}], 
                    ";"}]}], "]"}], ";", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`S", ",", "w"}], "}"}], 
                    "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo", "\[LeftDoubleBracket]", 
                    "6", "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`kname2", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`brav", 
                    "\[Equal]", "\<\"TrigPrim\"\>"}], "&&", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kname", 
                    "\[Equal]", "\<\"F\"\>"}]}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`BZtype", "<>", 
                    "SpaceGroupIrep`Private`kname"}], ",", 
                    "SpaceGroupIrep`Private`kname"}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    "SpaceGroupIrep`Private`AGno", ",", 
                    "SpaceGroupIrep`Private`gens", ",", 
                    "SpaceGroupIrep`Private`avRep", ",", 
                    "SpaceGroupIrep`Private`reptype"}], "}"}], "=", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", "SpaceGroupIrep`Private`dsg"}], ",", 
                    RowBox[{
                    "LGIrep", "[", "SpaceGroupIrep`Private`sgno", "]"}], ",", 
                    RowBox[{
                    "DLGIrep", "[", "SpaceGroupIrep`Private`sgno", "]"}]}], 
                    "]"}], "[", "SpaceGroupIrep`Private`kname2", "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`avRep", "=", 
                    RowBox[{"Association", "[", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Rule", ",", "SpaceGroupIrep`Private`avRep", ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", "SpaceGroupIrep`Private`dsg"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`times", "=", 
                    RowBox[{
                    "SeitzTimes", "[", "SpaceGroupIrep`Private`brav", "]"}]}],
                     ";", 
                    RowBox[{"SpaceGroupIrep`Private`inv", "=", 
                    RowBox[{
                    "invSeitz", "[", "SpaceGroupIrep`Private`brav", "]"}]}]}],
                     ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`times", "=", 
                    RowBox[{"DSGSeitzTimes", "[", 
                    "SpaceGroupIrep`Private`brav", "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`inv", "=", 
                    RowBox[{
                    "DSGinvSeitz", "[", "SpaceGroupIrep`Private`brav", 
                    "]"}]}]}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk1", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`S", "\[Equal]", "\<\"E\"\>"}], 
                    ",", "SpaceGroupIrep`Private`Gk", ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`times", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`times", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`inv", "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`S", ",", "w"}], "}"}], 
                    "]"}], ",", "#1"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`S", ",", "w"}], "}"}]}], 
                    "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`Gk"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`LG", "=", 
                    RowBox[{"getLGElem", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", ",", 
                    "SpaceGroupIrep`Private`kname2", ",", 
                    
                    RowBox[{"\<\"DSG\"\>", "\[Rule]", 
                    "SpaceGroupIrep`Private`dsg"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk1rots", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", "SpaceGroupIrep`Private`dsg"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk1", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk1", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpinRotTimes", "[", "SpaceGroupIrep`Private`brav", "]"}],
                     "[", 
                    RowBox[{"\<\"barE\"\>", ",", "#1"}], "]"}], "&"}], ")"}], 
                    "/@", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk1", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}]}], 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"seteq", "[", 
                    RowBox[{"SpaceGroupIrep`Private`Gk1rots", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`LG", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    "]"}]}], ",", 
                    RowBox[{
                    RowBox[{"Print", "[", 
                    
                    RowBox[{"\<\"getBandRep: ik=\"\>", ",", 
                    "SpaceGroupIrep`Private`ik", ",", "\<\" (\"\>", ",", 
                    "SpaceGroupIrep`Private`k", ",", "\<\"), Rots=\"\>", ",", 
                    "SpaceGroupIrep`Private`Gk1rots", 
                    ",", "\<\" not equal to Gk0=\"\>", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`LG", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    "]"}], ";", 
                    RowBox[{"Return", "[", "]"}], ";"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"VectorQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`gens", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], "]"}],
                     ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`kBD", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo", "\[LeftDoubleBracket]", 
                    "5", "\[RightDoubleBracket]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`HLG", "=", 
                    RowBox[{"getHLGElem", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`brav", ",", 
                    "SpaceGroupIrep`Private`AGno", ",", 
                    "SpaceGroupIrep`Private`gens", ",", 
                    
                    RowBox[{"\<\"DSG\"\>", "\[Rule]", 
                    "SpaceGroupIrep`Private`dsg"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`idx", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`Gk1rots", ",", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}],
                     ")"}], "/@", "SpaceGroupIrep`Private`HLG"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`facbar", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`HLG", "]"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{"SpaceGroupIrep`Private`dsg", ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`facbar", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#1", ">", 
                    RowBox[{"Length", "[", "SpaceGroupIrep`Private`Gk1", 
                    "]"}]}], ",", 
                    RowBox[{"-", "1"}], ",", "1"}], "]"}], "&"}], ")"}], "/@",
                     "SpaceGroupIrep`Private`idx"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`idx", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`n", "=", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`Gk1", "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#1", ">", "SpaceGroupIrep`Private`n"}], ",", 
                    RowBox[{"#1", "-", "SpaceGroupIrep`Private`n"}], ",", 
                    "#1"}], "]"}]}], "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`idx"}]}], ";"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk2", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk1", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`idx", "\[RightDoubleBracket]"}]}],
                     ";", 
                    RowBox[{"SpaceGroupIrep`Private`factor", "=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`dt", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`HLG", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", "2"}], "\[RightDoubleBracket]"}], "-", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk2", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`dt", "\[NotEqual]", 
                    RowBox[{"{", 
                    RowBox[{"0", ",", "0", ",", "0"}], "}"}]}]}], ",", 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    RowBox[{"-", "\[ImaginaryI]"}], " ", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kBD", ".", 
                    "SpaceGroupIrep`Private`dt"}], " ", "2", " ", "\[Pi]"}], 
                    "]"}], ",", "1"}], "]"}], "&"}], ")"}], "/@", 
                    RowBox[{"Range", "[", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`HLG", "]"}], 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`factor", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`factor", " ", 
                    "SpaceGroupIrep`Private`facbar"}]}], ";"}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"IntegerQ", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`gens", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], "]"}],
                     ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`kBD", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo", "\[LeftDoubleBracket]", 
                    "5", "\[RightDoubleBracket]"}], "/.", "\[VeryThinSpace]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`kinfo", "\[LeftDoubleBracket]", 
                    RowBox[{"-", "3"}], "\[RightDoubleBracket]"}]}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`CE", "=", 
                    RowBox[{"getCentExt", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", ",", 
                    "SpaceGroupIrep`Private`kname", ",", 
                    
                    RowBox[{"\<\"DSG\"\>", "\[Rule]", 
                    "SpaceGroupIrep`Private`dsg"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`g", "=", 
                    RowBox[{
                    RowBox[{"Max", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`CE", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}], 
                    "]"}], "+", "1"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`idx", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Position", "[", 
                    RowBox[{"SpaceGroupIrep`Private`Gk1rots", ",", 
                    RowBox[{
                    "#1", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}]}], "]"}], 
                    "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "1"}], "\[RightDoubleBracket]"}], "&"}],
                     ")"}], "/@", "SpaceGroupIrep`Private`CE"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`facbar", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"1", ",", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`CE", "]"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{"SpaceGroupIrep`Private`dsg", ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`facbar", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#1", ">", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`Gk1", "]"}]}], ",", 
                    RowBox[{"-", "1"}], ",", "1"}], "]"}], "&"}], ")"}], "/@",
                     "SpaceGroupIrep`Private`idx"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`idx", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`n", "=", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`Gk1", "]"}]}], 
                    "}"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#1", ">", "SpaceGroupIrep`Private`n"}], ",", 
                    RowBox[{"#1", "-", "SpaceGroupIrep`Private`n"}], ",", 
                    "#1"}], "]"}]}], "]"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`idx"}]}], ";"}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`Gk2", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk1", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`idx", "\[RightDoubleBracket]"}]}],
                     ";", 
                    RowBox[{"SpaceGroupIrep`Private`factor", "=", 
                    RowBox[{"Chop", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"With", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"v", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`Gk2", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", "2"}], "\[RightDoubleBracket]"}]}], 
                    ",", 
                    RowBox[{"SpaceGroupIrep`Private`aa", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`CE", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", "2"}], "\[RightDoubleBracket]"}]}]}], 
                    "}"}], ",", 
                    RowBox[{"Exp", "[", 
                    RowBox[{"\[ImaginaryI]", " ", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`kBD", ".", "v"}], "+", 
                    FractionBox["SpaceGroupIrep`Private`aa", 
                    "SpaceGroupIrep`Private`g"]}], ")"}], " ", "2", " ", 
                    "\[Pi]"}], "]"}]}], "]"}], "&"}], ")"}], "/@", 
                    RowBox[{"Range", "[", 
                    RowBox[{"Length", "[", "SpaceGroupIrep`Private`CE", "]"}],
                     "]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`factor", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`factor", " ", 
                    "SpaceGroupIrep`Private`facbar"}]}], ";"}]}], "]"}], ";", 
                    RowBox[{"Label", "[", "\<\"determine reps\"\>", "]"}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`chars", "=", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"trace\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ik", "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`nc", "=", 
                    RowBox[{"Length", "/@", 
                    RowBox[{
                    "AGClasses", "@@", "SpaceGroupIrep`Private`AGno"}]}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`idxcls", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`AGno", "\[NotEqual]", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "1"}], "}"}]}], ",", 
                    RowBox[{"FoldList", "[", 
                    RowBox[{"Plus", ",", "1", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`nc", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ";;", 
                    RowBox[{"-", "2"}]}], "\[RightDoubleBracket]"}]}], "]"}], 
                    ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`chars2", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`chars", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", "SpaceGroupIrep`Private`idx"}], 
                    "\[RightDoubleBracket]"}], " ", 
                    "SpaceGroupIrep`Private`factor"}], "&"}], ")"}], "/@", 
                    "SpaceGroupIrep`Private`iball"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`repR", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"#1", ",", 
                    RowBox[{"reduceRep", "[", 
                    RowBox[{"SpaceGroupIrep`Private`AGno", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`chars2", "\[LeftDoubleBracket]", 
                    RowBox[{"#1", ",", "SpaceGroupIrep`Private`idxcls"}], 
                    "\[RightDoubleBracket]"}]}], "]"}]}], "}"}], "&"}], ")"}],
                     "/@", "SpaceGroupIrep`Private`ibs"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`repR", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Rationalize", "[", 
                    RowBox[{"#1", ",", "0.1`"}], "]"}], "&"}], ")"}], "[", 
                    RowBox[{"Chop", "[", "SpaceGroupIrep`Private`repR", "]"}],
                     "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`abc", "=", 
                    RowBox[{"Association", "[", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Rule", ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    
                    RowBox[{"\<\"a\"\>", ",", "\<\"b\"\>", ",", "\<\"c\"\>", 
                    ",", "\<\"d\"\>", ",", "\<\"e\"\>", ",", "\<\"f\"\>"}], 
                    "}"}], ",", 
                    RowBox[{"Range", "[", 
                    RowBox[{"2", ",", "7"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", "SpaceGroupIrep`Private`dsg"}], ",", 
                    RowBox[{
                    "LGIrepLabel", "[", "SpaceGroupIrep`Private`AGno", "]"}], 
                    ",", 
                    RowBox[{
                    "DLGIrepLabel", "[", "SpaceGroupIrep`Private`AGno", 
                    "]"}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`repLabel", "=", 
                    RowBox[{"Association", "[", 
                    RowBox[{"Apply", "[", 
                    RowBox[{"Rule", ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`abc", "[", 
                    "SpaceGroupIrep`Private`reptype", "]"}], ",", "2"}], 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`RepGammaLabel", "[", 
                    RowBox[{"SpaceGroupIrep`Private`kname", ",", "#1"}], 
                    "]"}], "&"}], ")"}], "/@", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`abc", "[", 
                    "SpaceGroupIrep`Private`reptype", "]"}], ",", "3"}], 
                    "\[RightDoubleBracket]"}]}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`tmp", "\[LeftDoubleBracket]", 
                    RowBox[{"1", ",", "3"}], "\[RightDoubleBracket]"}]}], 
                    "}"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`rep", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`repR", "]"}]}], 
                    "]"}]}], ";", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`i", "=", "1"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "\[LessEqual]", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`ibs", "]"}]}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`i", "++"}], ",", 
                    RowBox[{
                    RowBox[{"SpaceGroupIrep`Private`ib", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ibs", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}]}], 
                    ";", 
                    RowBox[{"SpaceGroupIrep`Private`iR", "=", 
                    RowBox[{"Select", "[", 
                    RowBox[{
                    RowBox[{"Range", "[", 
                    RowBox[{
                    "Length", "[", "SpaceGroupIrep`Private`idxcls", "]"}], 
                    "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`repR", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", "2", ",", "#1"}],
                     "\[RightDoubleBracket]"}], "\[NotEqual]", "0"}], "&"}]}],
                     "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp1", "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "OptionValue", "[", 
                    "SpaceGroupIrep`Private`CompressDegeneracy", "]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`iball2", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`ibidx", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", 
                    RowBox[{"-", "1"}]}], "}"}]}], "\[RightDoubleBracket]"}], 
                    ",", "SpaceGroupIrep`Private`ib"}], "]"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"!", 
                    RowBox[{"SubsetQ", "[", 
                    RowBox[{
                    RowBox[{
                    "Keys", "[", "SpaceGroupIrep`Private`avRep", "]"}], ",", 
                    "SpaceGroupIrep`Private`iR"}], "]"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`rep", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "=", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`tmp1", ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"ene\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ik", ",", 
                    "SpaceGroupIrep`Private`ib"}], "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`deg", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ib", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"\<\"??\"\>", ",", "\<\"??\"\>"}], "}"}]}], 
                    "}"}]}], ";", 
                    RowBox[{"Continue", "[", "]"}]}]}], "]"}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`as", "=", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"#1", "\[Equal]", "1"}], ",", "\<\"\"\>", ",", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"#1", ",", "InputForm"}], "]"}]}], "]"}], "&"}], 
                    ")"}], "/@", 
                    RowBox[{
                    "SpaceGroupIrep`Private`repR", "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`i", ",", "2", ",", 
                    "SpaceGroupIrep`Private`iR"}], 
                    "\[RightDoubleBracket]"}]}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`rs", "=", 
                    RowBox[{
                    "SpaceGroupIrep`Private`repLabel", "/@", 
                    "SpaceGroupIrep`Private`iR"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"StringRiffle", "[", 
                    RowBox[{
                    RowBox[{"Apply", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#1", "<>", "#2"}], "&"}], ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`as", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`rs", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "1"}], "\[RightDoubleBracket]"}]}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], 
                    ",", "\<\"\[CirclePlus]\"\>"}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", "=", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`tmp", ",", 
                    RowBox[{"StringRiffle", "[", 
                    RowBox[{
                    RowBox[{"Apply", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"#1", "<>", "#2", "<>", "\<\"(\"\>", "<>", 
                    RowBox[{"ToString", "[", "#3", "]"}], "<>", "\<\")\"\>"}],
                     "&"}], ",", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`as", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`rs", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "2"}], "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`rs", "\[LeftDoubleBracket]", 
                    RowBox[{"All", ",", "3"}], "\[RightDoubleBracket]"}]}], 
                    "}"}], "]"}], ",", 
                    RowBox[{"{", "1", "}"}]}], "]"}], 
                    ",", "\<\"\[CirclePlus]\"\>"}], "]"}]}], "}"}]}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"VectorQ", "[", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`repR", "\[LeftDoubleBracket]", 
                    RowBox[{"SpaceGroupIrep`Private`i", ",", "2"}], 
                    "\[RightDoubleBracket]"}], ",", "IntegerQ"}], "]"}], ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`rep", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "=", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`tmp1", ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"ene\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ik", ",", 
                    "SpaceGroupIrep`Private`ib"}], "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`deg", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ib", "\[RightDoubleBracket]"}], 
                    ",", "SpaceGroupIrep`Private`tmp"}], "}"}]}], ",", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`rep", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`i", "\[RightDoubleBracket]"}], 
                    "=", 
                    RowBox[{"{", 
                    RowBox[{"SpaceGroupIrep`Private`tmp1", ",", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`traceData", "[", "\<\"ene\"\>", 
                    "]"}], "\[LeftDoubleBracket]", 
                    RowBox[{
                    "SpaceGroupIrep`Private`ik", ",", 
                    "SpaceGroupIrep`Private`ib"}], "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`deg", "\[LeftDoubleBracket]", 
                    "SpaceGroupIrep`Private`ib", "\[RightDoubleBracket]"}], 
                    ",", 
                    RowBox[{"{", 
                    RowBox[{"\<\"??\"\>", ",", "\<\"??\"\>"}], "}"}]}], 
                    "}"}]}], ";"}]}], "]"}]}]}], "]"}], ";", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "IntegerQ", "[", "SpaceGroupIrep`Private`ibOrListOrSpan", 
                    "]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`rep", "\[LeftDoubleBracket]", "1",
                     "\[RightDoubleBracket]"}], ",", 
                    "SpaceGroupIrep`Private`rep"}], "]"}]}]}], "]"}]}], ";", 
                    RowBox[{"SpaceGroupIrep`Private`re", "=", 
                    RowBox[{"Association", "[", "]"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`re", "[", "\<\"kpath\"\>", "]"}], 
                    "=", "SpaceGroupIrep`Private`kpathstr"}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`re", "[", "\<\"rep\"\>", "]"}], 
                    "=", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    "IntegerQ", "[", "SpaceGroupIrep`Private`ikOrListOrSpan", 
                    "]"}], ",", 
                    RowBox[{"SpaceGroupIrep`Private`bandRepOneK", "[", 
                    RowBox[{"SpaceGroupIrep`Private`iks", 
                    "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                    "]"}], ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`bandRepOneK", "/@", 
                    "SpaceGroupIrep`Private`iks"}]}], "]"}]}], ";", 
                    RowBox[{
                    RowBox[{
                    "SpaceGroupIrep`Private`re", "[", "\<\"kinfo\"\>", "]"}], 
                    "=", "SpaceGroupIrep`Private`kinfoList"}], ";", 
                    "SpaceGroupIrep`Private`re"}]}], "]"}]}]},
                    {
                    RowBox[{
                    RowBox[{"getBandRep", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno_Integer", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec_", ",", 
                    "SpaceGroupIrep`Private`traceData_", ",", 
                    "SpaceGroupIrep`Private`ikOrListOrSpan_", ",", 
                    RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], ":=", 
                    RowBox[{"getBandRep", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec", ",", 
                    "SpaceGroupIrep`Private`traceData", ",", 
                    "SpaceGroupIrep`Private`ikOrListOrSpan", ",", "All", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`CompressDegeneracy", "\[Rule]", 
                    RowBox[{
                    "OptionValue", "[", 
                    "SpaceGroupIrep`Private`CompressDegeneracy", "]"}]}]}], 
                    "]"}]}]},
                    {
                    RowBox[{
                    RowBox[{"getBandRep", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno_Integer", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec_", ",", 
                    "SpaceGroupIrep`Private`traceData_", ",", 
                    RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], ":=", 
                    RowBox[{"getBandRep", "[", 
                    RowBox[{
                    "SpaceGroupIrep`Private`sgno", ",", 
                    "SpaceGroupIrep`Private`BZtypeOrBasVec", ",", 
                    "SpaceGroupIrep`Private`traceData", ",", "All", ",", 
                    "All", ",", 
                    RowBox[{
                    "SpaceGroupIrep`Private`CompressDegeneracy", "\[Rule]", 
                    RowBox[{
                    "OptionValue", "[", 
                    "SpaceGroupIrep`Private`CompressDegeneracy", "]"}]}]}], 
                    "]"}]}]}
                    },
                    DefaultBaseStyle->"Column",
                    GridBoxAlignment->{"Columns" -> {{Left}}},
                    
                    GridBoxItemSize->{
                    "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Options\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"Options\"",
                    TooltipStyle->"TextStyling"],
                    Annotation[#, "Options", "Tooltip"]& ], 
                   RowBox[{
                   "SpaceGroupIrep`Private`CompressDegeneracy", "\[Rule]", 
                    "True"}]},
                  {
                   TagBox[
                    TooltipBox[
                    StyleBox["\<\" Full Name\"\>", "InformationRowLabel",
                    StripOnInput->False],
                    "\"FullName\"",
                    TooltipStyle->"TextStyling"],
                    
                    Annotation[#, "FullName", 
                    "Tooltip"]& ], "\<\"SpaceGroupIrep`getBandRep\"\>"}
                 },
                 AutoDelete->False,
                 GridBoxAlignment->{"Columns" -> {Right, Left}},
                 GridBoxDividers->None,
                 GridBoxItemSize->{"Columns" -> {Automatic, Automatic}},
                 GridBoxSpacings->{"Columns" -> {
                    Offset[0.27999999999999997`], {
                    Offset[0.5599999999999999]}, 
                    Offset[0.27999999999999997`]}, "Rows" -> {
                    Offset[0.2], {
                    Offset[0.8]}, 
                    Offset[0.2]}}], "DialogStyle",
                StripOnInput->False],
               DynamicModuleValues:>{}]}
            },
            DefaultBaseStyle->"Column",
            GridBoxAlignment->{"Columns" -> {{Left}}},
            GridBoxDividers->{"Columns" -> {{False}}, "Rows" -> {{False}}},
            
            GridBoxItemSize->{
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
            GridBoxSpacings->{"Columns" -> {
                Offset[0.27999999999999997`], {
                 Offset[0.5599999999999999]}, 
                Offset[0.27999999999999997`]}, "Rows" -> {
                Offset[0.2], {
                 Offset[3.6]}, 
                Offset[0.2]}}],
           FrameMargins->6], ""},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpener"]], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "UpPointerOpenerHot"]]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, False],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"], False->
      TagBox[GridBox[{
         {
          ItemBox[
           PaneBox[
            StyleBox["\<\" Symbol\"\>", "InformationTitleText",
             StripOnInput->False],
            FrameMargins->{{4, 0}, {-1, 1}}],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           PaneBox[
            
            StyleBox["\<\"Three usages:\\ngetBandRep[sgno, BZtypeOrBasVec, \
traceData, ikOrListOrSpan, ibOrListOrSpan]\\ngetBandRep[sgno, BZtypeOrBasVec, \
traceData, ikOrListOrSpan]\\ngetBandRep[sgno, BZtypeOrBasVec, \
traceData]\\nThis function gives the little-group ireps of the Bloch states \
for the k points specified by ikOrListOrSpan and bands specified by \
ibOrListOrSpan. If ikOrListOrSpan and ibOrListOrSpan are not specified, ireps \
of all k points and all bands are given. traceData is the result of \
readVasp2trace. Note that if the trace.txt file is generated using a BC \
standard cell the traceData can be directly used by getBandRep; but if the \
cell is not of BC standard then the traceData has to be converted to BC \
standard by convTraceToBC before being used by getBandRep. BZtypeOrBasVec can \
be BZtype (\\\"a\\\", \\\"b\\\", \\\"c\\\", \\\"d\\\", \\\"\\\") or basic \
vectors and if it is basic vectors then the names of some high-symmetry k \
lines can be identified correctly.\"\>", "InformationUsageText",
             StripOnInput->False,
             LineSpacing->{1.5, 1.5, 3.}],
            FrameMargins->{{10, 10}, {8, 10}}],
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False], 
          ItemBox["\<\"\"\>",
           BaseStyle->"InformationUsageSubtitleBackground",
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            ButtonBox[
             PaneSelectorBox[{False->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpener"],
               ImageSizeCache->{13., {3., 10.}}], True->
              
              DynamicBox[FEPrivate`FrontEndResource[
               "FEBitmaps", "DownPointerOpenerHot"],
               ImageSizeCache->{13., {3., 10.}}]}, Dynamic[
              System`InformationDump`mouseOver$$]],
             Alignment->Left,
             Appearance->{"Default" -> None},
             
             ButtonFunction:>FEPrivate`Set[
              System`InformationDump`open$$, True],
             Evaluator->Automatic,
             FrameMargins->{{9, 0}, {0, 0}},
             ImageMargins->0,
             ImageSize->Full,
             Method->"Preemptive"],
            
            EventHandlerTag[{
             "MouseEntered" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, True], 
              "MouseExited" :> 
              FEPrivate`Set[System`InformationDump`mouseOver$$, False], 
              Method -> "Preemptive", PassEventsDown -> Automatic, 
              PassEventsUp -> True}]],
           BaseStyle->"InformationTitleBackground",
           StripOnInput->False], "\[SpanFromLeft]"}
        },
        AutoDelete->False,
        FrameStyle->Directive[
          GrayLevel[0.8], 
          Thickness[Tiny]],
        GridBoxAlignment->{"Columns" -> {Left, Right}, "Rows" -> {{Center}}},
        GridBoxDividers->{
         "Columns" -> {{None}}, "Rows" -> {False, {True}, False}},
        GridBoxItemSize->{
         "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
       "Grid"]}, Dynamic[System`InformationDump`open$$],
      BaselinePosition->Baseline,
      FrameMargins->0,
      ImageSize->Automatic],
     DynamicModuleValues:>{}],
    BaseStyle->"InformationGridFrame",
    StripOnInput->False], "InformationGridPlain",
   StripOnInput->False],
  InformationData[
   Association[
   "ObjectType" -> "Symbol", "Usage" -> 
    "Three usages:\ngetBandRep[sgno, BZtypeOrBasVec, traceData, \
ikOrListOrSpan, ibOrListOrSpan]\ngetBandRep[sgno, BZtypeOrBasVec, traceData, \
ikOrListOrSpan]\ngetBandRep[sgno, BZtypeOrBasVec, traceData]\nThis function \
gives the little-group ireps of the Bloch states for the k points specified \
by ikOrListOrSpan and bands specified by ibOrListOrSpan. If ikOrListOrSpan \
and ibOrListOrSpan are not specified, ireps of all k points and all bands are \
given. traceData is the result of readVasp2trace. Note that if the trace.txt \
file is generated using a BC standard cell the traceData can be directly used \
by getBandRep; but if the cell is not of BC standard then the traceData has \
to be converted to BC standard by convTraceToBC before being used by \
getBandRep. BZtypeOrBasVec can be BZtype (\"a\", \"b\", \"c\", \"d\", \"\") \
or basic vectors and if it is basic vectors then the names of some \
high-symmetry k lines can be identified correctly.", "Documentation" -> None, 
    "OwnValues" -> None, "UpValues" -> None, "DownValues" -> 
    Information`InformationValueForm[
     DownValues, SpaceGroupIrep`getBandRep, {Condition[
         SpaceGroupIrep`getBandRep[
          Pattern[SpaceGroupIrep`Private`sgno, 
           Blank[Integer]], 
          Pattern[SpaceGroupIrep`Private`BZtypeOrBasVec, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`traceData, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`ikOrListOrSpan, 
           Blank[]], 
          Pattern[SpaceGroupIrep`Private`ibOrListOrSpan, 
           Blank[]], 
          OptionsPattern[]], 
         Apply[And, 
          Map[Or[
            IntegerQ[#], 
            ListQ[#], Head[#] == Span, # == All]& , {
           SpaceGroupIrep`Private`ikOrListOrSpan, 
            SpaceGroupIrep`Private`ibOrListOrSpan}]]] :> 
       Block[{SpaceGroupIrep`u, SpaceGroupIrep`a, SpaceGroupIrep`c, 
          SpaceGroupIrep`Private`bandRepOneK, 
          SpaceGroupIrep`Private`kinfoList, SpaceGroupIrep`Private`bv, 
          SpaceGroupIrep`Private`BZtype = "", SpaceGroupIrep`Private`brav, 
          SpaceGroupIrep`Private`rotName, SpaceGroupIrep`Private`iks, 
          SpaceGroupIrep`Private`iik, SpaceGroupIrep`Private`ibs0, 
          SpaceGroupIrep`Private`iball, SpaceGroupIrep`Private`kpathstr, 
          SpaceGroupIrep`Private`re, SpaceGroupIrep`Private`dsg, 
          SpaceGroupIrep`Private`sx}, SpaceGroupIrep`Private`iks = If[
            IntegerQ[SpaceGroupIrep`Private`ikOrListOrSpan], {
            SpaceGroupIrep`Private`ikOrListOrSpan}, 
            Part[
             Range[
              SpaceGroupIrep`Private`traceData["nk"]], 
             SpaceGroupIrep`Private`ikOrListOrSpan]]; 
         SpaceGroupIrep`Private`iball = Range[
            SpaceGroupIrep`Private`traceData["nband"]]; 
         SpaceGroupIrep`Private`ibs0 = If[
            IntegerQ[SpaceGroupIrep`Private`ibOrListOrSpan], {
            SpaceGroupIrep`Private`ibOrListOrSpan}, 
            Part[
            SpaceGroupIrep`Private`iball, 
             SpaceGroupIrep`Private`ibOrListOrSpan]]; 
         If[Max[SpaceGroupIrep`Private`iks] > 
           SpaceGroupIrep`Private`traceData["nk"], Print["Max ik ", 
             Max[SpaceGroupIrep`Private`iks], " should not > ", 
             SpaceGroupIrep`Private`traceData["nk"]]; Abort[]]; 
         If[Max[SpaceGroupIrep`Private`ibs0] > 
           SpaceGroupIrep`Private`traceData["nband"], Print["Max ib ", 
             Max[SpaceGroupIrep`Private`ibs0], " should not > ", 
             SpaceGroupIrep`Private`traceData["nband"]]; Abort[]]; 
         SpaceGroupIrep`Private`iik = Association[
            Apply[Rule, 
             Transpose[{SpaceGroupIrep`Private`iks, 
               Range[
                Length[SpaceGroupIrep`Private`iks]]}], {1}]]; 
         SpaceGroupIrep`Private`kinfoList = 
          SpaceGroupIrep`identifyBCHSKptBySG[
           SpaceGroupIrep`Private`sgno, SpaceGroupIrep`Private`BZtypeOrBasVec, 
            Part[
             SpaceGroupIrep`Private`traceData["kpt"], 
             SpaceGroupIrep`Private`iks]]; 
         SpaceGroupIrep`Private`brav = 
          SpaceGroupIrep`getSGLatt[SpaceGroupIrep`Private`sgno]; 
         If[SpaceGroupIrep`Private`brav == "TrigPrim", 
           If[
            MatrixQ[SpaceGroupIrep`Private`BZtypeOrBasVec], 
            SpaceGroupIrep`Private`bv = SpaceGroupIrep`Private`BZtypeOrBasVec; 
            SpaceGroupIrep`a = Abs[
               Part[SpaceGroupIrep`Private`bv, 1, 2]]; 
            SpaceGroupIrep`c = Part[SpaceGroupIrep`Private`bv, 1, 3]; 
            SpaceGroupIrep`Private`BZtype = 
             If[SpaceGroupIrep`a > Sqrt[2] SpaceGroupIrep`c, "a", "b"], 
            SpaceGroupIrep`Private`BZtype = 
            SpaceGroupIrep`Private`BZtypeOrBasVec]]; 
         SpaceGroupIrep`Private`dsg = 
          If[SpaceGroupIrep`Private`traceData["soc"] == 1, True, False]; 
         SpaceGroupIrep`Private`rotName = If[
            Not[SpaceGroupIrep`Private`dsg], 
            Map[SpaceGroupIrep`getRotName[SpaceGroupIrep`Private`brav, #]& , 
             SpaceGroupIrep`Private`traceData["rot"]], 
            SpaceGroupIrep`Private`sx = {{0, 1}, {1, 0}}; 
            Apply[SpaceGroupIrep`getSpinRotName[SpaceGroupIrep`Private`brav, {
                Dot[SpaceGroupIrep`Private`sx, #, SpaceGroupIrep`Private`sx], 
                Det[#2]}]& , 
              Transpose[{
                SpaceGroupIrep`Private`traceData["srot"], 
                SpaceGroupIrep`Private`traceData["rot"]}], {1}]]; 
         SpaceGroupIrep`Private`kpathstr = StringRiffle[
            Apply[If[
              Or[Part[#, 2] != "", Part[#, 1] == "UN", Part[#, 1] == "GP"], 
              Part[#, 1], 
              StringJoin["[", 
               Part[#, 1], "(", 
               ToString[#2], ")]"]]& , 
             Transpose[{
               Part[SpaceGroupIrep`Private`kinfoList, All, {2, 3}], 
               SpaceGroupIrep`Private`iks}], {1}], "-"]; 
         SpaceGroupIrep`Private`bandRepOneK[
            Pattern[SpaceGroupIrep`Private`ik, 
             Blank[]]] := 
          Module[{SpaceGroupIrep`Private`kinfo, SpaceGroupIrep`Private`k, 
             SpaceGroupIrep`Private`ktip, SpaceGroupIrep`Private`kname, 
             SpaceGroupIrep`Private`kname2, SpaceGroupIrep`Private`S, 
             SpaceGroupIrep`w, SpaceGroupIrep`Private`AGno, 
             SpaceGroupIrep`Private`gens, SpaceGroupIrep`Private`avRep, 
             SpaceGroupIrep`Private`reptype, SpaceGroupIrep`Private`LG, 
             SpaceGroupIrep`Private`HLG, SpaceGroupIrep`Private`Gk, 
             SpaceGroupIrep`Private`Gk1, SpaceGroupIrep`Private`Gk2, 
             SpaceGroupIrep`Private`idx, SpaceGroupIrep`Private`idxcls, 
             SpaceGroupIrep`Private`kisym, SpaceGroupIrep`Private`times, 
             SpaceGroupIrep`Private`inv, SpaceGroupIrep`Private`chars, 
             SpaceGroupIrep`Private`factor, SpaceGroupIrep`Private`dt, 
             SpaceGroupIrep`Private`kBD, SpaceGroupIrep`Private`CE, 
             SpaceGroupIrep`Private`g, SpaceGroupIrep`Private`chars2, 
             SpaceGroupIrep`Private`repR, SpaceGroupIrep`Private`nc, 
             SpaceGroupIrep`Private`ib, SpaceGroupIrep`Private`icEle, 
             SpaceGroupIrep`Private`tmp, SpaceGroupIrep`Private`tmp1, 
             SpaceGroupIrep`Private`deg, SpaceGroupIrep`Private`ibs2, 
             SpaceGroupIrep`Private`rep, SpaceGroupIrep`Private`i, 
             SpaceGroupIrep`Private`iR, SpaceGroupIrep`Private`repLabel, 
             SpaceGroupIrep`Private`abc, SpaceGroupIrep`Private`as, 
             SpaceGroupIrep`Private`rs, SpaceGroupIrep`Private`iball2, 
             SpaceGroupIrep`Private`deg2, SpaceGroupIrep`Private`ibidx, 
             SpaceGroupIrep`Private`ibs, SpaceGroupIrep`Private`facbar, 
             SpaceGroupIrep`Private`Gk1rots}, 
            SpaceGroupIrep`Private`kinfo = 
             Part[SpaceGroupIrep`Private`kinfoList, 
               SpaceGroupIrep`Private`iik[SpaceGroupIrep`Private`ik]]; {
              SpaceGroupIrep`Private`k, SpaceGroupIrep`Private`kname, 
               SpaceGroupIrep`Private`ktip} = 
             Part[SpaceGroupIrep`Private`kinfo, 
               Span[1, 3]]; SpaceGroupIrep`Private`kisym = Part[
               SpaceGroupIrep`Private`traceData["kisym"], 
               SpaceGroupIrep`Private`ik]; 
            SpaceGroupIrep`Private`Gk = Transpose[{
                Part[
                SpaceGroupIrep`Private`rotName, SpaceGroupIrep`Private`kisym], 
                Part[
                 SpaceGroupIrep`Private`traceData["trans"], 
                 SpaceGroupIrep`Private`kisym]}]; 
            SpaceGroupIrep`Private`deg = Part[
               SpaceGroupIrep`Private`traceData["deg"], 
               SpaceGroupIrep`Private`ik]; If[
              OptionValue[
              SpaceGroupIrep`Private`CompressDegeneracy], {
                SpaceGroupIrep`Private`ibs2, SpaceGroupIrep`Private`deg2} = 
               Transpose[
                 Part[
                  Reap[
                   For[
                   SpaceGroupIrep`Private`i = 1, SpaceGroupIrep`Private`i <= 
                    Last[SpaceGroupIrep`Private`iball], 
                    Increment[SpaceGroupIrep`Private`i], 
                    Sow[{SpaceGroupIrep`Private`i, 
                    Part[
                    SpaceGroupIrep`Private`deg, SpaceGroupIrep`Private`i]}]; 
                    AddTo[SpaceGroupIrep`Private`i, 
                    Part[SpaceGroupIrep`Private`deg, 
                    SpaceGroupIrep`Private`i] - 1]; Null]], 2, 1]]; 
              SpaceGroupIrep`Private`iball2 = Apply[Range[#, # + #2 - 1]& , 
                 
                 Transpose[{
                  SpaceGroupIrep`Private`ibs2, 
                   SpaceGroupIrep`Private`deg2}], {1}]; 
              SpaceGroupIrep`Private`ibidx = DeleteDuplicates[
                 Map[Part[
                   Position[SpaceGroupIrep`Private`iball2, #], 1, 1]& , 
                  SpaceGroupIrep`Private`ibs0]]; 
              SpaceGroupIrep`Private`ibs = 
               Part[SpaceGroupIrep`Private`ibs2, 
                 SpaceGroupIrep`Private`ibidx]; Null]; If[
              Or[
              SpaceGroupIrep`Private`kname == "GP", 
               SpaceGroupIrep`Private`kname == 
               "UN"], {
                SpaceGroupIrep`Private`avRep, SpaceGroupIrep`Private`reptype, 
                 SpaceGroupIrep`Private`AGno, SpaceGroupIrep`Private`CE} = 
               Part[
                 SpaceGroupIrep`calcRep[
                 SpaceGroupIrep`Private`sgno, SpaceGroupIrep`Private`kinfo, 
                  "DSG" -> SpaceGroupIrep`Private`dsg], 
                 Span[3, 6]]; SpaceGroupIrep`Private`avRep = Association[
                 Apply[Rule, SpaceGroupIrep`Private`avRep, {1}]]; 
              SpaceGroupIrep`Private`g = Max[
                  Part[SpaceGroupIrep`Private`CE, All, 2]] + 1; If[
                Not[SpaceGroupIrep`Private`dsg], 
                SpaceGroupIrep`Private`idx = Map[Part[
                    Position[
                    Part[SpaceGroupIrep`Private`Gk, All, 1], 
                    Part[#, 1]], 1, 1]& , SpaceGroupIrep`Private`CE]; 
                SpaceGroupIrep`Private`facbar = Table[1, 
                   Length[SpaceGroupIrep`Private`CE]], 
                SpaceGroupIrep`Private`tmp = Join[
                   Part[SpaceGroupIrep`Private`Gk, All, 1], 
                   Map[
                   SpaceGroupIrep`SpinRotTimes[SpaceGroupIrep`Private`brav][
                    "barE", #]& , 
                    Part[SpaceGroupIrep`Private`Gk, All, 1]]]; 
                SpaceGroupIrep`Private`idx = Map[Part[
                    Position[SpaceGroupIrep`Private`tmp, 
                    Part[#, 1]], 1, 1]& , SpaceGroupIrep`Private`CE]; 
                SpaceGroupIrep`Private`facbar = 
                 Map[If[# > Length[SpaceGroupIrep`Private`Gk], -1, 1]& , 
                   SpaceGroupIrep`Private`idx]; 
                SpaceGroupIrep`Private`idx = 
                 Map[With[{
                    SpaceGroupIrep`Private`n = 
                    Length[SpaceGroupIrep`Private`Gk]}, 
                    
                    If[# > SpaceGroupIrep`Private`n, # - 
                    SpaceGroupIrep`Private`n, #]]& , 
                   SpaceGroupIrep`Private`idx]; Null]; 
              SpaceGroupIrep`Private`Gk2 = 
               Part[SpaceGroupIrep`Private`Gk, SpaceGroupIrep`Private`idx]; 
              SpaceGroupIrep`Private`factor = Chop[
                 Map[
                 With[{SpaceGroupIrep`v = 
                    Part[SpaceGroupIrep`Private`Gk2, #, 2], 
                    SpaceGroupIrep`Private`aa = 
                    Part[SpaceGroupIrep`Private`CE, #, 2]}, 
                   Exp[
                   I (Dot[SpaceGroupIrep`Private`k, SpaceGroupIrep`v] + 
                    SpaceGroupIrep`Private`aa/SpaceGroupIrep`Private`g) 2 
                    Pi]]& , 
                  Range[
                   Length[SpaceGroupIrep`Private`CE]]]]; 
              SpaceGroupIrep`Private`factor = 
               SpaceGroupIrep`Private`factor SpaceGroupIrep`Private`facbar; 
              Goto["determine reps"]; Null]; {
              SpaceGroupIrep`Private`S, SpaceGroupIrep`w} = 
             Part[SpaceGroupIrep`Private`kinfo, 6]; 
            SpaceGroupIrep`Private`kname2 = If[
               And[
               SpaceGroupIrep`Private`brav == "TrigPrim", 
                SpaceGroupIrep`Private`kname == "F"], 
               StringJoin[
               SpaceGroupIrep`Private`BZtype, SpaceGroupIrep`Private`kname], 
               SpaceGroupIrep`Private`kname]; {
              SpaceGroupIrep`Private`AGno, SpaceGroupIrep`Private`gens, 
               SpaceGroupIrep`Private`avRep, SpaceGroupIrep`Private`reptype} = 
             If[
               Not[SpaceGroupIrep`Private`dsg], 
               LittleGroupIrepData`LGIrep[SpaceGroupIrep`Private`sgno], 
               LittleGroupIrepData`DLGIrep[SpaceGroupIrep`Private`sgno]][
              SpaceGroupIrep`Private`kname2]; 
            SpaceGroupIrep`Private`avRep = Association[
               Apply[Rule, SpaceGroupIrep`Private`avRep, {1}]]; If[
              Not[SpaceGroupIrep`Private`dsg], 
              SpaceGroupIrep`Private`times = 
               SpaceGroupIrep`SeitzTimes[SpaceGroupIrep`Private`brav]; 
              SpaceGroupIrep`Private`inv = 
               SpaceGroupIrep`invSeitz[SpaceGroupIrep`Private`brav], 
              SpaceGroupIrep`Private`times = 
               SpaceGroupIrep`DSGSeitzTimes[SpaceGroupIrep`Private`brav]; 
              SpaceGroupIrep`Private`inv = 
               SpaceGroupIrep`DSGinvSeitz[SpaceGroupIrep`Private`brav]]; 
            SpaceGroupIrep`Private`Gk1 = 
             If[SpaceGroupIrep`Private`S == "E", SpaceGroupIrep`Private`Gk, 
               Map[SpaceGroupIrep`Private`times[
                 SpaceGroupIrep`Private`times[
                  
                  SpaceGroupIrep`Private`inv[{
                   SpaceGroupIrep`Private`S, SpaceGroupIrep`w}], #], {
                 SpaceGroupIrep`Private`S, SpaceGroupIrep`w}]& , 
                SpaceGroupIrep`Private`Gk]]; 
            SpaceGroupIrep`Private`LG = 
             SpaceGroupIrep`getLGElem[
              SpaceGroupIrep`Private`sgno, SpaceGroupIrep`Private`kname2, 
               "DSG" -> SpaceGroupIrep`Private`dsg]; 
            SpaceGroupIrep`Private`Gk1rots = If[
               Not[SpaceGroupIrep`Private`dsg], 
               Part[SpaceGroupIrep`Private`Gk1, All, 1], 
               Join[
                Part[SpaceGroupIrep`Private`Gk1, All, 1], 
                Map[
                SpaceGroupIrep`SpinRotTimes[SpaceGroupIrep`Private`brav][
                 "barE", #]& , 
                 Part[SpaceGroupIrep`Private`Gk1, All, 1]]]]; If[
              Not[
               SpaceGroupIrep`seteq[SpaceGroupIrep`Private`Gk1rots, 
                Part[SpaceGroupIrep`Private`LG, All, 1]]], 
              Print["getBandRep: ik=", SpaceGroupIrep`Private`ik, " (", 
                SpaceGroupIrep`Private`k, "), Rots=", 
                SpaceGroupIrep`Private`Gk1rots, " not equal to Gk0=", 
                Part[SpaceGroupIrep`Private`LG, All, 1]]; Return[]; Null]; If[
              VectorQ[
               Part[SpaceGroupIrep`Private`gens, 1, 2]], 
              SpaceGroupIrep`Private`kBD = 
               Part[SpaceGroupIrep`Private`kinfo, 5]; 
              SpaceGroupIrep`Private`HLG = 
               SpaceGroupIrep`getHLGElem[
                SpaceGroupIrep`Private`brav, SpaceGroupIrep`Private`AGno, 
                 SpaceGroupIrep`Private`gens, "DSG" -> 
                 SpaceGroupIrep`Private`dsg]; 
              SpaceGroupIrep`Private`idx = Map[Part[
                  Position[SpaceGroupIrep`Private`Gk1rots, 
                   Part[#, 1]], 1, 1]& , SpaceGroupIrep`Private`HLG]; 
              SpaceGroupIrep`Private`facbar = Table[1, 
                 Length[SpaceGroupIrep`Private`HLG]]; 
              If[SpaceGroupIrep`Private`dsg, 
                SpaceGroupIrep`Private`facbar = 
                 Map[If[# > Length[SpaceGroupIrep`Private`Gk1], -1, 1]& , 
                   SpaceGroupIrep`Private`idx]; 
                SpaceGroupIrep`Private`idx = 
                 Map[With[{
                    SpaceGroupIrep`Private`n = 
                    Length[SpaceGroupIrep`Private`Gk1]}, 
                    
                    If[# > SpaceGroupIrep`Private`n, # - 
                    SpaceGroupIrep`Private`n, #]]& , 
                   SpaceGroupIrep`Private`idx]; Null]; 
              SpaceGroupIrep`Private`Gk2 = 
               Part[SpaceGroupIrep`Private`Gk1, SpaceGroupIrep`Private`idx]; 
              SpaceGroupIrep`Private`factor = Chop[
                 Map[
                 If[SpaceGroupIrep`Private`dt = 
                    Part[SpaceGroupIrep`Private`HLG, #, 2] - Part[
                    SpaceGroupIrep`Private`Gk2, #, 2]; 
                   SpaceGroupIrep`Private`dt != {0, 0, 0}, 
                   
                   Exp[-I Dot[
                    SpaceGroupIrep`Private`kBD, SpaceGroupIrep`Private`dt] 2 
                    Pi], 1]& , 
                  Range[
                   Length[SpaceGroupIrep`Private`HLG]]]]; 
              SpaceGroupIrep`Private`factor = 
               SpaceGroupIrep`Private`factor SpaceGroupIrep`Private`facbar; 
              Null]; If[
              IntegerQ[
               Part[SpaceGroupIrep`Private`gens, 1, 2]], 
              SpaceGroupIrep`Private`kBD = ReplaceAll[
                 Part[SpaceGroupIrep`Private`kinfo, 5], 
                 Part[SpaceGroupIrep`Private`kinfo, -3]]; 
              SpaceGroupIrep`Private`CE = 
               SpaceGroupIrep`getCentExt[
                SpaceGroupIrep`Private`sgno, SpaceGroupIrep`Private`kname, 
                 "DSG" -> SpaceGroupIrep`Private`dsg]; 
              SpaceGroupIrep`Private`g = Max[
                  Part[SpaceGroupIrep`Private`CE, All, 2]] + 1; 
              SpaceGroupIrep`Private`idx = Map[Part[
                  Position[SpaceGroupIrep`Private`Gk1rots, 
                   Part[#, 1]], 1, 1]& , SpaceGroupIrep`Private`CE]; 
              SpaceGroupIrep`Private`facbar = Table[1, 
                 Length[SpaceGroupIrep`Private`CE]]; 
              If[SpaceGroupIrep`Private`dsg, 
                SpaceGroupIrep`Private`facbar = 
                 Map[If[# > Length[SpaceGroupIrep`Private`Gk1], -1, 1]& , 
                   SpaceGroupIrep`Private`idx]; 
                SpaceGroupIrep`Private`idx = 
                 Map[With[{
                    SpaceGroupIrep`Private`n = 
                    Length[SpaceGroupIrep`Private`Gk1]}, 
                    
                    If[# > SpaceGroupIrep`Private`n, # - 
                    SpaceGroupIrep`Private`n, #]]& , 
                   SpaceGroupIrep`Private`idx]; Null]; 
              SpaceGroupIrep`Private`Gk2 = 
               Part[SpaceGroupIrep`Private`Gk1, SpaceGroupIrep`Private`idx]; 
              SpaceGroupIrep`Private`factor = Chop[
                 Map[
                 With[{SpaceGroupIrep`v = 
                    Part[SpaceGroupIrep`Private`Gk2, #, 2], 
                    SpaceGroupIrep`Private`aa = 
                    Part[SpaceGroupIrep`Private`CE, #, 2]}, 
                   Exp[
                   I (Dot[SpaceGroupIrep`Private`kBD, SpaceGroupIrep`v] + 
                    SpaceGroupIrep`Private`aa/SpaceGroupIrep`Private`g) 2 
                    Pi]]& , 
                  Range[
                   Length[SpaceGroupIrep`Private`CE]]]]; 
              SpaceGroupIrep`Private`factor = 
               SpaceGroupIrep`Private`factor SpaceGroupIrep`Private`facbar; 
              Null]; Label["determine reps"]; 
            SpaceGroupIrep`Private`chars = Part[
               SpaceGroupIrep`Private`traceData["trace"], 
               SpaceGroupIrep`Private`ik]; 
            SpaceGroupIrep`Private`nc = Map[Length, 
               Apply[
               AbstractGroupData`AGClasses, SpaceGroupIrep`Private`AGno]]; 
            SpaceGroupIrep`Private`idxcls = 
             If[SpaceGroupIrep`Private`AGno != {1, 1}, 
               FoldList[Plus, 1, 
                Part[SpaceGroupIrep`Private`nc, 
                 Span[1, -2]]], {1}]; 
            SpaceGroupIrep`Private`chars2 = 
             Map[Part[
                SpaceGroupIrep`Private`chars, #, SpaceGroupIrep`Private`idx] 
               SpaceGroupIrep`Private`factor& , SpaceGroupIrep`Private`iball]; 
            SpaceGroupIrep`Private`repR = Map[{#, 
                SpaceGroupIrep`reduceRep[SpaceGroupIrep`Private`AGno, 
                 Part[
                 SpaceGroupIrep`Private`chars2, #, 
                  SpaceGroupIrep`Private`idxcls]]}& , 
               SpaceGroupIrep`Private`ibs]; 
            SpaceGroupIrep`Private`repR = (Rationalize[#, 0.1]& )[
               Chop[SpaceGroupIrep`Private`repR]]; 
            SpaceGroupIrep`Private`abc = Association[
               Apply[Rule, 
                Transpose[{{"a", "b", "c", "d", "e", "f"}, 
                  Range[2, 7]}], {1}]]; SpaceGroupIrep`Private`tmp = If[
               Not[SpaceGroupIrep`Private`dsg], 
               SpaceGroupIrep`LGIrepLabel[SpaceGroupIrep`Private`AGno], 
               SpaceGroupIrep`DLGIrepLabel[SpaceGroupIrep`Private`AGno]]; 
            SpaceGroupIrep`Private`repLabel = Association[
               Apply[Rule, 
                Transpose[{
                  Part[SpaceGroupIrep`Private`tmp, 1, 2], 
                  Transpose[{
                    Part[SpaceGroupIrep`Private`tmp, 
                    SpaceGroupIrep`Private`abc[
                    SpaceGroupIrep`Private`reptype], 2], 
                    Map[
                    SpaceGroupIrep`Private`RepGammaLabel[
                    SpaceGroupIrep`Private`kname, #]& , 
                    Part[SpaceGroupIrep`Private`tmp, 
                    SpaceGroupIrep`Private`abc[
                    SpaceGroupIrep`Private`reptype], 3]], 
                    Part[SpaceGroupIrep`Private`tmp, 1, 3]}]}], {1}]]; 
            SpaceGroupIrep`Private`rep = Table[0, 
               Length[SpaceGroupIrep`Private`repR]]; 
            For[SpaceGroupIrep`Private`i = 1, SpaceGroupIrep`Private`i <= 
              Length[SpaceGroupIrep`Private`ibs], 
              Increment[SpaceGroupIrep`Private`i], 
              SpaceGroupIrep`Private`ib = 
               Part[SpaceGroupIrep`Private`ibs, SpaceGroupIrep`Private`i]; 
              SpaceGroupIrep`Private`iR = Select[
                 Range[
                  Length[SpaceGroupIrep`Private`idxcls]], 
                 Part[SpaceGroupIrep`Private`repR, SpaceGroupIrep`Private`i, 
                   2, #] != 0& ]; SpaceGroupIrep`Private`tmp1 = If[
                 OptionValue[SpaceGroupIrep`Private`CompressDegeneracy], 
                 Part[SpaceGroupIrep`Private`iball2, 
                  Part[
                  SpaceGroupIrep`Private`ibidx, SpaceGroupIrep`Private`i], {
                  1, -1}], SpaceGroupIrep`Private`ib]; If[
                Not[
                 SubsetQ[
                  Keys[SpaceGroupIrep`Private`avRep], 
                  SpaceGroupIrep`Private`iR]], 
                Part[SpaceGroupIrep`Private`rep, SpaceGroupIrep`Private`i] = {
                  SpaceGroupIrep`Private`tmp1, 
                   Part[
                    SpaceGroupIrep`Private`traceData["ene"], 
                    SpaceGroupIrep`Private`ik, SpaceGroupIrep`Private`ib], 
                   Part[
                   SpaceGroupIrep`Private`deg, SpaceGroupIrep`Private`ib], {
                   "??", "??"}}; Continue[]]; 
              SpaceGroupIrep`Private`as = Map[If[# == 1, "", 
                  ToString[#, InputForm]]& , 
                 Part[
                 SpaceGroupIrep`Private`repR, SpaceGroupIrep`Private`i, 2, 
                  SpaceGroupIrep`Private`iR]]; 
              SpaceGroupIrep`Private`rs = 
               Map[SpaceGroupIrep`Private`repLabel, 
                 SpaceGroupIrep`Private`iR]; 
              SpaceGroupIrep`Private`tmp = StringRiffle[
                 Apply[StringJoin[#, #2]& , 
                  Transpose[{SpaceGroupIrep`Private`as, 
                    Part[SpaceGroupIrep`Private`rs, All, 1]}], {1}], 
                 "\[CirclePlus]"]; 
              SpaceGroupIrep`Private`tmp = {SpaceGroupIrep`Private`tmp, 
                 StringRiffle[
                  Apply[StringJoin[#, #2, "(", 
                    ToString[#3], ")"]& , 
                   Transpose[{SpaceGroupIrep`Private`as, 
                    Part[SpaceGroupIrep`Private`rs, All, 2], 
                    Part[SpaceGroupIrep`Private`rs, All, 3]}], {1}], 
                  "\[CirclePlus]"]}; If[
                VectorQ[
                 Part[
                 SpaceGroupIrep`Private`repR, SpaceGroupIrep`Private`i, 2], 
                 IntegerQ], 
                Part[SpaceGroupIrep`Private`rep, SpaceGroupIrep`Private`i] = {
                 SpaceGroupIrep`Private`tmp1, 
                  Part[
                   SpaceGroupIrep`Private`traceData["ene"], 
                   SpaceGroupIrep`Private`ik, SpaceGroupIrep`Private`ib], 
                  Part[SpaceGroupIrep`Private`deg, SpaceGroupIrep`Private`ib],
                   SpaceGroupIrep`Private`tmp}, 
                Part[SpaceGroupIrep`Private`rep, SpaceGroupIrep`Private`i] = {
                  SpaceGroupIrep`Private`tmp1, 
                   Part[
                    SpaceGroupIrep`Private`traceData["ene"], 
                    SpaceGroupIrep`Private`ik, SpaceGroupIrep`Private`ib], 
                   Part[
                   SpaceGroupIrep`Private`deg, SpaceGroupIrep`Private`ib], {
                   "??", "??"}}; Null]]; If[
              IntegerQ[SpaceGroupIrep`Private`ibOrListOrSpan], 
              Part[SpaceGroupIrep`Private`rep, 1], 
              SpaceGroupIrep`Private`rep]]; 
         SpaceGroupIrep`Private`re = Association[]; 
         SpaceGroupIrep`Private`re["kpath"] = SpaceGroupIrep`Private`kpathstr; 
         SpaceGroupIrep`Private`re["rep"] = If[
            IntegerQ[SpaceGroupIrep`Private`ikOrListOrSpan], 
            SpaceGroupIrep`Private`bandRepOneK[
             Part[SpaceGroupIrep`Private`iks, 1]], 
            Map[
            SpaceGroupIrep`Private`bandRepOneK, SpaceGroupIrep`Private`iks]]; 
         SpaceGroupIrep`Private`re["kinfo"] = 
          SpaceGroupIrep`Private`kinfoList; SpaceGroupIrep`Private`re], 
       SpaceGroupIrep`getBandRep[
         Pattern[SpaceGroupIrep`Private`sgno, 
          Blank[Integer]], 
         Pattern[SpaceGroupIrep`Private`BZtypeOrBasVec, 
          Blank[]], 
         Pattern[SpaceGroupIrep`Private`traceData, 
          Blank[]], 
         Pattern[SpaceGroupIrep`Private`ikOrListOrSpan, 
          Blank[]], 
         OptionsPattern[]] :> 
       SpaceGroupIrep`getBandRep[
        SpaceGroupIrep`Private`sgno, SpaceGroupIrep`Private`BZtypeOrBasVec, 
         SpaceGroupIrep`Private`traceData, 
         SpaceGroupIrep`Private`ikOrListOrSpan, All, 
         SpaceGroupIrep`Private`CompressDegeneracy -> 
         OptionValue[SpaceGroupIrep`Private`CompressDegeneracy]], 
       SpaceGroupIrep`getBandRep[
         Pattern[SpaceGroupIrep`Private`sgno, 
          Blank[Integer]], 
         Pattern[SpaceGroupIrep`Private`BZtypeOrBasVec, 
          Blank[]], 
         Pattern[SpaceGroupIrep`Private`traceData, 
          Blank[]], 
         OptionsPattern[]] :> 
       SpaceGroupIrep`getBandRep[
        SpaceGroupIrep`Private`sgno, SpaceGroupIrep`Private`BZtypeOrBasVec, 
         SpaceGroupIrep`Private`traceData, All, All, 
         SpaceGroupIrep`Private`CompressDegeneracy -> 
         OptionValue[SpaceGroupIrep`Private`CompressDegeneracy]]}], 
    "SubValues" -> None, "DefaultValues" -> None, "NValues" -> None, 
    "FormatValues" -> None, 
    "Options" -> {SpaceGroupIrep`Private`CompressDegeneracy -> True}, 
    "Attributes" -> {}, "FullName" -> "SpaceGroupIrep`getBandRep"], 
   False]]], "Output",
 CellChangeTimes->{
  3.8277823144546547`*^9, 3.8277823969600935`*^9, {3.827782442291569*^9, 
   3.827782462850008*^9}, 3.8277825267410536`*^9},
 CellLabel->"Out[77]=",ExpressionUUID->"0fab0572-1fac-47b9-96e8-5258ed804f08"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{"{", 
      RowBox[{"3", ",", "3"}], "}"}], 
     RowBox[{"-", "7.945982`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(6\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"4", ",", "4"}], "}"}], 
     RowBox[{"-", "7.119972`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(1\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"5", ",", "5"}], "}"}], 
     RowBox[{"-", "6.624473`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(3\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"6", ",", "6"}], "}"}], 
     RowBox[{"-", "6.116343`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(2\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"7", ",", "7"}], "}"}], 
     RowBox[{"-", "5.433802`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \
\\(\[DoublePrime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(4\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"8", ",", "8"}], "}"}], 
     RowBox[{"-", "4.692201`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(5\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"9", ",", "9"}], "}"}], 
     RowBox[{"-", "2.561932`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(3\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], 
     RowBox[{"-", "0.886607`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(1\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"11", ",", "11"}], "}"}], "0.506095`", "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(6\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"12", ",", "12"}], "}"}], "0.980608`", "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(2\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"13", ",", "13"}], "}"}], "2.339822`", "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(5\\)]\\)(1)\"\>"}], "}"}]}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableDepth -> 2]]]], "Output",
 CellChangeTimes->{
  3.8277823144546547`*^9, 3.8277823969600935`*^9, {3.827782442291569*^9, 
   3.827782462850008*^9}, 3.8277825272557325`*^9},
 CellLabel->
  "Out[82]//TableForm=",ExpressionUUID->"7ca27ddd-3402-4201-9169-\
141f6a70522a"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8277823144546547`*^9, 3.8277823969600935`*^9, {3.827782442291569*^9, 
   3.827782462850008*^9}, 3.827782527262659*^9},
 CellLabel->"Out[83]=",ExpressionUUID->"2331798a-f496-4fd7-83fd-861eb2c4da37"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"showLGCharTab", "[", 
  RowBox[{"187", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"2", "/", "3"}], ",", 
     RowBox[{
      RowBox[{"-", "1"}], "/", "3"}], ",", "0"}], "}"}], ",", 
   RowBox[{"\"\<rotmat\>\"", "\[Rule]", "False"}], ",", 
   RowBox[{"\"\<irep\>\"", "\[Rule]", 
    RowBox[{"1", ";;", "6"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"showLGCharTab", "[", 
  RowBox[{"187", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], "/", "3"}], ",", 
     RowBox[{"1", "/", "3"}], ",", "0"}], "}"}], ",", 
   RowBox[{"\"\<rotmat\>\"", "\[Rule]", "False"}], ",", 
   RowBox[{"\"\<irep\>\"", "\[Rule]", 
    RowBox[{"1", ";;", "6"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.827782802878971*^9, 3.827782818061515*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"4e14773f-a8e1-49c1-8e2e-b4a05e64de89"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[GridBox[{
        {
         TagBox[GridBox[{
            {
             
             TemplateBox[{
              "\[ThinSpace]","\" \"","\"No.\"","187","\" \"",
               TemplateBox[{"\"P\"", 
                 OverscriptBox["\"6\"", "_"], "\"m\"", "\"2\""}, 
                "RowDefault"],"\":  k-point name is \"","\"K\""},
              "RowWithSeparators"]},
            {
             
             TemplateBox[{
              "\"Input: \\!\\(\\*SubscriptBox[\\(k\\), \\(in\\)]\\)=(\"",
               TemplateBox[{",", "\",\"", 
                 FractionBox["2", "3"], 
                 RowBox[{"-", 
                   FractionBox["1", "3"]}], "0"}, "RowWithSeparators"],
               "\")\""},
              "RowDefault"]},
            {
             TemplateBox[{"\"BC standard:\"",TemplateBox[{"\n", "\"\\n\"", 
                 
                 TemplateBox[{
                  "\"  \\!\\(\\*SubscriptBox[\\(k\\), \\(BC\\)]\\)=(\"", 
                   TemplateBox[{",", "\",\"", 
                    RowBox[{"-", 
                    FractionBox["1", "3"]}], 
                    FractionBox["2", "3"], "0"}, "RowWithSeparators"], 
                   "\") for \"", 
                   
                   TemplateBox[{",", "\",\"", "\"HexaPrim\""}, 
                    "RowWithSeparators"]}, "RowDefault"]}, 
                "RowWithSeparators"]},
              "RowDefault"]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"]},
        {
         TagBox[GridBox[{
            {"\<\"Index\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", "1", "2", "3", "4", "5", "6"},
            {"\<\"Element\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", 
             
             TemplateBox[{
              "\"{\"","\"E\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C3+\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C3-\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"S3-\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"\[Sigma]h\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"S3+\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"]},
            {
             "1", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(1\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "1", "1", "1", "1", 
             "1", "1", "1"},
            {
             "2", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(2\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\
\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
            {
             "3", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(3\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\
\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             "1", 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
            {
             "4", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(4\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "1", "1", "1",
              "1", 
             RowBox[{"-", "1"}], 
             RowBox[{"-", "1"}], 
             RowBox[{"-", "1"}]},
            {
             "5", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(5\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\
\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             RowBox[{"-", "1"}], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
            {
             "6", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(6\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\
\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             RowBox[{"-", "1"}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]}
           },
           AutoDelete->False,
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           
           GridBoxBackground->{
            "Columns" -> {{None}}, "Rows" -> {{None}}, 
             "ItemsIndexed" -> {{{1, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {{2, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {}, {{3, 8}, {1, -1}} -> 
               RGBColor[0.95, 1., 0.95], {}, {{9, -1}, {1, -1}} -> 
               RGBColor[0.95, 0.95, 1.]}},
           GridBoxDividers->{"Columns" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "ColumnsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 5 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 3 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 4 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}, "Rows" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "RowsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 3 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 9 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}},
           GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
           GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
          "Grid"]}
       },
       DefaultBaseStyle->"Column",
       GridBoxAlignment->{"Columns" -> {{Left}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
      "Column"]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{2}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.8277828188862467`*^9},
 CellLabel->"Out[84]=",ExpressionUUID->"3b0d742e-c3fc-4eb7-a3bc-777a33f396f6"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[GridBox[{
        {
         TagBox[GridBox[{
            {
             
             TemplateBox[{
              "\[ThinSpace]","\" \"","\"No.\"","187","\" \"",
               TemplateBox[{"\"P\"", 
                 OverscriptBox["\"6\"", "_"], "\"m\"", "\"2\""}, 
                "RowDefault"],"\":  k-point name is \"","\"K\""},
              "RowWithSeparators"]},
            {
             
             TemplateBox[{
              "\"Input: \\!\\(\\*SubscriptBox[\\(k\\), \\(in\\)]\\)=(\"",
               TemplateBox[{",", "\",\"", 
                 RowBox[{"-", 
                   FractionBox["2", "3"]}], 
                 FractionBox["1", "3"], "0"}, "RowWithSeparators"],"\")\""},
              "RowDefault"]},
            {
             TemplateBox[{"\"BC standard:\"",TemplateBox[{"\n", "\"\\n\"", 
                 
                 TemplateBox[{
                  "\"  \\!\\(\\*SubscriptBox[\\(k\\), \\(BC\\)]\\)=(\"", 
                   TemplateBox[{",", "\",\"", 
                    RowBox[{"-", 
                    FractionBox["1", "3"]}], 
                    FractionBox["2", "3"], "0"}, "RowWithSeparators"], 
                   "\") for \"", 
                   
                   TemplateBox[{",", "\",\"", "\"HexaPrim\""}, 
                    "RowWithSeparators"]}, "RowDefault"]}, 
                "RowWithSeparators"]},
              "RowDefault"]},
            {
             
             TemplateBox[{
              "\"{S|w}=\"",TemplateBox[{"\"{\"", "\"C21p\"", "\"|\"", 
                 TemplateBox[{"0", "0", "0"}, "RowDefault"], "\"}\""}, 
                "RowDefault"],
               "\"(in G) : {S|w\\!\\(\\*SuperscriptBox[\\(}\\), \
\\(-1\\)]\\)\\!\\(\\*SubscriptBox[\\(G\\), \
\\(kin\\)]\\){S|w}=\\!\\(\\*SubscriptBox[\\(G\\), \\(kBC\\)]\\) or \
\\!\\(\\*SubsuperscriptBox[\\(G\\), \\(kBC\\), \\(d\\)]\\)\""},
              "RowDefault"]},
            {
             
             TemplateBox[{
              "\"\\!\\(\\*SubscriptBox[\\(Sk\\), \\(BC\\)]\\)=[\"","\"C21p\"",
               "\"](\"",TemplateBox[{",", "\",\"", 
                 RowBox[{"-", 
                   FractionBox["1", "3"]}], 
                 FractionBox["2", "3"], "0"}, "RowWithSeparators"],"\")=(\"",
               TemplateBox[{",", "\",\"", 
                 FractionBox["1", "3"], 
                 FractionBox["1", "3"], "0"}, "RowWithSeparators"],
               "\") \[DoubleLeftRightArrow] \\!\\(\\*SubscriptBox[\\(k\\), \
\\(in\\)]\\)\""},
              "RowDefault"]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"]},
        {
         TagBox[GridBox[{
            {"\<\"Index\"\>", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             "\[SpanFromLeft]", "1", "2", "3", "4", "5", "6"},
            {"\<\"Elem. in \\!\\(\\*SubscriptBox[\\(G\\), \\(kin\\)]\\)\"\>", 
             "\[SpanFromLeft]", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             
             TemplateBox[{
              "\"{\"","\"E\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C3+\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C3-\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"S3-\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"\[Sigma]h\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"S3+\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"]},
            {"\<\"Elem. in \\!\\(\\*SubscriptBox[\\(G\\), \\(kBC\\)]\\)\"\>", 
             "\[SpanFromLeft]", "\[SpanFromLeft]", "\[SpanFromLeft]", 
             
             TemplateBox[{
              "\"{\"","\"E\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C3-\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"C3+\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"S3+\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"\[Sigma]h\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"], 
             
             TemplateBox[{
              "\"{\"","\"S3-\"","\"|\"",
               TemplateBox[{"0", "0", "0"}, "RowDefault"],"\"}\""},
              "RowDefault"]},
            {
             "1", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(1\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "1", "1", "1", "1", 
             "1", "1", "1"},
            {
             "2", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(2\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\
\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             "1", 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]]},
            {
             "3", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(3\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\
\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], "1", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
            {
             "4", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(4\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "1", "1", "1",
              "1", 
             RowBox[{"-", "1"}], 
             RowBox[{"-", "1"}], 
             RowBox[{"-", "1"}]},
            {
             "5", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(5\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)\\!\\(\
\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             RowBox[{"-", "1"}], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]]},
            {
             "6", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(6\\)]\\)\"\>", "\<\"\
\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)\\!\\(\
\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", "1", "1", 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]"}], "3"]], 
             SuperscriptBox["\[ExponentialE]", 
              RowBox[{"-", 
               FractionBox[
                RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}], "3"]}]], 
             RowBox[{"-", "1"}], 
             SuperscriptBox["\[ExponentialE]", 
              FractionBox[
               RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}], "3"]]}
           },
           AutoDelete->False,
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
           
           GridBoxBackground->{
            "Columns" -> {{None}}, "Rows" -> {{None}}, 
             "ItemsIndexed" -> {{{1, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {{2, 2}, {1, -1}} -> 
               RGBColor[1., 1., 0.9], {{3, 3}, {1, -1}} -> 
               RGBColor[1., 1., 0.95], {{4, 9}, {1, -1}} -> 
               RGBColor[0.95, 1., 0.95], {}, {{10, -1}, {1, -1}} -> 
               RGBColor[0.95, 0.95, 1.]}},
           GridBoxDividers->{"Columns" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "ColumnsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 5 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 3 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]], 4 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}, "Rows" -> {{
                Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}}, "RowsIndexed" -> {1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 3 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 4 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 10 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 11 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], -1 -> Directive[
                 GrayLevel[0], 
                 Thickness[2]], 2 -> Directive[
                 Thickness[Tiny], 
                 GrayLevel[0.8]]}},
           GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
           GridBoxItemSize->{"Columns" -> {{All}}, "Rows" -> {{All}}}],
          "Grid"]}
       },
       DefaultBaseStyle->"Column",
       GridBoxAlignment->{"Columns" -> {{Left}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
      "Column"]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{2}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.827782818962235*^9},
 CellLabel->"Out[85]=",ExpressionUUID->"e57fe2cc-dec1-448d-8062-e259fb002c33"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rep1", "[", "\"\<rep\>\"", "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", 
     RowBox[{"9", ";;", "10"}]}], "]"}], "]"}], "//", 
  RowBox[{
   RowBox[{"TableForm", "[", 
    RowBox[{"#", ",", 
     RowBox[{"TableDepth", "->", "2"}]}], "]"}], "&"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"rep2", "[", "\"\<rep\>\"", "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", 
     RowBox[{"9", ";;", "10"}]}], "]"}], "]"}], "//", 
  RowBox[{
   RowBox[{"TableForm", "[", 
    RowBox[{"#", ",", 
     RowBox[{"TableDepth", "->", "2"}]}], "]"}], "&"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"rep3", "[", "\"\<rep\>\"", "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"1", ",", 
     RowBox[{"9", ";;", "10"}]}], "]"}], "]"}], "//", 
  RowBox[{
   RowBox[{"TableForm", "[", 
    RowBox[{"#", ",", 
     RowBox[{"TableDepth", "->", "2"}]}], "]"}], "&"}]}]}], "Input",
 CellChangeTimes->{{3.827782946110469*^9, 3.827782963623471*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"e703d85a-e13e-45db-84bd-c2a63195becc"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{"{", 
      RowBox[{"9", ",", "9"}], "}"}], 
     RowBox[{"-", "2.561932`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(3\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], 
     RowBox[{"-", "0.886607`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(1\\)]\\)(1)\"\>"}], "}"}]}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableDepth -> 2]]]], "Output",
 CellChangeTimes->{{3.8277829516422253`*^9, 3.827782964135208*^9}},
 CellLabel->
  "Out[89]//TableForm=",ExpressionUUID->"803f7f85-6446-47da-9e3d-\
0b7077b45375"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{"{", 
      RowBox[{"9", ",", "9"}], "}"}], 
     RowBox[{"-", "2.561934`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(1\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], 
     RowBox[{"-", "0.886609`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(2\\)]\\)(1)\"\>"}], "}"}]}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableDepth -> 2]]]], "Output",
 CellChangeTimes->{{3.8277829516422253`*^9, 3.827782964140195*^9}},
 CellLabel->
  "Out[90]//TableForm=",ExpressionUUID->"56ccc9c8-a895-4f79-ac6d-\
14b8334c9d28"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     RowBox[{"{", 
      RowBox[{"9", ",", "9"}], "}"}], 
     RowBox[{"-", "2.561877`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(2\\)]\\)(1)\"\>"}], "}"}]},
    {
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}], 
     RowBox[{"-", "0.886553`"}], "1", 
     RowBox[{"{", 
      RowBox[{"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\),\
 \\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", 
       ",", "\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(3\\)]\\)(1)\"\>"}], "}"}]}
   },
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableDepth -> 2]]]], "Output",
 CellChangeTimes->{{3.8277829516422253`*^9, 3.8277829641452107`*^9}},
 CellLabel->
  "Out[91]//TableForm=",ExpressionUUID->"e23ca70d-9a40-4d94-b899-\
8829fab3d8c4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"showKptBCStoBC", "[", "187", "]"}]], "Input",
 CellChangeTimes->{{3.8277853264148335`*^9, 3.8277853264158297`*^9}},
 CellLabel->"In[92]:=",ExpressionUUID->"c88aeac8-920a-4d96-9ba1-9b10a4bfe62f"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TemplateBox[{
      ",   ","\",   \"",TemplateBox[{"\"No. \"", "187"}, "RowDefault"],
       TemplateBox[{"\"P\"", 
         OverscriptBox["\"6\"", "_"], "\"m\"", "\"2\""}, "RowDefault"]},
      "RowWithSeparators"]},
    {
     TagBox[
      TagBox[GridBox[{
         {
          TagBox["\<\"BCS\"\>",
           HoldForm], 
          TagBox["\<\"BCSconv\"\>",
           HoldForm], 
          TagBox["\<\"BCSprim\"\>",
           HoldForm], 
          TagBox["\<\"BCStoBCprim\"\>",
           HoldForm], 
          TagBox["\<\"BC\"\>",
           HoldForm], 
          TagBox["\<\"BCprim\"\>",
           HoldForm], 
          TagBox["\<\"rot\"\>",
           HoldForm], 
          TagBox["\<\"gn\"\>",
           HoldForm]},
         {"\<\"A\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], "\<\"A\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], "\<\"E\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]},
         {"\<\"GM\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], 
           "}"}], "\<\"\[CapitalGamma]\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}], "\<\"E\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]},
         {"\<\"DT\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "w"}], "}"}], 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "w"}], "}"}], 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "w"}], 
           "}"}], "\<\"\[CapitalDelta]\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]"}], "}"}], "\<\"E\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]},
         {"\<\"H\"\>", 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "3"], ",", 
            FractionBox["1", "3"], ",", 
            FractionBox["1", "2"]}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "3"], ",", 
            FractionBox["1", "3"], ",", 
            FractionBox["1", "2"]}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "3"], ",", 
            FractionBox["1", "3"], ",", 
            FractionBox["1", "2"]}], "}"}], "\<\"H*\"\>", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", "3"]}], ",", 
            FractionBox["2", "3"], ",", 
            FractionBox["1", "2"]}], "}"}], "\<\"C21p\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "1"}], "}"}]},
         {"\<\"K\"\>", 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "3"], ",", 
            FractionBox["1", "3"], ",", "0"}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "3"], ",", 
            FractionBox["1", "3"], ",", "0"}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "3"], ",", 
            FractionBox["1", "3"], ",", "0"}], "}"}], "\<\"K*\"\>", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", "3"]}], ",", 
            FractionBox["2", "3"], ",", "0"}], "}"}], "\<\"C21p\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]},
         {"\<\"L\"\>", 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "2"], ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "2"], ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "2"], ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], "\<\"L*\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            FractionBox["1", "2"], ",", 
            FractionBox["1", "2"]}], "}"}], "\<\"C3+\"\>", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "0"}], "}"}]},
         {"\<\"M\"\>", 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "2"], ",", "0", ",", "0"}], "}"}], "\<\"M*\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            FractionBox["1", "2"], ",", "0"}], "}"}], "\<\"C3+\"\>", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "0"}], "}"}]},
         {"\<\"R\"\>", 
          RowBox[{"{", 
           RowBox[{"u", ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], 
          RowBox[{"{", 
           RowBox[{"u", ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], 
          RowBox[{"{", 
           RowBox[{"u", ",", "0", ",", 
            FractionBox["1", "2"]}], "}"}], "\<\"R**\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "\[Alpha]", ",", 
            FractionBox["1", "2"]}], "}"}], "\<\"C6-\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]},
         {"\<\"SM\"\>", 
          RowBox[{"{", 
           RowBox[{"u", ",", "0", ",", "0"}], "}"}], 
          RowBox[{"{", 
           RowBox[{"u", ",", "0", ",", "0"}], "}"}], 
          RowBox[{"{", 
           RowBox[{"u", ",", "0", ",", "0"}], 
           "}"}], "\<\"\[CapitalSigma]**\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "\[Alpha]", ",", "0"}], "}"}], "\<\"C6-\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]},
         {"\<\"P\"\>", 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "3"], ",", 
            FractionBox["1", "3"], ",", "w"}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "3"], ",", 
            FractionBox["1", "3"], ",", "w"}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "3"], ",", 
            FractionBox["1", "3"], ",", "w"}], "}"}], "\<\"P*\"\>", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", 
             FractionBox["1", "3"]}], ",", 
            FractionBox["2", "3"], ",", "\[Alpha]"}], 
           "}"}], "\<\"\[Sigma]v1\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "0"}], "}"}]},
         {
          StyleBox["\<\"B\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", "0"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", "0"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", "0"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"UN\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]]},
         {
          StyleBox["\<\"D\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "0", ",", "w"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "0", ",", "w"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "0", ",", "w"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"UN\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]]},
         {
          StyleBox["\<\"E\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", 
             FractionBox["1", "2"]}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", 
             FractionBox["1", "2"]}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", 
             FractionBox["1", "2"]}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"UN\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]]},
         {
          StyleBox[
           StyleBox["\<\"LD\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox["\<\"T*\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "\[Alpha]"}], ",", 
              RowBox[{"2", " ", "\[Alpha]"}], ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox["\<\"C21p\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]]},
         {
          StyleBox[
           StyleBox["\<\"LD\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox["\<\"T'*\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[Alpha]"}], ",", 
              RowBox[{
               FractionBox["1", "2"], "+", "\[Alpha]"}], ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox["\<\"C3-\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]]},
         {
          StyleBox[
           StyleBox["\<\"Q\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", 
              FractionBox["1", "2"]}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", 
              FractionBox["1", "2"]}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", 
              FractionBox["1", "2"]}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox["\<\"S*\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "\[Alpha]"}], ",", 
              RowBox[{"2", " ", "\[Alpha]"}], ",", 
              FractionBox["1", "2"]}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox["\<\"C21p\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"0", ",", "0", ",", "1"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]]},
         {
          StyleBox[
           StyleBox["\<\"Q\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", 
              FractionBox["1", "2"]}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", 
              FractionBox["1", "2"]}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"u", ",", "u", ",", 
              FractionBox["1", "2"]}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox["\<\"S'*\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "2"}], " ", "\[Alpha]"}], ",", 
              RowBox[{
               FractionBox["1", "2"], "+", "\[Alpha]"}], ",", 
              FractionBox["1", "2"]}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox["\<\"C3-\"\>",
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]], 
          StyleBox[
           StyleBox[
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "0"}], "}"}],
            StripOnInput->False,
            LineColor->RGBColor[1, 0, 0],
            FrontFaceColor->RGBColor[1, 0, 0],
            BackFaceColor->RGBColor[1, 0, 0],
            GraphicsColor->RGBColor[1, 0, 0],
            FontColor->RGBColor[1, 0, 0]],
           StripOnInput->False,
           Background->RGBColor[1, 1, 0.85]]},
         {"\<\"U\"\>", 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "2"], ",", "0", ",", "w"}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "2"], ",", "0", ",", "w"}], "}"}], 
          RowBox[{"{", 
           RowBox[{
            FractionBox["1", "2"], ",", "0", ",", "w"}], "}"}], "\<\"U*\"\>", 
          RowBox[{"{", 
           RowBox[{"0", ",", 
            FractionBox["1", "2"], ",", "\[Alpha]"}], "}"}], "\<\"C3+\"\>", 
          RowBox[{"{", 
           RowBox[{"1", ",", "0", ",", "0"}], "}"}]},
         {
          StyleBox["\<\"C\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "u", ",", "w"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "u", ",", "w"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "u", ",", "w"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"GP\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]]},
         {
          StyleBox["\<\"GP\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", "w"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", "w"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox[
           RowBox[{"{", 
            RowBox[{"u", ",", "v", ",", "w"}], "}"}],
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"GP\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]], 
          StyleBox["\<\"\"\>",
           StripOnInput->False,
           LineColor->RGBColor[0, 0, 1],
           FrontFaceColor->RGBColor[0, 0, 1],
           BackFaceColor->RGBColor[0, 0, 1],
           GraphicsColor->RGBColor[0, 0, 1],
           FontColor->RGBColor[0, 0, 1]]}
        },
        GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
        GridBoxDividers->{
         "Columns" -> {{False}}, "Rows" -> {False, True, {False}, False}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.27999999999999997`], {
             Offset[2.0999999999999996`]}, 
            Offset[0.27999999999999997`]}, "Rows" -> {
            Offset[0.2], {
             Offset[0.4]}, 
            Offset[0.2]}}],
       {None, OutputFormsDump`HeadedColumns}],
      Function[BoxForm`e$, 
       TableForm[
       BoxForm`e$, TableDepth -> 2, 
        TableHeadings -> {
         None, {"BCS", "BCSconv", "BCSprim", "BCStoBCprim", "BC", "BCprim", 
           "rot", "gn"}}]]]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Left}}},
   GridBoxDividers->{
    "Columns" -> {{None}}, "RowsIndexed" -> {2 -> GrayLevel[0]}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{Automatic}}, "Rows" -> {{1}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.8277853275524435`*^9},
 CellLabel->"Out[92]=",ExpressionUUID->"123896cd-5dcd-46f0-b6e1-7a6936035407"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"showKrepBCStoBC", "[", "187", "]"}]], "Input",
 CellChangeTimes->{{3.8277857238474874`*^9, 3.8277857238484845`*^9}},
 CellLabel->"In[93]:=",ExpressionUUID->"6359e68d-86b1-4324-9cc0-4c661c3b94bc"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     TagBox[GridBox[{
        {
         TemplateBox[{"\"No. \"","187","\"\""},
          "RowDefault"], 
         TemplateBox[{"\"P\"",OverscriptBox["\"6\"", "_"],"\"m\"","\"2\""},
          "RowDefault"], "\<\"\"\>"}
       },
       AutoDelete->False,
       GridBoxAlignment->{"Columns" -> {Left, Center, Right}},
       GridBoxItemSize->{"Columns" -> {{12.45}}}],
      "Grid"]},
    {
     TagBox[GridBox[{
        {
         TagBox[GridBox[{
            {
             TagBox[GridBox[{
                {"\<\"A1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubsuperscriptBox[\\(A\\), \\(1\\), \\(\[Prime]\\)]\\)\"\>", 
                 "1"},
                {"\<\"A2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubsuperscriptBox[\\(A\\), \\(2\\), \\(\[Prime]\\)]\\)\"\>", 
                 "1"},
                {"\<\"A3\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(4\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubsuperscriptBox[\\(A\\), \\(2\\), \
\\(\[DoublePrime]\\)]\\)\"\>", "1"},
                {"\<\"A4\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(3\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubsuperscriptBox[\\(A\\), \\(1\\), \
\\(\[DoublePrime]\\)]\\)\"\>", "1"},
                {"\<\"A5\"\>", "\<\"2\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(5\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"A6\"\>", "\<\"2\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(6\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"K1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"K2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(4\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "1"},
                {"\<\"K3\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(3\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \
\\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"K4\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(6\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \
\\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", 
                 "1"},
                {"\<\"K5\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \
\\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"K6\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(K\\), \\(5\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \
\\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"SM1\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalSigma]\\), \\(1\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \
\\(1\\)]\\)\"\>", "\<\"x\"\>"},
                {"\<\"SM2\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalSigma]\\), \\(4\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(B\\), \
\\(2\\)]\\)\"\>", "\<\"x\"\>"},
                {"\<\"SM3\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalSigma]\\), \\(2\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(B\\), \
\\(1\\)]\\)\"\>", "\<\"x\"\>"},
                {"\<\"SM4\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalSigma]\\), \\(3\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \
\\(2\\)]\\)\"\>", "\<\"x\"\>"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"D1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(UN\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "\<\"x\"\>"},
                {"\<\"D2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(UN\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "\<\"x\"\
\>"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    RGBColor[0.87, 0.94, 1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"LD1\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(T'\
\\), \\(1\\)]\\)\"\>", "\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \
\\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"LD2\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(T'\
\\), \\(2\\)]\\)\"\>", "\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \
\\(\[DoublePrime]\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    RGBColor[1, 1, 0.85]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"U1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(U\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"U2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(U\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"], 
         TagBox[GridBox[{
            {
             TagBox[GridBox[{
                {"\<\"GM1\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubsuperscriptBox[\\(A\\), \\(1\\), \\(\[Prime]\\)]\\)\"\>", 
                 "1"},
                {"\<\"GM2\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubsuperscriptBox[\\(A\\), \\(2\\), \\(\[Prime]\\)]\\)\"\>", 
                 "1"},
                {"\<\"GM3\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(4\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubsuperscriptBox[\\(A\\), \\(2\\), \
\\(\[DoublePrime]\\)]\\)\"\>", "1"},
                {"\<\"GM4\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(3\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubsuperscriptBox[\\(A\\), \\(1\\), \
\\(\[DoublePrime]\\)]\\)\"\>", "1"},
                {"\<\"GM5\"\>", "\<\"2\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(5\\)]\\)\"\>", "\<\"\\!\\(\\*SuperscriptBox[\\(E\\), \
\\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"GM6\"\>", "\<\"2\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalGamma]\\), \\(6\\)]\\)\"\>", "\<\"\\!\\(\\*SuperscriptBox[\\(E\\), \
\\(\[DoublePrime]\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"L1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(L\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(1\\)]\\)\"\>", "1"},
                {"\<\"L2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(L\\), \\(4\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", "1"},
                {"\<\"L3\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(L\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", "1"},
                {"\<\"L4\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(L\\), \\(3\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(2\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"R1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(R\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(1\\)]\\)\"\>", "\<\"x\"\>"},
                {"\<\"R2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(R\\), \\(4\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", "\<\"x\"\>"},
                {"\<\"R3\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(R\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", "\<\"x\"\>"},
                {"\<\"R4\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(R\\), \\(3\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(2\\)]\\)\"\>", "\<\"x\"\>"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"B1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(UN\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "\<\"x\"\>"},
                {"\<\"B2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(UN\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "\<\"x\"\
\>"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    RGBColor[0.87, 0.94, 1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"E1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(UN\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "\<\"x\"\>"},
                {"\<\"E2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(UN\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "\<\"x\"\
\>"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    RGBColor[0.87, 0.94, 1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"Q1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(S\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"Q2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(S\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    RGBColor[1, 1, 0.85]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"C1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(GP\\), \\(1\\)]\\)\"\>", "\<\"A\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    RGBColor[0.87, 0.94, 1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"], 
         TagBox[GridBox[{
            {
             TagBox[GridBox[{
                {"\<\"DT1\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalDelta]\\), \\(1\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \
\\(1\\)]\\)\"\>", "1"},
                {"\<\"DT2\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalDelta]\\), \\(2\\)]\\)\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(A\\), \
\\(2\\)]\\)\"\>", "1"},
                {"\<\"DT3\"\>", "\<\"2\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(\
\[CapitalDelta]\\), \\(3\\)]\\)\"\>", "\<\"E\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"H1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(H\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"H2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(H\\), \\(4\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "1"},
                {"\<\"H3\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(H\\), \\(3\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \
\\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"H4\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(H\\), \\(6\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \
\\(2\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", 
                 "1"},
                {"\<\"H5\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(H\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \
\\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"H6\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(H\\), \\(5\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \
\\(1\\)]\\)\\!\\(\\*SuperscriptBox[\\(E\\), \\(\[DoublePrime]\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"M1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(M\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(1\\)]\\)\"\>", "1"},
                {"\<\"M2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(M\\), \\(4\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(B\\), \\(2\\)]\\)\"\>", "1"},
                {"\<\"M3\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(M\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(B\\), \\(1\\)]\\)\"\>", "1"},
                {"\<\"M4\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(M\\), \\(3\\)]\\)\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(A\\), \\(2\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"P1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(P\\), \\(1\\)]\\)\"\>", "\<\"A\"\>", "1"},
                {"\<\"P2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(P\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(2\\)]\\)E\
\"\>", "1"},
                {"\<\"P3\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(P\\), \\(3\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(\[InvisiblePrefixScriptBase]\\), \\(1\\)]\\)E\
\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    GrayLevel[1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"LD1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(T\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"LD2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(T\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    RGBColor[1, 1, 0.85]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"Q1\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(S'\\), \\(1\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[Prime]\\)]\\)\"\>", "1"},
                {"\<\"Q2\"\>", "\<\"1\"\>", \
"\<\"\\!\\(\\*SubscriptBox[\\(S'\\), \\(2\\)]\\)\"\>", \
"\<\"\\!\\(\\*SuperscriptBox[\\(A\\), \\(\[DoublePrime]\\)]\\)\"\>", "1"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    RGBColor[1, 1, 0.85]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]},
            {
             TagBox[GridBox[{
                {"\<\"GP1\"\>", "\<\"1\"\>", "\<\"\\!\\(\\*SubscriptBox[\\(GP\
\\), \\(1\\)]\\)\"\>", "\<\"A\"\>", "\<\"x\"\>"}
               },
               AutoDelete->False,
               FrameStyle->Thickness[Tiny],
               GridBoxBackground->{"Columns" -> {{
                    RGBColor[0.87, 0.94, 1]}}},
               
               GridBoxFrame->{
                "ColumnsIndexed" -> {{{1, -1}, {1, -1}} -> True}},
               GridBoxItemSize->{"Columns" -> {2.9, 1, 1.8, 2.3, 1}}],
              "Grid"]}
           },
           DefaultBaseStyle->"Column",
           GridBoxAlignment->{"Columns" -> {{Left}}},
           
           GridBoxItemSize->{
            "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
          "Column"]}
       },
       AutoDelete->False,
       GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Top}}},
       GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
      "Grid"]}
   },
   DefaultBaseStyle->"Column",
   GridBoxAlignment->{"Columns" -> {{Center}}},
   GridBoxDividers->{
    "Columns" -> {{None}}, "RowsIndexed" -> {2 -> GrayLevel[0]}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
  "Column"]], "Output",
 CellChangeTimes->{3.827785725122834*^9},
 CellLabel->"Out[93]=",ExpressionUUID->"9048dbd1-4aaf-481a-88c3-3e6b86e94bd1"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1600, 857},
WindowMargins->{{1912, Automatic}, {Automatic, -8}},
Magnification:>1.3 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (2019\:5e744\:67088\
\:65e5)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 480, 8, 139, "Input",ExpressionUUID->"cb45f4ed-77c9-4fc2-80d7-68ee18f3334f"],
Cell[CellGroupData[{
Cell[1063, 32, 161, 3, 84, "Section",ExpressionUUID->"b6411ec6-851e-4fd1-8896-8f4c866a478c"],
Cell[CellGroupData[{
Cell[1249, 39, 1925, 36, 538, "Input",ExpressionUUID->"ff09d20a-ae69-4d92-9a09-671cb07445c9"],
Cell[CellGroupData[{
Cell[3199, 79, 246, 5, 29, "Print",ExpressionUUID->"07088edd-8077-4d94-8a71-3d97348d3027"],
Cell[3448, 86, 870, 26, 47, "Print",ExpressionUUID->"f5a603cc-fc1c-45a5-bd8a-b3a0761e10b8"],
Cell[4321, 114, 248, 6, 29, "Print",ExpressionUUID->"7b2c18ea-1d81-4062-b73e-175573f50868"]
}, Open  ]],
Cell[4584, 123, 5640, 135, 681, "Output",ExpressionUUID->"10d5c07a-3f8f-4637-b788-790998b072a4"],
Cell[CellGroupData[{
Cell[10249, 262, 248, 5, 29, "Print",ExpressionUUID->"aba26cea-cab0-4995-afc4-f05afe987273"],
Cell[10500, 269, 1670, 53, 47, "Print",ExpressionUUID->"26a41d6a-43fa-44c3-a9cb-ee0b8d538c3d"],
Cell[12173, 324, 951, 28, 47, "Print",ExpressionUUID->"d9626144-f453-4b8a-b9ea-5ec17657d320"]
}, Open  ]],
Cell[13139, 355, 7284, 174, 632, "Output",ExpressionUUID->"13ba0c2a-0201-4f81-ae05-24a27e49ebe7"],
Cell[CellGroupData[{
Cell[20448, 533, 246, 5, 29, "Print",ExpressionUUID->"76821f3b-6d22-45fd-af73-935dbedc5282"],
Cell[20697, 540, 1404, 45, 47, "Print",ExpressionUUID->"aff7f466-3e69-4b8a-8b9d-64911f68746b"],
Cell[22104, 587, 651, 19, 47, "Print",ExpressionUUID->"091f8d12-2621-4fe1-9dca-9dee661c9fe2"]
}, Open  ]],
Cell[22770, 609, 6286, 150, 601, "Output",ExpressionUUID->"4761b0b6-62b6-4a18-806f-7c498d6ae3c7"],
Cell[CellGroupData[{
Cell[29081, 763, 248, 5, 29, "Print",ExpressionUUID->"e3fbd23f-661a-433e-a94d-39859596e6c3"],
Cell[29332, 770, 1718, 55, 47, "Print",ExpressionUUID->"38d14b4c-b4a2-488b-90fa-beb612315460"],
Cell[31053, 827, 2449, 75, 90, "Print",ExpressionUUID->"a800bbbe-be46-47eb-9bff-62748a2c116d"]
}, Open  ]],
Cell[33517, 905, 44172, 809, 672, 10366, 254, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"969e7aa2-ee9b-46cb-992e-3f0af4e606be"],
Cell[CellGroupData[{
Cell[77714, 1718, 249, 5, 29, "Print",ExpressionUUID->"ce4e3e92-353e-4b8a-8ed4-991c2303bea2"],
Cell[77966, 1725, 1284, 40, 47, "Print",ExpressionUUID->"b52dd447-dbdf-4680-94d2-c290fcaebb82"],
Cell[79253, 1767, 1986, 60, 90, "Print",ExpressionUUID->"777c0cf8-6ffb-47b6-9403-5fbb9f094666"],
Cell[81242, 1829, 869, 19, 29, "Print",ExpressionUUID->"025be13a-9d7b-4747-8949-b00eb20f62c3"],
Cell[82114, 1850, 816, 18, 47, "Print",ExpressionUUID->"712dfb49-a901-4a30-a433-71ee33705ab4"],
Cell[82933, 1870, 937, 23, 47, "Print",ExpressionUUID->"42491663-88ef-4c0e-89cf-6d899700cf31"],
Cell[83873, 1895, 899, 22, 47, "Print",ExpressionUUID->"eb928b8b-b8bd-4bde-ba2e-83d301c666b4"]
}, Open  ]],
Cell[84787, 1920, 45695, 821, 678, 8926, 217, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"3e873ecc-c0c6-41d6-b511-68aa29272e2e"],
Cell[CellGroupData[{
Cell[130507, 2745, 249, 5, 29, "Print",ExpressionUUID->"1d36f01e-6cbe-432d-8123-ce9709ad09f1"],
Cell[130759, 2752, 1334, 42, 47, "Print",ExpressionUUID->"20c340fe-6c9d-48b7-9ccb-8d624a60dc71"],
Cell[132096, 2796, 2076, 63, 90, "Print",ExpressionUUID->"2f06ac2c-f475-44e5-94eb-ac20bfe35b4f"],
Cell[134175, 2861, 825, 18, 47, "Print",ExpressionUUID->"0bb2e2fa-5c6c-4cd7-8ce4-ddb3ecfbc29f"],
Cell[135003, 2881, 847, 18, 29, "Print",ExpressionUUID->"2112ba78-a3bf-42f6-a9d9-320c73758450"],
Cell[135853, 2901, 961, 24, 47, "Print",ExpressionUUID->"9064b7fa-98e0-4ebe-a54f-bb4c56ede06f"],
Cell[136817, 2927, 921, 23, 47, "Print",ExpressionUUID->"5ff3d6d7-312d-478f-a4a0-db03a96e7b2d"]
}, Open  ]],
Cell[137753, 2953, 44462, 800, 652, 8911, 216, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"7e14d4e8-939a-49f8-b255-2f69c0553a79"],
Cell[CellGroupData[{
Cell[182240, 3757, 251, 5, 29, "Print",ExpressionUUID->"4529a9a7-3e8c-4487-ab2a-f05febab42ad"],
Cell[182494, 3764, 1458, 47, 47, "Print",ExpressionUUID->"5c20eab2-6f2f-4a58-bdda-d78320389a8e"],
Cell[183955, 3813, 2330, 73, 90, "Print",ExpressionUUID->"e131bac2-3e96-4515-8633-f50eb1ac67aa"],
Cell[186288, 3888, 866, 19, 29, "Print",ExpressionUUID->"82211021-b94a-48c7-bc99-0ecc1469a1c4"],
Cell[187157, 3909, 987, 25, 47, "Print",ExpressionUUID->"a9153923-0453-47b7-82f9-dc2685f80df6"],
Cell[188147, 3936, 882, 20, 29, "Print",ExpressionUUID->"7bd9afad-fcf7-4ad3-a48c-b6050cd5f104"],
Cell[189032, 3958, 983, 25, 47, "Print",ExpressionUUID->"e44a4e31-e9da-436d-9e9d-ef0f4e700e58"]
}, Open  ]],
Cell[190030, 3986, 52962, 950, 639, 9800, 242, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"20f9680a-b0ff-450d-8223-ec287704cd9a"],
Cell[CellGroupData[{
Cell[243017, 4940, 251, 5, 29, "Print",ExpressionUUID->"1a2163db-19f6-455c-84f3-9209136aadd1"],
Cell[243271, 4947, 1480, 48, 47, "Print",ExpressionUUID->"a0e2dd5f-3ae0-4717-9842-d32edcde22d9"],
Cell[244754, 4997, 2383, 75, 90, "Print",ExpressionUUID->"957b067d-415e-4e44-9891-e4942df77a01"],
Cell[247140, 5074, 864, 19, 29, "Print",ExpressionUUID->"ecc87ac5-c3b6-4f57-8bbe-a8fed1422a24"],
Cell[248007, 5095, 1007, 26, 47, "Print",ExpressionUUID->"8fc60106-8958-40df-9ded-e9acc6344edc"],
Cell[249017, 5123, 862, 19, 29, "Print",ExpressionUUID->"a4050951-e2da-4591-a976-d4f8af31eba2"],
Cell[249882, 5144, 1011, 26, 47, "Print",ExpressionUUID->"c36b7f4c-255c-40af-87d4-f7fd9c58177e"]
}, Open  ]],
Cell[250908, 5173, 52669, 928, 972, 8877, 209, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"09b58e38-0ff9-4b5b-bbf0-ddd20fb03d2a"],
Cell[CellGroupData[{
Cell[303602, 6105, 251, 5, 29, "Print",ExpressionUUID->"ced4b1b1-4cae-48e1-ba39-4b6f61f3c0e0"],
Cell[303856, 6112, 1456, 47, 47, "Print",ExpressionUUID->"c6ec2e78-0a85-407c-b396-e939208b92e7"],
Cell[305315, 6161, 2330, 73, 90, "Print",ExpressionUUID->"132c1dca-005f-4cc2-bda7-c75be1125fe5"],
Cell[307648, 6236, 983, 25, 47, "Print",ExpressionUUID->"414c51d4-da33-43fd-90b5-a0271aa0fb03"],
Cell[308634, 6263, 860, 19, 29, "Print",ExpressionUUID->"73f1bda1-59be-453d-9ed0-08b9e501c727"],
Cell[309497, 6284, 886, 20, 29, "Print",ExpressionUUID->"a445bcc9-1e11-4303-b899-53dc50f5e6a7"],
Cell[310386, 6306, 985, 25, 47, "Print",ExpressionUUID->"87c73bf7-4137-490f-b93b-2ea36cae9e92"]
}, Open  ]],
Cell[311386, 6334, 8970, 211, 789, "Output",ExpressionUUID->"27cfb7c5-94b6-4c5d-b9a6-784bed3b95ae"],
Cell[CellGroupData[{
Cell[320381, 6549, 251, 5, 29, "Print",ExpressionUUID->"455e68fb-a701-405b-96ed-add7506c4f70"],
Cell[320635, 6556, 1155, 37, 47, "Print",ExpressionUUID->"7559b71a-358f-4c78-a549-fb5c5af8a4dd"],
Cell[321793, 6595, 2225, 69, 90, "Print",ExpressionUUID->"447961d7-8b6a-4f29-8908-ce4c2d95a7c8"],
Cell[324021, 6666, 865, 20, 47, "Print",ExpressionUUID->"4d942d70-2523-42bb-b3ea-09e1b406ec2a"],
Cell[324889, 6688, 914, 23, 47, "Print",ExpressionUUID->"fbdbe055-8229-439f-ab4a-dad36f086711"],
Cell[325806, 6713, 914, 22, 47, "Print",ExpressionUUID->"70e85347-b3d8-4adc-8f94-e826e6cb88f4"],
Cell[326723, 6737, 864, 20, 47, "Print",ExpressionUUID->"942b7fcc-9efb-4050-aac7-2126a338dd42"],
Cell[327590, 6759, 889, 21, 47, "Print",ExpressionUUID->"328faa79-267e-4c31-afec-c903ebc2d86d"],
Cell[328482, 6782, 888, 21, 47, "Print",ExpressionUUID->"c54953e3-0d28-4700-b69a-04a74ea3727d"]
}, Open  ]],
Cell[329385, 6806, 57300, 995, 781, 8588, 196, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"6d0c9114-1091-4bb3-8f18-783cdba329f5"],
Cell[CellGroupData[{
Cell[386710, 7805, 251, 5, 29, "Print",ExpressionUUID->"fcf69077-e7d4-4a27-8296-2c8cfa0f6c60"],
Cell[386964, 7812, 1177, 38, 47, "Print",ExpressionUUID->"a5613081-7a7f-4067-801c-87a4f68c32ee"],
Cell[388144, 7852, 2053, 63, 90, "Print",ExpressionUUID->"5be43830-f46b-454e-b5fb-eb26ae31468a"],
Cell[390200, 7917, 851, 18, 29, "Print",ExpressionUUID->"c5ce3175-7ffb-445d-891e-1553f6178746"],
Cell[391054, 7937, 863, 20, 47, "Print",ExpressionUUID->"e6a59e33-4e36-4812-af40-07dc0c50f5d9"],
Cell[391920, 7959, 916, 23, 47, "Print",ExpressionUUID->"e2aee671-11d6-4da1-9651-d6e8a43a6141"],
Cell[392839, 7984, 921, 23, 47, "Print",ExpressionUUID->"b99d1bef-608d-452b-b092-0f6e9b011fac"]
}, Open  ]],
Cell[393775, 8010, 62258, 1082, 999, 8601, 202, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"7d85ee99-4dac-4ccc-ba23-12ee49c826a6"],
Cell[CellGroupData[{
Cell[456058, 9096, 251, 5, 29, "Print",ExpressionUUID->"82f6379f-6540-4473-9800-3823107fb3c4"],
Cell[456312, 9103, 1105, 35, 47, "Print",ExpressionUUID->"458df6ec-ef09-4d00-a694-bddb9e54167b"],
Cell[457420, 9140, 1953, 59, 90, "Print",ExpressionUUID->"4d6954cd-00d2-475a-a396-20443a86f6ac"],
Cell[459376, 9201, 888, 20, 29, "Print",ExpressionUUID->"08f25e46-1278-4eaf-b531-ff439333af98"],
Cell[460267, 9223, 886, 21, 47, "Print",ExpressionUUID->"aa6a790d-72e3-40b5-adf2-2c43374131f0"],
Cell[461156, 9246, 888, 21, 47, "Print",ExpressionUUID->"7a91304c-88ae-48f5-aabb-6f3a47107553"],
Cell[462047, 9269, 897, 22, 47, "Print",ExpressionUUID->"48035c79-45e0-4c4e-9993-f0f04d2ab8da"]
}, Open  ]],
Cell[462959, 9294, 56303, 985, 985, 8632, 203, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"f551cdb9-e399-4d31-b341-e7a97880c798"],
Cell[CellGroupData[{
Cell[519287, 10283, 251, 5, 29, "Print",ExpressionUUID->"02d13768-4bf2-41db-a21d-0bf84efb6385"],
Cell[519541, 10290, 1179, 38, 47, "Print",ExpressionUUID->"acff7510-e128-48b3-aedc-732bca4b6906"],
Cell[520723, 10330, 2055, 63, 90, "Print",ExpressionUUID->"6880b192-0259-4a9d-a193-15e108e0278c"],
Cell[522781, 10395, 845, 18, 29, "Print",ExpressionUUID->"9424ee79-2f18-4189-8e4a-8e569ea07782"],
Cell[523629, 10415, 913, 22, 47, "Print",ExpressionUUID->"18876685-23fa-4c2a-9340-ec3ca5c4c71f"],
Cell[524545, 10439, 864, 20, 47, "Print",ExpressionUUID->"3df33cba-c0ed-46ee-96d7-a81dcd3a29a8"],
Cell[525412, 10461, 920, 23, 47, "Print",ExpressionUUID->"08022b34-7754-4bd8-9671-88c14d8ccecc"]
}, Open  ]],
Cell[526347, 10487, 55919, 977, 716, 8604, 201, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"748017db-dfd6-45c3-9044-96950e6ecb7d"],
Cell[CellGroupData[{
Cell[582291, 11468, 246, 5, 29, "Print",ExpressionUUID->"b4628b76-f2b5-4daa-9e52-1d4df8f347cf"],
Cell[582540, 11475, 1286, 40, 47, "Print",ExpressionUUID->"33b29945-723a-40ae-94fe-d28f8949175e"],
Cell[583829, 11517, 1757, 51, 90, "Print",ExpressionUUID->"b8ef918a-6442-48ad-bb75-c67d55e5eb20"]
}, Open  ]],
Cell[585601, 11571, 8805, 213, 755, "Output",ExpressionUUID->"c7c8644e-86df-4ea5-8e4d-70e7ebc0bfda"],
Cell[CellGroupData[{
Cell[594431, 11788, 248, 5, 29, "Print",ExpressionUUID->"b0cb3206-96da-4bef-8db9-ccf42af6e825"],
Cell[594682, 11795, 1154, 36, 47, "Print",ExpressionUUID->"ae797f77-aa9f-462f-9ad4-505c9ce4e5a4"],
Cell[595839, 11833, 1691, 50, 47, "Print",ExpressionUUID->"b5c064db-e4a6-42b9-ad19-9e261153e908"],
Cell[597533, 11885, 886, 19, 29, "Print",ExpressionUUID->"8e91367d-e404-452c-9dec-506ad4349fd0"],
Cell[598422, 11906, 1011, 26, 47, "Print",ExpressionUUID->"0ac73685-8f52-4dd6-9842-414c76d1a8b6"]
}, Open  ]],
Cell[599448, 11935, 50810, 896, 904, 8672, 204, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"88928f32-b7e2-47e6-aba2-1e922a15f610"],
Cell[CellGroupData[{
Cell[650283, 12835, 249, 5, 29, "Print",ExpressionUUID->"48d68062-2ee4-4a7c-a850-5dbca3157914"],
Cell[650535, 12842, 1154, 36, 47, "Print",ExpressionUUID->"989b57ff-e862-4f43-a2a4-5ac4ee99b6b3"],
Cell[651692, 12880, 1956, 59, 90, "Print",ExpressionUUID->"91970700-39ec-4ec0-9292-272cc03c8340"],
Cell[653651, 12941, 857, 19, 29, "Print",ExpressionUUID->"35b1c978-0974-454f-ac16-ab5273f02be8"],
Cell[654511, 12962, 981, 25, 47, "Print",ExpressionUUID->"8e0fc1a3-e893-4c50-86d0-fb0d5e513e73"],
Cell[655495, 12989, 891, 23, 47, "Print",ExpressionUUID->"0022b4d3-fa79-4931-9a71-aafe3a9393ee"],
Cell[656389, 13014, 790, 18, 47, "Print",ExpressionUUID->"6833486b-efa9-4f46-8958-aad427e64841"]
}, Open  ]],
Cell[657194, 13035, 8393, 200, 792, "Output",ExpressionUUID->"573904f6-87c3-4f36-a86d-7e702cc3efd7"],
Cell[CellGroupData[{
Cell[665612, 13239, 246, 5, 29, "Print",ExpressionUUID->"655f0a6f-5d64-47a5-932b-30dffcf62ed4"],
Cell[665861, 13246, 1334, 42, 47, "Print",ExpressionUUID->"f6835b90-bcd9-460e-87b9-57dc64144e52"],
Cell[667198, 13290, 2030, 62, 90, "Print",ExpressionUUID->"ef1c4b01-2c9f-4c1d-bd19-2b5e6ddc1f47"]
}, Open  ]],
Cell[669243, 13355, 43429, 785, 724, 9999, 236, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"0733229b-081d-410b-b4d2-2e4734404b62"],
Cell[CellGroupData[{
Cell[712697, 14144, 248, 5, 29, "Print",ExpressionUUID->"644b636b-a6df-4fa6-9324-aa4914985cf6"],
Cell[712948, 14151, 946, 29, 47, "Print",ExpressionUUID->"085e8e1a-b5fd-42c3-8139-948ec2632c3a"],
Cell[713897, 14182, 1251, 35, 47, "Print",ExpressionUUID->"12449813-e7b7-4b13-bfab-aaecb6ea052b"]
}, Open  ]],
Cell[715163, 14220, 40447, 719, 870, 6826, 167, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"3500f91e-9e0e-4240-bb17-961bd6b9d9e6"],
Cell[CellGroupData[{
Cell[755635, 14943, 248, 5, 29, "Print",ExpressionUUID->"cf155053-c31d-48f7-9e65-7b6c4ecb054d"],
Cell[755886, 14950, 998, 31, 47, "Print",ExpressionUUID->"de59ebd2-f6ce-47cc-b807-73e666a75e59"],
Cell[756887, 14983, 1542, 45, 47, "Print",ExpressionUUID->"54258890-7608-4203-b426-08c2dd5fdcd6"],
Cell[758432, 15030, 862, 19, 29, "Print",ExpressionUUID->"cb26cf02-bfba-43c0-84ec-b110d0f7195a"],
Cell[759297, 15051, 917, 23, 47, "Print",ExpressionUUID->"a34e36a5-a745-4a06-b250-fbd197866873"]
}, Open  ]],
Cell[760229, 15077, 7710, 184, 870, "Output",ExpressionUUID->"d0c79ace-2b88-4520-ba4c-c9743b2a5030"],
Cell[CellGroupData[{
Cell[767964, 15265, 248, 5, 29, "Print",ExpressionUUID->"587eccae-5fb4-4923-9636-4dbad9c72c48"],
Cell[768215, 15272, 996, 31, 47, "Print",ExpressionUUID->"12bdb51e-6f60-430f-8157-6e48f8f33df9"],
Cell[769214, 15305, 1466, 43, 47, "Print",ExpressionUUID->"1f2b38c7-753c-4f3f-ab5a-a039f5312fd0"]
}, Open  ]],
Cell[770695, 15351, 7234, 176, 870, "Output",ExpressionUUID->"d33dad1b-e6be-4040-b2d7-1a113c710357"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[777978, 15533, 266, 5, 84, "Section",ExpressionUUID->"e15faa9e-81ac-45da-96bc-51bc578fa2d5"],
Cell[CellGroupData[{
Cell[778269, 15542, 421, 8, 63, "Input",ExpressionUUID->"5eef09ee-9a0d-48ac-a9fb-55644f72ccb8"],
Cell[778693, 15552, 498, 13, 43, "Output",ExpressionUUID->"ede2110c-88d7-4330-885a-064342c6fe73"],
Cell[779194, 15567, 519, 14, 43, "Output",ExpressionUUID->"4b320cfc-ddc2-488f-b0a3-76a26bae600c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[779750, 15586, 1511, 37, 313, "Input",ExpressionUUID->"bf586bd0-ca60-4c71-a3d4-37c0c42dd513"],
Cell[781264, 15625, 474, 13, 43, "Output",ExpressionUUID->"3137db07-dcb9-4c62-95cf-9abd835e7e5c"],
Cell[781741, 15640, 474, 13, 43, "Output",ExpressionUUID->"cc4762e0-1f46-4d5b-9a03-0025b05929cd"],
Cell[782218, 15655, 476, 13, 43, "Output",ExpressionUUID->"e8e2a852-a372-4103-9e45-048d118ebf5c"],
Cell[782697, 15670, 455, 12, 43, "Output",ExpressionUUID->"e9062035-066c-445c-bea8-9eb1344664ee"],
Cell[783155, 15684, 497, 14, 43, "Output",ExpressionUUID->"db130849-a997-4a1e-a388-26f2c64f82e8"],
Cell[783655, 15700, 476, 13, 43, "Output",ExpressionUUID->"1f92d152-3867-466e-84b0-2e5e671674fc"],
Cell[784134, 15715, 497, 14, 43, "Output",ExpressionUUID->"ef3ad92b-2a53-480e-a3b6-06e063ffe784"],
Cell[784634, 15731, 497, 14, 43, "Output",ExpressionUUID->"4f161217-e0fa-4531-b6bb-ea3df9febfd1"],
Cell[785134, 15747, 495, 14, 43, "Output",ExpressionUUID->"0824b906-cae1-4e33-960a-38a30907e2dd"],
Cell[785632, 15763, 494, 14, 43, "Output",ExpressionUUID->"9da23226-b088-4d74-b46e-93f2dae7f8cf"],
Cell[786129, 15779, 497, 14, 43, "Output",ExpressionUUID->"01fb2a5d-9ac4-4bd3-b4f4-3940c7282783"],
Cell[786629, 15795, 495, 14, 43, "Output",ExpressionUUID->"f4a1ca85-1bb7-4cc4-99f6-b4d0af71df3e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[787161, 15814, 1059, 26, 213, "Input",ExpressionUUID->"707584e0-f1fc-4197-ad78-7c83534fc8da"],
Cell[788223, 15842, 482, 13, 43, "Output",ExpressionUUID->"60e0b3fd-eca3-420c-8d43-444c62e892df"],
Cell[788708, 15857, 502, 14, 43, "Output",ExpressionUUID->"37a43d98-f8a2-4a12-905f-6d45b0d4c17d"],
Cell[789213, 15873, 503, 14, 43, "Output",ExpressionUUID->"addc4e0b-2cf1-41a0-8caf-0f4a7aac0f8f"],
Cell[789719, 15889, 505, 14, 43, "Output",ExpressionUUID->"0a4297c8-e3e3-4062-845b-5f4103752423"],
Cell[790227, 15905, 314, 6, 43, "Output",ExpressionUUID->"031ef418-7749-4436-9b95-e5d5da0967c2"],
Cell[790544, 15913, 484, 13, 43, "Output",ExpressionUUID->"3752a047-f012-4120-aff6-fd32f1307529"],
Cell[791031, 15928, 524, 15, 43, "Output",ExpressionUUID->"7d452c1f-c0a1-427a-a56d-967a3b4f7645"],
Cell[791558, 15945, 461, 12, 43, "Output",ExpressionUUID->"c48bc59a-99ee-4951-b655-40e0d493693b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[792056, 15962, 1060, 26, 213, "Input",ExpressionUUID->"318374d7-435b-4471-ba2d-bdf24cbc4d97"],
Cell[793119, 15990, 429, 13, 43, "Output",ExpressionUUID->"d535ddb3-1d76-41dc-8229-5a096fae0387"],
Cell[793551, 16005, 448, 14, 43, "Output",ExpressionUUID->"562bbd83-c4a1-4585-974e-97eb8911157a"],
Cell[794002, 16021, 450, 14, 43, "Output",ExpressionUUID->"dcb18c7e-16af-4684-b061-37fdb57877e5"],
Cell[794455, 16037, 448, 14, 43, "Output",ExpressionUUID->"e8fd8934-bcd1-4ca1-ad81-796d4b3b4c1e"],
Cell[794906, 16053, 236, 5, 43, "Output",ExpressionUUID->"78265e83-bfae-45fe-a5bc-0da4f85f1592"],
Cell[795145, 16060, 427, 13, 43, "Output",ExpressionUUID->"a0af81b8-10c8-4cd5-911d-c6138c1dda7b"],
Cell[795575, 16075, 450, 14, 43, "Output",ExpressionUUID->"f75d22de-43fa-4bed-9b90-98d1d750c634"],
Cell[796028, 16091, 387, 11, 43, "Output",ExpressionUUID->"e3ff40ba-6a99-4ad4-8e5a-d6f806448cb5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[796452, 16107, 1520, 38, 313, "Input",ExpressionUUID->"92130e77-b397-4757-a43e-bf3183aa8dbe"],
Cell[797975, 16147, 411, 11, 43, "Output",ExpressionUUID->"91a9c9b5-8605-40d5-a041-b3efeae43e22"],
Cell[798389, 16160, 262, 5, 43, "Output",ExpressionUUID->"6c8be7a5-2007-4632-9f5c-f94addf30608"],
Cell[798654, 16167, 411, 11, 43, "Output",ExpressionUUID->"d417fc3a-8662-4d05-8b9f-96899daaae26"],
Cell[799068, 16180, 261, 5, 43, "Output",ExpressionUUID->"2b1e8411-7157-4a62-8a5a-066b1418b3e1"],
Cell[799332, 16187, 259, 5, 43, "Output",ExpressionUUID->"c4d8322c-c0b0-4a62-bbf7-14cde0a232f2"],
Cell[799594, 16194, 260, 5, 43, "Output",ExpressionUUID->"7ea1e983-b0e9-420a-b50b-53fd7d02ee05"],
Cell[799857, 16201, 474, 14, 43, "Output",ExpressionUUID->"57178261-ecfa-4a7b-b593-3b50fa8cfc58"],
Cell[800334, 16217, 474, 14, 43, "Output",ExpressionUUID->"cdbdc9b7-e77d-4608-bccd-f0aab410ca68"],
Cell[800811, 16233, 472, 14, 43, "Output",ExpressionUUID->"d8cf1fff-f009-45aa-9cbf-90d6ab84548e"],
Cell[801286, 16249, 264, 5, 43, "Output",ExpressionUUID->"c642277e-b9f7-4cbc-8497-e0908f1e03c5"],
Cell[801553, 16256, 262, 5, 43, "Output",ExpressionUUID->"1745fd23-5964-4f08-ab5a-67566bd8ce21"],
Cell[801818, 16263, 262, 5, 43, "Output",ExpressionUUID->"06010ade-2682-450e-9f1d-5167c63eb18d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[802117, 16273, 1520, 38, 313, "Input",ExpressionUUID->"5391a5b2-8492-43bf-a5d0-0127eda1c18a"],
Cell[803640, 16313, 387, 11, 43, "Output",ExpressionUUID->"33d60ef2-53fb-4ea5-a4d0-ee857fea32c3"],
Cell[804030, 16326, 408, 12, 43, "Output",ExpressionUUID->"f3433107-4cf1-4f41-9c80-5ef3254ea84a"],
Cell[804441, 16340, 427, 13, 43, "Output",ExpressionUUID->"2ae5bd66-fe66-4f67-bee3-6a475d397cb3"],
Cell[804871, 16355, 427, 13, 43, "Output",ExpressionUUID->"58ee1826-5da6-4c8d-ae4b-93bb1e439e97"],
Cell[805301, 16370, 237, 5, 43, "Output",ExpressionUUID->"6ce5485b-136b-495e-b161-53f6294d0323"],
Cell[805541, 16377, 406, 12, 43, "Output",ExpressionUUID->"f9b11469-88eb-4cd5-812e-1c64597ee502"],
Cell[805950, 16391, 429, 13, 43, "Output",ExpressionUUID->"9d3475cc-18d0-42c9-8f77-7e4b65c28f35"],
Cell[806382, 16406, 429, 13, 43, "Output",ExpressionUUID->"4a9dfa62-8e2d-4647-88fb-3dca80a8b5ff"],
Cell[806814, 16421, 448, 14, 43, "Output",ExpressionUUID->"e65a17d7-34b1-4612-8bae-29d90cfe43a9"],
Cell[807265, 16437, 450, 14, 43, "Output",ExpressionUUID->"8554241e-b5d8-42db-a1da-5b1c3c2250a9"],
Cell[807718, 16453, 448, 14, 43, "Output",ExpressionUUID->"1c1d4b85-c807-4791-ab02-ad506ad2e37c"],
Cell[808169, 16469, 406, 12, 43, "Output",ExpressionUUID->"c9ef2ea5-ee20-4988-8446-147e807d9b7a"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[808624, 16487, 232, 4, 84, "Section",ExpressionUUID->"8a6df60c-8ee0-4bf6-9765-52704c171018"],
Cell[CellGroupData[{
Cell[808881, 16495, 300, 6, 57, "Input",ExpressionUUID->"5b8c98b2-d3d0-4e17-abad-a8d44ec250b8"],
Cell[809184, 16503, 3690, 55, 194, "Output",ExpressionUUID->"cfb2880b-2734-4e3d-a40f-5bf94d4cf7dc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[812911, 16563, 262, 6, 37, "Input",ExpressionUUID->"cba5620e-fac9-4514-9818-417cbc87dc9b"],
Cell[813176, 16571, 73090, 2527, 1808, "Output",ExpressionUUID->"694c6590-7142-4fa6-bd25-25158c953515"]
}, Open  ]],
Cell[CellGroupData[{
Cell[886303, 19103, 823, 20, 113, "Input",ExpressionUUID->"4752b3f2-d5a6-4339-847a-6241ef0671db"],
Cell[887129, 19125, 858, 28, 62, "Output",ExpressionUUID->"3d383b2e-2813-4a3a-85df-67f2058734cc"],
Cell[887990, 19155, 218, 4, 43, "Output",ExpressionUUID->"bfbeef37-587a-4e5e-9992-455545262982"],
Cell[888211, 19161, 216, 4, 43, "Output",ExpressionUUID->"f96a09a7-eb71-4909-92e2-b96040951015"],
Cell[888430, 19167, 912, 26, 43, "Output",ExpressionUUID->"eb3c3264-3712-458f-8bed-49c86f344967"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[889391, 19199, 251, 4, 84, "Section",ExpressionUUID->"de4ecf1b-4fb6-4303-b640-e5fa38a7d640"],
Cell[CellGroupData[{
Cell[889667, 19207, 759, 18, 135, "Input",ExpressionUUID->"3eeee06c-795f-4d97-9ecf-1fb0041ac0ee"],
Cell[890429, 19227, 3669, 116, 151, "Output",ExpressionUUID->"dd5a93e2-87e5-4cf6-818e-77a35c5a801d"],
Cell[894101, 19345, 545, 16, 61, "Output",ExpressionUUID->"84056d61-f437-47e6-8493-9b5c16ea0f95"],
Cell[894649, 19363, 831, 25, 61, "Output",ExpressionUUID->"d87bddc7-e53d-4268-bc54-071e5c97f15c"],
Cell[895483, 19390, 526, 15, 43, "Output",ExpressionUUID->"03b03f6a-6312-4b07-a10d-21b37b5e3dc9"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[896058, 19411, 179, 3, 84, "Section",ExpressionUUID->"9f6d2e59-f065-4437-a08d-7017cc5522c0"],
Cell[CellGroupData[{
Cell[896262, 19418, 713, 13, 263, "Input",ExpressionUUID->"e2971d6c-0535-4722-a3d1-c1e11b7e6bf7"],
Cell[896978, 19433, 15068, 355, 225, "Output",ExpressionUUID->"f73a1f65-cfc9-4918-abfa-de2e3c439c60"],
Cell[912049, 19790, 13166, 321, 123, "Output",ExpressionUUID->"e1174eb9-b51a-42a6-bfdf-af55f9d5bec7"],
Cell[925218, 20113, 14630, 354, 123, "Output",ExpressionUUID->"02bbb48e-e365-4604-9a88-6b7319cd897b"],
Cell[939851, 20469, 11620, 283, 123, "Output",ExpressionUUID->"65a5e994-ec0b-4a5d-a6e3-13963f84f4b3"],
Cell[951474, 20754, 11722, 284, 123, "Output",ExpressionUUID->"c5daf12e-1a4f-4f7c-bfe5-d0d3e98e8d0f"],
Cell[963199, 21040, 11655, 286, 123, "Output",ExpressionUUID->"86e0d83f-b413-40b3-84f5-9df8a34b5b73"],
Cell[974857, 21328, 15942, 363, 157, "Output",ExpressionUUID->"e88c4cab-0742-42da-be7f-1a61565829ff"],
Cell[990802, 21693, 12196, 295, 123, "Output",ExpressionUUID->"4c552201-20e6-4326-ac70-6bed0543f1db"],
Cell[1003001, 21990, 12791, 304, 157, "Output",ExpressionUUID->"0bb0d317-28d2-47bd-9159-0dd46b54c0c6"],
Cell[1015795, 22296, 12204, 296, 123, "Output",ExpressionUUID->"150ed1d6-fd00-4fb0-a819-aed4da3ee1d5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1028048, 22598, 176, 3, 84, "Section",ExpressionUUID->"088dad9c-1915-4c0c-8ac3-1d3ac4e8e7b5"],
Cell[CellGroupData[{
Cell[1028249, 22605, 789, 21, 138, "Input",ExpressionUUID->"d35f2a8e-fd7a-4ecc-a23d-a7db01bab55e"],
Cell[1029041, 22628, 895, 30, 43, "Output",ExpressionUUID->"911949be-24e7-4c6d-87da-5bab3dc0f4a6"],
Cell[1029939, 22660, 823, 24, 43, "Output",ExpressionUUID->"ef394b5e-bb15-4502-a01a-8d0e2eb540a3"],
Cell[1030765, 22686, 1338, 44, 43, "Output",ExpressionUUID->"c818ff7b-ee62-466e-a811-ac1c71c5b04c"],
Cell[1032106, 22732, 4742, 145, 286, "Output",ExpressionUUID->"d580c42e-a861-417d-b81f-15095f7dbd12"],
Cell[1036851, 22879, 2546, 82, 192, "Output",ExpressionUUID->"fbdb4372-5fc3-4972-94ee-ba93b1c3d6ec"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1039446, 22967, 197, 3, 84, "Section",ExpressionUUID->"bb06d541-0515-4dab-82db-625d5890a8b8"],
Cell[CellGroupData[{
Cell[1039668, 22974, 249, 4, 69, "Subsection",ExpressionUUID->"e2519afe-a980-4d1f-8f49-09a5101d343c"],
Cell[CellGroupData[{
Cell[1039942, 22982, 750, 19, 88, "Input",ExpressionUUID->"d8dd5261-bd33-47ce-878f-877139a419ac"],
Cell[1040695, 23003, 52665, 1093, 157, "Output",ExpressionUUID->"8c0c083a-7cab-479b-b2c6-f32e3275bd4f"],
Cell[1093363, 24098, 1777, 53, 99, "Output",ExpressionUUID->"a850e524-8f85-48e9-bd04-7ae2c2a7c82b"],
Cell[1095143, 24153, 816, 23, 43, "Output",ExpressionUUID->"2004e2dd-6454-419e-a25e-78e9320c3810"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1095996, 24181, 1160, 33, 138, "Input",ExpressionUUID->"9b553f6a-196f-47b4-b8c0-bed4d03a1a27"],
Cell[1097159, 24216, 691, 23, 58, "Output",ExpressionUUID->"50cc8d7a-b63e-4df0-b7e1-36d237ff7d72"],
Cell[1097853, 24241, 84385, 1711, 293, "Output",ExpressionUUID->"c4bb014b-6e84-430d-98f9-40f8cc965ba2"],
Cell[1182241, 25954, 1013, 29, 61, "Output",ExpressionUUID->"6092eaa4-3d73-4c9b-9406-0ae0b30265e5"],
Cell[1183257, 25985, 1191, 37, 61, "Output",ExpressionUUID->"87d46d6d-d0ce-4b2e-9a62-290d2ea924a1"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1184497, 26028, 166, 3, 69, "Subsection",ExpressionUUID->"1bbb9a4f-16ad-4c5e-b6f2-b3ca5463df9d"],
Cell[CellGroupData[{
Cell[1184688, 26035, 397, 7, 63, "Input",ExpressionUUID->"afe4c142-3ac9-4df7-aea4-bbb1125207f8"],
Cell[1185088, 26044, 9580, 254, 272, "Output",ExpressionUUID->"c6a2715f-d3d8-47fa-b9b2-126cdacec9bf"],
Cell[1194671, 26300, 18397, 443, 491, "Output",ExpressionUUID->"a7e9a7fc-f58c-4885-b383-725593c619ac"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1213105, 26748, 358, 7, 57, "Input",ExpressionUUID->"8b20bb79-5dd9-4e63-b8f1-be3f398f9b05"],
Cell[1213466, 26757, 26319, 618, 860, "Output",ExpressionUUID->"0c1e234b-4ebd-4908-be33-39fe48c821bb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1239822, 27380, 251, 5, 57, "Input",ExpressionUUID->"7ebdf77c-3c99-4635-9f08-74b70b99fe00"],
Cell[1240076, 27387, 332, 7, 83, "Output",ExpressionUUID->"f31dd674-1e65-44fa-ac22-83fef0c26764"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1240457, 27400, 169, 3, 69, "Subsection",ExpressionUUID->"5f707566-627e-409a-a9d0-f7dc824fce4a"],
Cell[CellGroupData[{
Cell[1240651, 27407, 494, 10, 37, "Input",ExpressionUUID->"76ec4b14-52d2-46a0-b8e9-77b3d2fc26a2"],
Cell[1241148, 27419, 38258, 924, 589, "Output",ExpressionUUID->"277b2bb9-e659-4916-b09a-b51659ab6178"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1279467, 28350, 235, 4, 84, "Section",ExpressionUUID->"07b5a405-1c25-4813-a4f3-ab6cd549b0bd"],
Cell[CellGroupData[{
Cell[1279727, 28358, 666, 17, 63, "Input",ExpressionUUID->"81ff0080-917e-47a8-b943-6f07e9a90221"],
Cell[1280396, 28377, 37613, 817, 735, "Output",ExpressionUUID->"1338d62c-f0da-467e-b440-54e43e81b730"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1318046, 29199, 543, 13, 63, "Input",ExpressionUUID->"6f975e18-f854-408c-978b-cc17fe3b89f6"],
Cell[1318592, 29214, 143773, 2893, 157, "Output",ExpressionUUID->"7f0d0ef9-95c1-4b0b-a6ca-1b7905651804"],
Cell[1462368, 32109, 42725, 1012, 522, "Output",ExpressionUUID->"bc65c687-ab3f-48f6-8af1-43e742a19e29"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1505142, 33127, 182, 3, 84, "Section",ExpressionUUID->"caf266e7-5dbc-454d-9722-c6741855ebda"],
Cell[CellGroupData[{
Cell[1505349, 33134, 1941, 53, 332, "Input",ExpressionUUID->"b31c2103-4f99-411e-ade6-261645ef1f6f"],
Cell[1507293, 33189, 107597, 2173, 395, "Output",ExpressionUUID->"0fab0572-1fac-47b9-96e8-5258ed804f08"],
Cell[1614893, 35364, 4288, 101, 345, "Output",ExpressionUUID->"7ca27ddd-3402-4201-9169-141f6a70522a"],
Cell[1619184, 35467, 253, 4, 43, "Output",ExpressionUUID->"2331798a-f496-4fd7-83fd-861eb2c4da37"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1619474, 35476, 864, 22, 104, "Input",ExpressionUUID->"4e14773f-a8e1-49c1-8e2e-b4a05e64de89"],
Cell[1620341, 35500, 9615, 223, 351, "Output",ExpressionUUID->"3b0d742e-c3fc-4eb7-a3bc-777a33f396f6"],
Cell[1629959, 35725, 12217, 284, 437, "Output",ExpressionUUID->"e57fe2cc-dec1-448d-8062-e259fb002c33"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1642213, 36014, 1054, 32, 151, "Input",ExpressionUUID->"e703d85a-e13e-45db-84bd-c2a63195becc"],
Cell[1643270, 36048, 1214, 31, 89, "Output",ExpressionUUID->"803f7f85-6446-47da-9e3d-0b7077b45375"],
Cell[1644487, 36081, 1214, 31, 89, "Output",ExpressionUUID->"56ccc9c8-a895-4f79-ac6d-14b8334c9d28"],
Cell[1645704, 36114, 1289, 32, 96, "Output",ExpressionUUID->"e23ca70d-9a40-4d94-b899-8829fab3d8c4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1647030, 36151, 218, 3, 37, "Input",ExpressionUUID->"c88aeac8-920a-4d96-9ba1-9b10a4bfe62f"],
Cell[1647251, 36156, 35767, 937, 656, "Output",ExpressionUUID->"123896cd-5dcd-46f0-b6e1-7a6936035407"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1683055, 37098, 219, 3, 37, "Input",ExpressionUUID->"6359e68d-86b1-4324-9cc0-4c661c3b94bc"],
Cell[1683277, 37103, 22523, 505, 603, "Output",ExpressionUUID->"9048dbd1-4aaf-481a-88c3-3e6b86e94bd1"]
}, Open  ]]
}, Open  ]]
}
]
*)

